#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2654
#define LARGE_STATE_COUNT 582
#define SYMBOL_COUNT 425
#define ALIAS_COUNT 1
#define TOKEN_COUNT 193
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  anon_sym_SEMI = 4,
  anon_sym_AMP = 5,
  aux_sym_function_static_declaration_token1 = 6,
  anon_sym_COMMA = 7,
  anon_sym_EQ = 8,
  aux_sym_global_declaration_token1 = 9,
  aux_sym_namespace_definition_token1 = 10,
  aux_sym_namespace_use_declaration_token1 = 11,
  aux_sym_namespace_use_clause_token1 = 12,
  aux_sym__namespace_use_type_token1 = 13,
  aux_sym__namespace_use_type_token2 = 14,
  anon_sym_BSLASH = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  aux_sym_trait_declaration_token1 = 18,
  aux_sym_interface_declaration_token1 = 19,
  aux_sym_base_clause_token1 = 20,
  aux_sym_enum_declaration_token1 = 21,
  anon_sym_COLON = 22,
  anon_sym_string = 23,
  anon_sym_int = 24,
  aux_sym_enum_case_token1 = 25,
  aux_sym_class_declaration_token1 = 26,
  aux_sym_final_modifier_token1 = 27,
  aux_sym_abstract_modifier_token1 = 28,
  aux_sym_readonly_modifier_token1 = 29,
  aux_sym_class_interface_clause_token1 = 30,
  anon_sym_EQ_GT = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  anon_sym_LPAREN = 37,
  anon_sym_RPAREN = 38,
  anon_sym_LPAREN2 = 39,
  anon_sym_RPAREN2 = 40,
  aux_sym__arrow_function_header_token1 = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  aux_sym_exit_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_AT = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym__new_non_dereferencable_expression_token1 = 109,
  anon_sym_DASH_DASH = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  aux_sym__argument_name_token1 = 132,
  aux_sym__argument_name_token2 = 133,
  anon_sym_POUND_LBRACK = 134,
  sym_escape_sequence = 135,
  anon_sym_BSLASHu = 136,
  aux_sym_encapsed_string_token1 = 137,
  anon_sym_DQUOTE = 138,
  aux_sym_string_token1 = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_string_token2 = 141,
  aux_sym_string_content_token1 = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_SQUOTE2 = 146,
  anon_sym_BQUOTE = 147,
  anon_sym_DOLLAR = 148,
  aux_sym_yield_expression_token1 = 149,
  aux_sym_yield_expression_token2 = 150,
  aux_sym_binary_expression_token1 = 151,
  anon_sym_QMARK_QMARK = 152,
  anon_sym_STAR_STAR = 153,
  aux_sym_binary_expression_token2 = 154,
  aux_sym_binary_expression_token3 = 155,
  aux_sym_binary_expression_token4 = 156,
  anon_sym_PIPE_PIPE = 157,
  anon_sym_AMP_AMP = 158,
  anon_sym_CARET = 159,
  anon_sym_EQ_EQ = 160,
  anon_sym_BANG_EQ = 161,
  anon_sym_LT_GT = 162,
  anon_sym_EQ_EQ_EQ = 163,
  anon_sym_BANG_EQ_EQ = 164,
  anon_sym_LT = 165,
  anon_sym_GT = 166,
  anon_sym_LT_EQ = 167,
  anon_sym_GT_EQ = 168,
  anon_sym_LT_EQ_GT = 169,
  anon_sym_LT_LT = 170,
  anon_sym_GT_GT = 171,
  anon_sym_DOT = 172,
  anon_sym_STAR = 173,
  anon_sym_SLASH = 174,
  anon_sym_PERCENT = 175,
  aux_sym_include_expression_token1 = 176,
  aux_sym_include_once_expression_token1 = 177,
  aux_sym_require_expression_token1 = 178,
  aux_sym_require_once_expression_token1 = 179,
  sym_comment = 180,
  sym__automatic_semicolon = 181,
  sym_encapsed_string_chars = 182,
  sym_encapsed_string_chars_after_variable = 183,
  sym_execution_string_chars = 184,
  sym_execution_string_chars_after_variable = 185,
  sym_encapsed_string_chars_heredoc = 186,
  sym_encapsed_string_chars_after_variable_heredoc = 187,
  sym__eof = 188,
  sym_heredoc_start = 189,
  sym_heredoc_end = 190,
  sym_nowdoc_string = 191,
  sym_sentinel_error = 192,
  sym_program = 193,
  sym_statement = 194,
  sym_empty_statement = 195,
  sym_reference_modifier = 196,
  sym_function_static_declaration = 197,
  sym_static_variable_declaration = 198,
  sym_global_declaration = 199,
  sym_namespace_definition = 200,
  sym_namespace_use_declaration = 201,
  sym_namespace_use_clause = 202,
  sym_qualified_name = 203,
  sym__name = 204,
  sym_namespace_name = 205,
  sym__namespace_use_group = 206,
  sym_namespace_use_group = 207,
  sym_trait_declaration = 208,
  sym_interface_declaration = 209,
  sym_base_clause = 210,
  sym_enum_declaration = 211,
  sym_enum_declaration_list = 212,
  sym__enum_member_declaration = 213,
  sym_enum_case = 214,
  sym_class_declaration = 215,
  sym_declaration_list = 216,
  sym_final_modifier = 217,
  sym_abstract_modifier = 218,
  sym_readonly_modifier = 219,
  sym_class_interface_clause = 220,
  sym__member_declaration = 221,
  sym_const_declaration = 222,
  sym__class_const_declaration = 223,
  sym__const_declaration = 224,
  sym_property_declaration = 225,
  sym__modifier = 226,
  sym_property_element = 227,
  sym_property_hook_list = 228,
  sym_property_hook = 229,
  sym__property_hook_body = 230,
  sym_method_declaration = 231,
  sym_static_modifier = 232,
  sym_use_declaration = 233,
  sym_use_list = 234,
  sym_use_instead_of_clause = 235,
  sym_use_as_clause = 236,
  sym_visibility_modifier = 237,
  sym_function_definition = 238,
  sym__function_definition_header = 239,
  sym_anonymous_function = 240,
  sym_anonymous_function_use_clause = 241,
  sym__anonymous_function_header = 242,
  sym__arrow_function_header = 243,
  sym_arrow_function = 244,
  sym_formal_parameters = 245,
  sym_property_promotion_parameter = 246,
  sym_simple_parameter = 247,
  sym_variadic_parameter = 248,
  sym_type = 249,
  sym__types = 250,
  sym_named_type = 251,
  sym_optional_type = 252,
  sym_union_type = 253,
  sym_intersection_type = 254,
  sym_disjunctive_normal_form_type = 255,
  sym_primitive_type = 256,
  sym_cast_type = 257,
  sym__return_type = 258,
  sym_const_element = 259,
  sym_echo_statement = 260,
  sym_exit_statement = 261,
  sym_unset_statement = 262,
  sym_declare_statement = 263,
  sym_declare_directive = 264,
  sym_literal = 265,
  sym_try_statement = 266,
  sym_catch_clause = 267,
  sym_type_list = 268,
  sym_finally_clause = 269,
  sym_goto_statement = 270,
  sym_continue_statement = 271,
  sym_break_statement = 272,
  sym_return_statement = 273,
  sym_throw_expression = 274,
  sym_while_statement = 275,
  sym_do_statement = 276,
  sym_for_statement = 277,
  sym__expressions = 278,
  sym_sequence_expression = 279,
  sym_foreach_statement = 280,
  sym_foreach_pair = 281,
  sym__foreach_value = 282,
  sym_if_statement = 283,
  sym_colon_block = 284,
  sym_else_if_clause = 285,
  sym_else_clause = 286,
  sym_else_if_clause_2 = 287,
  sym_else_clause_2 = 288,
  sym_match_expression = 289,
  sym_match_block = 290,
  sym_match_condition_list = 291,
  sym_match_conditional_expression = 292,
  sym_match_default_expression = 293,
  sym_switch_statement = 294,
  sym_switch_block = 295,
  sym_case_statement = 296,
  sym_default_statement = 297,
  sym_compound_statement = 298,
  sym_named_label_statement = 299,
  sym_expression_statement = 300,
  sym_expression = 301,
  sym__unary_expression = 302,
  sym_unary_op_expression = 303,
  sym_error_suppression_expression = 304,
  sym_clone_expression = 305,
  sym_primary_expression = 306,
  sym_parenthesized_expression = 307,
  sym_class_constant_access_expression = 308,
  sym_print_intrinsic = 309,
  sym_object_creation_expression = 310,
  sym__new_non_dereferencable_expression = 311,
  sym__new_dereferencable_expression = 312,
  sym__class_name_reference = 313,
  sym_anonymous_class = 314,
  sym_update_expression = 315,
  sym_cast_expression = 316,
  sym_cast_variable = 317,
  sym_assignment_expression = 318,
  sym_reference_assignment_expression = 319,
  sym_conditional_expression = 320,
  sym_augmented_assignment_expression = 321,
  sym__variable_member_access_expression = 322,
  sym_member_access_expression = 323,
  sym__variable_nullsafe_member_access_expression = 324,
  sym_nullsafe_member_access_expression = 325,
  sym__variable_scoped_property_access_expression = 326,
  sym_scoped_property_access_expression = 327,
  sym_list_literal = 328,
  sym__list_destructing = 329,
  sym__array_destructing = 330,
  sym__array_destructing_element = 331,
  sym_function_call_expression = 332,
  sym__callable_expression = 333,
  sym_scoped_call_expression = 334,
  sym__scope_resolution_qualifier = 335,
  sym_relative_scope = 336,
  sym_variadic_placeholder = 337,
  sym_arguments = 338,
  sym_argument = 339,
  sym__argument_name = 340,
  sym_member_call_expression = 341,
  sym_nullsafe_member_call_expression = 342,
  sym_variadic_unpacking = 343,
  sym__member_name = 344,
  sym__variable_subscript_expression = 345,
  sym__dereferencable_subscript_expression = 346,
  sym__dereferencable_expression = 347,
  sym__dereferencable_scalar = 348,
  sym_array_creation_expression = 349,
  sym_attribute_group = 350,
  sym_attribute_list = 351,
  sym_attribute = 352,
  sym__complex_string_part = 353,
  sym__simple_string_member_access_expression = 354,
  sym__simple_string_subscript_unary_expression = 355,
  sym__simple_string_array_access_argument = 356,
  sym__simple_string_subscript_expression = 357,
  sym__simple_string_part = 358,
  aux_sym__interpolated_string_body = 359,
  aux_sym__interpolated_string_body_heredoc = 360,
  sym_encapsed_string = 361,
  sym_string = 362,
  sym_string_content = 363,
  sym_heredoc_body = 364,
  sym_heredoc = 365,
  sym_nowdoc_body = 366,
  sym_nowdoc = 367,
  aux_sym__interpolated_execution_operator_body = 368,
  sym_shell_command_expression = 369,
  sym_boolean = 370,
  sym_null = 371,
  sym__string = 372,
  sym_dynamic_variable_name = 373,
  sym__simple_variable = 374,
  sym__new_variable = 375,
  sym__callable_variable = 376,
  sym_variable_name = 377,
  sym_by_ref = 378,
  sym_yield_expression = 379,
  sym_array_element_initializer = 380,
  sym_binary_expression = 381,
  sym_include_expression = 382,
  sym_include_once_expression = 383,
  sym_require_expression = 384,
  sym_require_once_expression = 385,
  sym__reserved_identifier = 386,
  sym__identifier = 387,
  sym__semicolon = 388,
  aux_sym_program_repeat1 = 389,
  aux_sym_function_static_declaration_repeat1 = 390,
  aux_sym_global_declaration_repeat1 = 391,
  aux_sym_namespace_use_declaration_repeat1 = 392,
  aux_sym_namespace_name_repeat1 = 393,
  aux_sym_base_clause_repeat1 = 394,
  aux_sym_enum_declaration_list_repeat1 = 395,
  aux_sym_class_declaration_repeat1 = 396,
  aux_sym_declaration_list_repeat1 = 397,
  aux_sym__const_declaration_repeat1 = 398,
  aux_sym_property_declaration_repeat1 = 399,
  aux_sym_property_hook_list_repeat1 = 400,
  aux_sym_use_list_repeat1 = 401,
  aux_sym_anonymous_function_use_clause_repeat1 = 402,
  aux_sym_formal_parameters_repeat1 = 403,
  aux_sym_union_type_repeat1 = 404,
  aux_sym_intersection_type_repeat1 = 405,
  aux_sym_disjunctive_normal_form_type_repeat1 = 406,
  aux_sym_unset_statement_repeat1 = 407,
  aux_sym_try_statement_repeat1 = 408,
  aux_sym_type_list_repeat1 = 409,
  aux_sym_if_statement_repeat1 = 410,
  aux_sym_if_statement_repeat2 = 411,
  aux_sym_match_block_repeat1 = 412,
  aux_sym_match_condition_list_repeat1 = 413,
  aux_sym_switch_block_repeat1 = 414,
  aux_sym__list_destructing_repeat1 = 415,
  aux_sym__array_destructing_repeat1 = 416,
  aux_sym_arguments_repeat1 = 417,
  aux_sym_array_creation_expression_repeat1 = 418,
  aux_sym_attribute_group_repeat1 = 419,
  aux_sym_attribute_list_repeat1 = 420,
  aux_sym_string_repeat1 = 421,
  aux_sym_string_content_repeat1 = 422,
  aux_sym_heredoc_body_repeat1 = 423,
  aux_sym_nowdoc_body_repeat1 = 424,
  alias_sym_operation = 425,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
  [alias_sym_operation] = "operation",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
  [alias_sym_operation] = alias_sym_operation,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_operation] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 1},
  [52] = {.index = 98, .length = 3},
  [53] = {.index = 101, .length = 3},
  [54] = {.index = 104, .length = 2},
  [57] = {.index = 106, .length = 2},
  [58] = {.index = 108, .length = 2},
  [59] = {.index = 110, .length = 3},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 5, .length = 1},
  [62] = {.index = 115, .length = 1},
  [63] = {.index = 116, .length = 1},
  [64] = {.index = 117, .length = 3},
  [65] = {.index = 120, .length = 3},
  [66] = {.index = 123, .length = 2},
  [67] = {.index = 125, .length = 2},
  [68] = {.index = 127, .length = 3},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 3},
  [71] = {.index = 136, .length = 3},
  [72] = {.index = 139, .length = 3},
  [73] = {.index = 142, .length = 3},
  [74] = {.index = 145, .length = 2},
  [75] = {.index = 147, .length = 2},
  [76] = {.index = 149, .length = 2},
  [77] = {.index = 151, .length = 2},
  [78] = {.index = 153, .length = 3},
  [79] = {.index = 156, .length = 3},
  [80] = {.index = 159, .length = 2},
  [81] = {.index = 161, .length = 3},
  [82] = {.index = 164, .length = 2},
  [83] = {.index = 166, .length = 3},
  [84] = {.index = 169, .length = 3},
  [85] = {.index = 172, .length = 3},
  [86] = {.index = 175, .length = 2},
  [87] = {.index = 177, .length = 3},
  [88] = {.index = 180, .length = 3},
  [89] = {.index = 183, .length = 1},
  [90] = {.index = 184, .length = 3},
  [91] = {.index = 187, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 189, .length = 2},
  [94] = {.index = 191, .length = 2},
  [95] = {.index = 193, .length = 4},
  [96] = {.index = 197, .length = 2},
  [97] = {.index = 199, .length = 1},
  [98] = {.index = 200, .length = 2},
  [99] = {.index = 202, .length = 3},
  [100] = {.index = 205, .length = 3},
  [101] = {.index = 208, .length = 2},
  [102] = {.index = 210, .length = 3},
  [103] = {.index = 213, .length = 2},
  [104] = {.index = 215, .length = 4},
  [105] = {.index = 219, .length = 3},
  [106] = {.index = 222, .length = 3},
  [108] = {.index = 225, .length = 4},
  [109] = {.index = 229, .length = 3},
  [110] = {.index = 232, .length = 3},
  [111] = {.index = 235, .length = 4},
  [112] = {.index = 239, .length = 4},
  [113] = {.index = 243, .length = 3},
  [114] = {.index = 246, .length = 1},
  [115] = {.index = 247, .length = 2},
  [116] = {.index = 249, .length = 3},
  [117] = {.index = 252, .length = 4},
  [118] = {.index = 256, .length = 3},
  [119] = {.index = 259, .length = 3},
  [120] = {.index = 262, .length = 3},
  [121] = {.index = 265, .length = 3},
  [122] = {.index = 268, .length = 4},
  [123] = {.index = 272, .length = 4},
  [124] = {.index = 276, .length = 3},
  [125] = {.index = 279, .length = 4},
  [126] = {.index = 283, .length = 3},
  [127] = {.index = 286, .length = 2},
  [128] = {.index = 288, .length = 4},
  [129] = {.index = 292, .length = 4},
  [130] = {.index = 296, .length = 3},
  [131] = {.index = 299, .length = 2},
  [132] = {.index = 301, .length = 1},
  [133] = {.index = 302, .length = 1},
  [134] = {.index = 303, .length = 2},
  [135] = {.index = 305, .length = 1},
  [136] = {.index = 306, .length = 1},
  [137] = {.index = 307, .length = 2},
  [140] = {.index = 309, .length = 3},
  [141] = {.index = 312, .length = 3},
  [142] = {.index = 315, .length = 3},
  [143] = {.index = 318, .length = 4},
  [144] = {.index = 322, .length = 4},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 326, .length = 3},
  [147] = {.index = 329, .length = 5},
  [148] = {.index = 334, .length = 4},
  [149] = {.index = 338, .length = 3},
  [150] = {.index = 341, .length = 2},
  [151] = {.index = 343, .length = 4},
  [152] = {.index = 347, .length = 4},
  [153] = {.index = 351, .length = 1},
  [154] = {.index = 352, .length = 1},
  [155] = {.index = 353, .length = 4},
  [156] = {.index = 357, .length = 4},
  [157] = {.index = 361, .length = 5},
  [158] = {.index = 366, .length = 4},
  [159] = {.index = 370, .length = 4},
  [160] = {.index = 374, .length = 4},
  [161] = {.index = 378, .length = 1},
  [162] = {.index = 379, .length = 5},
  [163] = {.index = 384, .length = 4},
  [164] = {.index = 388, .length = 2},
  [165] = {.index = 390, .length = 2},
  [166] = {.index = 392, .length = 1},
  [167] = {.index = 393, .length = 2},
  [168] = {.index = 395, .length = 1},
  [169] = {.index = 396, .length = 2},
  [170] = {.index = 398, .length = 1},
  [171] = {.index = 399, .length = 1},
  [172] = {.index = 400, .length = 2},
  [173] = {.index = 402, .length = 3},
  [174] = {.index = 405, .length = 3},
  [175] = {.index = 408, .length = 5},
  [176] = {.index = 413, .length = 3},
  [177] = {.index = 416, .length = 5},
  [178] = {.index = 421, .length = 2},
  [179] = {.index = 423, .length = 2},
  [180] = {.index = 425, .length = 2},
  [181] = {.index = 427, .length = 2},
  [182] = {.index = 429, .length = 5},
  [183] = {.index = 434, .length = 5},
  [184] = {.index = 439, .length = 5},
  [185] = {.index = 444, .length = 2},
  [186] = {.index = 446, .length = 2},
  [187] = {.index = 448, .length = 3},
  [188] = {.index = 451, .length = 3},
  [189] = {.index = 454, .length = 2},
  [190] = {.index = 456, .length = 3},
  [191] = {.index = 459, .length = 2},
  [192] = {.index = 461, .length = 3},
  [193] = {.index = 464, .length = 2},
  [194] = {.index = 466, .length = 2},
  [195] = {.index = 468, .length = 3},
  [196] = {.index = 471, .length = 3},
  [197] = {.index = 474, .length = 3},
  [198] = {.index = 477, .length = 3},
  [199] = {.index = 480, .length = 3},
  [200] = {.index = 483, .length = 3},
  [201] = {.index = 486, .length = 6},
  [202] = {.index = 492, .length = 3},
  [203] = {.index = 495, .length = 4},
  [204] = {.index = 499, .length = 3},
  [205] = {.index = 502, .length = 4},
  [206] = {.index = 506, .length = 4},
  [207] = {.index = 510, .length = 4},
  [208] = {.index = 514, .length = 4},
  [209] = {.index = 518, .length = 2},
  [210] = {.index = 520, .length = 2},
  [211] = {.index = 522, .length = 2},
  [212] = {.index = 524, .length = 5},
  [213] = {.index = 529, .length = 3},
  [214] = {.index = 532, .length = 3},
  [215] = {.index = 535, .length = 3},
  [216] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [49] = {
    [2] = alias_sym_operation,
  },
  [55] = {
    [1] = sym_list_literal,
  },
  [56] = {
    [2] = sym_list_literal,
  },
  [61] = {
    [0] = sym_name,
  },
  [92] = {
    [3] = sym_primitive_type,
  },
  [107] = {
    [3] = sym_name,
  },
  [131] = {
    [3] = sym_primitive_type,
  },
  [138] = {
    [3] = sym_list_literal,
  },
  [139] = {
    [4] = sym_list_literal,
  },
  [145] = {
    [4] = sym_primitive_type,
  },
  [174] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 9,
  [11] = 2,
  [12] = 7,
  [13] = 8,
  [14] = 9,
  [15] = 9,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 19,
  [23] = 20,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 16,
  [28] = 28,
  [29] = 17,
  [30] = 18,
  [31] = 20,
  [32] = 28,
  [33] = 25,
  [34] = 21,
  [35] = 35,
  [36] = 19,
  [37] = 16,
  [38] = 24,
  [39] = 25,
  [40] = 21,
  [41] = 28,
  [42] = 17,
  [43] = 18,
  [44] = 20,
  [45] = 21,
  [46] = 19,
  [47] = 16,
  [48] = 24,
  [49] = 25,
  [50] = 50,
  [51] = 28,
  [52] = 17,
  [53] = 18,
  [54] = 24,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 55,
  [76] = 62,
  [77] = 77,
  [78] = 78,
  [79] = 62,
  [80] = 56,
  [81] = 57,
  [82] = 58,
  [83] = 59,
  [84] = 60,
  [85] = 61,
  [86] = 63,
  [87] = 64,
  [88] = 65,
  [89] = 66,
  [90] = 67,
  [91] = 68,
  [92] = 69,
  [93] = 70,
  [94] = 71,
  [95] = 72,
  [96] = 73,
  [97] = 74,
  [98] = 62,
  [99] = 77,
  [100] = 78,
  [101] = 77,
  [102] = 77,
  [103] = 78,
  [104] = 77,
  [105] = 78,
  [106] = 55,
  [107] = 55,
  [108] = 78,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 111,
  [113] = 111,
  [114] = 111,
  [115] = 109,
  [116] = 110,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 117,
  [121] = 121,
  [122] = 122,
  [123] = 121,
  [124] = 122,
  [125] = 122,
  [126] = 121,
  [127] = 121,
  [128] = 121,
  [129] = 122,
  [130] = 122,
  [131] = 122,
  [132] = 132,
  [133] = 132,
  [134] = 132,
  [135] = 135,
  [136] = 135,
  [137] = 132,
  [138] = 132,
  [139] = 132,
  [140] = 135,
  [141] = 135,
  [142] = 135,
  [143] = 143,
  [144] = 143,
  [145] = 145,
  [146] = 143,
  [147] = 145,
  [148] = 143,
  [149] = 145,
  [150] = 145,
  [151] = 143,
  [152] = 143,
  [153] = 145,
  [154] = 145,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 156,
  [159] = 155,
  [160] = 160,
  [161] = 161,
  [162] = 160,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 161,
  [167] = 165,
  [168] = 164,
  [169] = 163,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 172,
  [174] = 174,
  [175] = 175,
  [176] = 175,
  [177] = 177,
  [178] = 171,
  [179] = 177,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 180,
  [184] = 180,
  [185] = 185,
  [186] = 180,
  [187] = 187,
  [188] = 187,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 187,
  [193] = 193,
  [194] = 194,
  [195] = 190,
  [196] = 196,
  [197] = 187,
  [198] = 194,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 199,
  [203] = 189,
  [204] = 201,
  [205] = 196,
  [206] = 189,
  [207] = 201,
  [208] = 200,
  [209] = 209,
  [210] = 191,
  [211] = 191,
  [212] = 196,
  [213] = 193,
  [214] = 196,
  [215] = 189,
  [216] = 201,
  [217] = 200,
  [218] = 193,
  [219] = 193,
  [220] = 191,
  [221] = 200,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 226,
  [228] = 226,
  [229] = 226,
  [230] = 226,
  [231] = 225,
  [232] = 226,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 233,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 234,
  [242] = 242,
  [243] = 242,
  [244] = 239,
  [245] = 234,
  [246] = 242,
  [247] = 247,
  [248] = 234,
  [249] = 233,
  [250] = 240,
  [251] = 239,
  [252] = 239,
  [253] = 239,
  [254] = 238,
  [255] = 239,
  [256] = 238,
  [257] = 257,
  [258] = 242,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 260,
  [297] = 261,
  [298] = 262,
  [299] = 263,
  [300] = 264,
  [301] = 265,
  [302] = 266,
  [303] = 267,
  [304] = 273,
  [305] = 274,
  [306] = 275,
  [307] = 276,
  [308] = 259,
  [309] = 277,
  [310] = 278,
  [311] = 279,
  [312] = 281,
  [313] = 283,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 287,
  [318] = 288,
  [319] = 319,
  [320] = 285,
  [321] = 314,
  [322] = 315,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 319,
  [327] = 286,
  [328] = 289,
  [329] = 329,
  [330] = 290,
  [331] = 291,
  [332] = 332,
  [333] = 292,
  [334] = 316,
  [335] = 319,
  [336] = 294,
  [337] = 337,
  [338] = 338,
  [339] = 323,
  [340] = 324,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 285,
  [346] = 286,
  [347] = 287,
  [348] = 288,
  [349] = 289,
  [350] = 290,
  [351] = 291,
  [352] = 292,
  [353] = 329,
  [354] = 260,
  [355] = 261,
  [356] = 262,
  [357] = 263,
  [358] = 264,
  [359] = 265,
  [360] = 266,
  [361] = 267,
  [362] = 273,
  [363] = 274,
  [364] = 275,
  [365] = 276,
  [366] = 259,
  [367] = 277,
  [368] = 278,
  [369] = 279,
  [370] = 281,
  [371] = 283,
  [372] = 314,
  [373] = 315,
  [374] = 316,
  [375] = 294,
  [376] = 376,
  [377] = 377,
  [378] = 337,
  [379] = 338,
  [380] = 319,
  [381] = 294,
  [382] = 337,
  [383] = 338,
  [384] = 295,
  [385] = 324,
  [386] = 285,
  [387] = 286,
  [388] = 287,
  [389] = 288,
  [390] = 289,
  [391] = 290,
  [392] = 291,
  [393] = 292,
  [394] = 295,
  [395] = 260,
  [396] = 261,
  [397] = 262,
  [398] = 263,
  [399] = 264,
  [400] = 265,
  [401] = 266,
  [402] = 267,
  [403] = 273,
  [404] = 274,
  [405] = 275,
  [406] = 276,
  [407] = 259,
  [408] = 277,
  [409] = 278,
  [410] = 279,
  [411] = 281,
  [412] = 283,
  [413] = 314,
  [414] = 315,
  [415] = 316,
  [416] = 319,
  [417] = 338,
  [418] = 324,
  [419] = 338,
  [420] = 324,
  [421] = 338,
  [422] = 324,
  [423] = 338,
  [424] = 338,
  [425] = 338,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 329,
  [434] = 329,
  [435] = 295,
  [436] = 436,
  [437] = 436,
  [438] = 436,
  [439] = 436,
  [440] = 436,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 444,
  [446] = 443,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 447,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 451,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 577,
  [579] = 577,
  [580] = 577,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 587,
  [615] = 586,
  [616] = 582,
  [617] = 602,
  [618] = 601,
  [619] = 595,
  [620] = 620,
  [621] = 600,
  [622] = 585,
  [623] = 623,
  [624] = 599,
  [625] = 609,
  [626] = 594,
  [627] = 605,
  [628] = 628,
  [629] = 606,
  [630] = 630,
  [631] = 607,
  [632] = 592,
  [633] = 633,
  [634] = 584,
  [635] = 596,
  [636] = 604,
  [637] = 583,
  [638] = 591,
  [639] = 613,
  [640] = 589,
  [641] = 641,
  [642] = 642,
  [643] = 613,
  [644] = 628,
  [645] = 628,
  [646] = 646,
  [647] = 588,
  [648] = 593,
  [649] = 610,
  [650] = 603,
  [651] = 597,
  [652] = 611,
  [653] = 612,
  [654] = 598,
  [655] = 633,
  [656] = 656,
  [657] = 613,
  [658] = 590,
  [659] = 601,
  [660] = 633,
  [661] = 608,
  [662] = 662,
  [663] = 628,
  [664] = 633,
  [665] = 612,
  [666] = 666,
  [667] = 667,
  [668] = 667,
  [669] = 669,
  [670] = 611,
  [671] = 671,
  [672] = 671,
  [673] = 673,
  [674] = 674,
  [675] = 674,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 676,
  [680] = 680,
  [681] = 673,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 684,
  [686] = 686,
  [687] = 683,
  [688] = 688,
  [689] = 684,
  [690] = 684,
  [691] = 688,
  [692] = 686,
  [693] = 693,
  [694] = 694,
  [695] = 684,
  [696] = 683,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 587,
  [701] = 586,
  [702] = 702,
  [703] = 703,
  [704] = 514,
  [705] = 705,
  [706] = 476,
  [707] = 609,
  [708] = 582,
  [709] = 604,
  [710] = 592,
  [711] = 605,
  [712] = 606,
  [713] = 713,
  [714] = 596,
  [715] = 607,
  [716] = 595,
  [717] = 600,
  [718] = 718,
  [719] = 585,
  [720] = 602,
  [721] = 591,
  [722] = 594,
  [723] = 583,
  [724] = 591,
  [725] = 725,
  [726] = 589,
  [727] = 599,
  [728] = 728,
  [729] = 584,
  [730] = 699,
  [731] = 590,
  [732] = 608,
  [733] = 593,
  [734] = 588,
  [735] = 597,
  [736] = 586,
  [737] = 737,
  [738] = 603,
  [739] = 739,
  [740] = 740,
  [741] = 598,
  [742] = 587,
  [743] = 743,
  [744] = 610,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 703,
  [753] = 753,
  [754] = 754,
  [755] = 603,
  [756] = 610,
  [757] = 590,
  [758] = 589,
  [759] = 599,
  [760] = 584,
  [761] = 593,
  [762] = 594,
  [763] = 592,
  [764] = 596,
  [765] = 588,
  [766] = 597,
  [767] = 598,
  [768] = 582,
  [769] = 604,
  [770] = 605,
  [771] = 606,
  [772] = 607,
  [773] = 608,
  [774] = 585,
  [775] = 609,
  [776] = 583,
  [777] = 777,
  [778] = 600,
  [779] = 602,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 447,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 451,
  [794] = 780,
  [795] = 581,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 595,
  [826] = 826,
  [827] = 827,
  [828] = 713,
  [829] = 725,
  [830] = 591,
  [831] = 693,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 586,
  [837] = 587,
  [838] = 693,
  [839] = 826,
  [840] = 834,
  [841] = 606,
  [842] = 718,
  [843] = 843,
  [844] = 589,
  [845] = 845,
  [846] = 846,
  [847] = 703,
  [848] = 790,
  [849] = 595,
  [850] = 600,
  [851] = 599,
  [852] = 584,
  [853] = 594,
  [854] = 592,
  [855] = 591,
  [856] = 728,
  [857] = 596,
  [858] = 602,
  [859] = 582,
  [860] = 604,
  [861] = 605,
  [862] = 607,
  [863] = 585,
  [864] = 609,
  [865] = 865,
  [866] = 865,
  [867] = 583,
  [868] = 868,
  [869] = 725,
  [870] = 598,
  [871] = 610,
  [872] = 593,
  [873] = 713,
  [874] = 587,
  [875] = 586,
  [876] = 590,
  [877] = 608,
  [878] = 743,
  [879] = 603,
  [880] = 790,
  [881] = 698,
  [882] = 588,
  [883] = 597,
  [884] = 884,
  [885] = 698,
  [886] = 886,
  [887] = 739,
  [888] = 805,
  [889] = 800,
  [890] = 594,
  [891] = 592,
  [892] = 785,
  [893] = 781,
  [894] = 801,
  [895] = 596,
  [896] = 593,
  [897] = 803,
  [898] = 898,
  [899] = 588,
  [900] = 597,
  [901] = 751,
  [902] = 902,
  [903] = 598,
  [904] = 811,
  [905] = 602,
  [906] = 582,
  [907] = 604,
  [908] = 605,
  [909] = 606,
  [910] = 607,
  [911] = 608,
  [912] = 585,
  [913] = 609,
  [914] = 583,
  [915] = 812,
  [916] = 813,
  [917] = 798,
  [918] = 799,
  [919] = 898,
  [920] = 814,
  [921] = 815,
  [922] = 816,
  [923] = 817,
  [924] = 818,
  [925] = 581,
  [926] = 807,
  [927] = 819,
  [928] = 808,
  [929] = 737,
  [930] = 809,
  [931] = 810,
  [932] = 745,
  [933] = 787,
  [934] = 788,
  [935] = 784,
  [936] = 789,
  [937] = 835,
  [938] = 591,
  [939] = 747,
  [940] = 820,
  [941] = 748,
  [942] = 749,
  [943] = 750,
  [944] = 740,
  [945] = 782,
  [946] = 804,
  [947] = 476,
  [948] = 806,
  [949] = 791,
  [950] = 792,
  [951] = 581,
  [952] = 821,
  [953] = 822,
  [954] = 823,
  [955] = 824,
  [956] = 514,
  [957] = 777,
  [958] = 746,
  [959] = 703,
  [960] = 603,
  [961] = 610,
  [962] = 590,
  [963] = 589,
  [964] = 790,
  [965] = 796,
  [966] = 783,
  [967] = 595,
  [968] = 600,
  [969] = 599,
  [970] = 797,
  [971] = 584,
  [972] = 802,
  [973] = 973,
  [974] = 753,
  [975] = 754,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 827,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 693,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 713,
  [993] = 725,
  [994] = 994,
  [995] = 832,
  [996] = 833,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 790,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 591,
  [1007] = 884,
  [1008] = 886,
  [1009] = 698,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 581,
  [1042] = 1042,
  [1043] = 983,
  [1044] = 1030,
  [1045] = 1016,
  [1046] = 973,
  [1047] = 1013,
  [1048] = 1028,
  [1049] = 1029,
  [1050] = 1035,
  [1051] = 1036,
  [1052] = 1042,
  [1053] = 1037,
  [1054] = 1038,
  [1055] = 1039,
  [1056] = 1040,
  [1057] = 1022,
  [1058] = 1018,
  [1059] = 1020,
  [1060] = 1012,
  [1061] = 1019,
  [1062] = 1021,
  [1063] = 1010,
  [1064] = 1023,
  [1065] = 1024,
  [1066] = 1025,
  [1067] = 1027,
  [1068] = 1030,
  [1069] = 1032,
  [1070] = 1031,
  [1071] = 1011,
  [1072] = 1032,
  [1073] = 1013,
  [1074] = 451,
  [1075] = 1034,
  [1076] = 1014,
  [1077] = 1017,
  [1078] = 979,
  [1079] = 447,
  [1080] = 1015,
  [1081] = 1035,
  [1082] = 1029,
  [1083] = 1036,
  [1084] = 977,
  [1085] = 1037,
  [1086] = 1038,
  [1087] = 1039,
  [1088] = 1040,
  [1089] = 1089,
  [1090] = 984,
  [1091] = 988,
  [1092] = 1018,
  [1093] = 989,
  [1094] = 997,
  [1095] = 1020,
  [1096] = 1001,
  [1097] = 1026,
  [1098] = 1031,
  [1099] = 994,
  [1100] = 985,
  [1101] = 980,
  [1102] = 1012,
  [1103] = 1028,
  [1104] = 1019,
  [1105] = 1021,
  [1106] = 1034,
  [1107] = 1010,
  [1108] = 1023,
  [1109] = 991,
  [1110] = 1002,
  [1111] = 1003,
  [1112] = 1024,
  [1113] = 1025,
  [1114] = 1027,
  [1115] = 978,
  [1116] = 1005,
  [1117] = 1011,
  [1118] = 998,
  [1119] = 976,
  [1120] = 1004,
  [1121] = 1121,
  [1122] = 982,
  [1123] = 1042,
  [1124] = 1026,
  [1125] = 1033,
  [1126] = 1014,
  [1127] = 1015,
  [1128] = 1016,
  [1129] = 1017,
  [1130] = 987,
  [1131] = 990,
  [1132] = 1033,
  [1133] = 999,
  [1134] = 1022,
  [1135] = 1017,
  [1136] = 1016,
  [1137] = 1028,
  [1138] = 1035,
  [1139] = 1036,
  [1140] = 1037,
  [1141] = 1038,
  [1142] = 1039,
  [1143] = 1040,
  [1144] = 1022,
  [1145] = 1018,
  [1146] = 1020,
  [1147] = 1012,
  [1148] = 1019,
  [1149] = 1021,
  [1150] = 1010,
  [1151] = 1023,
  [1152] = 1024,
  [1153] = 1025,
  [1154] = 1027,
  [1155] = 1030,
  [1156] = 1032,
  [1157] = 1011,
  [1158] = 1013,
  [1159] = 1034,
  [1160] = 1029,
  [1161] = 1031,
  [1162] = 1042,
  [1163] = 1026,
  [1164] = 1033,
  [1165] = 1014,
  [1166] = 1015,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1178,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1033,
  [1186] = 1186,
  [1187] = 1184,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1189,
  [1192] = 1192,
  [1193] = 1186,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1182,
  [1198] = 1033,
  [1199] = 1199,
  [1200] = 1183,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1192,
  [1207] = 1192,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1205,
  [1215] = 1215,
  [1216] = 1210,
  [1217] = 1205,
  [1218] = 1218,
  [1219] = 1210,
  [1220] = 1195,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1195,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1234,
  [1241] = 1239,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1231,
  [1246] = 1232,
  [1247] = 1236,
  [1248] = 1237,
  [1249] = 1230,
  [1250] = 1234,
  [1251] = 1242,
  [1252] = 1243,
  [1253] = 1231,
  [1254] = 1237,
  [1255] = 1234,
  [1256] = 1243,
  [1257] = 1231,
  [1258] = 1232,
  [1259] = 1237,
  [1260] = 1234,
  [1261] = 1243,
  [1262] = 1231,
  [1263] = 1232,
  [1264] = 1237,
  [1265] = 1243,
  [1266] = 1231,
  [1267] = 1232,
  [1268] = 1237,
  [1269] = 1243,
  [1270] = 1243,
  [1271] = 1243,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1242,
  [1275] = 1244,
  [1276] = 1230,
  [1277] = 1243,
  [1278] = 1278,
  [1279] = 1244,
  [1280] = 1230,
  [1281] = 1244,
  [1282] = 1232,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1285,
  [1288] = 1288,
  [1289] = 1288,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1293,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1300,
  [1304] = 1302,
  [1305] = 1305,
  [1306] = 1301,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1300,
  [1310] = 1305,
  [1311] = 1307,
  [1312] = 1301,
  [1313] = 1308,
  [1314] = 1305,
  [1315] = 1315,
  [1316] = 1296,
  [1317] = 1317,
  [1318] = 1315,
  [1319] = 1317,
  [1320] = 1317,
  [1321] = 1315,
  [1322] = 1295,
  [1323] = 1323,
  [1324] = 1323,
  [1325] = 1298,
  [1326] = 1299,
  [1327] = 1297,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1330,
  [1332] = 1330,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1335,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1338,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1341,
  [1346] = 1346,
  [1347] = 1339,
  [1348] = 1343,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1362,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1360,
  [1372] = 1372,
  [1373] = 1361,
  [1374] = 1356,
  [1375] = 1375,
  [1376] = 1358,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 835,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1389,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1404,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1409,
  [1414] = 1410,
  [1415] = 1408,
  [1416] = 1407,
  [1417] = 1409,
  [1418] = 1410,
  [1419] = 1411,
  [1420] = 1412,
  [1421] = 1408,
  [1422] = 1410,
  [1423] = 1410,
  [1424] = 1408,
  [1425] = 1408,
  [1426] = 1406,
  [1427] = 1409,
  [1428] = 1410,
  [1429] = 1408,
  [1430] = 1409,
  [1431] = 1410,
  [1432] = 1411,
  [1433] = 1412,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1435,
  [1438] = 1408,
  [1439] = 1409,
  [1440] = 1409,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1447,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1458,
  [1461] = 1461,
  [1462] = 595,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1454,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 595,
  [1479] = 595,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 442,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 441,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1436,
  [1503] = 1503,
  [1504] = 1497,
  [1505] = 1501,
  [1506] = 1506,
  [1507] = 1495,
  [1508] = 1494,
  [1509] = 1503,
  [1510] = 1510,
  [1511] = 600,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 602,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 595,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 868,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1533,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1436,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1379,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1527,
  [1555] = 1549,
  [1556] = 1551,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1517,
  [1561] = 1517,
  [1562] = 1562,
  [1563] = 444,
  [1564] = 1525,
  [1565] = 1530,
  [1566] = 1525,
  [1567] = 1530,
  [1568] = 1518,
  [1569] = 1562,
  [1570] = 693,
  [1571] = 1571,
  [1572] = 443,
  [1573] = 444,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 600,
  [1577] = 1577,
  [1578] = 602,
  [1579] = 600,
  [1580] = 602,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 595,
  [1584] = 595,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1582,
  [1588] = 1588,
  [1589] = 1577,
  [1590] = 1590,
  [1591] = 1518,
  [1592] = 1553,
  [1593] = 1588,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1590,
  [1600] = 1600,
  [1601] = 1600,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1594,
  [1607] = 1607,
  [1608] = 1581,
  [1609] = 1595,
  [1610] = 1596,
  [1611] = 1588,
  [1612] = 1577,
  [1613] = 1597,
  [1614] = 1588,
  [1615] = 1577,
  [1616] = 1588,
  [1617] = 1577,
  [1618] = 1588,
  [1619] = 1577,
  [1620] = 1598,
  [1621] = 1621,
  [1622] = 1588,
  [1623] = 1588,
  [1624] = 1588,
  [1625] = 1588,
  [1626] = 1588,
  [1627] = 1588,
  [1628] = 443,
  [1629] = 1603,
  [1630] = 1436,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1604,
  [1634] = 1605,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1607,
  [1639] = 1639,
  [1640] = 1602,
  [1641] = 1641,
  [1642] = 1553,
  [1643] = 1621,
  [1644] = 1637,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 450,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1651,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 452,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1662,
  [1674] = 449,
  [1675] = 1675,
  [1676] = 1675,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1470,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1655,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1648,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1659,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1443,
  [1705] = 1461,
  [1706] = 1660,
  [1707] = 1441,
  [1708] = 1453,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1442,
  [1713] = 448,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1475,
  [1723] = 1455,
  [1724] = 1465,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 788,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1710,
  [1732] = 1663,
  [1733] = 1733,
  [1734] = 1681,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 447,
  [1738] = 1652,
  [1739] = 1739,
  [1740] = 1682,
  [1741] = 451,
  [1742] = 1742,
  [1743] = 1693,
  [1744] = 1744,
  [1745] = 1730,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1657,
  [1752] = 1461,
  [1753] = 1453,
  [1754] = 1754,
  [1755] = 1464,
  [1756] = 1464,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1647,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1475,
  [1764] = 1451,
  [1765] = 1658,
  [1766] = 1455,
  [1767] = 1465,
  [1768] = 1768,
  [1769] = 1696,
  [1770] = 1695,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 698,
  [1774] = 1774,
  [1775] = 1772,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1451,
  [1787] = 1787,
  [1788] = 1665,
  [1789] = 1784,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1780,
  [1794] = 1779,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1785,
  [1799] = 1779,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1792,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1471,
  [1810] = 1810,
  [1811] = 1776,
  [1812] = 1778,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1779,
  [1816] = 1816,
  [1817] = 1645,
  [1818] = 1818,
  [1819] = 1779,
  [1820] = 1780,
  [1821] = 1821,
  [1822] = 1229,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1818,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1698,
  [1830] = 1830,
  [1831] = 1831,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1656,
  [1835] = 1787,
  [1836] = 1836,
  [1837] = 1781,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1771,
  [1841] = 1814,
  [1842] = 1779,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1779,
  [1846] = 1846,
  [1847] = 1463,
  [1848] = 1848,
  [1849] = 1803,
  [1850] = 1850,
  [1851] = 1774,
  [1852] = 1852,
  [1853] = 1801,
  [1854] = 1782,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1470,
  [1859] = 1466,
  [1860] = 1450,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1807,
  [1864] = 1781,
  [1865] = 1865,
  [1866] = 1472,
  [1867] = 1748,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1816,
  [1872] = 1777,
  [1873] = 1780,
  [1874] = 1874,
  [1875] = 1855,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 530,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 550,
  [1901] = 555,
  [1902] = 1902,
  [1903] = 560,
  [1904] = 1904,
  [1905] = 561,
  [1906] = 562,
  [1907] = 1907,
  [1908] = 563,
  [1909] = 565,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 573,
  [1913] = 1913,
  [1914] = 1913,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 574,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 517,
  [1923] = 521,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 556,
  [1933] = 512,
  [1934] = 543,
  [1935] = 1935,
  [1936] = 1931,
  [1937] = 507,
  [1938] = 1884,
  [1939] = 1939,
  [1940] = 575,
  [1941] = 1941,
  [1942] = 520,
  [1943] = 527,
  [1944] = 1944,
  [1945] = 544,
  [1946] = 1946,
  [1947] = 532,
  [1948] = 1948,
  [1949] = 533,
  [1950] = 1950,
  [1951] = 542,
  [1952] = 1952,
  [1953] = 503,
  [1954] = 506,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 518,
  [1959] = 519,
  [1960] = 1924,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 524,
  [1965] = 1965,
  [1966] = 526,
  [1967] = 1967,
  [1968] = 528,
  [1969] = 529,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1889,
  [1974] = 1961,
  [1975] = 536,
  [1976] = 537,
  [1977] = 540,
  [1978] = 1978,
  [1979] = 1882,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 545,
  [1983] = 547,
  [1984] = 548,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 551,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1892,
  [1994] = 552,
  [1995] = 1963,
  [1996] = 1992,
  [1997] = 558,
  [1998] = 559,
  [1999] = 1986,
  [2000] = 571,
  [2001] = 572,
  [2002] = 455,
  [2003] = 2003,
  [2004] = 456,
  [2005] = 1950,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 1926,
  [2009] = 1889,
  [2010] = 454,
  [2011] = 2011,
  [2012] = 460,
  [2013] = 466,
  [2014] = 461,
  [2015] = 1894,
  [2016] = 465,
  [2017] = 1896,
  [2018] = 1897,
  [2019] = 468,
  [2020] = 473,
  [2021] = 1797,
  [2022] = 2022,
  [2023] = 483,
  [2024] = 1950,
  [2025] = 467,
  [2026] = 496,
  [2027] = 1916,
  [2028] = 1889,
  [2029] = 1920,
  [2030] = 1927,
  [2031] = 484,
  [2032] = 485,
  [2033] = 486,
  [2034] = 487,
  [2035] = 2035,
  [2036] = 488,
  [2037] = 489,
  [2038] = 2006,
  [2039] = 1950,
  [2040] = 2040,
  [2041] = 490,
  [2042] = 1889,
  [2043] = 491,
  [2044] = 2044,
  [2045] = 2022,
  [2046] = 494,
  [2047] = 2035,
  [2048] = 2040,
  [2049] = 497,
  [2050] = 499,
  [2051] = 500,
  [2052] = 511,
  [2053] = 1950,
  [2054] = 501,
  [2055] = 2055,
  [2056] = 1889,
  [2057] = 502,
  [2058] = 2058,
  [2059] = 549,
  [2060] = 2060,
  [2061] = 553,
  [2062] = 554,
  [2063] = 1921,
  [2064] = 2064,
  [2065] = 504,
  [2066] = 2066,
  [2067] = 505,
  [2068] = 564,
  [2069] = 1911,
  [2070] = 1915,
  [2071] = 1703,
  [2072] = 1888,
  [2073] = 566,
  [2074] = 567,
  [2075] = 568,
  [2076] = 508,
  [2077] = 569,
  [2078] = 570,
  [2079] = 509,
  [2080] = 1928,
  [2081] = 458,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 492,
  [2085] = 2085,
  [2086] = 493,
  [2087] = 2055,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 1850,
  [2093] = 2093,
  [2094] = 2064,
  [2095] = 510,
  [2096] = 1918,
  [2097] = 2097,
  [2098] = 1919,
  [2099] = 482,
  [2100] = 2100,
  [2101] = 1957,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2089,
  [2105] = 2105,
  [2106] = 1935,
  [2107] = 513,
  [2108] = 2108,
  [2109] = 1965,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 1944,
  [2114] = 2114,
  [2115] = 1470,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 1946,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 453,
  [2127] = 2127,
  [2128] = 1985,
  [2129] = 495,
  [2130] = 1948,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 457,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 1810,
  [2139] = 498,
  [2140] = 515,
  [2141] = 516,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 576,
  [2145] = 2145,
  [2146] = 2124,
  [2147] = 2147,
  [2148] = 469,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 1484,
  [2152] = 2152,
  [2153] = 522,
  [2154] = 2154,
  [2155] = 470,
  [2156] = 2156,
  [2157] = 471,
  [2158] = 2158,
  [2159] = 1955,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 523,
  [2163] = 1956,
  [2164] = 472,
  [2165] = 531,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 1827,
  [2170] = 1929,
  [2171] = 1950,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 534,
  [2175] = 2175,
  [2176] = 535,
  [2177] = 1930,
  [2178] = 462,
  [2179] = 1970,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 538,
  [2185] = 2185,
  [2186] = 539,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 463,
  [2190] = 541,
  [2191] = 1880,
  [2192] = 474,
  [2193] = 2193,
  [2194] = 2183,
  [2195] = 2154,
  [2196] = 1877,
  [2197] = 1878,
  [2198] = 1749,
  [2199] = 464,
  [2200] = 1971,
  [2201] = 546,
  [2202] = 1887,
  [2203] = 2203,
  [2204] = 475,
  [2205] = 2205,
  [2206] = 477,
  [2207] = 478,
  [2208] = 479,
  [2209] = 480,
  [2210] = 1286,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 1990,
  [2214] = 481,
  [2215] = 1991,
  [2216] = 557,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2222,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2219,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2218,
  [2239] = 2236,
  [2240] = 2226,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2219,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2226,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2226,
  [2255] = 2221,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2252,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2228,
  [2267] = 2246,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2250,
  [2271] = 2219,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2245,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2275,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2261,
  [2294] = 2294,
  [2295] = 2090,
  [2296] = 2272,
  [2297] = 2297,
  [2298] = 2224,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2219,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 884,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2256,
  [2312] = 2276,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2285,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2232,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2282,
  [2330] = 2313,
  [2331] = 2327,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2306,
  [2335] = 2335,
  [2336] = 2290,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2249,
  [2340] = 2245,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2281,
  [2344] = 2344,
  [2345] = 2244,
  [2346] = 2346,
  [2347] = 2284,
  [2348] = 2348,
  [2349] = 1394,
  [2350] = 2309,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2299,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2320,
  [2365] = 2322,
  [2366] = 2332,
  [2367] = 2335,
  [2368] = 2368,
  [2369] = 1725,
  [2370] = 2348,
  [2371] = 2007,
  [2372] = 2264,
  [2373] = 2373,
  [2374] = 2368,
  [2375] = 1672,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2351,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2246,
  [2382] = 1890,
  [2383] = 2383,
  [2384] = 2268,
  [2385] = 2353,
  [2386] = 2226,
  [2387] = 2278,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2185,
  [2391] = 2373,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2297,
  [2395] = 2245,
  [2396] = 2246,
  [2397] = 2304,
  [2398] = 2231,
  [2399] = 2219,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2317,
  [2403] = 2403,
  [2404] = 1711,
  [2405] = 2405,
  [2406] = 2269,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2220,
  [2412] = 2263,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2226,
  [2416] = 2344,
  [2417] = 1390,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2422,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2431,
  [2445] = 2445,
  [2446] = 2446,
  [2447] = 2447,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2445,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2440,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2433,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2456,
  [2467] = 2422,
  [2468] = 2428,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2431,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2474,
  [2479] = 2458,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2429,
  [2484] = 2484,
  [2485] = 2100,
  [2486] = 2481,
  [2487] = 2487,
  [2488] = 2487,
  [2489] = 2464,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2430,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2421,
  [2496] = 2494,
  [2497] = 2435,
  [2498] = 2437,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2472,
  [2506] = 2422,
  [2507] = 2473,
  [2508] = 2424,
  [2509] = 1790,
  [2510] = 2464,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2426,
  [2516] = 2434,
  [2517] = 2438,
  [2518] = 2518,
  [2519] = 2494,
  [2520] = 2520,
  [2521] = 2436,
  [2522] = 2455,
  [2523] = 2430,
  [2524] = 2524,
  [2525] = 2503,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2475,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2520,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2470,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2427,
  [2543] = 2443,
  [2544] = 2544,
  [2545] = 2494,
  [2546] = 2475,
  [2547] = 2435,
  [2548] = 2529,
  [2549] = 2539,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2460,
  [2553] = 2461,
  [2554] = 2433,
  [2555] = 2494,
  [2556] = 2527,
  [2557] = 2461,
  [2558] = 2474,
  [2559] = 2530,
  [2560] = 2560,
  [2561] = 2503,
  [2562] = 2481,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2474,
  [2566] = 2472,
  [2567] = 2460,
  [2568] = 2481,
  [2569] = 2491,
  [2570] = 2425,
  [2571] = 2432,
  [2572] = 2435,
  [2573] = 2501,
  [2574] = 2574,
  [2575] = 2451,
  [2576] = 2576,
  [2577] = 2473,
  [2578] = 2420,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2422,
  [2582] = 2564,
  [2583] = 2583,
  [2584] = 2465,
  [2585] = 2512,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2452,
  [2589] = 2422,
  [2590] = 2187,
  [2591] = 2490,
  [2592] = 2503,
  [2593] = 2428,
  [2594] = 2594,
  [2595] = 2433,
  [2596] = 2431,
  [2597] = 2472,
  [2598] = 2473,
  [2599] = 2560,
  [2600] = 2475,
  [2601] = 2500,
  [2602] = 2541,
  [2603] = 2428,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2435,
  [2607] = 2503,
  [2608] = 2605,
  [2609] = 2465,
  [2610] = 2610,
  [2611] = 2461,
  [2612] = 2612,
  [2613] = 2576,
  [2614] = 2481,
  [2615] = 2512,
  [2616] = 2433,
  [2617] = 2617,
  [2618] = 2493,
  [2619] = 2440,
  [2620] = 2474,
  [2621] = 2576,
  [2622] = 2622,
  [2623] = 2494,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2422,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2463,
  [2631] = 2504,
  [2632] = 2632,
  [2633] = 2465,
  [2634] = 2530,
  [2635] = 2514,
  [2636] = 2520,
  [2637] = 2464,
  [2638] = 2446,
  [2639] = 2580,
  [2640] = 2430,
  [2641] = 2504,
  [2642] = 2642,
  [2643] = 2576,
  [2644] = 2538,
  [2645] = 2645,
  [2646] = 2460,
  [2647] = 2512,
  [2648] = 2469,
  [2649] = 2538,
  [2650] = 2504,
  [2651] = 2622,
  [2652] = 2538,
  [2653] = 2653,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 124,
        '"', 172,
        '#', 253,
        '$', 176,
        '%', 213,
        '&', 73,
        '\'', 174,
        '(', 83,
        ')', 84,
        '*', 208,
        '+', 116,
        ',', 74,
        '-', 119,
        '.', 206,
        '/', 211,
        '0', 106,
        ':', 81,
        ';', 70,
        '<', 190,
        '=', 75,
        '>', 194,
        '?', 89,
        '@', 125,
        '[', 144,
        '\\', 77,
        ']', 145,
        '^', 184,
        '_', 248,
        '`', 175,
        '{', 78,
        '|', 94,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 214,
        'b', 214,
        'E', 217,
        'e', 217,
        'F', 218,
        'f', 218,
        'I', 232,
        'i', 232,
        'N', 246,
        'n', 246,
        'S', 244,
        's', 244,
        'T', 237,
        't', 237,
        'U', 230,
        'u', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(251);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(251);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(252);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 173,
        '\r', 173,
        '"', 172,
        '#', 254,
        '$', 176,
        '-', 32,
        '/', 21,
        '[', 144,
        '\\', 36,
        '{', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 173,
        '\r', 173,
        '#', 254,
        '$', 176,
        '-', 32,
        '/', 21,
        '[', 144,
        '\\', 37,
        '{', 78,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 124,
        '"', 158,
        '#', 253,
        '$', 176,
        '%', 212,
        '&', 72,
        '\'', 160,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 206,
        '/', 210,
        '0', 106,
        ':', 80,
        ';', 70,
        '<', 191,
        '=', 31,
        '>', 195,
        '?', 92,
        '@', 125,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 183,
        '_', 248,
        '`', 175,
        '{', 78,
        '|', 95,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
        'E', 217,
        'e', 217,
        'F', 219,
        'f', 219,
        'N', 246,
        'n', 246,
        'T', 237,
        't', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 123,
        '"', 158,
        '#', 253,
        '$', 176,
        '&', 71,
        '\'', 160,
        '(', 85,
        ')', 86,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 102,
        '/', 21,
        '0', 106,
        '<', 28,
        '@', 125,
        '[', 144,
        '\\', 76,
        ']', 145,
        '_', 248,
        '`', 175,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
        'E', 217,
        'e', 217,
        'F', 219,
        'f', 219,
        'N', 246,
        'n', 246,
        'T', 237,
        't', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 123,
        '"', 158,
        '#', 253,
        '$', 176,
        '\'', 160,
        '(', 85,
        '+', 115,
        '-', 118,
        '.', 103,
        '/', 21,
        '0', 106,
        '<', 28,
        '@', 125,
        '[', 144,
        '\\', 76,
        '_', 248,
        '`', 175,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 214,
        'b', 214,
        'E', 217,
        'e', 217,
        'F', 218,
        'f', 218,
        'I', 232,
        'i', 232,
        'N', 246,
        'n', 246,
        'S', 244,
        's', 244,
        'T', 237,
        't', 237,
        'U', 230,
        'u', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 30,
        '"', 158,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 115,
        ',', 74,
        '-', 120,
        '.', 205,
        '/', 210,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 36,
        ']', 145,
        '^', 183,
        '`', 175,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 30,
        '"', 158,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 115,
        ',', 74,
        '-', 120,
        '.', 205,
        '/', 210,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 37,
        ']', 145,
        '^', 183,
        '`', 175,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 30,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '\'', 174,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 114,
        ',', 74,
        '-', 121,
        '.', 205,
        '/', 210,
        '0', 111,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 183,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 30,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 114,
        ',', 74,
        '-', 121,
        '.', 205,
        '/', 210,
        '0', 111,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 91,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 183,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 30,
        '#', 254,
        '$', 176,
        '%', 212,
        '&', 72,
        '(', 85,
        ')', 86,
        '*', 209,
        '+', 114,
        ',', 74,
        '-', 117,
        '.', 205,
        '/', 210,
        ':', 81,
        ';', 70,
        '<', 193,
        '=', 75,
        '>', 195,
        '?', 92,
        '\\', 76,
        ']', 145,
        '^', 183,
        '{', 78,
        '|', 95,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '\'') ADVANCE(159);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 158,
        '#', 254,
        '$', 176,
        '&', 71,
        '\'', 160,
        '(', 85,
        ')', 86,
        '.', 24,
        '/', 21,
        '0', 111,
        '<', 28,
        '[', 144,
        '\\', 76,
        '|', 93,
        '}', 79,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 158,
        '#', 254,
        '\'', 160,
        '.', 103,
        '/', 21,
        '0', 106,
        '<', 28,
        '_', 57,
        'B', 13,
        'b', 13,
        'E', 40,
        'e', 40,
        'F', 41,
        'f', 41,
        'N', 51,
        'n', 51,
        'T', 48,
        't', 48,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 253,
        '$', 176,
        '&', 71,
        '(', 85,
        ')', 86,
        ',', 74,
        '.', 24,
        '/', 21,
        '?', 88,
        '\\', 76,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 254,
        '$', 176,
        '&', 71,
        '(', 83,
        ')', 84,
        '/', 21,
        ';', 70,
        '?', 88,
        '\\', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 254,
        '$', 176,
        '&', 71,
        '(', 85,
        ')', 86,
        '.', 24,
        '/', 21,
        '=', 33,
        '?', 88,
        '\\', 76,
        '{', 78,
        '|', 93,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '#', 254,
        '$', 176,
        '&', 71,
        '(', 85,
        '/', 21,
        ';', 70,
        '?', 88,
        '\\', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(169);
      if (lookahead == '\'') ADVANCE(160);
      if (lookahead == '/') ADVANCE(165);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(164);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(252);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(251);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(87);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(171);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(27);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(27);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(143);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(156);
      if (lookahead == 'x') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(153);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(151);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(155);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(161);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 40:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 41:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 42:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 43:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(47);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 46:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(42);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 51:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 52:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(109);
      END_STATE();
    case 53:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(107);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(108);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(154);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 63:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 124,
        '"', 158,
        '#', 253,
        '$', 176,
        '%', 213,
        '&', 73,
        '\'', 160,
        '(', 85,
        ')', 86,
        '*', 208,
        '+', 116,
        ',', 74,
        '-', 119,
        '.', 206,
        '/', 211,
        '0', 106,
        ':', 81,
        ';', 70,
        '<', 190,
        '=', 75,
        '>', 194,
        '?', 89,
        '@', 125,
        '[', 144,
        '\\', 77,
        ']', 145,
        '^', 184,
        '_', 248,
        '`', 175,
        '{', 78,
        '|', 94,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 214,
        'b', 214,
        'E', 217,
        'e', 217,
        'F', 218,
        'f', 218,
        'I', 232,
        'i', 232,
        'N', 246,
        'n', 246,
        'S', 244,
        's', 244,
        'T', 237,
        't', 237,
        'U', 230,
        'u', 230,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 64:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 123,
        '"', 158,
        '#', 253,
        '$', 176,
        '&', 71,
        '\'', 160,
        '(', 85,
        ')', 86,
        '+', 115,
        ',', 74,
        '-', 118,
        '.', 103,
        '/', 21,
        '0', 106,
        ':', 80,
        ';', 70,
        '<', 29,
        '=', 33,
        '?', 34,
        '@', 125,
        '[', 144,
        '\\', 76,
        ']', 145,
        '_', 248,
        '`', 175,
        '{', 78,
        '}', 79,
        '~', 122,
        'A', 238,
        'a', 238,
        'B', 215,
        'b', 215,
        'E', 217,
        'e', 217,
        'F', 219,
        'f', 219,
        'N', 246,
        'n', 246,
        'T', 237,
        't', 237,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 65:
      if (eof) ADVANCE(66);
      ADVANCE_MAP(
        '!', 30,
        '"', 158,
        '#', 254,
        '$', 176,
        '%', 213,
        '&', 73,
        '\'', 160,
        '(', 85,
        ')', 86,
        '*', 208,
        '+', 116,
        ',', 74,
        '-', 119,
        '.', 207,
        '/', 211,
        '0', 111,
        ':', 81,
        ';', 70,
        '<', 192,
        '=', 75,
        '>', 194,
        '?', 90,
        '[', 144,
        '\\', 76,
        ']', 145,
        '^', 184,
        '{', 78,
        '|', 94,
        '}', 79,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(113);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(43);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(182);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(82);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(161);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(126);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '>') ADVANCE(67);
      if (lookahead == '?') ADVANCE(178);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '?') ADVANCE(178);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '?') ADVANCE(177);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(177);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(181);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(181);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 103,
        '_', 53,
        'B', 52,
        'b', 52,
        'E', 40,
        'e', 40,
        'O', 112,
        'o', 112,
        'X', 60,
        'x', 60,
        '8', 25,
        '9', 25,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(52);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(112);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(128);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(127);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(186);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(151);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(163);
      if (lookahead == '>') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(169);
      if (lookahead == '/') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(167);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(166);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(166);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(162);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(173);
      if (lookahead == '\r') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(188);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(189);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(201);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(200);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(202);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(199);
      if (lookahead == '=') ADVANCE(196);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(204);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(203);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(171);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(26);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(180);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(179);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(252);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(252);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '\'') ADVANCE(159);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '\'') ADVANCE(159);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(103);
      if (lookahead == '_') ADVANCE(248);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(250);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(229);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(149);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(100);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(97);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(147);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(224);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(241);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(226);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(220);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(223);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(98);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(99);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(101);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(222);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(228);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(96);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(250);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(252);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(150);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(252);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(252);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 64},
  [2] = {.lex_state = 64},
  [3] = {.lex_state = 64},
  [4] = {.lex_state = 64},
  [5] = {.lex_state = 64},
  [6] = {.lex_state = 64},
  [7] = {.lex_state = 64},
  [8] = {.lex_state = 64},
  [9] = {.lex_state = 64, .external_lex_state = 2},
  [10] = {.lex_state = 64, .external_lex_state = 2},
  [11] = {.lex_state = 64},
  [12] = {.lex_state = 64},
  [13] = {.lex_state = 64},
  [14] = {.lex_state = 64, .external_lex_state = 2},
  [15] = {.lex_state = 64, .external_lex_state = 2},
  [16] = {.lex_state = 64, .external_lex_state = 2},
  [17] = {.lex_state = 64, .external_lex_state = 2},
  [18] = {.lex_state = 64, .external_lex_state = 2},
  [19] = {.lex_state = 64, .external_lex_state = 2},
  [20] = {.lex_state = 64, .external_lex_state = 2},
  [21] = {.lex_state = 64, .external_lex_state = 2},
  [22] = {.lex_state = 64, .external_lex_state = 2},
  [23] = {.lex_state = 64, .external_lex_state = 2},
  [24] = {.lex_state = 64, .external_lex_state = 2},
  [25] = {.lex_state = 64, .external_lex_state = 2},
  [26] = {.lex_state = 64},
  [27] = {.lex_state = 64, .external_lex_state = 2},
  [28] = {.lex_state = 64, .external_lex_state = 2},
  [29] = {.lex_state = 64, .external_lex_state = 2},
  [30] = {.lex_state = 64, .external_lex_state = 2},
  [31] = {.lex_state = 64, .external_lex_state = 2},
  [32] = {.lex_state = 64, .external_lex_state = 2},
  [33] = {.lex_state = 64, .external_lex_state = 2},
  [34] = {.lex_state = 64, .external_lex_state = 2},
  [35] = {.lex_state = 64},
  [36] = {.lex_state = 64, .external_lex_state = 2},
  [37] = {.lex_state = 64, .external_lex_state = 2},
  [38] = {.lex_state = 64, .external_lex_state = 2},
  [39] = {.lex_state = 64, .external_lex_state = 2},
  [40] = {.lex_state = 64, .external_lex_state = 2},
  [41] = {.lex_state = 64, .external_lex_state = 2},
  [42] = {.lex_state = 64, .external_lex_state = 2},
  [43] = {.lex_state = 64, .external_lex_state = 2},
  [44] = {.lex_state = 64, .external_lex_state = 2},
  [45] = {.lex_state = 64, .external_lex_state = 2},
  [46] = {.lex_state = 64, .external_lex_state = 2},
  [47] = {.lex_state = 64, .external_lex_state = 2},
  [48] = {.lex_state = 64, .external_lex_state = 2},
  [49] = {.lex_state = 64, .external_lex_state = 2},
  [50] = {.lex_state = 64},
  [51] = {.lex_state = 64, .external_lex_state = 2},
  [52] = {.lex_state = 64, .external_lex_state = 2},
  [53] = {.lex_state = 64, .external_lex_state = 2},
  [54] = {.lex_state = 64, .external_lex_state = 2},
  [55] = {.lex_state = 64},
  [56] = {.lex_state = 64},
  [57] = {.lex_state = 64},
  [58] = {.lex_state = 64},
  [59] = {.lex_state = 64},
  [60] = {.lex_state = 64},
  [61] = {.lex_state = 64},
  [62] = {.lex_state = 64},
  [63] = {.lex_state = 64},
  [64] = {.lex_state = 64},
  [65] = {.lex_state = 64},
  [66] = {.lex_state = 64},
  [67] = {.lex_state = 64},
  [68] = {.lex_state = 64},
  [69] = {.lex_state = 64},
  [70] = {.lex_state = 64},
  [71] = {.lex_state = 64},
  [72] = {.lex_state = 64},
  [73] = {.lex_state = 64},
  [74] = {.lex_state = 64},
  [75] = {.lex_state = 64},
  [76] = {.lex_state = 64},
  [77] = {.lex_state = 64},
  [78] = {.lex_state = 64},
  [79] = {.lex_state = 64},
  [80] = {.lex_state = 64},
  [81] = {.lex_state = 64},
  [82] = {.lex_state = 64},
  [83] = {.lex_state = 64},
  [84] = {.lex_state = 64},
  [85] = {.lex_state = 64},
  [86] = {.lex_state = 64},
  [87] = {.lex_state = 64},
  [88] = {.lex_state = 64},
  [89] = {.lex_state = 64},
  [90] = {.lex_state = 64},
  [91] = {.lex_state = 64},
  [92] = {.lex_state = 64},
  [93] = {.lex_state = 64},
  [94] = {.lex_state = 64},
  [95] = {.lex_state = 64},
  [96] = {.lex_state = 64},
  [97] = {.lex_state = 64},
  [98] = {.lex_state = 64},
  [99] = {.lex_state = 64},
  [100] = {.lex_state = 64},
  [101] = {.lex_state = 64},
  [102] = {.lex_state = 64},
  [103] = {.lex_state = 64},
  [104] = {.lex_state = 64},
  [105] = {.lex_state = 64},
  [106] = {.lex_state = 64},
  [107] = {.lex_state = 64},
  [108] = {.lex_state = 64},
  [109] = {.lex_state = 64},
  [110] = {.lex_state = 64},
  [111] = {.lex_state = 64},
  [112] = {.lex_state = 64},
  [113] = {.lex_state = 64},
  [114] = {.lex_state = 64},
  [115] = {.lex_state = 64},
  [116] = {.lex_state = 64},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 64},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 64},
  [170] = {.lex_state = 64},
  [171] = {.lex_state = 64},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 64},
  [175] = {.lex_state = 64},
  [176] = {.lex_state = 64},
  [177] = {.lex_state = 64},
  [178] = {.lex_state = 64},
  [179] = {.lex_state = 64},
  [180] = {.lex_state = 64},
  [181] = {.lex_state = 6},
  [182] = {.lex_state = 64},
  [183] = {.lex_state = 64},
  [184] = {.lex_state = 64},
  [185] = {.lex_state = 64},
  [186] = {.lex_state = 64},
  [187] = {.lex_state = 64},
  [188] = {.lex_state = 64},
  [189] = {.lex_state = 64},
  [190] = {.lex_state = 64, .external_lex_state = 2},
  [191] = {.lex_state = 64},
  [192] = {.lex_state = 64},
  [193] = {.lex_state = 64},
  [194] = {.lex_state = 64, .external_lex_state = 2},
  [195] = {.lex_state = 64, .external_lex_state = 2},
  [196] = {.lex_state = 64},
  [197] = {.lex_state = 64},
  [198] = {.lex_state = 64, .external_lex_state = 2},
  [199] = {.lex_state = 64, .external_lex_state = 2},
  [200] = {.lex_state = 64},
  [201] = {.lex_state = 64},
  [202] = {.lex_state = 64, .external_lex_state = 2},
  [203] = {.lex_state = 64},
  [204] = {.lex_state = 64},
  [205] = {.lex_state = 64},
  [206] = {.lex_state = 64},
  [207] = {.lex_state = 64},
  [208] = {.lex_state = 64},
  [209] = {.lex_state = 64},
  [210] = {.lex_state = 64},
  [211] = {.lex_state = 64},
  [212] = {.lex_state = 64},
  [213] = {.lex_state = 64},
  [214] = {.lex_state = 64},
  [215] = {.lex_state = 64},
  [216] = {.lex_state = 64},
  [217] = {.lex_state = 64},
  [218] = {.lex_state = 64},
  [219] = {.lex_state = 64},
  [220] = {.lex_state = 64},
  [221] = {.lex_state = 64},
  [222] = {.lex_state = 6},
  [223] = {.lex_state = 6},
  [224] = {.lex_state = 64},
  [225] = {.lex_state = 64},
  [226] = {.lex_state = 64},
  [227] = {.lex_state = 64},
  [228] = {.lex_state = 64},
  [229] = {.lex_state = 64},
  [230] = {.lex_state = 64},
  [231] = {.lex_state = 64},
  [232] = {.lex_state = 64},
  [233] = {.lex_state = 64},
  [234] = {.lex_state = 64},
  [235] = {.lex_state = 64},
  [236] = {.lex_state = 64},
  [237] = {.lex_state = 64},
  [238] = {.lex_state = 64},
  [239] = {.lex_state = 64},
  [240] = {.lex_state = 64},
  [241] = {.lex_state = 64},
  [242] = {.lex_state = 64},
  [243] = {.lex_state = 64},
  [244] = {.lex_state = 64},
  [245] = {.lex_state = 64},
  [246] = {.lex_state = 64},
  [247] = {.lex_state = 64},
  [248] = {.lex_state = 64},
  [249] = {.lex_state = 64},
  [250] = {.lex_state = 64},
  [251] = {.lex_state = 64},
  [252] = {.lex_state = 64},
  [253] = {.lex_state = 64},
  [254] = {.lex_state = 64},
  [255] = {.lex_state = 64},
  [256] = {.lex_state = 64},
  [257] = {.lex_state = 64},
  [258] = {.lex_state = 64},
  [259] = {.lex_state = 64},
  [260] = {.lex_state = 64},
  [261] = {.lex_state = 64},
  [262] = {.lex_state = 64},
  [263] = {.lex_state = 64},
  [264] = {.lex_state = 64},
  [265] = {.lex_state = 64},
  [266] = {.lex_state = 64},
  [267] = {.lex_state = 64},
  [268] = {.lex_state = 64},
  [269] = {.lex_state = 64},
  [270] = {.lex_state = 64},
  [271] = {.lex_state = 64},
  [272] = {.lex_state = 64},
  [273] = {.lex_state = 64},
  [274] = {.lex_state = 64},
  [275] = {.lex_state = 64},
  [276] = {.lex_state = 64},
  [277] = {.lex_state = 64},
  [278] = {.lex_state = 64},
  [279] = {.lex_state = 64},
  [280] = {.lex_state = 64},
  [281] = {.lex_state = 64},
  [282] = {.lex_state = 64},
  [283] = {.lex_state = 64},
  [284] = {.lex_state = 64},
  [285] = {.lex_state = 64},
  [286] = {.lex_state = 64},
  [287] = {.lex_state = 64},
  [288] = {.lex_state = 64},
  [289] = {.lex_state = 64},
  [290] = {.lex_state = 64},
  [291] = {.lex_state = 64},
  [292] = {.lex_state = 64},
  [293] = {.lex_state = 64},
  [294] = {.lex_state = 64},
  [295] = {.lex_state = 64},
  [296] = {.lex_state = 64},
  [297] = {.lex_state = 64},
  [298] = {.lex_state = 64},
  [299] = {.lex_state = 64},
  [300] = {.lex_state = 64},
  [301] = {.lex_state = 64},
  [302] = {.lex_state = 64},
  [303] = {.lex_state = 64},
  [304] = {.lex_state = 64},
  [305] = {.lex_state = 64},
  [306] = {.lex_state = 64},
  [307] = {.lex_state = 64},
  [308] = {.lex_state = 64},
  [309] = {.lex_state = 64},
  [310] = {.lex_state = 64},
  [311] = {.lex_state = 64},
  [312] = {.lex_state = 64},
  [313] = {.lex_state = 64},
  [314] = {.lex_state = 64},
  [315] = {.lex_state = 64},
  [316] = {.lex_state = 64},
  [317] = {.lex_state = 64},
  [318] = {.lex_state = 64},
  [319] = {.lex_state = 64},
  [320] = {.lex_state = 64},
  [321] = {.lex_state = 64},
  [322] = {.lex_state = 64},
  [323] = {.lex_state = 64},
  [324] = {.lex_state = 64},
  [325] = {.lex_state = 64},
  [326] = {.lex_state = 64},
  [327] = {.lex_state = 64},
  [328] = {.lex_state = 64},
  [329] = {.lex_state = 64},
  [330] = {.lex_state = 64},
  [331] = {.lex_state = 64},
  [332] = {.lex_state = 64},
  [333] = {.lex_state = 64},
  [334] = {.lex_state = 64},
  [335] = {.lex_state = 64},
  [336] = {.lex_state = 64},
  [337] = {.lex_state = 64},
  [338] = {.lex_state = 64},
  [339] = {.lex_state = 64},
  [340] = {.lex_state = 64},
  [341] = {.lex_state = 64},
  [342] = {.lex_state = 64},
  [343] = {.lex_state = 64},
  [344] = {.lex_state = 64},
  [345] = {.lex_state = 64},
  [346] = {.lex_state = 64},
  [347] = {.lex_state = 64},
  [348] = {.lex_state = 64},
  [349] = {.lex_state = 64},
  [350] = {.lex_state = 64},
  [351] = {.lex_state = 64},
  [352] = {.lex_state = 64},
  [353] = {.lex_state = 64},
  [354] = {.lex_state = 64},
  [355] = {.lex_state = 64},
  [356] = {.lex_state = 64},
  [357] = {.lex_state = 64},
  [358] = {.lex_state = 64},
  [359] = {.lex_state = 64},
  [360] = {.lex_state = 64},
  [361] = {.lex_state = 64},
  [362] = {.lex_state = 64},
  [363] = {.lex_state = 64},
  [364] = {.lex_state = 64},
  [365] = {.lex_state = 64},
  [366] = {.lex_state = 64},
  [367] = {.lex_state = 64},
  [368] = {.lex_state = 64},
  [369] = {.lex_state = 64},
  [370] = {.lex_state = 64},
  [371] = {.lex_state = 64},
  [372] = {.lex_state = 64},
  [373] = {.lex_state = 64},
  [374] = {.lex_state = 64},
  [375] = {.lex_state = 64},
  [376] = {.lex_state = 64},
  [377] = {.lex_state = 64},
  [378] = {.lex_state = 64},
  [379] = {.lex_state = 64},
  [380] = {.lex_state = 64},
  [381] = {.lex_state = 64},
  [382] = {.lex_state = 64},
  [383] = {.lex_state = 64},
  [384] = {.lex_state = 64},
  [385] = {.lex_state = 64},
  [386] = {.lex_state = 64},
  [387] = {.lex_state = 64},
  [388] = {.lex_state = 64},
  [389] = {.lex_state = 64},
  [390] = {.lex_state = 64},
  [391] = {.lex_state = 64},
  [392] = {.lex_state = 64},
  [393] = {.lex_state = 64},
  [394] = {.lex_state = 64},
  [395] = {.lex_state = 64},
  [396] = {.lex_state = 64},
  [397] = {.lex_state = 64},
  [398] = {.lex_state = 64},
  [399] = {.lex_state = 64},
  [400] = {.lex_state = 64},
  [401] = {.lex_state = 64},
  [402] = {.lex_state = 64},
  [403] = {.lex_state = 64},
  [404] = {.lex_state = 64},
  [405] = {.lex_state = 64},
  [406] = {.lex_state = 64},
  [407] = {.lex_state = 64},
  [408] = {.lex_state = 64},
  [409] = {.lex_state = 64},
  [410] = {.lex_state = 64},
  [411] = {.lex_state = 64},
  [412] = {.lex_state = 64},
  [413] = {.lex_state = 64},
  [414] = {.lex_state = 64},
  [415] = {.lex_state = 64},
  [416] = {.lex_state = 64},
  [417] = {.lex_state = 64},
  [418] = {.lex_state = 64},
  [419] = {.lex_state = 64},
  [420] = {.lex_state = 64},
  [421] = {.lex_state = 64},
  [422] = {.lex_state = 64},
  [423] = {.lex_state = 64},
  [424] = {.lex_state = 64},
  [425] = {.lex_state = 64},
  [426] = {.lex_state = 64},
  [427] = {.lex_state = 64},
  [428] = {.lex_state = 64},
  [429] = {.lex_state = 64},
  [430] = {.lex_state = 64},
  [431] = {.lex_state = 64},
  [432] = {.lex_state = 64},
  [433] = {.lex_state = 64},
  [434] = {.lex_state = 64},
  [435] = {.lex_state = 64},
  [436] = {.lex_state = 64},
  [437] = {.lex_state = 64},
  [438] = {.lex_state = 64},
  [439] = {.lex_state = 64},
  [440] = {.lex_state = 64},
  [441] = {.lex_state = 64},
  [442] = {.lex_state = 64},
  [443] = {.lex_state = 64},
  [444] = {.lex_state = 64},
  [445] = {.lex_state = 64},
  [446] = {.lex_state = 64},
  [447] = {.lex_state = 64},
  [448] = {.lex_state = 64},
  [449] = {.lex_state = 64},
  [450] = {.lex_state = 64},
  [451] = {.lex_state = 64},
  [452] = {.lex_state = 64},
  [453] = {.lex_state = 64},
  [454] = {.lex_state = 64},
  [455] = {.lex_state = 64},
  [456] = {.lex_state = 64},
  [457] = {.lex_state = 64},
  [458] = {.lex_state = 64},
  [459] = {.lex_state = 64},
  [460] = {.lex_state = 64},
  [461] = {.lex_state = 64},
  [462] = {.lex_state = 64},
  [463] = {.lex_state = 64},
  [464] = {.lex_state = 64},
  [465] = {.lex_state = 64},
  [466] = {.lex_state = 64},
  [467] = {.lex_state = 64},
  [468] = {.lex_state = 64},
  [469] = {.lex_state = 64},
  [470] = {.lex_state = 64},
  [471] = {.lex_state = 64},
  [472] = {.lex_state = 64},
  [473] = {.lex_state = 64},
  [474] = {.lex_state = 64},
  [475] = {.lex_state = 64},
  [476] = {.lex_state = 64},
  [477] = {.lex_state = 64},
  [478] = {.lex_state = 64},
  [479] = {.lex_state = 64},
  [480] = {.lex_state = 64},
  [481] = {.lex_state = 64},
  [482] = {.lex_state = 64},
  [483] = {.lex_state = 64},
  [484] = {.lex_state = 64},
  [485] = {.lex_state = 64},
  [486] = {.lex_state = 64},
  [487] = {.lex_state = 64},
  [488] = {.lex_state = 64},
  [489] = {.lex_state = 64},
  [490] = {.lex_state = 64},
  [491] = {.lex_state = 64},
  [492] = {.lex_state = 64},
  [493] = {.lex_state = 64},
  [494] = {.lex_state = 64},
  [495] = {.lex_state = 64},
  [496] = {.lex_state = 64},
  [497] = {.lex_state = 64},
  [498] = {.lex_state = 64},
  [499] = {.lex_state = 64},
  [500] = {.lex_state = 64},
  [501] = {.lex_state = 64},
  [502] = {.lex_state = 64},
  [503] = {.lex_state = 64},
  [504] = {.lex_state = 64},
  [505] = {.lex_state = 64},
  [506] = {.lex_state = 64},
  [507] = {.lex_state = 64},
  [508] = {.lex_state = 64},
  [509] = {.lex_state = 64},
  [510] = {.lex_state = 64},
  [511] = {.lex_state = 64},
  [512] = {.lex_state = 64},
  [513] = {.lex_state = 64},
  [514] = {.lex_state = 64},
  [515] = {.lex_state = 64},
  [516] = {.lex_state = 64},
  [517] = {.lex_state = 64},
  [518] = {.lex_state = 64},
  [519] = {.lex_state = 64},
  [520] = {.lex_state = 64},
  [521] = {.lex_state = 64},
  [522] = {.lex_state = 64},
  [523] = {.lex_state = 64},
  [524] = {.lex_state = 64},
  [525] = {.lex_state = 64},
  [526] = {.lex_state = 64},
  [527] = {.lex_state = 64},
  [528] = {.lex_state = 64},
  [529] = {.lex_state = 64},
  [530] = {.lex_state = 64},
  [531] = {.lex_state = 64},
  [532] = {.lex_state = 64},
  [533] = {.lex_state = 64},
  [534] = {.lex_state = 64},
  [535] = {.lex_state = 64},
  [536] = {.lex_state = 64},
  [537] = {.lex_state = 64},
  [538] = {.lex_state = 64},
  [539] = {.lex_state = 64},
  [540] = {.lex_state = 64},
  [541] = {.lex_state = 64},
  [542] = {.lex_state = 64},
  [543] = {.lex_state = 64},
  [544] = {.lex_state = 64},
  [545] = {.lex_state = 64},
  [546] = {.lex_state = 64},
  [547] = {.lex_state = 64},
  [548] = {.lex_state = 64},
  [549] = {.lex_state = 64},
  [550] = {.lex_state = 64},
  [551] = {.lex_state = 64},
  [552] = {.lex_state = 64},
  [553] = {.lex_state = 64},
  [554] = {.lex_state = 64},
  [555] = {.lex_state = 64},
  [556] = {.lex_state = 64},
  [557] = {.lex_state = 64},
  [558] = {.lex_state = 64},
  [559] = {.lex_state = 64},
  [560] = {.lex_state = 64},
  [561] = {.lex_state = 64},
  [562] = {.lex_state = 64},
  [563] = {.lex_state = 64},
  [564] = {.lex_state = 64},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 64},
  [570] = {.lex_state = 64},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 64},
  [573] = {.lex_state = 64},
  [574] = {.lex_state = 64},
  [575] = {.lex_state = 64},
  [576] = {.lex_state = 64},
  [577] = {.lex_state = 64},
  [578] = {.lex_state = 64},
  [579] = {.lex_state = 64},
  [580] = {.lex_state = 64},
  [581] = {.lex_state = 64},
  [582] = {.lex_state = 65},
  [583] = {.lex_state = 65},
  [584] = {.lex_state = 65},
  [585] = {.lex_state = 65},
  [586] = {.lex_state = 65},
  [587] = {.lex_state = 65},
  [588] = {.lex_state = 65},
  [589] = {.lex_state = 65},
  [590] = {.lex_state = 65},
  [591] = {.lex_state = 65},
  [592] = {.lex_state = 65},
  [593] = {.lex_state = 65},
  [594] = {.lex_state = 65},
  [595] = {.lex_state = 65},
  [596] = {.lex_state = 65},
  [597] = {.lex_state = 65},
  [598] = {.lex_state = 65},
  [599] = {.lex_state = 65},
  [600] = {.lex_state = 65},
  [601] = {.lex_state = 65},
  [602] = {.lex_state = 65},
  [603] = {.lex_state = 65},
  [604] = {.lex_state = 65},
  [605] = {.lex_state = 65},
  [606] = {.lex_state = 65},
  [607] = {.lex_state = 65},
  [608] = {.lex_state = 65},
  [609] = {.lex_state = 65},
  [610] = {.lex_state = 65},
  [611] = {.lex_state = 65},
  [612] = {.lex_state = 65},
  [613] = {.lex_state = 65},
  [614] = {.lex_state = 65, .external_lex_state = 2},
  [615] = {.lex_state = 65, .external_lex_state = 2},
  [616] = {.lex_state = 65, .external_lex_state = 2},
  [617] = {.lex_state = 65, .external_lex_state = 2},
  [618] = {.lex_state = 65, .external_lex_state = 2},
  [619] = {.lex_state = 65, .external_lex_state = 2},
  [620] = {.lex_state = 14},
  [621] = {.lex_state = 65, .external_lex_state = 2},
  [622] = {.lex_state = 65, .external_lex_state = 2},
  [623] = {.lex_state = 14},
  [624] = {.lex_state = 65, .external_lex_state = 2},
  [625] = {.lex_state = 65, .external_lex_state = 2},
  [626] = {.lex_state = 65, .external_lex_state = 2},
  [627] = {.lex_state = 65, .external_lex_state = 2},
  [628] = {.lex_state = 65},
  [629] = {.lex_state = 65, .external_lex_state = 2},
  [630] = {.lex_state = 14},
  [631] = {.lex_state = 65, .external_lex_state = 2},
  [632] = {.lex_state = 65, .external_lex_state = 2},
  [633] = {.lex_state = 65},
  [634] = {.lex_state = 65, .external_lex_state = 2},
  [635] = {.lex_state = 65, .external_lex_state = 2},
  [636] = {.lex_state = 65, .external_lex_state = 2},
  [637] = {.lex_state = 65, .external_lex_state = 2},
  [638] = {.lex_state = 65, .external_lex_state = 2},
  [639] = {.lex_state = 65, .external_lex_state = 2},
  [640] = {.lex_state = 65, .external_lex_state = 2},
  [641] = {.lex_state = 14},
  [642] = {.lex_state = 14},
  [643] = {.lex_state = 65},
  [644] = {.lex_state = 65},
  [645] = {.lex_state = 65, .external_lex_state = 2},
  [646] = {.lex_state = 65},
  [647] = {.lex_state = 65, .external_lex_state = 2},
  [648] = {.lex_state = 65, .external_lex_state = 2},
  [649] = {.lex_state = 65, .external_lex_state = 2},
  [650] = {.lex_state = 65, .external_lex_state = 2},
  [651] = {.lex_state = 65, .external_lex_state = 2},
  [652] = {.lex_state = 65, .external_lex_state = 2},
  [653] = {.lex_state = 65, .external_lex_state = 2},
  [654] = {.lex_state = 65, .external_lex_state = 2},
  [655] = {.lex_state = 65, .external_lex_state = 2},
  [656] = {.lex_state = 14},
  [657] = {.lex_state = 65},
  [658] = {.lex_state = 65, .external_lex_state = 2},
  [659] = {.lex_state = 65},
  [660] = {.lex_state = 65},
  [661] = {.lex_state = 65, .external_lex_state = 2},
  [662] = {.lex_state = 65},
  [663] = {.lex_state = 65},
  [664] = {.lex_state = 65},
  [665] = {.lex_state = 65},
  [666] = {.lex_state = 65},
  [667] = {.lex_state = 65},
  [668] = {.lex_state = 65},
  [669] = {.lex_state = 65},
  [670] = {.lex_state = 65},
  [671] = {.lex_state = 65},
  [672] = {.lex_state = 65},
  [673] = {.lex_state = 14},
  [674] = {.lex_state = 65},
  [675] = {.lex_state = 65},
  [676] = {.lex_state = 14},
  [677] = {.lex_state = 65},
  [678] = {.lex_state = 65},
  [679] = {.lex_state = 14},
  [680] = {.lex_state = 65},
  [681] = {.lex_state = 14},
  [682] = {.lex_state = 65},
  [683] = {.lex_state = 14},
  [684] = {.lex_state = 14},
  [685] = {.lex_state = 14},
  [686] = {.lex_state = 14},
  [687] = {.lex_state = 14},
  [688] = {.lex_state = 14},
  [689] = {.lex_state = 14},
  [690] = {.lex_state = 14},
  [691] = {.lex_state = 14},
  [692] = {.lex_state = 14},
  [693] = {.lex_state = 10},
  [694] = {.lex_state = 65},
  [695] = {.lex_state = 14},
  [696] = {.lex_state = 14},
  [697] = {.lex_state = 14},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 12},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 12},
  [706] = {.lex_state = 10},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 10},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 10},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 12, .external_lex_state = 2},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 10},
  [737] = {.lex_state = 10},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 10},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 10},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 10},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 16},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 12},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 12},
  [794] = {.lex_state = 16},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 16},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 12},
  [831] = {.lex_state = 12},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 16},
  [835] = {.lex_state = 12},
  [836] = {.lex_state = 8, .external_lex_state = 2},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 10, .external_lex_state = 2},
  [839] = {.lex_state = 16},
  [840] = {.lex_state = 16},
  [841] = {.lex_state = 8, .external_lex_state = 2},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 6},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 16},
  [846] = {.lex_state = 16},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 10, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 16},
  [866] = {.lex_state = 16},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 6},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 10, .external_lex_state = 2},
  [875] = {.lex_state = 10, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 10, .external_lex_state = 2},
  [881] = {.lex_state = 12},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 12},
  [885] = {.lex_state = 10, .external_lex_state = 2},
  [886] = {.lex_state = 12},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 10},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10, .external_lex_state = 2},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 12},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 12, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12, .external_lex_state = 2},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 12},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 12},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 12},
  [1000] = {.lex_state = 10},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 12},
  [1004] = {.lex_state = 12},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 18},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12},
  [1126] = {.lex_state = 12},
  [1127] = {.lex_state = 12},
  [1128] = {.lex_state = 12},
  [1129] = {.lex_state = 12},
  [1130] = {.lex_state = 12, .external_lex_state = 2},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12},
  [1136] = {.lex_state = 12},
  [1137] = {.lex_state = 12},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12, .external_lex_state = 2},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12, .external_lex_state = 2},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12, .external_lex_state = 2},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12, .external_lex_state = 2},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12, .external_lex_state = 2},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12, .external_lex_state = 2},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 16},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 16},
  [1211] = {.lex_state = 16},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 16},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 16},
  [1217] = {.lex_state = 16},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 16},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 12},
  [1228] = {.lex_state = 12},
  [1229] = {.lex_state = 17},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 16},
  [1285] = {.lex_state = 16},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 16},
  [1288] = {.lex_state = 16},
  [1289] = {.lex_state = 16},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 16},
  [1296] = {.lex_state = 16},
  [1297] = {.lex_state = 16},
  [1298] = {.lex_state = 16},
  [1299] = {.lex_state = 16},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 65},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 65},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 65},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 65},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 16},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 16},
  [1323] = {.lex_state = 65},
  [1324] = {.lex_state = 65},
  [1325] = {.lex_state = 16},
  [1326] = {.lex_state = 16},
  [1327] = {.lex_state = 16},
  [1328] = {.lex_state = 65},
  [1329] = {.lex_state = 65},
  [1330] = {.lex_state = 65},
  [1331] = {.lex_state = 65},
  [1332] = {.lex_state = 65},
  [1333] = {.lex_state = 65},
  [1334] = {.lex_state = 15},
  [1335] = {.lex_state = 65},
  [1336] = {.lex_state = 65},
  [1337] = {.lex_state = 65},
  [1338] = {.lex_state = 65},
  [1339] = {.lex_state = 65},
  [1340] = {.lex_state = 65},
  [1341] = {.lex_state = 65},
  [1342] = {.lex_state = 65},
  [1343] = {.lex_state = 65},
  [1344] = {.lex_state = 3, .external_lex_state = 3},
  [1345] = {.lex_state = 65},
  [1346] = {.lex_state = 3, .external_lex_state = 3},
  [1347] = {.lex_state = 65},
  [1348] = {.lex_state = 65},
  [1349] = {.lex_state = 14},
  [1350] = {.lex_state = 3, .external_lex_state = 3},
  [1351] = {.lex_state = 3, .external_lex_state = 3},
  [1352] = {.lex_state = 3, .external_lex_state = 3},
  [1353] = {.lex_state = 3, .external_lex_state = 4},
  [1354] = {.lex_state = 16},
  [1355] = {.lex_state = 16},
  [1356] = {.lex_state = 8, .external_lex_state = 5},
  [1357] = {.lex_state = 16},
  [1358] = {.lex_state = 8, .external_lex_state = 6},
  [1359] = {.lex_state = 16},
  [1360] = {.lex_state = 8, .external_lex_state = 5},
  [1361] = {.lex_state = 8, .external_lex_state = 6},
  [1362] = {.lex_state = 65},
  [1363] = {.lex_state = 65},
  [1364] = {.lex_state = 16},
  [1365] = {.lex_state = 8, .external_lex_state = 5},
  [1366] = {.lex_state = 8, .external_lex_state = 6},
  [1367] = {.lex_state = 16},
  [1368] = {.lex_state = 16},
  [1369] = {.lex_state = 16},
  [1370] = {.lex_state = 16},
  [1371] = {.lex_state = 8, .external_lex_state = 5},
  [1372] = {.lex_state = 16},
  [1373] = {.lex_state = 8, .external_lex_state = 6},
  [1374] = {.lex_state = 8, .external_lex_state = 5},
  [1375] = {.lex_state = 16},
  [1376] = {.lex_state = 8, .external_lex_state = 6},
  [1377] = {.lex_state = 16},
  [1378] = {.lex_state = 16},
  [1379] = {.lex_state = 18},
  [1380] = {.lex_state = 16},
  [1381] = {.lex_state = 8, .external_lex_state = 4},
  [1382] = {.lex_state = 65},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 16},
  [1385] = {.lex_state = 16},
  [1386] = {.lex_state = 16},
  [1387] = {.lex_state = 16},
  [1388] = {.lex_state = 16},
  [1389] = {.lex_state = 65},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 16},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 65},
  [1394] = {.lex_state = 16},
  [1395] = {.lex_state = 65},
  [1396] = {.lex_state = 16},
  [1397] = {.lex_state = 16},
  [1398] = {.lex_state = 16},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 16},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 16},
  [1403] = {.lex_state = 16},
  [1404] = {.lex_state = 65},
  [1405] = {.lex_state = 65},
  [1406] = {.lex_state = 16},
  [1407] = {.lex_state = 16},
  [1408] = {.lex_state = 65},
  [1409] = {.lex_state = 65},
  [1410] = {.lex_state = 65},
  [1411] = {.lex_state = 65},
  [1412] = {.lex_state = 65},
  [1413] = {.lex_state = 65},
  [1414] = {.lex_state = 65},
  [1415] = {.lex_state = 65},
  [1416] = {.lex_state = 16},
  [1417] = {.lex_state = 65},
  [1418] = {.lex_state = 65},
  [1419] = {.lex_state = 65},
  [1420] = {.lex_state = 65},
  [1421] = {.lex_state = 65},
  [1422] = {.lex_state = 65},
  [1423] = {.lex_state = 65},
  [1424] = {.lex_state = 65},
  [1425] = {.lex_state = 65},
  [1426] = {.lex_state = 16},
  [1427] = {.lex_state = 65},
  [1428] = {.lex_state = 65},
  [1429] = {.lex_state = 65},
  [1430] = {.lex_state = 65},
  [1431] = {.lex_state = 65},
  [1432] = {.lex_state = 65},
  [1433] = {.lex_state = 65},
  [1434] = {.lex_state = 65},
  [1435] = {.lex_state = 65},
  [1436] = {.lex_state = 65},
  [1437] = {.lex_state = 65},
  [1438] = {.lex_state = 65},
  [1439] = {.lex_state = 65},
  [1440] = {.lex_state = 65},
  [1441] = {.lex_state = 18},
  [1442] = {.lex_state = 18},
  [1443] = {.lex_state = 18},
  [1444] = {.lex_state = 65},
  [1445] = {.lex_state = 14},
  [1446] = {.lex_state = 65},
  [1447] = {.lex_state = 65},
  [1448] = {.lex_state = 65},
  [1449] = {.lex_state = 14},
  [1450] = {.lex_state = 18},
  [1451] = {.lex_state = 65},
  [1452] = {.lex_state = 65},
  [1453] = {.lex_state = 65},
  [1454] = {.lex_state = 65},
  [1455] = {.lex_state = 65},
  [1456] = {.lex_state = 65},
  [1457] = {.lex_state = 65},
  [1458] = {.lex_state = 65},
  [1459] = {.lex_state = 65},
  [1460] = {.lex_state = 65},
  [1461] = {.lex_state = 65},
  [1462] = {.lex_state = 3, .external_lex_state = 7},
  [1463] = {.lex_state = 18},
  [1464] = {.lex_state = 65},
  [1465] = {.lex_state = 65},
  [1466] = {.lex_state = 18},
  [1467] = {.lex_state = 65},
  [1468] = {.lex_state = 3, .external_lex_state = 7},
  [1469] = {.lex_state = 65},
  [1470] = {.lex_state = 65},
  [1471] = {.lex_state = 18},
  [1472] = {.lex_state = 18},
  [1473] = {.lex_state = 65},
  [1474] = {.lex_state = 65},
  [1475] = {.lex_state = 65},
  [1476] = {.lex_state = 65, .external_lex_state = 2},
  [1477] = {.lex_state = 65},
  [1478] = {.lex_state = 8, .external_lex_state = 8},
  [1479] = {.lex_state = 8, .external_lex_state = 9},
  [1480] = {.lex_state = 65, .external_lex_state = 2},
  [1481] = {.lex_state = 65, .external_lex_state = 2},
  [1482] = {.lex_state = 65, .external_lex_state = 2},
  [1483] = {.lex_state = 65},
  [1484] = {.lex_state = 18},
  [1485] = {.lex_state = 65, .external_lex_state = 2},
  [1486] = {.lex_state = 65, .external_lex_state = 2},
  [1487] = {.lex_state = 65, .external_lex_state = 2},
  [1488] = {.lex_state = 65, .external_lex_state = 2},
  [1489] = {.lex_state = 8, .external_lex_state = 9},
  [1490] = {.lex_state = 8, .external_lex_state = 8},
  [1491] = {.lex_state = 65},
  [1492] = {.lex_state = 65},
  [1493] = {.lex_state = 65},
  [1494] = {.lex_state = 65},
  [1495] = {.lex_state = 65},
  [1496] = {.lex_state = 65},
  [1497] = {.lex_state = 65},
  [1498] = {.lex_state = 65},
  [1499] = {.lex_state = 65},
  [1500] = {.lex_state = 65},
  [1501] = {.lex_state = 65},
  [1502] = {.lex_state = 65, .external_lex_state = 2},
  [1503] = {.lex_state = 65},
  [1504] = {.lex_state = 65},
  [1505] = {.lex_state = 65},
  [1506] = {.lex_state = 65},
  [1507] = {.lex_state = 65},
  [1508] = {.lex_state = 65},
  [1509] = {.lex_state = 65},
  [1510] = {.lex_state = 65, .external_lex_state = 2},
  [1511] = {.lex_state = 3, .external_lex_state = 3},
  [1512] = {.lex_state = 65, .external_lex_state = 2},
  [1513] = {.lex_state = 65},
  [1514] = {.lex_state = 65, .external_lex_state = 2},
  [1515] = {.lex_state = 65},
  [1516] = {.lex_state = 3, .external_lex_state = 3},
  [1517] = {.lex_state = 10},
  [1518] = {.lex_state = 3, .external_lex_state = 3},
  [1519] = {.lex_state = 3, .external_lex_state = 3},
  [1520] = {.lex_state = 65},
  [1521] = {.lex_state = 65},
  [1522] = {.lex_state = 65, .external_lex_state = 2},
  [1523] = {.lex_state = 65, .external_lex_state = 2},
  [1524] = {.lex_state = 65},
  [1525] = {.lex_state = 3, .external_lex_state = 3},
  [1526] = {.lex_state = 65, .external_lex_state = 2},
  [1527] = {.lex_state = 65},
  [1528] = {.lex_state = 18},
  [1529] = {.lex_state = 65, .external_lex_state = 2},
  [1530] = {.lex_state = 3, .external_lex_state = 3},
  [1531] = {.lex_state = 65},
  [1532] = {.lex_state = 65, .external_lex_state = 2},
  [1533] = {.lex_state = 65},
  [1534] = {.lex_state = 65, .external_lex_state = 2},
  [1535] = {.lex_state = 65, .external_lex_state = 2},
  [1536] = {.lex_state = 65},
  [1537] = {.lex_state = 65, .external_lex_state = 2},
  [1538] = {.lex_state = 3, .external_lex_state = 3},
  [1539] = {.lex_state = 14},
  [1540] = {.lex_state = 65},
  [1541] = {.lex_state = 65},
  [1542] = {.lex_state = 65},
  [1543] = {.lex_state = 65, .external_lex_state = 2},
  [1544] = {.lex_state = 65, .external_lex_state = 2},
  [1545] = {.lex_state = 65, .external_lex_state = 2},
  [1546] = {.lex_state = 65, .external_lex_state = 2},
  [1547] = {.lex_state = 65, .external_lex_state = 2},
  [1548] = {.lex_state = 65, .external_lex_state = 2},
  [1549] = {.lex_state = 65},
  [1550] = {.lex_state = 65, .external_lex_state = 2},
  [1551] = {.lex_state = 65},
  [1552] = {.lex_state = 65},
  [1553] = {.lex_state = 3, .external_lex_state = 3},
  [1554] = {.lex_state = 65},
  [1555] = {.lex_state = 65},
  [1556] = {.lex_state = 65},
  [1557] = {.lex_state = 65, .external_lex_state = 2},
  [1558] = {.lex_state = 65},
  [1559] = {.lex_state = 65},
  [1560] = {.lex_state = 10},
  [1561] = {.lex_state = 10},
  [1562] = {.lex_state = 65},
  [1563] = {.lex_state = 65},
  [1564] = {.lex_state = 8, .external_lex_state = 6},
  [1565] = {.lex_state = 8, .external_lex_state = 6},
  [1566] = {.lex_state = 8, .external_lex_state = 5},
  [1567] = {.lex_state = 8, .external_lex_state = 5},
  [1568] = {.lex_state = 8, .external_lex_state = 6},
  [1569] = {.lex_state = 65},
  [1570] = {.lex_state = 14},
  [1571] = {.lex_state = 65},
  [1572] = {.lex_state = 65},
  [1573] = {.lex_state = 65},
  [1574] = {.lex_state = 65},
  [1575] = {.lex_state = 65},
  [1576] = {.lex_state = 8, .external_lex_state = 5},
  [1577] = {.lex_state = 65},
  [1578] = {.lex_state = 8, .external_lex_state = 5},
  [1579] = {.lex_state = 8, .external_lex_state = 6},
  [1580] = {.lex_state = 8, .external_lex_state = 6},
  [1581] = {.lex_state = 65},
  [1582] = {.lex_state = 20},
  [1583] = {.lex_state = 8, .external_lex_state = 5},
  [1584] = {.lex_state = 8, .external_lex_state = 6},
  [1585] = {.lex_state = 65},
  [1586] = {.lex_state = 65},
  [1587] = {.lex_state = 20},
  [1588] = {.lex_state = 65},
  [1589] = {.lex_state = 65},
  [1590] = {.lex_state = 65},
  [1591] = {.lex_state = 8, .external_lex_state = 5},
  [1592] = {.lex_state = 8, .external_lex_state = 6},
  [1593] = {.lex_state = 65},
  [1594] = {.lex_state = 20},
  [1595] = {.lex_state = 65},
  [1596] = {.lex_state = 65},
  [1597] = {.lex_state = 65},
  [1598] = {.lex_state = 65},
  [1599] = {.lex_state = 65},
  [1600] = {.lex_state = 65},
  [1601] = {.lex_state = 65},
  [1602] = {.lex_state = 65},
  [1603] = {.lex_state = 65},
  [1604] = {.lex_state = 65},
  [1605] = {.lex_state = 65},
  [1606] = {.lex_state = 20},
  [1607] = {.lex_state = 65},
  [1608] = {.lex_state = 65},
  [1609] = {.lex_state = 65},
  [1610] = {.lex_state = 65},
  [1611] = {.lex_state = 65},
  [1612] = {.lex_state = 65},
  [1613] = {.lex_state = 65},
  [1614] = {.lex_state = 65},
  [1615] = {.lex_state = 65},
  [1616] = {.lex_state = 65},
  [1617] = {.lex_state = 65},
  [1618] = {.lex_state = 65},
  [1619] = {.lex_state = 65},
  [1620] = {.lex_state = 65},
  [1621] = {.lex_state = 65},
  [1622] = {.lex_state = 65},
  [1623] = {.lex_state = 65},
  [1624] = {.lex_state = 65},
  [1625] = {.lex_state = 65},
  [1626] = {.lex_state = 65},
  [1627] = {.lex_state = 65},
  [1628] = {.lex_state = 65},
  [1629] = {.lex_state = 65},
  [1630] = {.lex_state = 65},
  [1631] = {.lex_state = 65},
  [1632] = {.lex_state = 65},
  [1633] = {.lex_state = 65},
  [1634] = {.lex_state = 65},
  [1635] = {.lex_state = 8, .external_lex_state = 5},
  [1636] = {.lex_state = 20},
  [1637] = {.lex_state = 65},
  [1638] = {.lex_state = 65},
  [1639] = {.lex_state = 8, .external_lex_state = 6},
  [1640] = {.lex_state = 65},
  [1641] = {.lex_state = 65},
  [1642] = {.lex_state = 8, .external_lex_state = 5},
  [1643] = {.lex_state = 65},
  [1644] = {.lex_state = 65},
  [1645] = {.lex_state = 65, .external_lex_state = 2},
  [1646] = {.lex_state = 65},
  [1647] = {.lex_state = 65, .external_lex_state = 2},
  [1648] = {.lex_state = 65, .external_lex_state = 2},
  [1649] = {.lex_state = 65},
  [1650] = {.lex_state = 16},
  [1651] = {.lex_state = 65, .external_lex_state = 2},
  [1652] = {.lex_state = 65},
  [1653] = {.lex_state = 16},
  [1654] = {.lex_state = 65},
  [1655] = {.lex_state = 65, .external_lex_state = 2},
  [1656] = {.lex_state = 65, .external_lex_state = 2},
  [1657] = {.lex_state = 65, .external_lex_state = 2},
  [1658] = {.lex_state = 65, .external_lex_state = 2},
  [1659] = {.lex_state = 65, .external_lex_state = 2},
  [1660] = {.lex_state = 65, .external_lex_state = 2},
  [1661] = {.lex_state = 65, .external_lex_state = 2},
  [1662] = {.lex_state = 65},
  [1663] = {.lex_state = 65},
  [1664] = {.lex_state = 65, .external_lex_state = 2},
  [1665] = {.lex_state = 65, .external_lex_state = 2},
  [1666] = {.lex_state = 14},
  [1667] = {.lex_state = 65},
  [1668] = {.lex_state = 65},
  [1669] = {.lex_state = 65},
  [1670] = {.lex_state = 65},
  [1671] = {.lex_state = 65, .external_lex_state = 2},
  [1672] = {.lex_state = 65, .external_lex_state = 2},
  [1673] = {.lex_state = 65},
  [1674] = {.lex_state = 65},
  [1675] = {.lex_state = 65},
  [1676] = {.lex_state = 65},
  [1677] = {.lex_state = 65},
  [1678] = {.lex_state = 16},
  [1679] = {.lex_state = 16},
  [1680] = {.lex_state = 65},
  [1681] = {.lex_state = 65, .external_lex_state = 2},
  [1682] = {.lex_state = 65, .external_lex_state = 2},
  [1683] = {.lex_state = 16},
  [1684] = {.lex_state = 65, .external_lex_state = 2},
  [1685] = {.lex_state = 16},
  [1686] = {.lex_state = 65},
  [1687] = {.lex_state = 65, .external_lex_state = 2},
  [1688] = {.lex_state = 16},
  [1689] = {.lex_state = 65},
  [1690] = {.lex_state = 65},
  [1691] = {.lex_state = 65},
  [1692] = {.lex_state = 16},
  [1693] = {.lex_state = 65, .external_lex_state = 2},
  [1694] = {.lex_state = 65},
  [1695] = {.lex_state = 65, .external_lex_state = 2},
  [1696] = {.lex_state = 65, .external_lex_state = 2},
  [1697] = {.lex_state = 65, .external_lex_state = 2},
  [1698] = {.lex_state = 65, .external_lex_state = 2},
  [1699] = {.lex_state = 65},
  [1700] = {.lex_state = 65},
  [1701] = {.lex_state = 65, .external_lex_state = 2},
  [1702] = {.lex_state = 65},
  [1703] = {.lex_state = 65, .external_lex_state = 2},
  [1704] = {.lex_state = 65, .external_lex_state = 2},
  [1705] = {.lex_state = 65, .external_lex_state = 2},
  [1706] = {.lex_state = 65, .external_lex_state = 2},
  [1707] = {.lex_state = 65, .external_lex_state = 2},
  [1708] = {.lex_state = 65, .external_lex_state = 2},
  [1709] = {.lex_state = 65},
  [1710] = {.lex_state = 65, .external_lex_state = 2},
  [1711] = {.lex_state = 65, .external_lex_state = 2},
  [1712] = {.lex_state = 65, .external_lex_state = 2},
  [1713] = {.lex_state = 65},
  [1714] = {.lex_state = 14},
  [1715] = {.lex_state = 65, .external_lex_state = 2},
  [1716] = {.lex_state = 65, .external_lex_state = 2},
  [1717] = {.lex_state = 16},
  [1718] = {.lex_state = 65},
  [1719] = {.lex_state = 65, .external_lex_state = 2},
  [1720] = {.lex_state = 65, .external_lex_state = 2},
  [1721] = {.lex_state = 16},
  [1722] = {.lex_state = 14},
  [1723] = {.lex_state = 14},
  [1724] = {.lex_state = 14},
  [1725] = {.lex_state = 65, .external_lex_state = 2},
  [1726] = {.lex_state = 65},
  [1727] = {.lex_state = 65},
  [1728] = {.lex_state = 65},
  [1729] = {.lex_state = 65},
  [1730] = {.lex_state = 65, .external_lex_state = 2},
  [1731] = {.lex_state = 65, .external_lex_state = 2},
  [1732] = {.lex_state = 65},
  [1733] = {.lex_state = 16},
  [1734] = {.lex_state = 65, .external_lex_state = 2},
  [1735] = {.lex_state = 16},
  [1736] = {.lex_state = 16},
  [1737] = {.lex_state = 16},
  [1738] = {.lex_state = 65},
  [1739] = {.lex_state = 65},
  [1740] = {.lex_state = 65, .external_lex_state = 2},
  [1741] = {.lex_state = 16},
  [1742] = {.lex_state = 65},
  [1743] = {.lex_state = 65, .external_lex_state = 2},
  [1744] = {.lex_state = 65, .external_lex_state = 2},
  [1745] = {.lex_state = 65, .external_lex_state = 2},
  [1746] = {.lex_state = 65},
  [1747] = {.lex_state = 65},
  [1748] = {.lex_state = 65, .external_lex_state = 2},
  [1749] = {.lex_state = 65, .external_lex_state = 2},
  [1750] = {.lex_state = 65},
  [1751] = {.lex_state = 65, .external_lex_state = 2},
  [1752] = {.lex_state = 14},
  [1753] = {.lex_state = 14},
  [1754] = {.lex_state = 65, .external_lex_state = 2},
  [1755] = {.lex_state = 14},
  [1756] = {.lex_state = 65, .external_lex_state = 2},
  [1757] = {.lex_state = 16},
  [1758] = {.lex_state = 16},
  [1759] = {.lex_state = 65, .external_lex_state = 2},
  [1760] = {.lex_state = 16},
  [1761] = {.lex_state = 16},
  [1762] = {.lex_state = 16},
  [1763] = {.lex_state = 65, .external_lex_state = 2},
  [1764] = {.lex_state = 65, .external_lex_state = 2},
  [1765] = {.lex_state = 65, .external_lex_state = 2},
  [1766] = {.lex_state = 65, .external_lex_state = 2},
  [1767] = {.lex_state = 65, .external_lex_state = 2},
  [1768] = {.lex_state = 65},
  [1769] = {.lex_state = 65, .external_lex_state = 2},
  [1770] = {.lex_state = 65, .external_lex_state = 2},
  [1771] = {.lex_state = 65},
  [1772] = {.lex_state = 65},
  [1773] = {.lex_state = 14},
  [1774] = {.lex_state = 65},
  [1775] = {.lex_state = 65},
  [1776] = {.lex_state = 65},
  [1777] = {.lex_state = 3, .external_lex_state = 10},
  [1778] = {.lex_state = 65},
  [1779] = {.lex_state = 65},
  [1780] = {.lex_state = 65},
  [1781] = {.lex_state = 65},
  [1782] = {.lex_state = 65},
  [1783] = {.lex_state = 65},
  [1784] = {.lex_state = 65},
  [1785] = {.lex_state = 65},
  [1786] = {.lex_state = 14},
  [1787] = {.lex_state = 65},
  [1788] = {.lex_state = 65},
  [1789] = {.lex_state = 65},
  [1790] = {.lex_state = 65, .external_lex_state = 2},
  [1791] = {.lex_state = 65, .external_lex_state = 2},
  [1792] = {.lex_state = 65},
  [1793] = {.lex_state = 65},
  [1794] = {.lex_state = 65},
  [1795] = {.lex_state = 65},
  [1796] = {.lex_state = 65},
  [1797] = {.lex_state = 65, .external_lex_state = 2},
  [1798] = {.lex_state = 65},
  [1799] = {.lex_state = 65},
  [1800] = {.lex_state = 65},
  [1801] = {.lex_state = 65},
  [1802] = {.lex_state = 65},
  [1803] = {.lex_state = 65},
  [1804] = {.lex_state = 65},
  [1805] = {.lex_state = 65},
  [1806] = {.lex_state = 65, .external_lex_state = 2},
  [1807] = {.lex_state = 65},
  [1808] = {.lex_state = 3, .external_lex_state = 11},
  [1809] = {.lex_state = 65, .external_lex_state = 2},
  [1810] = {.lex_state = 65, .external_lex_state = 2},
  [1811] = {.lex_state = 65},
  [1812] = {.lex_state = 65},
  [1813] = {.lex_state = 20},
  [1814] = {.lex_state = 3, .external_lex_state = 10},
  [1815] = {.lex_state = 65},
  [1816] = {.lex_state = 65},
  [1817] = {.lex_state = 65},
  [1818] = {.lex_state = 65},
  [1819] = {.lex_state = 65},
  [1820] = {.lex_state = 65},
  [1821] = {.lex_state = 65},
  [1822] = {.lex_state = 17, .external_lex_state = 2},
  [1823] = {.lex_state = 65},
  [1824] = {.lex_state = 65},
  [1825] = {.lex_state = 65},
  [1826] = {.lex_state = 65},
  [1827] = {.lex_state = 65, .external_lex_state = 2},
  [1828] = {.lex_state = 65},
  [1829] = {.lex_state = 65},
  [1830] = {.lex_state = 65},
  [1831] = {.lex_state = 65},
  [1832] = {.lex_state = 65},
  [1833] = {.lex_state = 65, .external_lex_state = 2},
  [1834] = {.lex_state = 65},
  [1835] = {.lex_state = 65},
  [1836] = {.lex_state = 65},
  [1837] = {.lex_state = 65},
  [1838] = {.lex_state = 65},
  [1839] = {.lex_state = 65},
  [1840] = {.lex_state = 65},
  [1841] = {.lex_state = 3, .external_lex_state = 10},
  [1842] = {.lex_state = 65},
  [1843] = {.lex_state = 65},
  [1844] = {.lex_state = 65},
  [1845] = {.lex_state = 65},
  [1846] = {.lex_state = 3, .external_lex_state = 11},
  [1847] = {.lex_state = 65, .external_lex_state = 2},
  [1848] = {.lex_state = 65, .external_lex_state = 2},
  [1849] = {.lex_state = 65},
  [1850] = {.lex_state = 65, .external_lex_state = 2},
  [1851] = {.lex_state = 65},
  [1852] = {.lex_state = 65, .external_lex_state = 2},
  [1853] = {.lex_state = 65},
  [1854] = {.lex_state = 65},
  [1855] = {.lex_state = 65, .external_lex_state = 2},
  [1856] = {.lex_state = 65},
  [1857] = {.lex_state = 65},
  [1858] = {.lex_state = 14},
  [1859] = {.lex_state = 65, .external_lex_state = 2},
  [1860] = {.lex_state = 65, .external_lex_state = 2},
  [1861] = {.lex_state = 65},
  [1862] = {.lex_state = 65},
  [1863] = {.lex_state = 65},
  [1864] = {.lex_state = 65},
  [1865] = {.lex_state = 65, .external_lex_state = 2},
  [1866] = {.lex_state = 65, .external_lex_state = 2},
  [1867] = {.lex_state = 65},
  [1868] = {.lex_state = 65},
  [1869] = {.lex_state = 20},
  [1870] = {.lex_state = 65},
  [1871] = {.lex_state = 65},
  [1872] = {.lex_state = 3, .external_lex_state = 10},
  [1873] = {.lex_state = 65},
  [1874] = {.lex_state = 65, .external_lex_state = 2},
  [1875] = {.lex_state = 65, .external_lex_state = 2},
  [1876] = {.lex_state = 65},
  [1877] = {.lex_state = 65, .external_lex_state = 2},
  [1878] = {.lex_state = 65, .external_lex_state = 2},
  [1879] = {.lex_state = 65},
  [1880] = {.lex_state = 65},
  [1881] = {.lex_state = 65},
  [1882] = {.lex_state = 65},
  [1883] = {.lex_state = 65},
  [1884] = {.lex_state = 65},
  [1885] = {.lex_state = 65, .external_lex_state = 2},
  [1886] = {.lex_state = 65, .external_lex_state = 2},
  [1887] = {.lex_state = 65, .external_lex_state = 2},
  [1888] = {.lex_state = 65, .external_lex_state = 2},
  [1889] = {.lex_state = 65},
  [1890] = {.lex_state = 65, .external_lex_state = 2},
  [1891] = {.lex_state = 14},
  [1892] = {.lex_state = 65, .external_lex_state = 2},
  [1893] = {.lex_state = 65},
  [1894] = {.lex_state = 65, .external_lex_state = 2},
  [1895] = {.lex_state = 65},
  [1896] = {.lex_state = 65, .external_lex_state = 2},
  [1897] = {.lex_state = 65, .external_lex_state = 2},
  [1898] = {.lex_state = 65},
  [1899] = {.lex_state = 65, .external_lex_state = 2},
  [1900] = {.lex_state = 65},
  [1901] = {.lex_state = 65},
  [1902] = {.lex_state = 65},
  [1903] = {.lex_state = 65},
  [1904] = {.lex_state = 65},
  [1905] = {.lex_state = 65},
  [1906] = {.lex_state = 65},
  [1907] = {.lex_state = 65},
  [1908] = {.lex_state = 65},
  [1909] = {.lex_state = 65},
  [1910] = {.lex_state = 65},
  [1911] = {.lex_state = 65, .external_lex_state = 2},
  [1912] = {.lex_state = 65},
  [1913] = {.lex_state = 65, .external_lex_state = 2},
  [1914] = {.lex_state = 65, .external_lex_state = 2},
  [1915] = {.lex_state = 65, .external_lex_state = 12},
  [1916] = {.lex_state = 65, .external_lex_state = 2},
  [1917] = {.lex_state = 65},
  [1918] = {.lex_state = 65, .external_lex_state = 2},
  [1919] = {.lex_state = 65, .external_lex_state = 2},
  [1920] = {.lex_state = 65, .external_lex_state = 2},
  [1921] = {.lex_state = 65, .external_lex_state = 2},
  [1922] = {.lex_state = 65},
  [1923] = {.lex_state = 65},
  [1924] = {.lex_state = 65},
  [1925] = {.lex_state = 65},
  [1926] = {.lex_state = 65, .external_lex_state = 2},
  [1927] = {.lex_state = 65, .external_lex_state = 2},
  [1928] = {.lex_state = 65, .external_lex_state = 2},
  [1929] = {.lex_state = 65},
  [1930] = {.lex_state = 65},
  [1931] = {.lex_state = 65},
  [1932] = {.lex_state = 65},
  [1933] = {.lex_state = 65},
  [1934] = {.lex_state = 65},
  [1935] = {.lex_state = 65, .external_lex_state = 2},
  [1936] = {.lex_state = 65},
  [1937] = {.lex_state = 65},
  [1938] = {.lex_state = 65},
  [1939] = {.lex_state = 65},
  [1940] = {.lex_state = 65},
  [1941] = {.lex_state = 65},
  [1942] = {.lex_state = 65},
  [1943] = {.lex_state = 65},
  [1944] = {.lex_state = 65},
  [1945] = {.lex_state = 65},
  [1946] = {.lex_state = 65},
  [1947] = {.lex_state = 65},
  [1948] = {.lex_state = 3, .external_lex_state = 10},
  [1949] = {.lex_state = 65},
  [1950] = {.lex_state = 65},
  [1951] = {.lex_state = 65},
  [1952] = {.lex_state = 65},
  [1953] = {.lex_state = 65},
  [1954] = {.lex_state = 65},
  [1955] = {.lex_state = 65, .external_lex_state = 2},
  [1956] = {.lex_state = 65, .external_lex_state = 2},
  [1957] = {.lex_state = 65},
  [1958] = {.lex_state = 65},
  [1959] = {.lex_state = 65},
  [1960] = {.lex_state = 65},
  [1961] = {.lex_state = 65},
  [1962] = {.lex_state = 65},
  [1963] = {.lex_state = 65},
  [1964] = {.lex_state = 65},
  [1965] = {.lex_state = 65},
  [1966] = {.lex_state = 65},
  [1967] = {.lex_state = 65},
  [1968] = {.lex_state = 65},
  [1969] = {.lex_state = 65},
  [1970] = {.lex_state = 3, .external_lex_state = 10},
  [1971] = {.lex_state = 3, .external_lex_state = 10},
  [1972] = {.lex_state = 65},
  [1973] = {.lex_state = 65},
  [1974] = {.lex_state = 65},
  [1975] = {.lex_state = 65},
  [1976] = {.lex_state = 65},
  [1977] = {.lex_state = 65},
  [1978] = {.lex_state = 65},
  [1979] = {.lex_state = 65},
  [1980] = {.lex_state = 65},
  [1981] = {.lex_state = 65},
  [1982] = {.lex_state = 65},
  [1983] = {.lex_state = 65},
  [1984] = {.lex_state = 65},
  [1985] = {.lex_state = 65, .external_lex_state = 2},
  [1986] = {.lex_state = 65, .external_lex_state = 2},
  [1987] = {.lex_state = 65},
  [1988] = {.lex_state = 65},
  [1989] = {.lex_state = 65},
  [1990] = {.lex_state = 65, .external_lex_state = 2},
  [1991] = {.lex_state = 65, .external_lex_state = 2},
  [1992] = {.lex_state = 65, .external_lex_state = 2},
  [1993] = {.lex_state = 65, .external_lex_state = 2},
  [1994] = {.lex_state = 65},
  [1995] = {.lex_state = 65},
  [1996] = {.lex_state = 65, .external_lex_state = 2},
  [1997] = {.lex_state = 65},
  [1998] = {.lex_state = 65},
  [1999] = {.lex_state = 65, .external_lex_state = 2},
  [2000] = {.lex_state = 65},
  [2001] = {.lex_state = 65},
  [2002] = {.lex_state = 65},
  [2003] = {.lex_state = 65},
  [2004] = {.lex_state = 65},
  [2005] = {.lex_state = 65},
  [2006] = {.lex_state = 65, .external_lex_state = 2},
  [2007] = {.lex_state = 65, .external_lex_state = 2},
  [2008] = {.lex_state = 65, .external_lex_state = 2},
  [2009] = {.lex_state = 65},
  [2010] = {.lex_state = 65},
  [2011] = {.lex_state = 65},
  [2012] = {.lex_state = 65},
  [2013] = {.lex_state = 65},
  [2014] = {.lex_state = 65},
  [2015] = {.lex_state = 65, .external_lex_state = 2},
  [2016] = {.lex_state = 65},
  [2017] = {.lex_state = 65, .external_lex_state = 2},
  [2018] = {.lex_state = 65, .external_lex_state = 2},
  [2019] = {.lex_state = 65},
  [2020] = {.lex_state = 65},
  [2021] = {.lex_state = 65},
  [2022] = {.lex_state = 65, .external_lex_state = 2},
  [2023] = {.lex_state = 65},
  [2024] = {.lex_state = 65},
  [2025] = {.lex_state = 65},
  [2026] = {.lex_state = 65},
  [2027] = {.lex_state = 65, .external_lex_state = 2},
  [2028] = {.lex_state = 65},
  [2029] = {.lex_state = 65, .external_lex_state = 2},
  [2030] = {.lex_state = 65, .external_lex_state = 2},
  [2031] = {.lex_state = 65},
  [2032] = {.lex_state = 65},
  [2033] = {.lex_state = 65},
  [2034] = {.lex_state = 65},
  [2035] = {.lex_state = 65, .external_lex_state = 2},
  [2036] = {.lex_state = 65},
  [2037] = {.lex_state = 65},
  [2038] = {.lex_state = 65, .external_lex_state = 2},
  [2039] = {.lex_state = 65},
  [2040] = {.lex_state = 65, .external_lex_state = 2},
  [2041] = {.lex_state = 65},
  [2042] = {.lex_state = 65},
  [2043] = {.lex_state = 65},
  [2044] = {.lex_state = 65},
  [2045] = {.lex_state = 65, .external_lex_state = 2},
  [2046] = {.lex_state = 65},
  [2047] = {.lex_state = 65, .external_lex_state = 2},
  [2048] = {.lex_state = 65, .external_lex_state = 2},
  [2049] = {.lex_state = 65},
  [2050] = {.lex_state = 65},
  [2051] = {.lex_state = 65},
  [2052] = {.lex_state = 65},
  [2053] = {.lex_state = 65},
  [2054] = {.lex_state = 65},
  [2055] = {.lex_state = 65, .external_lex_state = 2},
  [2056] = {.lex_state = 65},
  [2057] = {.lex_state = 65},
  [2058] = {.lex_state = 65},
  [2059] = {.lex_state = 65},
  [2060] = {.lex_state = 65},
  [2061] = {.lex_state = 65},
  [2062] = {.lex_state = 65},
  [2063] = {.lex_state = 65, .external_lex_state = 2},
  [2064] = {.lex_state = 65},
  [2065] = {.lex_state = 65},
  [2066] = {.lex_state = 65},
  [2067] = {.lex_state = 65},
  [2068] = {.lex_state = 65},
  [2069] = {.lex_state = 65, .external_lex_state = 2},
  [2070] = {.lex_state = 65, .external_lex_state = 12},
  [2071] = {.lex_state = 65},
  [2072] = {.lex_state = 65, .external_lex_state = 2},
  [2073] = {.lex_state = 65},
  [2074] = {.lex_state = 65},
  [2075] = {.lex_state = 65},
  [2076] = {.lex_state = 65},
  [2077] = {.lex_state = 65},
  [2078] = {.lex_state = 65},
  [2079] = {.lex_state = 65},
  [2080] = {.lex_state = 65, .external_lex_state = 2},
  [2081] = {.lex_state = 65},
  [2082] = {.lex_state = 65},
  [2083] = {.lex_state = 65},
  [2084] = {.lex_state = 65},
  [2085] = {.lex_state = 65},
  [2086] = {.lex_state = 65},
  [2087] = {.lex_state = 65, .external_lex_state = 2},
  [2088] = {.lex_state = 65},
  [2089] = {.lex_state = 65, .external_lex_state = 2},
  [2090] = {.lex_state = 65, .external_lex_state = 2},
  [2091] = {.lex_state = 65},
  [2092] = {.lex_state = 65},
  [2093] = {.lex_state = 65},
  [2094] = {.lex_state = 65},
  [2095] = {.lex_state = 65},
  [2096] = {.lex_state = 65, .external_lex_state = 2},
  [2097] = {.lex_state = 65},
  [2098] = {.lex_state = 65, .external_lex_state = 2},
  [2099] = {.lex_state = 65},
  [2100] = {.lex_state = 65, .external_lex_state = 2},
  [2101] = {.lex_state = 65},
  [2102] = {.lex_state = 65},
  [2103] = {.lex_state = 65},
  [2104] = {.lex_state = 65, .external_lex_state = 2},
  [2105] = {.lex_state = 65},
  [2106] = {.lex_state = 65, .external_lex_state = 2},
  [2107] = {.lex_state = 65},
  [2108] = {.lex_state = 65},
  [2109] = {.lex_state = 65},
  [2110] = {.lex_state = 65},
  [2111] = {.lex_state = 65},
  [2112] = {.lex_state = 65},
  [2113] = {.lex_state = 65},
  [2114] = {.lex_state = 65},
  [2115] = {.lex_state = 65},
  [2116] = {.lex_state = 14},
  [2117] = {.lex_state = 65},
  [2118] = {.lex_state = 65},
  [2119] = {.lex_state = 65},
  [2120] = {.lex_state = 65},
  [2121] = {.lex_state = 65},
  [2122] = {.lex_state = 65},
  [2123] = {.lex_state = 65},
  [2124] = {.lex_state = 65, .external_lex_state = 2},
  [2125] = {.lex_state = 65},
  [2126] = {.lex_state = 65},
  [2127] = {.lex_state = 65},
  [2128] = {.lex_state = 65, .external_lex_state = 2},
  [2129] = {.lex_state = 65},
  [2130] = {.lex_state = 3, .external_lex_state = 10},
  [2131] = {.lex_state = 14},
  [2132] = {.lex_state = 65},
  [2133] = {.lex_state = 65},
  [2134] = {.lex_state = 65},
  [2135] = {.lex_state = 14},
  [2136] = {.lex_state = 65},
  [2137] = {.lex_state = 65},
  [2138] = {.lex_state = 65},
  [2139] = {.lex_state = 65},
  [2140] = {.lex_state = 65},
  [2141] = {.lex_state = 65},
  [2142] = {.lex_state = 65},
  [2143] = {.lex_state = 65},
  [2144] = {.lex_state = 65},
  [2145] = {.lex_state = 65, .external_lex_state = 2},
  [2146] = {.lex_state = 65, .external_lex_state = 2},
  [2147] = {.lex_state = 65},
  [2148] = {.lex_state = 65},
  [2149] = {.lex_state = 65},
  [2150] = {.lex_state = 65},
  [2151] = {.lex_state = 65, .external_lex_state = 2},
  [2152] = {.lex_state = 65},
  [2153] = {.lex_state = 65},
  [2154] = {.lex_state = 65, .external_lex_state = 2},
  [2155] = {.lex_state = 65},
  [2156] = {.lex_state = 65, .external_lex_state = 2},
  [2157] = {.lex_state = 65},
  [2158] = {.lex_state = 65, .external_lex_state = 2},
  [2159] = {.lex_state = 65, .external_lex_state = 2},
  [2160] = {.lex_state = 65},
  [2161] = {.lex_state = 65},
  [2162] = {.lex_state = 65},
  [2163] = {.lex_state = 65, .external_lex_state = 2},
  [2164] = {.lex_state = 65},
  [2165] = {.lex_state = 65},
  [2166] = {.lex_state = 65},
  [2167] = {.lex_state = 65},
  [2168] = {.lex_state = 65},
  [2169] = {.lex_state = 65},
  [2170] = {.lex_state = 65},
  [2171] = {.lex_state = 65},
  [2172] = {.lex_state = 65},
  [2173] = {.lex_state = 65},
  [2174] = {.lex_state = 65},
  [2175] = {.lex_state = 65},
  [2176] = {.lex_state = 65},
  [2177] = {.lex_state = 65},
  [2178] = {.lex_state = 65},
  [2179] = {.lex_state = 3, .external_lex_state = 10},
  [2180] = {.lex_state = 65},
  [2181] = {.lex_state = 65},
  [2182] = {.lex_state = 65},
  [2183] = {.lex_state = 65, .external_lex_state = 2},
  [2184] = {.lex_state = 65},
  [2185] = {.lex_state = 65, .external_lex_state = 2},
  [2186] = {.lex_state = 65},
  [2187] = {.lex_state = 65, .external_lex_state = 2},
  [2188] = {.lex_state = 65},
  [2189] = {.lex_state = 65},
  [2190] = {.lex_state = 65},
  [2191] = {.lex_state = 65},
  [2192] = {.lex_state = 65},
  [2193] = {.lex_state = 65},
  [2194] = {.lex_state = 65, .external_lex_state = 2},
  [2195] = {.lex_state = 65, .external_lex_state = 2},
  [2196] = {.lex_state = 65, .external_lex_state = 2},
  [2197] = {.lex_state = 65, .external_lex_state = 2},
  [2198] = {.lex_state = 65},
  [2199] = {.lex_state = 65},
  [2200] = {.lex_state = 3, .external_lex_state = 10},
  [2201] = {.lex_state = 65},
  [2202] = {.lex_state = 65, .external_lex_state = 2},
  [2203] = {.lex_state = 65},
  [2204] = {.lex_state = 65},
  [2205] = {.lex_state = 65},
  [2206] = {.lex_state = 65},
  [2207] = {.lex_state = 65},
  [2208] = {.lex_state = 65},
  [2209] = {.lex_state = 65},
  [2210] = {.lex_state = 65, .external_lex_state = 2},
  [2211] = {.lex_state = 65, .external_lex_state = 2},
  [2212] = {.lex_state = 65},
  [2213] = {.lex_state = 65, .external_lex_state = 2},
  [2214] = {.lex_state = 65},
  [2215] = {.lex_state = 65, .external_lex_state = 2},
  [2216] = {.lex_state = 65},
  [2217] = {.lex_state = 65},
  [2218] = {.lex_state = 65},
  [2219] = {.lex_state = 65},
  [2220] = {.lex_state = 65},
  [2221] = {.lex_state = 65},
  [2222] = {.lex_state = 65},
  [2223] = {.lex_state = 65},
  [2224] = {.lex_state = 65},
  [2225] = {.lex_state = 65},
  [2226] = {.lex_state = 65},
  [2227] = {.lex_state = 65},
  [2228] = {.lex_state = 65},
  [2229] = {.lex_state = 65},
  [2230] = {.lex_state = 65},
  [2231] = {.lex_state = 65},
  [2232] = {.lex_state = 65},
  [2233] = {.lex_state = 65},
  [2234] = {.lex_state = 65},
  [2235] = {.lex_state = 65, .external_lex_state = 13},
  [2236] = {.lex_state = 65},
  [2237] = {.lex_state = 65},
  [2238] = {.lex_state = 65},
  [2239] = {.lex_state = 65},
  [2240] = {.lex_state = 65},
  [2241] = {.lex_state = 65},
  [2242] = {.lex_state = 65},
  [2243] = {.lex_state = 65},
  [2244] = {.lex_state = 3, .external_lex_state = 10},
  [2245] = {.lex_state = 65},
  [2246] = {.lex_state = 65},
  [2247] = {.lex_state = 65},
  [2248] = {.lex_state = 65},
  [2249] = {.lex_state = 3, .external_lex_state = 10},
  [2250] = {.lex_state = 65},
  [2251] = {.lex_state = 65},
  [2252] = {.lex_state = 65},
  [2253] = {.lex_state = 65},
  [2254] = {.lex_state = 65},
  [2255] = {.lex_state = 65},
  [2256] = {.lex_state = 65},
  [2257] = {.lex_state = 65},
  [2258] = {.lex_state = 65, .external_lex_state = 2},
  [2259] = {.lex_state = 65},
  [2260] = {.lex_state = 65},
  [2261] = {.lex_state = 3, .external_lex_state = 10},
  [2262] = {.lex_state = 65},
  [2263] = {.lex_state = 65},
  [2264] = {.lex_state = 65},
  [2265] = {.lex_state = 65},
  [2266] = {.lex_state = 65},
  [2267] = {.lex_state = 65},
  [2268] = {.lex_state = 65},
  [2269] = {.lex_state = 65},
  [2270] = {.lex_state = 65},
  [2271] = {.lex_state = 65},
  [2272] = {.lex_state = 65},
  [2273] = {.lex_state = 65},
  [2274] = {.lex_state = 65},
  [2275] = {.lex_state = 65},
  [2276] = {.lex_state = 65},
  [2277] = {.lex_state = 65, .external_lex_state = 2},
  [2278] = {.lex_state = 65},
  [2279] = {.lex_state = 65},
  [2280] = {.lex_state = 65},
  [2281] = {.lex_state = 65},
  [2282] = {.lex_state = 65},
  [2283] = {.lex_state = 65},
  [2284] = {.lex_state = 65},
  [2285] = {.lex_state = 65},
  [2286] = {.lex_state = 65},
  [2287] = {.lex_state = 65},
  [2288] = {.lex_state = 65},
  [2289] = {.lex_state = 65, .external_lex_state = 2},
  [2290] = {.lex_state = 65},
  [2291] = {.lex_state = 65},
  [2292] = {.lex_state = 65},
  [2293] = {.lex_state = 3, .external_lex_state = 10},
  [2294] = {.lex_state = 65},
  [2295] = {.lex_state = 65},
  [2296] = {.lex_state = 65},
  [2297] = {.lex_state = 3, .external_lex_state = 10},
  [2298] = {.lex_state = 65},
  [2299] = {.lex_state = 65},
  [2300] = {.lex_state = 65},
  [2301] = {.lex_state = 65},
  [2302] = {.lex_state = 65},
  [2303] = {.lex_state = 65},
  [2304] = {.lex_state = 65},
  [2305] = {.lex_state = 65},
  [2306] = {.lex_state = 65},
  [2307] = {.lex_state = 65},
  [2308] = {.lex_state = 65},
  [2309] = {.lex_state = 65},
  [2310] = {.lex_state = 65},
  [2311] = {.lex_state = 65},
  [2312] = {.lex_state = 65, .external_lex_state = 2},
  [2313] = {.lex_state = 65},
  [2314] = {.lex_state = 65},
  [2315] = {.lex_state = 65},
  [2316] = {.lex_state = 65},
  [2317] = {.lex_state = 65},
  [2318] = {.lex_state = 65},
  [2319] = {.lex_state = 65},
  [2320] = {.lex_state = 65},
  [2321] = {.lex_state = 65},
  [2322] = {.lex_state = 65},
  [2323] = {.lex_state = 65},
  [2324] = {.lex_state = 65},
  [2325] = {.lex_state = 65},
  [2326] = {.lex_state = 65},
  [2327] = {.lex_state = 65},
  [2328] = {.lex_state = 65},
  [2329] = {.lex_state = 65},
  [2330] = {.lex_state = 65},
  [2331] = {.lex_state = 65},
  [2332] = {.lex_state = 65},
  [2333] = {.lex_state = 65},
  [2334] = {.lex_state = 65},
  [2335] = {.lex_state = 65},
  [2336] = {.lex_state = 65},
  [2337] = {.lex_state = 65, .external_lex_state = 2},
  [2338] = {.lex_state = 65},
  [2339] = {.lex_state = 3, .external_lex_state = 10},
  [2340] = {.lex_state = 65},
  [2341] = {.lex_state = 65},
  [2342] = {.lex_state = 65},
  [2343] = {.lex_state = 65},
  [2344] = {.lex_state = 3, .external_lex_state = 10},
  [2345] = {.lex_state = 3, .external_lex_state = 10},
  [2346] = {.lex_state = 65},
  [2347] = {.lex_state = 65},
  [2348] = {.lex_state = 65},
  [2349] = {.lex_state = 65},
  [2350] = {.lex_state = 65},
  [2351] = {.lex_state = 65},
  [2352] = {.lex_state = 65},
  [2353] = {.lex_state = 65},
  [2354] = {.lex_state = 65},
  [2355] = {.lex_state = 65},
  [2356] = {.lex_state = 65},
  [2357] = {.lex_state = 65},
  [2358] = {.lex_state = 65},
  [2359] = {.lex_state = 65},
  [2360] = {.lex_state = 65},
  [2361] = {.lex_state = 65},
  [2362] = {.lex_state = 65},
  [2363] = {.lex_state = 65},
  [2364] = {.lex_state = 65},
  [2365] = {.lex_state = 65},
  [2366] = {.lex_state = 65},
  [2367] = {.lex_state = 65},
  [2368] = {.lex_state = 65},
  [2369] = {.lex_state = 65},
  [2370] = {.lex_state = 65},
  [2371] = {.lex_state = 65},
  [2372] = {.lex_state = 65},
  [2373] = {.lex_state = 65},
  [2374] = {.lex_state = 65},
  [2375] = {.lex_state = 65},
  [2376] = {.lex_state = 65},
  [2377] = {.lex_state = 65},
  [2378] = {.lex_state = 65},
  [2379] = {.lex_state = 65, .external_lex_state = 2},
  [2380] = {.lex_state = 65},
  [2381] = {.lex_state = 65},
  [2382] = {.lex_state = 65},
  [2383] = {.lex_state = 65},
  [2384] = {.lex_state = 65},
  [2385] = {.lex_state = 65},
  [2386] = {.lex_state = 65},
  [2387] = {.lex_state = 65},
  [2388] = {.lex_state = 65},
  [2389] = {.lex_state = 65},
  [2390] = {.lex_state = 65},
  [2391] = {.lex_state = 65},
  [2392] = {.lex_state = 65},
  [2393] = {.lex_state = 65, .external_lex_state = 2},
  [2394] = {.lex_state = 3, .external_lex_state = 10},
  [2395] = {.lex_state = 65},
  [2396] = {.lex_state = 65},
  [2397] = {.lex_state = 65},
  [2398] = {.lex_state = 65},
  [2399] = {.lex_state = 65},
  [2400] = {.lex_state = 65},
  [2401] = {.lex_state = 65},
  [2402] = {.lex_state = 65},
  [2403] = {.lex_state = 65},
  [2404] = {.lex_state = 65},
  [2405] = {.lex_state = 65},
  [2406] = {.lex_state = 65},
  [2407] = {.lex_state = 65, .external_lex_state = 2},
  [2408] = {.lex_state = 65},
  [2409] = {.lex_state = 65},
  [2410] = {.lex_state = 65},
  [2411] = {.lex_state = 65},
  [2412] = {.lex_state = 65},
  [2413] = {.lex_state = 65},
  [2414] = {.lex_state = 65},
  [2415] = {.lex_state = 65},
  [2416] = {.lex_state = 3, .external_lex_state = 10},
  [2417] = {.lex_state = 65},
  [2418] = {.lex_state = 65},
  [2419] = {.lex_state = 65},
  [2420] = {.lex_state = 65},
  [2421] = {.lex_state = 65},
  [2422] = {.lex_state = 65},
  [2423] = {.lex_state = 65},
  [2424] = {.lex_state = 65},
  [2425] = {.lex_state = 65},
  [2426] = {.lex_state = 65},
  [2427] = {.lex_state = 65},
  [2428] = {.lex_state = 65},
  [2429] = {.lex_state = 65},
  [2430] = {.lex_state = 65},
  [2431] = {.lex_state = 65},
  [2432] = {.lex_state = 65},
  [2433] = {.lex_state = 65},
  [2434] = {.lex_state = 65, .external_lex_state = 10},
  [2435] = {.lex_state = 65},
  [2436] = {.lex_state = 65},
  [2437] = {.lex_state = 65},
  [2438] = {.lex_state = 65, .external_lex_state = 10},
  [2439] = {.lex_state = 65},
  [2440] = {.lex_state = 65},
  [2441] = {.lex_state = 65},
  [2442] = {.lex_state = 65},
  [2443] = {.lex_state = 65},
  [2444] = {.lex_state = 65},
  [2445] = {.lex_state = 65},
  [2446] = {.lex_state = 65, .external_lex_state = 12},
  [2447] = {.lex_state = 65},
  [2448] = {.lex_state = 65},
  [2449] = {.lex_state = 65},
  [2450] = {.lex_state = 65},
  [2451] = {.lex_state = 65},
  [2452] = {.lex_state = 65},
  [2453] = {.lex_state = 65},
  [2454] = {.lex_state = 65},
  [2455] = {.lex_state = 65, .external_lex_state = 10},
  [2456] = {.lex_state = 65},
  [2457] = {.lex_state = 65},
  [2458] = {.lex_state = 65},
  [2459] = {.lex_state = 65},
  [2460] = {.lex_state = 65},
  [2461] = {.lex_state = 65},
  [2462] = {.lex_state = 65},
  [2463] = {.lex_state = 65},
  [2464] = {.lex_state = 65},
  [2465] = {.lex_state = 65},
  [2466] = {.lex_state = 65},
  [2467] = {.lex_state = 65},
  [2468] = {.lex_state = 65},
  [2469] = {.lex_state = 65, .external_lex_state = 10},
  [2470] = {.lex_state = 65, .external_lex_state = 10},
  [2471] = {.lex_state = 65},
  [2472] = {.lex_state = 65},
  [2473] = {.lex_state = 65},
  [2474] = {.lex_state = 65},
  [2475] = {.lex_state = 65},
  [2476] = {.lex_state = 65},
  [2477] = {.lex_state = 65},
  [2478] = {.lex_state = 65},
  [2479] = {.lex_state = 65},
  [2480] = {.lex_state = 65},
  [2481] = {.lex_state = 65},
  [2482] = {.lex_state = 65},
  [2483] = {.lex_state = 65},
  [2484] = {.lex_state = 65},
  [2485] = {.lex_state = 65},
  [2486] = {.lex_state = 65},
  [2487] = {.lex_state = 10},
  [2488] = {.lex_state = 10},
  [2489] = {.lex_state = 65},
  [2490] = {.lex_state = 65},
  [2491] = {.lex_state = 65},
  [2492] = {.lex_state = 65},
  [2493] = {.lex_state = 65},
  [2494] = {.lex_state = 65},
  [2495] = {.lex_state = 65},
  [2496] = {.lex_state = 65},
  [2497] = {.lex_state = 65},
  [2498] = {.lex_state = 65},
  [2499] = {.lex_state = 65},
  [2500] = {.lex_state = 17},
  [2501] = {.lex_state = 65},
  [2502] = {.lex_state = 65},
  [2503] = {.lex_state = 65},
  [2504] = {.lex_state = 65},
  [2505] = {.lex_state = 65},
  [2506] = {.lex_state = 65},
  [2507] = {.lex_state = 65},
  [2508] = {.lex_state = 65},
  [2509] = {.lex_state = 65},
  [2510] = {.lex_state = 65},
  [2511] = {.lex_state = 65},
  [2512] = {.lex_state = 65},
  [2513] = {.lex_state = 65},
  [2514] = {.lex_state = 65},
  [2515] = {.lex_state = 65},
  [2516] = {.lex_state = 65, .external_lex_state = 10},
  [2517] = {.lex_state = 65, .external_lex_state = 10},
  [2518] = {.lex_state = 65},
  [2519] = {.lex_state = 65},
  [2520] = {.lex_state = 65},
  [2521] = {.lex_state = 65},
  [2522] = {.lex_state = 65, .external_lex_state = 10},
  [2523] = {.lex_state = 65},
  [2524] = {.lex_state = 65},
  [2525] = {.lex_state = 65},
  [2526] = {.lex_state = 65},
  [2527] = {.lex_state = 65},
  [2528] = {.lex_state = 65},
  [2529] = {.lex_state = 65},
  [2530] = {.lex_state = 65},
  [2531] = {.lex_state = 65},
  [2532] = {.lex_state = 65},
  [2533] = {.lex_state = 65},
  [2534] = {.lex_state = 65},
  [2535] = {.lex_state = 65},
  [2536] = {.lex_state = 65},
  [2537] = {.lex_state = 65, .external_lex_state = 10},
  [2538] = {.lex_state = 65},
  [2539] = {.lex_state = 65},
  [2540] = {.lex_state = 65},
  [2541] = {.lex_state = 65},
  [2542] = {.lex_state = 65},
  [2543] = {.lex_state = 65},
  [2544] = {.lex_state = 65},
  [2545] = {.lex_state = 65},
  [2546] = {.lex_state = 65},
  [2547] = {.lex_state = 65},
  [2548] = {.lex_state = 65},
  [2549] = {.lex_state = 65},
  [2550] = {.lex_state = 65},
  [2551] = {.lex_state = 65},
  [2552] = {.lex_state = 65},
  [2553] = {.lex_state = 65},
  [2554] = {.lex_state = 65},
  [2555] = {.lex_state = 65},
  [2556] = {.lex_state = 65},
  [2557] = {.lex_state = 65},
  [2558] = {.lex_state = 65},
  [2559] = {.lex_state = 65},
  [2560] = {.lex_state = 65},
  [2561] = {.lex_state = 65},
  [2562] = {.lex_state = 65},
  [2563] = {.lex_state = 65},
  [2564] = {.lex_state = 65},
  [2565] = {.lex_state = 65},
  [2566] = {.lex_state = 65},
  [2567] = {.lex_state = 65},
  [2568] = {.lex_state = 65},
  [2569] = {.lex_state = 65},
  [2570] = {.lex_state = 65},
  [2571] = {.lex_state = 65},
  [2572] = {.lex_state = 65},
  [2573] = {.lex_state = 65},
  [2574] = {.lex_state = 65},
  [2575] = {.lex_state = 65},
  [2576] = {.lex_state = 65},
  [2577] = {.lex_state = 65},
  [2578] = {.lex_state = 65},
  [2579] = {.lex_state = 65},
  [2580] = {.lex_state = 65, .external_lex_state = 12},
  [2581] = {.lex_state = 65},
  [2582] = {.lex_state = 65},
  [2583] = {.lex_state = 65},
  [2584] = {.lex_state = 65},
  [2585] = {.lex_state = 65},
  [2586] = {.lex_state = 65},
  [2587] = {.lex_state = 65},
  [2588] = {.lex_state = 65},
  [2589] = {.lex_state = 65},
  [2590] = {.lex_state = 65},
  [2591] = {.lex_state = 65},
  [2592] = {.lex_state = 65},
  [2593] = {.lex_state = 65},
  [2594] = {.lex_state = 65},
  [2595] = {.lex_state = 65},
  [2596] = {.lex_state = 65},
  [2597] = {.lex_state = 65},
  [2598] = {.lex_state = 65},
  [2599] = {.lex_state = 65},
  [2600] = {.lex_state = 65},
  [2601] = {.lex_state = 17},
  [2602] = {.lex_state = 65},
  [2603] = {.lex_state = 65},
  [2604] = {.lex_state = 65},
  [2605] = {.lex_state = 65},
  [2606] = {.lex_state = 65},
  [2607] = {.lex_state = 65},
  [2608] = {.lex_state = 65},
  [2609] = {.lex_state = 65},
  [2610] = {.lex_state = 65},
  [2611] = {.lex_state = 65},
  [2612] = {.lex_state = 65},
  [2613] = {.lex_state = 65},
  [2614] = {.lex_state = 65},
  [2615] = {.lex_state = 65},
  [2616] = {.lex_state = 65},
  [2617] = {.lex_state = 65},
  [2618] = {.lex_state = 65},
  [2619] = {.lex_state = 65},
  [2620] = {.lex_state = 65},
  [2621] = {.lex_state = 65},
  [2622] = {.lex_state = 65},
  [2623] = {.lex_state = 65},
  [2624] = {.lex_state = 65},
  [2625] = {.lex_state = 65},
  [2626] = {.lex_state = 65},
  [2627] = {.lex_state = 65},
  [2628] = {.lex_state = 65},
  [2629] = {.lex_state = 65},
  [2630] = {.lex_state = 65},
  [2631] = {.lex_state = 65},
  [2632] = {.lex_state = 65},
  [2633] = {.lex_state = 65},
  [2634] = {.lex_state = 65},
  [2635] = {.lex_state = 65},
  [2636] = {.lex_state = 65},
  [2637] = {.lex_state = 65},
  [2638] = {.lex_state = 65, .external_lex_state = 12},
  [2639] = {.lex_state = 65, .external_lex_state = 12},
  [2640] = {.lex_state = 65},
  [2641] = {.lex_state = 65},
  [2642] = {.lex_state = 65},
  [2643] = {.lex_state = 65},
  [2644] = {.lex_state = 65},
  [2645] = {.lex_state = 65},
  [2646] = {.lex_state = 65},
  [2647] = {.lex_state = 65},
  [2648] = {.lex_state = 65, .external_lex_state = 10},
  [2649] = {.lex_state = 65},
  [2650] = {.lex_state = 65},
  [2651] = {.lex_state = 65},
  [2652] = {.lex_state = 65},
  [2653] = {.lex_state = 65},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2604),
    [sym_statement] = STATE(26),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(5),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(4),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(8),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(346),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(346),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(348),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(348),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(536),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_colon_block] = STATE(2548),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(537),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(350),
  },
  [10] = {
    [sym_statement] = STATE(1975),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_colon_block] = STATE(2529),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1976),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(356),
  },
  [11] = {
    [sym_statement] = STATE(11),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(410),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(413),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(416),
    [aux_sym_foreach_statement_token1] = ACTIONS(419),
    [aux_sym_if_statement_token1] = ACTIONS(422),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(13),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_if_statement_token2] = ACTIONS(346),
    [aux_sym_else_if_clause_token1] = ACTIONS(346),
    [aux_sym_else_clause_token1] = ACTIONS(346),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_statement] = STATE(11),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_if_statement_token2] = ACTIONS(348),
    [aux_sym_else_if_clause_token1] = ACTIONS(348),
    [aux_sym_else_clause_token1] = ACTIONS(348),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_statement] = STATE(536),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_colon_block] = STATE(2548),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(537),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(350),
  },
  [15] = {
    [sym_statement] = STATE(1975),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_colon_block] = STATE(2529),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1976),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(356),
  },
  [16] = {
    [sym_statement] = STATE(1958),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1959),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [17] = {
    [sym_statement] = STATE(571),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(572),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [18] = {
    [sym_statement] = STATE(455),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(456),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [19] = {
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(521),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [20] = {
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(485),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [21] = {
    [sym_statement] = STATE(2165),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2165),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [22] = {
    [sym_statement] = STATE(1922),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1923),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [23] = {
    [sym_statement] = STATE(2031),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2032),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [24] = {
    [sym_statement] = STATE(1964),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1966),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [25] = {
    [sym_statement] = STATE(1968),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1969),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [26] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(485),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_statement] = STATE(518),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(519),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [28] = {
    [sym_statement] = STATE(1997),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1998),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [29] = {
    [sym_statement] = STATE(2000),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2001),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [30] = {
    [sym_statement] = STATE(2002),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2004),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [31] = {
    [sym_statement] = STATE(2031),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2032),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [32] = {
    [sym_statement] = STATE(558),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(559),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [33] = {
    [sym_statement] = STATE(528),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [34] = {
    [sym_statement] = STATE(531),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [35] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(517),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(519),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_statement] = STATE(517),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(521),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [37] = {
    [sym_statement] = STATE(518),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(519),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [38] = {
    [sym_statement] = STATE(524),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [39] = {
    [sym_statement] = STATE(528),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [40] = {
    [sym_statement] = STATE(531),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [41] = {
    [sym_statement] = STATE(558),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(559),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [42] = {
    [sym_statement] = STATE(571),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(572),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [43] = {
    [sym_statement] = STATE(455),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(456),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [44] = {
    [sym_statement] = STATE(484),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(485),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [45] = {
    [sym_statement] = STATE(2165),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2165),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [46] = {
    [sym_statement] = STATE(1922),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1923),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [47] = {
    [sym_statement] = STATE(1958),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1959),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [48] = {
    [sym_statement] = STATE(1964),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1966),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [49] = {
    [sym_statement] = STATE(1968),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1969),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [50] = {
    [sym_statement] = STATE(35),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [ts_builtin_sym_end] = ACTIONS(485),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_statement] = STATE(1997),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(1998),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [52] = {
    [sym_statement] = STATE(2000),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2001),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [53] = {
    [sym_statement] = STATE(2002),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2004),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [54] = {
    [sym_statement] = STATE(524),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(521),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(523),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [55] = {
    [sym_statement] = STATE(570),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_colon_block] = STATE(2429),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(57),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(525),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(527),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(59),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(64),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(65),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(65),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_statement] = STATE(443),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_colon_block] = STATE(1609),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_statement] = STATE(67),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(541),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(70),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(547),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(71),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(549),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(72),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_statement] = STATE(74),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_colon_block] = STATE(2483),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(1628),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_colon_block] = STATE(1595),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(78),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(565),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(567),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(446),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_colon_block] = STATE(1609),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(81),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(569),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(571),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(83),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_statement] = STATE(87),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(87),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(577),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(88),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(90),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(585),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_statement] = STATE(93),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(587),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_statement] = STATE(94),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(591),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_statement] = STATE(95),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(593),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(595),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(597),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(599),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(97),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(601),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(603),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_statement] = STATE(1572),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_colon_block] = STATE(1595),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(537),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(100),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(100),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(605),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(607),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(108),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(108),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(609),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(103),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(611),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(613),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(105),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(615),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(617),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(570),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_colon_block] = STATE(2429),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(2078),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_colon_block] = STATE(2483),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [anon_sym_COLON] = ACTIONS(352),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(619),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(1932),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(2498),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(2184),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(2184),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(498),
    [sym_function_static_declaration] = STATE(498),
    [sym_global_declaration] = STATE(498),
    [sym_namespace_definition] = STATE(498),
    [sym_namespace_use_declaration] = STATE(498),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(498),
    [sym_interface_declaration] = STATE(498),
    [sym_enum_declaration] = STATE(498),
    [sym_class_declaration] = STATE(498),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(498),
    [sym__const_declaration] = STATE(530),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(498),
    [sym__function_definition_header] = STATE(2252),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(498),
    [sym_exit_statement] = STATE(498),
    [sym_unset_statement] = STATE(498),
    [sym_declare_statement] = STATE(498),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(498),
    [sym_goto_statement] = STATE(498),
    [sym_continue_statement] = STATE(498),
    [sym_break_statement] = STATE(498),
    [sym_return_statement] = STATE(498),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(498),
    [sym_do_statement] = STATE(498),
    [sym_for_statement] = STATE(498),
    [sym_foreach_statement] = STATE(498),
    [sym_if_statement] = STATE(498),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(498),
    [sym_compound_statement] = STATE(498),
    [sym_named_label_statement] = STATE(498),
    [sym_expression_statement] = STATE(498),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1313),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(425),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(427),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(2437),
    [sym_empty_statement] = STATE(2139),
    [sym_function_static_declaration] = STATE(2139),
    [sym_global_declaration] = STATE(2139),
    [sym_namespace_definition] = STATE(2139),
    [sym_namespace_use_declaration] = STATE(2139),
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_trait_declaration] = STATE(2139),
    [sym_interface_declaration] = STATE(2139),
    [sym_enum_declaration] = STATE(2139),
    [sym_class_declaration] = STATE(2139),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2139),
    [sym__const_declaration] = STATE(1879),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1434),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2139),
    [sym__function_definition_header] = STATE(2259),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_echo_statement] = STATE(2139),
    [sym_exit_statement] = STATE(2139),
    [sym_unset_statement] = STATE(2139),
    [sym_declare_statement] = STATE(2139),
    [sym_literal] = STATE(1111),
    [sym_try_statement] = STATE(2139),
    [sym_goto_statement] = STATE(2139),
    [sym_continue_statement] = STATE(2139),
    [sym_break_statement] = STATE(2139),
    [sym_return_statement] = STATE(2139),
    [sym_throw_expression] = STATE(1111),
    [sym_while_statement] = STATE(2139),
    [sym_do_statement] = STATE(2139),
    [sym_for_statement] = STATE(2139),
    [sym_foreach_statement] = STATE(2139),
    [sym_if_statement] = STATE(2139),
    [sym_match_expression] = STATE(1046),
    [sym_switch_statement] = STATE(2139),
    [sym_compound_statement] = STATE(2139),
    [sym_named_label_statement] = STATE(2139),
    [sym_expression_statement] = STATE(2139),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1308),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(354),
    [anon_sym_SEMI] = ACTIONS(563),
    [aux_sym_function_static_declaration_token1] = ACTIONS(358),
    [aux_sym_global_declaration_token1] = ACTIONS(360),
    [aux_sym_namespace_definition_token1] = ACTIONS(362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(366),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(368),
    [aux_sym_trait_declaration_token1] = ACTIONS(370),
    [aux_sym_interface_declaration_token1] = ACTIONS(372),
    [aux_sym_enum_declaration_token1] = ACTIONS(374),
    [aux_sym_class_declaration_token1] = ACTIONS(376),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(380),
    [aux_sym_exit_statement_token1] = ACTIONS(382),
    [anon_sym_unset] = ACTIONS(384),
    [aux_sym_declare_statement_token1] = ACTIONS(386),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(388),
    [aux_sym_goto_statement_token1] = ACTIONS(390),
    [aux_sym_continue_statement_token1] = ACTIONS(392),
    [aux_sym_break_statement_token1] = ACTIONS(394),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(396),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(398),
    [aux_sym_do_statement_token1] = ACTIONS(400),
    [aux_sym_for_statement_token1] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(406),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(408),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(988),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_yield_expression_token2] = ACTIONS(679),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(988),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_yield_expression_token2] = ACTIONS(709),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_variadic_unpacking] = STATE(1101),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_by_ref] = STATE(1101),
    [sym_yield_expression] = STATE(1046),
    [sym_array_element_initializer] = STATE(1091),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(725),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [120] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(988),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_yield_expression_token2] = ACTIONS(747),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2616),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2481),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2433),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2614),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2614),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2554),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2595),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2462),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2486),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2562),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_cast_type] = STATE(2568),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_variadic_placeholder] = STATE(2623),
    [sym_argument] = STATE(2005),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_variadic_placeholder] = STATE(2496),
    [sym_argument] = STATE(1950),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_variadic_placeholder] = STATE(2545),
    [sym_argument] = STATE(2171),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2167),
    [sym_function_call_expression] = STATE(667),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(674),
    [sym__dereferencable_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(674),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1929),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym__array_destructing_repeat1] = STATE(2172),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(795),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(797),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2167),
    [sym_function_call_expression] = STATE(667),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(674),
    [sym__dereferencable_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(674),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1929),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym__array_destructing_repeat1] = STATE(2172),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(795),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(799),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_variadic_placeholder] = STATE(2519),
    [sym_argument] = STATE(2024),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(801),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_variadic_placeholder] = STATE(2555),
    [sym_argument] = STATE(2039),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_variadic_placeholder] = STATE(2494),
    [sym_argument] = STATE(2053),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2167),
    [sym_function_call_expression] = STATE(667),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(674),
    [sym__dereferencable_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(674),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2170),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym__array_destructing_repeat1] = STATE(2172),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(807),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2167),
    [sym_function_call_expression] = STATE(667),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(674),
    [sym__dereferencable_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(674),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1929),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym__array_destructing_repeat1] = STATE(2172),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(795),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(672),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(672),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(672),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(672),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2167),
    [sym_function_call_expression] = STATE(667),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(667),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(667),
    [sym_nullsafe_member_call_expression] = STATE(667),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(674),
    [sym__dereferencable_subscript_expression] = STATE(667),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(674),
    [sym__callable_variable] = STATE(667),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2380),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1929),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym__array_destructing_repeat1] = STATE(2172),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(795),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(813),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(819),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(821),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(829),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2170),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(841),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1884),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(845),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_argument] = STATE(2265),
    [sym__argument_name] = STATE(181),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2383),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1540),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1938),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(849),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(1929),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(855),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(857),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(859),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(2109),
    [sym_match_default_expression] = STATE(2109),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(861),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(863),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(867),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(869),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(871),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(873),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(1965),
    [sym_match_default_expression] = STATE(1965),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(877),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(879),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2310),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(675),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(675),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2310),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(2314),
    [sym_match_default_expression] = STATE(2314),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(887),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(980),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(980),
    [sym_yield_expression] = STATE(973),
    [sym_array_element_initializer] = STATE(2188),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(1796),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(646),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(646),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(646),
    [sym_nullsafe_member_call_expression] = STATE(646),
    [sym__variable_subscript_expression] = STATE(666),
    [sym__dereferencable_subscript_expression] = STATE(646),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(666),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2102),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym__list_destructing_repeat1] = STATE(2103),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(889),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [anon_sym_RPAREN2] = ACTIONS(891),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2310),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(675),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(675),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2310),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(893),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(671),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(671),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(671),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(671),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2166),
    [sym__array_destructing_element] = STATE(2310),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(675),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(675),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2310),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(896),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(2314),
    [sym_match_default_expression] = STATE(2314),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(899),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(2314),
    [sym_match_default_expression] = STATE(2314),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(901),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(2314),
    [sym_match_default_expression] = STATE(2314),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_foreach_pair] = STATE(2431),
    [sym__foreach_value] = STATE(2431),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2283),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2431),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_reference_modifier] = STATE(222),
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2361),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1524),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(677),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(677),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2142),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(662),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(662),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(662),
    [sym_nullsafe_member_call_expression] = STATE(662),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(662),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2362),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(905),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [anon_sym_RPAREN2] = ACTIONS(905),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_foreach_pair] = STATE(2444),
    [sym__foreach_value] = STATE(2444),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2283),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2444),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_foreach_pair] = STATE(2471),
    [sym__foreach_value] = STATE(2471),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2283),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2471),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_match_condition_list] = STATE(2594),
    [sym_match_conditional_expression] = STATE(2314),
    [sym_match_default_expression] = STATE(2314),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_foreach_pair] = STATE(2596),
    [sym__foreach_value] = STATE(2596),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2283),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2596),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2492),
    [sym_sequence_expression] = STATE(2492),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2640),
    [sym_sequence_expression] = STATE(2640),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2505),
    [sym_sequence_expression] = STATE(2505),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(463),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(913),
  },
  [191] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2510),
    [sym_sequence_expression] = STATE(2510),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2523),
    [sym_sequence_expression] = STATE(2523),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2647),
    [sym_sequence_expression] = STATE(2647),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(464),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [195] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2189),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(923),
  },
  [196] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2603),
    [sym_sequence_expression] = STATE(2603),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2430),
    [sym_sequence_expression] = STATE(2430),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2199),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(929),
  },
  [199] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(2214),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [200] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2528),
    [sym_sequence_expression] = STATE(2528),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(933),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2507),
    [sym_sequence_expression] = STATE(2507),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(935),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [sym__semicolon] = STATE(481),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(937),
  },
  [203] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2566),
    [sym_sequence_expression] = STATE(2566),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(939),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2577),
    [sym_sequence_expression] = STATE(2577),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2468),
    [sym_sequence_expression] = STATE(2468),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(943),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2472),
    [sym_sequence_expression] = STATE(2472),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(945),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2473),
    [sym_sequence_expression] = STATE(2473),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(947),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2475),
    [sym_sequence_expression] = STATE(2475),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__foreach_value] = STATE(2550),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2283),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2550),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2489),
    [sym_sequence_expression] = STATE(2489),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2464),
    [sym_sequence_expression] = STATE(2464),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2428),
    [sym_sequence_expression] = STATE(2428),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2585),
    [sym_sequence_expression] = STATE(2585),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(957),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2593),
    [sym_sequence_expression] = STATE(2593),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2597),
    [sym_sequence_expression] = STATE(2597),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(961),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2598),
    [sym_sequence_expression] = STATE(2598),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2600),
    [sym_sequence_expression] = STATE(2600),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(965),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2615),
    [sym_sequence_expression] = STATE(2615),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2512),
    [sym_sequence_expression] = STATE(2512),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2637),
    [sym_sequence_expression] = STATE(2637),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__expressions] = STATE(2546),
    [sym_sequence_expression] = STATE(2546),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2280),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1531),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym_variadic_unpacking] = STATE(2257),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1542),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(694),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(694),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(694),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(694),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(1907),
    [sym_function_call_expression] = STATE(678),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(678),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(678),
    [sym_nullsafe_member_call_expression] = STATE(678),
    [sym__variable_subscript_expression] = STATE(682),
    [sym__dereferencable_subscript_expression] = STATE(678),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(682),
    [sym__callable_variable] = STATE(678),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(2388),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym__expressions] = STATE(2063),
    [sym_sequence_expression] = STATE(2063),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(987),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(987),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(793),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(987),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(987),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_by_ref] = STATE(1130),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym__expressions] = STATE(1921),
    [sym_sequence_expression] = STATE(1921),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_by_ref] = STATE(987),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_sequence_expression] = STATE(2276),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(981),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_sequence_expression] = STATE(2312),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(983),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(989),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(993),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(997),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1001),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(1003),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_sequence_expression] = STATE(2276),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(1007),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1009),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1011),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1017),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1019),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(1021),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1023),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1105),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(976),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1045),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(976),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1005),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(976),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(663),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(663),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(663),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(663),
    [sym_list_literal] = STATE(2553),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(657),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(657),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(657),
    [sym_nullsafe_member_call_expression] = STATE(657),
    [sym__variable_subscript_expression] = STATE(664),
    [sym__dereferencable_subscript_expression] = STATE(657),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(664),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_match_expression] = STATE(1046),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1043),
    [sym_unary_op_expression] = STATE(1043),
    [sym_error_suppression_expression] = STATE(1046),
    [sym_clone_expression] = STATE(1043),
    [sym_primary_expression] = STATE(1043),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1043),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1046),
    [sym_reference_assignment_expression] = STATE(1046),
    [sym_conditional_expression] = STATE(1046),
    [sym_augmented_assignment_expression] = STATE(1046),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(645),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2557),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(639),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym__variable_subscript_expression] = STATE(655),
    [sym__dereferencable_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(655),
    [sym__callable_variable] = STATE(639),
    [sym_variable_name] = STATE(640),
    [sym_yield_expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym_include_expression] = STATE(1046),
    [sym_include_once_expression] = STATE(1046),
    [sym_require_expression] = STATE(1046),
    [sym_require_once_expression] = STATE(1046),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(628),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(628),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(628),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(628),
    [sym_list_literal] = STATE(2611),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(633),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(633),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_match_expression] = STATE(973),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(973),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(644),
    [sym_assignment_expression] = STATE(973),
    [sym_reference_assignment_expression] = STATE(973),
    [sym_conditional_expression] = STATE(973),
    [sym_augmented_assignment_expression] = STATE(973),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(644),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(644),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(644),
    [sym_list_literal] = STATE(2461),
    [sym__list_destructing] = STATE(2301),
    [sym__array_destructing] = STATE(2301),
    [sym_function_call_expression] = STATE(643),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(643),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(643),
    [sym_nullsafe_member_call_expression] = STATE(643),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(643),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(643),
    [sym_variable_name] = STATE(589),
    [sym_yield_expression] = STATE(973),
    [sym_binary_expression] = STATE(973),
    [sym_include_expression] = STATE(973),
    [sym_include_once_expression] = STATE(973),
    [sym_require_expression] = STATE(973),
    [sym_require_once_expression] = STATE(973),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(612),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(612),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(612),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(612),
    [sym_function_call_expression] = STATE(601),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym__variable_subscript_expression] = STATE(611),
    [sym__dereferencable_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(611),
    [sym__callable_variable] = STATE(601),
    [sym_variable_name] = STATE(589),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(665),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(665),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(665),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(665),
    [sym_function_call_expression] = STATE(659),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(659),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(659),
    [sym_nullsafe_member_call_expression] = STATE(659),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(659),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(659),
    [sym_variable_name] = STATE(589),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(612),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(612),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(612),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(612),
    [sym_function_call_expression] = STATE(601),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym__variable_subscript_expression] = STATE(611),
    [sym__dereferencable_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(611),
    [sym__callable_variable] = STATE(601),
    [sym_variable_name] = STATE(589),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1577),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1090),
    [sym_unary_op_expression] = STATE(1090),
    [sym_error_suppression_expression] = STATE(1090),
    [sym_clone_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1090),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_expression] = STATE(1090),
    [sym_cast_variable] = STATE(653),
    [sym__variable_member_access_expression] = STATE(650),
    [sym_member_access_expression] = STATE(653),
    [sym__variable_nullsafe_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym__variable_scoped_property_access_expression] = STATE(658),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_function_call_expression] = STATE(618),
    [sym__callable_expression] = STATE(2302),
    [sym_scoped_call_expression] = STATE(618),
    [sym__scope_resolution_qualifier] = STATE(2581),
    [sym_relative_scope] = STATE(2581),
    [sym_member_call_expression] = STATE(618),
    [sym_nullsafe_member_call_expression] = STATE(618),
    [sym__variable_subscript_expression] = STATE(652),
    [sym__dereferencable_subscript_expression] = STATE(618),
    [sym__dereferencable_expression] = STATE(1799),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(640),
    [sym__simple_variable] = STATE(640),
    [sym__new_variable] = STATE(652),
    [sym__callable_variable] = STATE(618),
    [sym_variable_name] = STATE(640),
    [sym_include_expression] = STATE(1090),
    [sym_include_once_expression] = STATE(1090),
    [sym__reserved_identifier] = STATE(1577),
    [sym__identifier] = STATE(1577),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1589),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym__unary_expression] = STATE(984),
    [sym_unary_op_expression] = STATE(984),
    [sym_error_suppression_expression] = STATE(984),
    [sym_clone_expression] = STATE(984),
    [sym_primary_expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_expression] = STATE(984),
    [sym_cast_variable] = STATE(612),
    [sym__variable_member_access_expression] = STATE(603),
    [sym_member_access_expression] = STATE(612),
    [sym__variable_nullsafe_member_access_expression] = STATE(610),
    [sym_nullsafe_member_access_expression] = STATE(612),
    [sym__variable_scoped_property_access_expression] = STATE(590),
    [sym_scoped_property_access_expression] = STATE(612),
    [sym_function_call_expression] = STATE(601),
    [sym__callable_expression] = STATE(2271),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2422),
    [sym_relative_scope] = STATE(2422),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym__variable_subscript_expression] = STATE(611),
    [sym__dereferencable_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1779),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(589),
    [sym__simple_variable] = STATE(589),
    [sym__new_variable] = STATE(611),
    [sym__callable_variable] = STATE(601),
    [sym_variable_name] = STATE(589),
    [sym_include_expression] = STATE(984),
    [sym_include_once_expression] = STATE(984),
    [sym__reserved_identifier] = STATE(1589),
    [sym__identifier] = STATE(1589),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_catch_clause] = STATE(442),
    [sym_finally_clause] = STATE(442),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1033),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_catch_clause] = STATE(442),
    [sym_finally_clause] = STATE(442),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1041),
    [aux_sym_finally_clause_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_else_if_clause] = STATE(492),
    [sym_else_clause] = STATE(493),
    [aux_sym_if_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN2] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1053),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_else_if_clause] = STATE(492),
    [sym_else_clause] = STATE(539),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_name] = ACTIONS(1057),
    [anon_sym_QMARK_GT] = ACTIONS(1055),
    [anon_sym_SEMI] = ACTIONS(1055),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1057),
    [aux_sym_global_declaration_token1] = ACTIONS(1057),
    [aux_sym_namespace_definition_token1] = ACTIONS(1057),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1057),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1057),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1057),
    [anon_sym_BSLASH] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [aux_sym_trait_declaration_token1] = ACTIONS(1057),
    [aux_sym_interface_declaration_token1] = ACTIONS(1057),
    [aux_sym_enum_declaration_token1] = ACTIONS(1057),
    [aux_sym_enum_case_token1] = ACTIONS(1057),
    [aux_sym_class_declaration_token1] = ACTIONS(1057),
    [aux_sym_final_modifier_token1] = ACTIONS(1057),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1057),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1057),
    [sym_var_modifier] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1057),
    [anon_sym_LPAREN2] = ACTIONS(1055),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1057),
    [aux_sym_cast_type_token1] = ACTIONS(1057),
    [aux_sym_echo_statement_token1] = ACTIONS(1057),
    [aux_sym_exit_statement_token1] = ACTIONS(1057),
    [anon_sym_unset] = ACTIONS(1057),
    [aux_sym_declare_statement_token1] = ACTIONS(1057),
    [aux_sym_declare_statement_token2] = ACTIONS(1057),
    [sym_float] = ACTIONS(1057),
    [aux_sym_try_statement_token1] = ACTIONS(1057),
    [aux_sym_goto_statement_token1] = ACTIONS(1057),
    [aux_sym_continue_statement_token1] = ACTIONS(1057),
    [aux_sym_break_statement_token1] = ACTIONS(1057),
    [sym_integer] = ACTIONS(1057),
    [aux_sym_return_statement_token1] = ACTIONS(1057),
    [aux_sym_throw_expression_token1] = ACTIONS(1057),
    [aux_sym_while_statement_token1] = ACTIONS(1057),
    [aux_sym_while_statement_token2] = ACTIONS(1057),
    [aux_sym_do_statement_token1] = ACTIONS(1057),
    [aux_sym_for_statement_token1] = ACTIONS(1057),
    [aux_sym_for_statement_token2] = ACTIONS(1057),
    [aux_sym_foreach_statement_token1] = ACTIONS(1057),
    [aux_sym_foreach_statement_token2] = ACTIONS(1057),
    [aux_sym_if_statement_token1] = ACTIONS(1057),
    [aux_sym_if_statement_token2] = ACTIONS(1057),
    [aux_sym_else_if_clause_token1] = ACTIONS(1059),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1057),
    [aux_sym_match_default_expression_token1] = ACTIONS(1057),
    [aux_sym_switch_statement_token1] = ACTIONS(1057),
    [aux_sym_switch_block_token1] = ACTIONS(1057),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1055),
    [aux_sym_clone_expression_token1] = ACTIONS(1057),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1057),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1055),
    [anon_sym_PLUS_PLUS] = ACTIONS(1055),
    [aux_sym__list_destructing_token1] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_self] = ACTIONS(1057),
    [anon_sym_parent] = ACTIONS(1057),
    [aux_sym__argument_name_token1] = ACTIONS(1057),
    [aux_sym__argument_name_token2] = ACTIONS(1057),
    [anon_sym_POUND_LBRACK] = ACTIONS(1055),
    [aux_sym_encapsed_string_token1] = ACTIONS(1055),
    [anon_sym_DQUOTE] = ACTIONS(1055),
    [aux_sym_string_token1] = ACTIONS(1055),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [anon_sym_LT_LT_LT] = ACTIONS(1055),
    [anon_sym_BQUOTE] = ACTIONS(1055),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [aux_sym_yield_expression_token1] = ACTIONS(1057),
    [aux_sym_include_expression_token1] = ACTIONS(1057),
    [aux_sym_include_once_expression_token1] = ACTIONS(1057),
    [aux_sym_require_expression_token1] = ACTIONS(1057),
    [aux_sym_require_once_expression_token1] = ACTIONS(1057),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_else_if_clause] = STATE(492),
    [sym_else_clause] = STATE(539),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_name] = ACTIONS(1057),
    [anon_sym_QMARK_GT] = ACTIONS(1055),
    [anon_sym_SEMI] = ACTIONS(1055),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1057),
    [aux_sym_global_declaration_token1] = ACTIONS(1057),
    [aux_sym_namespace_definition_token1] = ACTIONS(1057),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1057),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1057),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1057),
    [anon_sym_BSLASH] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [aux_sym_trait_declaration_token1] = ACTIONS(1057),
    [aux_sym_interface_declaration_token1] = ACTIONS(1057),
    [aux_sym_enum_declaration_token1] = ACTIONS(1057),
    [aux_sym_enum_case_token1] = ACTIONS(1057),
    [aux_sym_class_declaration_token1] = ACTIONS(1057),
    [aux_sym_final_modifier_token1] = ACTIONS(1057),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1057),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1057),
    [sym_var_modifier] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1057),
    [anon_sym_LPAREN2] = ACTIONS(1055),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1057),
    [aux_sym_cast_type_token1] = ACTIONS(1057),
    [aux_sym_echo_statement_token1] = ACTIONS(1057),
    [aux_sym_exit_statement_token1] = ACTIONS(1057),
    [anon_sym_unset] = ACTIONS(1057),
    [aux_sym_declare_statement_token1] = ACTIONS(1057),
    [aux_sym_declare_statement_token2] = ACTIONS(1057),
    [sym_float] = ACTIONS(1057),
    [aux_sym_try_statement_token1] = ACTIONS(1057),
    [aux_sym_goto_statement_token1] = ACTIONS(1057),
    [aux_sym_continue_statement_token1] = ACTIONS(1057),
    [aux_sym_break_statement_token1] = ACTIONS(1057),
    [sym_integer] = ACTIONS(1057),
    [aux_sym_return_statement_token1] = ACTIONS(1057),
    [aux_sym_throw_expression_token1] = ACTIONS(1057),
    [aux_sym_while_statement_token1] = ACTIONS(1057),
    [aux_sym_while_statement_token2] = ACTIONS(1057),
    [aux_sym_do_statement_token1] = ACTIONS(1057),
    [aux_sym_for_statement_token1] = ACTIONS(1057),
    [aux_sym_for_statement_token2] = ACTIONS(1057),
    [aux_sym_foreach_statement_token1] = ACTIONS(1057),
    [aux_sym_foreach_statement_token2] = ACTIONS(1057),
    [aux_sym_if_statement_token1] = ACTIONS(1057),
    [aux_sym_if_statement_token2] = ACTIONS(1057),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1053),
    [aux_sym_match_expression_token1] = ACTIONS(1057),
    [aux_sym_match_default_expression_token1] = ACTIONS(1057),
    [aux_sym_switch_statement_token1] = ACTIONS(1057),
    [aux_sym_switch_block_token1] = ACTIONS(1057),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1055),
    [aux_sym_clone_expression_token1] = ACTIONS(1057),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1057),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1055),
    [anon_sym_PLUS_PLUS] = ACTIONS(1055),
    [aux_sym__list_destructing_token1] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_self] = ACTIONS(1057),
    [anon_sym_parent] = ACTIONS(1057),
    [aux_sym__argument_name_token1] = ACTIONS(1057),
    [aux_sym__argument_name_token2] = ACTIONS(1057),
    [anon_sym_POUND_LBRACK] = ACTIONS(1055),
    [aux_sym_encapsed_string_token1] = ACTIONS(1055),
    [anon_sym_DQUOTE] = ACTIONS(1055),
    [aux_sym_string_token1] = ACTIONS(1055),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [anon_sym_LT_LT_LT] = ACTIONS(1055),
    [anon_sym_BQUOTE] = ACTIONS(1055),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [aux_sym_yield_expression_token1] = ACTIONS(1057),
    [aux_sym_include_expression_token1] = ACTIONS(1057),
    [aux_sym_include_once_expression_token1] = ACTIONS(1057),
    [aux_sym_require_expression_token1] = ACTIONS(1057),
    [aux_sym_require_once_expression_token1] = ACTIONS(1057),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_else_if_clause] = STATE(492),
    [sym_else_clause] = STATE(493),
    [aux_sym_if_statement_repeat1] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN2] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1065),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_case_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_final_modifier_token1] = ACTIONS(1073),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1073),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1073),
    [sym_var_modifier] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN2] = ACTIONS(1071),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1073),
    [aux_sym_cast_type_token1] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [aux_sym_exit_statement_token1] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [aux_sym_declare_statement_token2] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_catch_clause_token1] = ACTIONS(1073),
    [aux_sym_finally_clause_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1073),
    [aux_sym_match_default_expression_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1071),
    [aux_sym_clone_expression_token1] = ACTIONS(1073),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1073),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [aux_sym__list_destructing_token1] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [aux_sym__argument_name_token1] = ACTIONS(1073),
    [aux_sym__argument_name_token2] = ACTIONS(1073),
    [anon_sym_POUND_LBRACK] = ACTIONS(1071),
    [aux_sym_encapsed_string_token1] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_LT_LT_LT] = ACTIONS(1071),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [aux_sym_yield_expression_token1] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_name] = ACTIONS(1077),
    [anon_sym_QMARK_GT] = ACTIONS(1075),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1077),
    [aux_sym_global_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_definition_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1077),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [aux_sym_trait_declaration_token1] = ACTIONS(1077),
    [aux_sym_interface_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_case_token1] = ACTIONS(1077),
    [aux_sym_class_declaration_token1] = ACTIONS(1077),
    [aux_sym_final_modifier_token1] = ACTIONS(1077),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1077),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1077),
    [sym_var_modifier] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1077),
    [anon_sym_LPAREN2] = ACTIONS(1075),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1077),
    [aux_sym_cast_type_token1] = ACTIONS(1077),
    [aux_sym_echo_statement_token1] = ACTIONS(1077),
    [aux_sym_exit_statement_token1] = ACTIONS(1077),
    [anon_sym_unset] = ACTIONS(1077),
    [aux_sym_declare_statement_token1] = ACTIONS(1077),
    [aux_sym_declare_statement_token2] = ACTIONS(1077),
    [sym_float] = ACTIONS(1077),
    [aux_sym_try_statement_token1] = ACTIONS(1077),
    [aux_sym_catch_clause_token1] = ACTIONS(1077),
    [aux_sym_finally_clause_token1] = ACTIONS(1077),
    [aux_sym_goto_statement_token1] = ACTIONS(1077),
    [aux_sym_continue_statement_token1] = ACTIONS(1077),
    [aux_sym_break_statement_token1] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1077),
    [aux_sym_return_statement_token1] = ACTIONS(1077),
    [aux_sym_throw_expression_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token2] = ACTIONS(1077),
    [aux_sym_do_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token2] = ACTIONS(1077),
    [aux_sym_foreach_statement_token1] = ACTIONS(1077),
    [aux_sym_foreach_statement_token2] = ACTIONS(1077),
    [aux_sym_if_statement_token1] = ACTIONS(1077),
    [aux_sym_if_statement_token2] = ACTIONS(1077),
    [aux_sym_else_if_clause_token1] = ACTIONS(1077),
    [aux_sym_else_clause_token1] = ACTIONS(1077),
    [aux_sym_match_expression_token1] = ACTIONS(1077),
    [aux_sym_match_default_expression_token1] = ACTIONS(1077),
    [aux_sym_switch_statement_token1] = ACTIONS(1077),
    [aux_sym_switch_block_token1] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [aux_sym_clone_expression_token1] = ACTIONS(1077),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1077),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [aux_sym__list_destructing_token1] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_self] = ACTIONS(1077),
    [anon_sym_parent] = ACTIONS(1077),
    [aux_sym__argument_name_token1] = ACTIONS(1077),
    [aux_sym__argument_name_token2] = ACTIONS(1077),
    [anon_sym_POUND_LBRACK] = ACTIONS(1075),
    [aux_sym_encapsed_string_token1] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [aux_sym_string_token1] = ACTIONS(1075),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_LT_LT_LT] = ACTIONS(1075),
    [anon_sym_BQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [aux_sym_yield_expression_token1] = ACTIONS(1077),
    [aux_sym_include_expression_token1] = ACTIONS(1077),
    [aux_sym_include_once_expression_token1] = ACTIONS(1077),
    [aux_sym_require_expression_token1] = ACTIONS(1077),
    [aux_sym_require_once_expression_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_name] = ACTIONS(1081),
    [anon_sym_QMARK_GT] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1079),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1081),
    [aux_sym_global_declaration_token1] = ACTIONS(1081),
    [aux_sym_namespace_definition_token1] = ACTIONS(1081),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1081),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1081),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1081),
    [anon_sym_BSLASH] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [aux_sym_trait_declaration_token1] = ACTIONS(1081),
    [aux_sym_interface_declaration_token1] = ACTIONS(1081),
    [aux_sym_enum_declaration_token1] = ACTIONS(1081),
    [aux_sym_enum_case_token1] = ACTIONS(1081),
    [aux_sym_class_declaration_token1] = ACTIONS(1081),
    [aux_sym_final_modifier_token1] = ACTIONS(1081),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1081),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1081),
    [sym_var_modifier] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1081),
    [anon_sym_LPAREN2] = ACTIONS(1079),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1081),
    [aux_sym_cast_type_token1] = ACTIONS(1081),
    [aux_sym_echo_statement_token1] = ACTIONS(1081),
    [aux_sym_exit_statement_token1] = ACTIONS(1081),
    [anon_sym_unset] = ACTIONS(1081),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [aux_sym_declare_statement_token2] = ACTIONS(1081),
    [sym_float] = ACTIONS(1081),
    [aux_sym_try_statement_token1] = ACTIONS(1081),
    [aux_sym_catch_clause_token1] = ACTIONS(1081),
    [aux_sym_finally_clause_token1] = ACTIONS(1081),
    [aux_sym_goto_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [sym_integer] = ACTIONS(1081),
    [aux_sym_return_statement_token1] = ACTIONS(1081),
    [aux_sym_throw_expression_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token2] = ACTIONS(1081),
    [aux_sym_do_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token2] = ACTIONS(1081),
    [aux_sym_foreach_statement_token1] = ACTIONS(1081),
    [aux_sym_foreach_statement_token2] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token2] = ACTIONS(1081),
    [aux_sym_else_if_clause_token1] = ACTIONS(1081),
    [aux_sym_else_clause_token1] = ACTIONS(1081),
    [aux_sym_match_expression_token1] = ACTIONS(1081),
    [aux_sym_match_default_expression_token1] = ACTIONS(1081),
    [aux_sym_switch_statement_token1] = ACTIONS(1081),
    [aux_sym_switch_block_token1] = ACTIONS(1081),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1079),
    [aux_sym_clone_expression_token1] = ACTIONS(1081),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1081),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [aux_sym__list_destructing_token1] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_self] = ACTIONS(1081),
    [anon_sym_parent] = ACTIONS(1081),
    [aux_sym__argument_name_token1] = ACTIONS(1081),
    [aux_sym__argument_name_token2] = ACTIONS(1081),
    [anon_sym_POUND_LBRACK] = ACTIONS(1079),
    [aux_sym_encapsed_string_token1] = ACTIONS(1079),
    [anon_sym_DQUOTE] = ACTIONS(1079),
    [aux_sym_string_token1] = ACTIONS(1079),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [anon_sym_LT_LT_LT] = ACTIONS(1079),
    [anon_sym_BQUOTE] = ACTIONS(1079),
    [anon_sym_DOLLAR] = ACTIONS(1079),
    [aux_sym_yield_expression_token1] = ACTIONS(1081),
    [aux_sym_include_expression_token1] = ACTIONS(1081),
    [aux_sym_include_once_expression_token1] = ACTIONS(1081),
    [aux_sym_require_expression_token1] = ACTIONS(1081),
    [aux_sym_require_once_expression_token1] = ACTIONS(1081),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_else_if_clause] = STATE(492),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_name] = ACTIONS(1085),
    [anon_sym_QMARK_GT] = ACTIONS(1083),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1085),
    [aux_sym_global_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_definition_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1085),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1085),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1085),
    [anon_sym_BSLASH] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [aux_sym_trait_declaration_token1] = ACTIONS(1085),
    [aux_sym_interface_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_declaration_token1] = ACTIONS(1085),
    [aux_sym_enum_case_token1] = ACTIONS(1085),
    [aux_sym_class_declaration_token1] = ACTIONS(1085),
    [aux_sym_final_modifier_token1] = ACTIONS(1085),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1085),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1085),
    [sym_var_modifier] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1085),
    [anon_sym_LPAREN2] = ACTIONS(1083),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1085),
    [aux_sym_cast_type_token1] = ACTIONS(1085),
    [aux_sym_echo_statement_token1] = ACTIONS(1085),
    [aux_sym_exit_statement_token1] = ACTIONS(1085),
    [anon_sym_unset] = ACTIONS(1085),
    [aux_sym_declare_statement_token1] = ACTIONS(1085),
    [aux_sym_declare_statement_token2] = ACTIONS(1085),
    [sym_float] = ACTIONS(1085),
    [aux_sym_try_statement_token1] = ACTIONS(1085),
    [aux_sym_goto_statement_token1] = ACTIONS(1085),
    [aux_sym_continue_statement_token1] = ACTIONS(1085),
    [aux_sym_break_statement_token1] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1085),
    [aux_sym_return_statement_token1] = ACTIONS(1085),
    [aux_sym_throw_expression_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token2] = ACTIONS(1085),
    [aux_sym_do_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token2] = ACTIONS(1085),
    [aux_sym_foreach_statement_token1] = ACTIONS(1085),
    [aux_sym_foreach_statement_token2] = ACTIONS(1085),
    [aux_sym_if_statement_token1] = ACTIONS(1085),
    [aux_sym_if_statement_token2] = ACTIONS(1085),
    [aux_sym_else_if_clause_token1] = ACTIONS(1087),
    [aux_sym_else_clause_token1] = ACTIONS(1085),
    [aux_sym_match_expression_token1] = ACTIONS(1085),
    [aux_sym_match_default_expression_token1] = ACTIONS(1085),
    [aux_sym_switch_statement_token1] = ACTIONS(1085),
    [aux_sym_switch_block_token1] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_AT] = ACTIONS(1083),
    [aux_sym_clone_expression_token1] = ACTIONS(1085),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1085),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1085),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [aux_sym__list_destructing_token1] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_self] = ACTIONS(1085),
    [anon_sym_parent] = ACTIONS(1085),
    [aux_sym__argument_name_token1] = ACTIONS(1085),
    [aux_sym__argument_name_token2] = ACTIONS(1085),
    [anon_sym_POUND_LBRACK] = ACTIONS(1083),
    [aux_sym_encapsed_string_token1] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [aux_sym_string_token1] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1083),
    [anon_sym_LT_LT_LT] = ACTIONS(1083),
    [anon_sym_BQUOTE] = ACTIONS(1083),
    [anon_sym_DOLLAR] = ACTIONS(1083),
    [aux_sym_yield_expression_token1] = ACTIONS(1085),
    [aux_sym_include_expression_token1] = ACTIONS(1085),
    [aux_sym_include_once_expression_token1] = ACTIONS(1085),
    [aux_sym_require_expression_token1] = ACTIONS(1085),
    [aux_sym_require_once_expression_token1] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [anon_sym_LPAREN2] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_catch_clause_token1] = ACTIONS(1092),
    [aux_sym_finally_clause_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_catch_clause_token1] = ACTIONS(1096),
    [aux_sym_finally_clause_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [sym_var_modifier] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(1098),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [aux_sym_exit_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_name] = ACTIONS(1104),
    [anon_sym_QMARK_GT] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1104),
    [aux_sym_global_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_definition_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1104),
    [anon_sym_BSLASH] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [aux_sym_trait_declaration_token1] = ACTIONS(1104),
    [aux_sym_interface_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_case_token1] = ACTIONS(1104),
    [aux_sym_class_declaration_token1] = ACTIONS(1104),
    [aux_sym_final_modifier_token1] = ACTIONS(1104),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1104),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1104),
    [sym_var_modifier] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1104),
    [anon_sym_LPAREN2] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1104),
    [aux_sym_echo_statement_token1] = ACTIONS(1104),
    [aux_sym_exit_statement_token1] = ACTIONS(1104),
    [anon_sym_unset] = ACTIONS(1104),
    [aux_sym_declare_statement_token1] = ACTIONS(1104),
    [aux_sym_declare_statement_token2] = ACTIONS(1104),
    [sym_float] = ACTIONS(1104),
    [aux_sym_try_statement_token1] = ACTIONS(1104),
    [aux_sym_goto_statement_token1] = ACTIONS(1104),
    [aux_sym_continue_statement_token1] = ACTIONS(1104),
    [aux_sym_break_statement_token1] = ACTIONS(1104),
    [sym_integer] = ACTIONS(1104),
    [aux_sym_return_statement_token1] = ACTIONS(1104),
    [aux_sym_throw_expression_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token2] = ACTIONS(1104),
    [aux_sym_do_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token2] = ACTIONS(1104),
    [aux_sym_foreach_statement_token1] = ACTIONS(1104),
    [aux_sym_foreach_statement_token2] = ACTIONS(1104),
    [aux_sym_if_statement_token1] = ACTIONS(1104),
    [aux_sym_if_statement_token2] = ACTIONS(1104),
    [aux_sym_else_if_clause_token1] = ACTIONS(1104),
    [aux_sym_else_clause_token1] = ACTIONS(1104),
    [aux_sym_match_expression_token1] = ACTIONS(1104),
    [aux_sym_match_default_expression_token1] = ACTIONS(1104),
    [aux_sym_switch_statement_token1] = ACTIONS(1104),
    [aux_sym_switch_block_token1] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [aux_sym_clone_expression_token1] = ACTIONS(1104),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1104),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [aux_sym__list_destructing_token1] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_self] = ACTIONS(1104),
    [anon_sym_parent] = ACTIONS(1104),
    [aux_sym__argument_name_token1] = ACTIONS(1104),
    [aux_sym__argument_name_token2] = ACTIONS(1104),
    [anon_sym_POUND_LBRACK] = ACTIONS(1102),
    [aux_sym_encapsed_string_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [aux_sym_string_token1] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [anon_sym_LT_LT_LT] = ACTIONS(1102),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1102),
    [aux_sym_yield_expression_token1] = ACTIONS(1104),
    [aux_sym_include_expression_token1] = ACTIONS(1104),
    [aux_sym_include_once_expression_token1] = ACTIONS(1104),
    [aux_sym_require_expression_token1] = ACTIONS(1104),
    [aux_sym_require_once_expression_token1] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [anon_sym_LPAREN2] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [sym_var_modifier] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1110),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [aux_sym_exit_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [sym_var_modifier] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [aux_sym_exit_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [aux_sym__argument_name_token1] = ACTIONS(1116),
    [aux_sym__argument_name_token2] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_case_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_final_modifier_token1] = ACTIONS(1073),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1073),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1073),
    [sym_var_modifier] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN2] = ACTIONS(1071),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1073),
    [aux_sym_cast_type_token1] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [aux_sym_exit_statement_token1] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [aux_sym_declare_statement_token2] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1073),
    [aux_sym_match_default_expression_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1071),
    [aux_sym_clone_expression_token1] = ACTIONS(1073),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1073),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [aux_sym__list_destructing_token1] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [aux_sym__argument_name_token1] = ACTIONS(1073),
    [aux_sym__argument_name_token2] = ACTIONS(1073),
    [anon_sym_POUND_LBRACK] = ACTIONS(1071),
    [aux_sym_encapsed_string_token1] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_LT_LT_LT] = ACTIONS(1071),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [aux_sym_yield_expression_token1] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [sym_var_modifier] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [aux_sym_exit_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [sym_var_modifier] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [aux_sym_exit_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [aux_sym__argument_name_token1] = ACTIONS(1128),
    [aux_sym__argument_name_token2] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [sym_var_modifier] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [aux_sym_exit_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [sym_var_modifier] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [aux_sym_exit_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [sym_var_modifier] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [aux_sym_exit_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [aux_sym__argument_name_token1] = ACTIONS(1188),
    [aux_sym__argument_name_token2] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [sym_var_modifier] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [aux_sym_exit_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [sym_var_modifier] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [aux_sym_exit_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [aux_sym__argument_name_token1] = ACTIONS(1208),
    [aux_sym__argument_name_token2] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [sym_var_modifier] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [aux_sym_exit_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [sym_var_modifier] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [aux_sym_exit_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [sym_var_modifier] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [aux_sym_exit_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [sym_var_modifier] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [aux_sym_exit_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [sym_var_modifier] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [aux_sym_exit_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [sym_var_modifier] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [aux_sym_exit_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [sym_var_modifier] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [aux_sym_exit_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [sym_var_modifier] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [aux_sym_exit_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [sym_var_modifier] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [aux_sym_exit_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [anon_sym_LPAREN2] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_case_token1] = ACTIONS(1516),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [sym_var_modifier] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [aux_sym_exit_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_declare_statement_token2] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token2] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token2] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token2] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token2] = ACTIONS(1516),
    [aux_sym_else_if_clause_token1] = ACTIONS(1516),
    [aux_sym_else_clause_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_match_default_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [aux_sym_switch_block_token1] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1514),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [aux_sym__argument_name_token1] = ACTIONS(1516),
    [aux_sym__argument_name_token2] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1514),
    [aux_sym_encapsed_string_token1] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [aux_sym_string_token1] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_LT_LT_LT] = ACTIONS(1514),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_case_token1] = ACTIONS(1520),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [aux_sym_declare_statement_token2] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token2] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token2] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token2] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token2] = ACTIONS(1520),
    [aux_sym_else_if_clause_token1] = ACTIONS(1520),
    [aux_sym_else_clause_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_match_default_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [aux_sym_switch_block_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1524),
    [aux_sym_global_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_definition_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1524),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1524),
    [aux_sym_interface_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_case_token1] = ACTIONS(1524),
    [aux_sym_class_declaration_token1] = ACTIONS(1524),
    [aux_sym_final_modifier_token1] = ACTIONS(1524),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1524),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1524),
    [sym_var_modifier] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1524),
    [aux_sym_echo_statement_token1] = ACTIONS(1524),
    [aux_sym_exit_statement_token1] = ACTIONS(1524),
    [anon_sym_unset] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_declare_statement_token2] = ACTIONS(1524),
    [sym_float] = ACTIONS(1524),
    [aux_sym_try_statement_token1] = ACTIONS(1524),
    [aux_sym_goto_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [sym_integer] = ACTIONS(1524),
    [aux_sym_return_statement_token1] = ACTIONS(1524),
    [aux_sym_throw_expression_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token2] = ACTIONS(1524),
    [aux_sym_do_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token2] = ACTIONS(1524),
    [aux_sym_foreach_statement_token1] = ACTIONS(1524),
    [aux_sym_foreach_statement_token2] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token2] = ACTIONS(1524),
    [aux_sym_else_if_clause_token1] = ACTIONS(1524),
    [aux_sym_else_clause_token1] = ACTIONS(1524),
    [aux_sym_match_expression_token1] = ACTIONS(1524),
    [aux_sym_match_default_expression_token1] = ACTIONS(1524),
    [aux_sym_switch_statement_token1] = ACTIONS(1524),
    [aux_sym_switch_block_token1] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1524),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1524),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1524),
    [anon_sym_parent] = ACTIONS(1524),
    [aux_sym__argument_name_token1] = ACTIONS(1524),
    [aux_sym__argument_name_token2] = ACTIONS(1524),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1524),
    [aux_sym_include_expression_token1] = ACTIONS(1524),
    [aux_sym_include_once_expression_token1] = ACTIONS(1524),
    [aux_sym_require_expression_token1] = ACTIONS(1524),
    [aux_sym_require_once_expression_token1] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_name] = ACTIONS(1532),
    [anon_sym_QMARK_GT] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1532),
    [aux_sym_global_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_definition_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1532),
    [anon_sym_BSLASH] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [aux_sym_trait_declaration_token1] = ACTIONS(1532),
    [aux_sym_interface_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_case_token1] = ACTIONS(1532),
    [aux_sym_class_declaration_token1] = ACTIONS(1532),
    [aux_sym_final_modifier_token1] = ACTIONS(1532),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1532),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1532),
    [sym_var_modifier] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1532),
    [aux_sym_echo_statement_token1] = ACTIONS(1532),
    [aux_sym_exit_statement_token1] = ACTIONS(1532),
    [anon_sym_unset] = ACTIONS(1532),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [aux_sym_declare_statement_token2] = ACTIONS(1532),
    [sym_float] = ACTIONS(1532),
    [aux_sym_try_statement_token1] = ACTIONS(1532),
    [aux_sym_goto_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [sym_integer] = ACTIONS(1532),
    [aux_sym_return_statement_token1] = ACTIONS(1532),
    [aux_sym_throw_expression_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [aux_sym_do_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token2] = ACTIONS(1532),
    [aux_sym_foreach_statement_token1] = ACTIONS(1532),
    [aux_sym_foreach_statement_token2] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token2] = ACTIONS(1532),
    [aux_sym_else_if_clause_token1] = ACTIONS(1532),
    [aux_sym_else_clause_token1] = ACTIONS(1532),
    [aux_sym_match_expression_token1] = ACTIONS(1532),
    [aux_sym_match_default_expression_token1] = ACTIONS(1532),
    [aux_sym_switch_statement_token1] = ACTIONS(1532),
    [aux_sym_switch_block_token1] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1530),
    [aux_sym_clone_expression_token1] = ACTIONS(1532),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1532),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [aux_sym__list_destructing_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_self] = ACTIONS(1532),
    [anon_sym_parent] = ACTIONS(1532),
    [aux_sym__argument_name_token1] = ACTIONS(1532),
    [aux_sym__argument_name_token2] = ACTIONS(1532),
    [anon_sym_POUND_LBRACK] = ACTIONS(1530),
    [aux_sym_encapsed_string_token1] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_string_token1] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_LT_LT_LT] = ACTIONS(1530),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [aux_sym_yield_expression_token1] = ACTIONS(1532),
    [aux_sym_include_expression_token1] = ACTIONS(1532),
    [aux_sym_include_once_expression_token1] = ACTIONS(1532),
    [aux_sym_require_expression_token1] = ACTIONS(1532),
    [aux_sym_require_once_expression_token1] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_name] = ACTIONS(1536),
    [anon_sym_QMARK_GT] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1536),
    [aux_sym_global_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_definition_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [aux_sym_trait_declaration_token1] = ACTIONS(1536),
    [aux_sym_interface_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_case_token1] = ACTIONS(1536),
    [aux_sym_class_declaration_token1] = ACTIONS(1536),
    [aux_sym_final_modifier_token1] = ACTIONS(1536),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1536),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1536),
    [sym_var_modifier] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1536),
    [aux_sym_echo_statement_token1] = ACTIONS(1536),
    [aux_sym_exit_statement_token1] = ACTIONS(1536),
    [anon_sym_unset] = ACTIONS(1536),
    [aux_sym_declare_statement_token1] = ACTIONS(1536),
    [aux_sym_declare_statement_token2] = ACTIONS(1536),
    [sym_float] = ACTIONS(1536),
    [aux_sym_try_statement_token1] = ACTIONS(1536),
    [aux_sym_goto_statement_token1] = ACTIONS(1536),
    [aux_sym_continue_statement_token1] = ACTIONS(1536),
    [aux_sym_break_statement_token1] = ACTIONS(1536),
    [sym_integer] = ACTIONS(1536),
    [aux_sym_return_statement_token1] = ACTIONS(1536),
    [aux_sym_throw_expression_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token2] = ACTIONS(1536),
    [aux_sym_do_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token2] = ACTIONS(1536),
    [aux_sym_foreach_statement_token1] = ACTIONS(1536),
    [aux_sym_foreach_statement_token2] = ACTIONS(1536),
    [aux_sym_if_statement_token1] = ACTIONS(1536),
    [aux_sym_if_statement_token2] = ACTIONS(1536),
    [aux_sym_else_if_clause_token1] = ACTIONS(1536),
    [aux_sym_else_clause_token1] = ACTIONS(1536),
    [aux_sym_match_expression_token1] = ACTIONS(1536),
    [aux_sym_match_default_expression_token1] = ACTIONS(1536),
    [aux_sym_switch_statement_token1] = ACTIONS(1536),
    [aux_sym_switch_block_token1] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [aux_sym_clone_expression_token1] = ACTIONS(1536),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1536),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [aux_sym__list_destructing_token1] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_self] = ACTIONS(1536),
    [anon_sym_parent] = ACTIONS(1536),
    [aux_sym__argument_name_token1] = ACTIONS(1536),
    [aux_sym__argument_name_token2] = ACTIONS(1536),
    [anon_sym_POUND_LBRACK] = ACTIONS(1534),
    [aux_sym_encapsed_string_token1] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [aux_sym_string_token1] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_LT_LT_LT] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [aux_sym_yield_expression_token1] = ACTIONS(1536),
    [aux_sym_include_expression_token1] = ACTIONS(1536),
    [aux_sym_include_once_expression_token1] = ACTIONS(1536),
    [aux_sym_require_expression_token1] = ACTIONS(1536),
    [aux_sym_require_once_expression_token1] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_name] = ACTIONS(1544),
    [anon_sym_QMARK_GT] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1542),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1544),
    [aux_sym_global_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_definition_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_trait_declaration_token1] = ACTIONS(1544),
    [aux_sym_interface_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_case_token1] = ACTIONS(1544),
    [aux_sym_class_declaration_token1] = ACTIONS(1544),
    [aux_sym_final_modifier_token1] = ACTIONS(1544),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1544),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1544),
    [sym_var_modifier] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1544),
    [anon_sym_LPAREN2] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1544),
    [aux_sym_echo_statement_token1] = ACTIONS(1544),
    [aux_sym_exit_statement_token1] = ACTIONS(1544),
    [anon_sym_unset] = ACTIONS(1544),
    [aux_sym_declare_statement_token1] = ACTIONS(1544),
    [aux_sym_declare_statement_token2] = ACTIONS(1544),
    [sym_float] = ACTIONS(1544),
    [aux_sym_try_statement_token1] = ACTIONS(1544),
    [aux_sym_goto_statement_token1] = ACTIONS(1544),
    [aux_sym_continue_statement_token1] = ACTIONS(1544),
    [aux_sym_break_statement_token1] = ACTIONS(1544),
    [sym_integer] = ACTIONS(1544),
    [aux_sym_return_statement_token1] = ACTIONS(1544),
    [aux_sym_throw_expression_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token2] = ACTIONS(1544),
    [aux_sym_do_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token2] = ACTIONS(1544),
    [aux_sym_foreach_statement_token1] = ACTIONS(1544),
    [aux_sym_foreach_statement_token2] = ACTIONS(1544),
    [aux_sym_if_statement_token1] = ACTIONS(1544),
    [aux_sym_if_statement_token2] = ACTIONS(1544),
    [aux_sym_else_if_clause_token1] = ACTIONS(1544),
    [aux_sym_else_clause_token1] = ACTIONS(1544),
    [aux_sym_match_expression_token1] = ACTIONS(1544),
    [aux_sym_match_default_expression_token1] = ACTIONS(1544),
    [aux_sym_switch_statement_token1] = ACTIONS(1544),
    [aux_sym_switch_block_token1] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [aux_sym_clone_expression_token1] = ACTIONS(1544),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1544),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [aux_sym__list_destructing_token1] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_self] = ACTIONS(1544),
    [anon_sym_parent] = ACTIONS(1544),
    [aux_sym__argument_name_token1] = ACTIONS(1544),
    [aux_sym__argument_name_token2] = ACTIONS(1544),
    [anon_sym_POUND_LBRACK] = ACTIONS(1542),
    [aux_sym_encapsed_string_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [aux_sym_string_token1] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [anon_sym_LT_LT_LT] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [aux_sym_yield_expression_token1] = ACTIONS(1544),
    [aux_sym_include_expression_token1] = ACTIONS(1544),
    [aux_sym_include_once_expression_token1] = ACTIONS(1544),
    [aux_sym_require_expression_token1] = ACTIONS(1544),
    [aux_sym_require_once_expression_token1] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [anon_sym_LPAREN2] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [anon_sym_LPAREN2] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_name] = ACTIONS(1556),
    [anon_sym_QMARK_GT] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1556),
    [aux_sym_global_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_definition_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1556),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [aux_sym_trait_declaration_token1] = ACTIONS(1556),
    [aux_sym_interface_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_case_token1] = ACTIONS(1556),
    [aux_sym_class_declaration_token1] = ACTIONS(1556),
    [aux_sym_final_modifier_token1] = ACTIONS(1556),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1556),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1556),
    [sym_var_modifier] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1556),
    [aux_sym_echo_statement_token1] = ACTIONS(1556),
    [aux_sym_exit_statement_token1] = ACTIONS(1556),
    [anon_sym_unset] = ACTIONS(1556),
    [aux_sym_declare_statement_token1] = ACTIONS(1556),
    [aux_sym_declare_statement_token2] = ACTIONS(1556),
    [sym_float] = ACTIONS(1556),
    [aux_sym_try_statement_token1] = ACTIONS(1556),
    [aux_sym_goto_statement_token1] = ACTIONS(1556),
    [aux_sym_continue_statement_token1] = ACTIONS(1556),
    [aux_sym_break_statement_token1] = ACTIONS(1556),
    [sym_integer] = ACTIONS(1556),
    [aux_sym_return_statement_token1] = ACTIONS(1556),
    [aux_sym_throw_expression_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token2] = ACTIONS(1556),
    [aux_sym_do_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token2] = ACTIONS(1556),
    [aux_sym_foreach_statement_token1] = ACTIONS(1556),
    [aux_sym_foreach_statement_token2] = ACTIONS(1556),
    [aux_sym_if_statement_token1] = ACTIONS(1556),
    [aux_sym_if_statement_token2] = ACTIONS(1556),
    [aux_sym_else_if_clause_token1] = ACTIONS(1556),
    [aux_sym_else_clause_token1] = ACTIONS(1556),
    [aux_sym_match_expression_token1] = ACTIONS(1556),
    [aux_sym_match_default_expression_token1] = ACTIONS(1556),
    [aux_sym_switch_statement_token1] = ACTIONS(1556),
    [aux_sym_switch_block_token1] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [aux_sym_clone_expression_token1] = ACTIONS(1556),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1556),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [aux_sym__list_destructing_token1] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_self] = ACTIONS(1556),
    [anon_sym_parent] = ACTIONS(1556),
    [aux_sym__argument_name_token1] = ACTIONS(1556),
    [aux_sym__argument_name_token2] = ACTIONS(1556),
    [anon_sym_POUND_LBRACK] = ACTIONS(1554),
    [aux_sym_encapsed_string_token1] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_LT_LT_LT] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [aux_sym_yield_expression_token1] = ACTIONS(1556),
    [aux_sym_include_expression_token1] = ACTIONS(1556),
    [aux_sym_include_once_expression_token1] = ACTIONS(1556),
    [aux_sym_require_expression_token1] = ACTIONS(1556),
    [aux_sym_require_once_expression_token1] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1558),
    [sym_name] = ACTIONS(1560),
    [anon_sym_QMARK_GT] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1560),
    [aux_sym_global_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_definition_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [aux_sym_trait_declaration_token1] = ACTIONS(1560),
    [aux_sym_interface_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_case_token1] = ACTIONS(1560),
    [aux_sym_class_declaration_token1] = ACTIONS(1560),
    [aux_sym_final_modifier_token1] = ACTIONS(1560),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1560),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1560),
    [sym_var_modifier] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1560),
    [anon_sym_LPAREN2] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1560),
    [aux_sym_echo_statement_token1] = ACTIONS(1560),
    [aux_sym_exit_statement_token1] = ACTIONS(1560),
    [anon_sym_unset] = ACTIONS(1560),
    [aux_sym_declare_statement_token1] = ACTIONS(1560),
    [aux_sym_declare_statement_token2] = ACTIONS(1560),
    [sym_float] = ACTIONS(1560),
    [aux_sym_try_statement_token1] = ACTIONS(1560),
    [aux_sym_goto_statement_token1] = ACTIONS(1560),
    [aux_sym_continue_statement_token1] = ACTIONS(1560),
    [aux_sym_break_statement_token1] = ACTIONS(1560),
    [sym_integer] = ACTIONS(1560),
    [aux_sym_return_statement_token1] = ACTIONS(1560),
    [aux_sym_throw_expression_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token2] = ACTIONS(1560),
    [aux_sym_do_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token2] = ACTIONS(1560),
    [aux_sym_foreach_statement_token1] = ACTIONS(1560),
    [aux_sym_foreach_statement_token2] = ACTIONS(1560),
    [aux_sym_if_statement_token1] = ACTIONS(1560),
    [aux_sym_if_statement_token2] = ACTIONS(1560),
    [aux_sym_else_if_clause_token1] = ACTIONS(1560),
    [aux_sym_else_clause_token1] = ACTIONS(1560),
    [aux_sym_match_expression_token1] = ACTIONS(1560),
    [aux_sym_match_default_expression_token1] = ACTIONS(1560),
    [aux_sym_switch_statement_token1] = ACTIONS(1560),
    [aux_sym_switch_block_token1] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [aux_sym_clone_expression_token1] = ACTIONS(1560),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1560),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1558),
    [aux_sym__list_destructing_token1] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_self] = ACTIONS(1560),
    [anon_sym_parent] = ACTIONS(1560),
    [aux_sym__argument_name_token1] = ACTIONS(1560),
    [aux_sym__argument_name_token2] = ACTIONS(1560),
    [anon_sym_POUND_LBRACK] = ACTIONS(1558),
    [aux_sym_encapsed_string_token1] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1558),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_LT_LT_LT] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [aux_sym_yield_expression_token1] = ACTIONS(1560),
    [aux_sym_include_expression_token1] = ACTIONS(1560),
    [aux_sym_include_once_expression_token1] = ACTIONS(1560),
    [aux_sym_require_expression_token1] = ACTIONS(1560),
    [aux_sym_require_once_expression_token1] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_case_token1] = ACTIONS(1564),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [aux_sym_declare_statement_token2] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token2] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token2] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token2] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token2] = ACTIONS(1564),
    [aux_sym_else_if_clause_token1] = ACTIONS(1564),
    [aux_sym_else_clause_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_match_default_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [aux_sym_switch_block_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1562),
    [aux_sym_encapsed_string_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [anon_sym_LT_LT_LT] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_case_token1] = ACTIONS(1568),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [aux_sym_declare_statement_token2] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token2] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token2] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token2] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token2] = ACTIONS(1568),
    [aux_sym_else_if_clause_token1] = ACTIONS(1568),
    [aux_sym_else_clause_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_match_default_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [aux_sym_switch_block_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_name] = ACTIONS(1572),
    [anon_sym_QMARK_GT] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1572),
    [aux_sym_global_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_definition_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1572),
    [aux_sym_interface_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_case_token1] = ACTIONS(1572),
    [aux_sym_class_declaration_token1] = ACTIONS(1572),
    [aux_sym_final_modifier_token1] = ACTIONS(1572),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1572),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1572),
    [sym_var_modifier] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1572),
    [aux_sym_echo_statement_token1] = ACTIONS(1572),
    [aux_sym_exit_statement_token1] = ACTIONS(1572),
    [anon_sym_unset] = ACTIONS(1572),
    [aux_sym_declare_statement_token1] = ACTIONS(1572),
    [aux_sym_declare_statement_token2] = ACTIONS(1572),
    [sym_float] = ACTIONS(1572),
    [aux_sym_try_statement_token1] = ACTIONS(1572),
    [aux_sym_goto_statement_token1] = ACTIONS(1572),
    [aux_sym_continue_statement_token1] = ACTIONS(1572),
    [aux_sym_break_statement_token1] = ACTIONS(1572),
    [sym_integer] = ACTIONS(1572),
    [aux_sym_return_statement_token1] = ACTIONS(1572),
    [aux_sym_throw_expression_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token2] = ACTIONS(1572),
    [aux_sym_do_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token2] = ACTIONS(1572),
    [aux_sym_foreach_statement_token1] = ACTIONS(1572),
    [aux_sym_foreach_statement_token2] = ACTIONS(1572),
    [aux_sym_if_statement_token1] = ACTIONS(1572),
    [aux_sym_if_statement_token2] = ACTIONS(1572),
    [aux_sym_else_if_clause_token1] = ACTIONS(1572),
    [aux_sym_else_clause_token1] = ACTIONS(1572),
    [aux_sym_match_expression_token1] = ACTIONS(1572),
    [aux_sym_match_default_expression_token1] = ACTIONS(1572),
    [aux_sym_switch_statement_token1] = ACTIONS(1572),
    [aux_sym_switch_block_token1] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1572),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1572),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1572),
    [anon_sym_parent] = ACTIONS(1572),
    [aux_sym__argument_name_token1] = ACTIONS(1572),
    [aux_sym__argument_name_token2] = ACTIONS(1572),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1572),
    [aux_sym_include_expression_token1] = ACTIONS(1572),
    [aux_sym_include_once_expression_token1] = ACTIONS(1572),
    [aux_sym_require_expression_token1] = ACTIONS(1572),
    [aux_sym_require_once_expression_token1] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_name] = ACTIONS(1576),
    [anon_sym_QMARK_GT] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1576),
    [aux_sym_global_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_definition_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_trait_declaration_token1] = ACTIONS(1576),
    [aux_sym_interface_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_case_token1] = ACTIONS(1576),
    [aux_sym_class_declaration_token1] = ACTIONS(1576),
    [aux_sym_final_modifier_token1] = ACTIONS(1576),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1576),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1576),
    [sym_var_modifier] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1576),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1576),
    [aux_sym_echo_statement_token1] = ACTIONS(1576),
    [aux_sym_exit_statement_token1] = ACTIONS(1576),
    [anon_sym_unset] = ACTIONS(1576),
    [aux_sym_declare_statement_token1] = ACTIONS(1576),
    [aux_sym_declare_statement_token2] = ACTIONS(1576),
    [sym_float] = ACTIONS(1576),
    [aux_sym_try_statement_token1] = ACTIONS(1576),
    [aux_sym_goto_statement_token1] = ACTIONS(1576),
    [aux_sym_continue_statement_token1] = ACTIONS(1576),
    [aux_sym_break_statement_token1] = ACTIONS(1576),
    [sym_integer] = ACTIONS(1576),
    [aux_sym_return_statement_token1] = ACTIONS(1576),
    [aux_sym_throw_expression_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token2] = ACTIONS(1576),
    [aux_sym_do_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token2] = ACTIONS(1576),
    [aux_sym_foreach_statement_token1] = ACTIONS(1576),
    [aux_sym_foreach_statement_token2] = ACTIONS(1576),
    [aux_sym_if_statement_token1] = ACTIONS(1576),
    [aux_sym_if_statement_token2] = ACTIONS(1576),
    [aux_sym_else_if_clause_token1] = ACTIONS(1576),
    [aux_sym_else_clause_token1] = ACTIONS(1576),
    [aux_sym_match_expression_token1] = ACTIONS(1576),
    [aux_sym_match_default_expression_token1] = ACTIONS(1576),
    [aux_sym_switch_statement_token1] = ACTIONS(1576),
    [aux_sym_switch_block_token1] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [aux_sym_clone_expression_token1] = ACTIONS(1576),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1576),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [aux_sym__list_destructing_token1] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_self] = ACTIONS(1576),
    [anon_sym_parent] = ACTIONS(1576),
    [aux_sym__argument_name_token1] = ACTIONS(1576),
    [aux_sym__argument_name_token2] = ACTIONS(1576),
    [anon_sym_POUND_LBRACK] = ACTIONS(1574),
    [aux_sym_encapsed_string_token1] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_LT_LT_LT] = ACTIONS(1574),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [aux_sym_yield_expression_token1] = ACTIONS(1576),
    [aux_sym_include_expression_token1] = ACTIONS(1576),
    [aux_sym_include_once_expression_token1] = ACTIONS(1576),
    [aux_sym_require_expression_token1] = ACTIONS(1576),
    [aux_sym_require_once_expression_token1] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_name] = ACTIONS(1580),
    [anon_sym_QMARK_GT] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1580),
    [aux_sym_global_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_definition_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_trait_declaration_token1] = ACTIONS(1580),
    [aux_sym_interface_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_case_token1] = ACTIONS(1580),
    [aux_sym_class_declaration_token1] = ACTIONS(1580),
    [aux_sym_final_modifier_token1] = ACTIONS(1580),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1580),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1580),
    [sym_var_modifier] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1580),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1580),
    [aux_sym_echo_statement_token1] = ACTIONS(1580),
    [aux_sym_exit_statement_token1] = ACTIONS(1580),
    [anon_sym_unset] = ACTIONS(1580),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [aux_sym_declare_statement_token2] = ACTIONS(1580),
    [sym_float] = ACTIONS(1580),
    [aux_sym_try_statement_token1] = ACTIONS(1580),
    [aux_sym_goto_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [sym_integer] = ACTIONS(1580),
    [aux_sym_return_statement_token1] = ACTIONS(1580),
    [aux_sym_throw_expression_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token2] = ACTIONS(1580),
    [aux_sym_do_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token2] = ACTIONS(1580),
    [aux_sym_foreach_statement_token1] = ACTIONS(1580),
    [aux_sym_foreach_statement_token2] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token2] = ACTIONS(1580),
    [aux_sym_else_if_clause_token1] = ACTIONS(1580),
    [aux_sym_else_clause_token1] = ACTIONS(1580),
    [aux_sym_match_expression_token1] = ACTIONS(1580),
    [aux_sym_match_default_expression_token1] = ACTIONS(1580),
    [aux_sym_switch_statement_token1] = ACTIONS(1580),
    [aux_sym_switch_block_token1] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [aux_sym_clone_expression_token1] = ACTIONS(1580),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1580),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [aux_sym__list_destructing_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_self] = ACTIONS(1580),
    [anon_sym_parent] = ACTIONS(1580),
    [aux_sym__argument_name_token1] = ACTIONS(1580),
    [aux_sym__argument_name_token2] = ACTIONS(1580),
    [anon_sym_POUND_LBRACK] = ACTIONS(1578),
    [aux_sym_encapsed_string_token1] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_LT_LT_LT] = ACTIONS(1578),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1578),
    [aux_sym_yield_expression_token1] = ACTIONS(1580),
    [aux_sym_include_expression_token1] = ACTIONS(1580),
    [aux_sym_include_once_expression_token1] = ACTIONS(1580),
    [aux_sym_require_expression_token1] = ACTIONS(1580),
    [aux_sym_require_once_expression_token1] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_name] = ACTIONS(1584),
    [anon_sym_QMARK_GT] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1584),
    [aux_sym_global_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_definition_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_trait_declaration_token1] = ACTIONS(1584),
    [aux_sym_interface_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_case_token1] = ACTIONS(1584),
    [aux_sym_class_declaration_token1] = ACTIONS(1584),
    [aux_sym_final_modifier_token1] = ACTIONS(1584),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1584),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1584),
    [sym_var_modifier] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1584),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1584),
    [aux_sym_echo_statement_token1] = ACTIONS(1584),
    [aux_sym_exit_statement_token1] = ACTIONS(1584),
    [anon_sym_unset] = ACTIONS(1584),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [aux_sym_declare_statement_token2] = ACTIONS(1584),
    [sym_float] = ACTIONS(1584),
    [aux_sym_try_statement_token1] = ACTIONS(1584),
    [aux_sym_goto_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [sym_integer] = ACTIONS(1584),
    [aux_sym_return_statement_token1] = ACTIONS(1584),
    [aux_sym_throw_expression_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token2] = ACTIONS(1584),
    [aux_sym_do_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token2] = ACTIONS(1584),
    [aux_sym_foreach_statement_token1] = ACTIONS(1584),
    [aux_sym_foreach_statement_token2] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token2] = ACTIONS(1584),
    [aux_sym_else_if_clause_token1] = ACTIONS(1584),
    [aux_sym_else_clause_token1] = ACTIONS(1584),
    [aux_sym_match_expression_token1] = ACTIONS(1584),
    [aux_sym_match_default_expression_token1] = ACTIONS(1584),
    [aux_sym_switch_statement_token1] = ACTIONS(1584),
    [aux_sym_switch_block_token1] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [aux_sym_clone_expression_token1] = ACTIONS(1584),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1584),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [aux_sym__list_destructing_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_self] = ACTIONS(1584),
    [anon_sym_parent] = ACTIONS(1584),
    [aux_sym__argument_name_token1] = ACTIONS(1584),
    [aux_sym__argument_name_token2] = ACTIONS(1584),
    [anon_sym_POUND_LBRACK] = ACTIONS(1582),
    [aux_sym_encapsed_string_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [anon_sym_LT_LT_LT] = ACTIONS(1582),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1582),
    [aux_sym_yield_expression_token1] = ACTIONS(1584),
    [aux_sym_include_expression_token1] = ACTIONS(1584),
    [aux_sym_include_once_expression_token1] = ACTIONS(1584),
    [aux_sym_require_expression_token1] = ACTIONS(1584),
    [aux_sym_require_once_expression_token1] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2460),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_variable] = STATE(739),
    [sym__variable_member_access_expression] = STATE(738),
    [sym_member_access_expression] = STATE(739),
    [sym__variable_nullsafe_member_access_expression] = STATE(744),
    [sym_nullsafe_member_access_expression] = STATE(739),
    [sym__variable_scoped_property_access_expression] = STATE(731),
    [sym_scoped_property_access_expression] = STATE(739),
    [sym_function_call_expression] = STATE(718),
    [sym__callable_expression] = STATE(2234),
    [sym_scoped_call_expression] = STATE(718),
    [sym__scope_resolution_qualifier] = STATE(2467),
    [sym_relative_scope] = STATE(2467),
    [sym_member_call_expression] = STATE(718),
    [sym_nullsafe_member_call_expression] = STATE(718),
    [sym__variable_subscript_expression] = STATE(743),
    [sym__dereferencable_subscript_expression] = STATE(718),
    [sym__dereferencable_expression] = STATE(1845),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(726),
    [sym__simple_variable] = STATE(726),
    [sym__new_variable] = STATE(743),
    [sym__callable_variable] = STATE(718),
    [sym_variable_name] = STATE(726),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2567),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_variable] = STATE(739),
    [sym__variable_member_access_expression] = STATE(738),
    [sym_member_access_expression] = STATE(739),
    [sym__variable_nullsafe_member_access_expression] = STATE(744),
    [sym_nullsafe_member_access_expression] = STATE(739),
    [sym__variable_scoped_property_access_expression] = STATE(731),
    [sym_scoped_property_access_expression] = STATE(739),
    [sym_function_call_expression] = STATE(718),
    [sym__callable_expression] = STATE(2234),
    [sym_scoped_call_expression] = STATE(718),
    [sym__scope_resolution_qualifier] = STATE(2467),
    [sym_relative_scope] = STATE(2467),
    [sym_member_call_expression] = STATE(718),
    [sym_nullsafe_member_call_expression] = STATE(718),
    [sym__variable_subscript_expression] = STATE(743),
    [sym__dereferencable_subscript_expression] = STATE(718),
    [sym__dereferencable_expression] = STATE(1845),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(726),
    [sym__simple_variable] = STATE(726),
    [sym__new_variable] = STATE(743),
    [sym__callable_variable] = STATE(718),
    [sym_variable_name] = STATE(726),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_qualified_name] = STATE(781),
    [sym__name] = STATE(1617),
    [sym_namespace_name] = STATE(2620),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1003),
    [sym__anonymous_function_header] = STATE(2263),
    [sym__arrow_function_header] = STATE(2552),
    [sym_arrow_function] = STATE(1003),
    [sym_literal] = STATE(1003),
    [sym_throw_expression] = STATE(1003),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(782),
    [sym_class_constant_access_expression] = STATE(827),
    [sym_print_intrinsic] = STATE(1003),
    [sym_object_creation_expression] = STATE(1003),
    [sym__new_non_dereferencable_expression] = STATE(997),
    [sym__new_dereferencable_expression] = STATE(783),
    [sym_update_expression] = STATE(1003),
    [sym_cast_variable] = STATE(739),
    [sym__variable_member_access_expression] = STATE(738),
    [sym_member_access_expression] = STATE(739),
    [sym__variable_nullsafe_member_access_expression] = STATE(744),
    [sym_nullsafe_member_access_expression] = STATE(739),
    [sym__variable_scoped_property_access_expression] = STATE(731),
    [sym_scoped_property_access_expression] = STATE(739),
    [sym_function_call_expression] = STATE(718),
    [sym__callable_expression] = STATE(2234),
    [sym_scoped_call_expression] = STATE(718),
    [sym__scope_resolution_qualifier] = STATE(2467),
    [sym_relative_scope] = STATE(2467),
    [sym_member_call_expression] = STATE(718),
    [sym_nullsafe_member_call_expression] = STATE(718),
    [sym__variable_subscript_expression] = STATE(743),
    [sym__dereferencable_subscript_expression] = STATE(718),
    [sym__dereferencable_expression] = STATE(1845),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(784),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(785),
    [sym_string] = STATE(785),
    [sym_heredoc] = STATE(785),
    [sym_nowdoc] = STATE(785),
    [sym_shell_command_expression] = STATE(1003),
    [sym_boolean] = STATE(1002),
    [sym_null] = STATE(1002),
    [sym__string] = STATE(785),
    [sym_dynamic_variable_name] = STATE(726),
    [sym__simple_variable] = STATE(726),
    [sym__new_variable] = STATE(743),
    [sym__callable_variable] = STATE(718),
    [sym_variable_name] = STATE(726),
    [sym__reserved_identifier] = STATE(1617),
    [sym__identifier] = STATE(1617),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_qualified_name] = STATE(893),
    [sym__name] = STATE(1612),
    [sym_namespace_name] = STATE(2474),
    [sym_static_modifier] = STATE(2307),
    [sym_anonymous_function] = STATE(1111),
    [sym__anonymous_function_header] = STATE(2412),
    [sym__arrow_function_header] = STATE(2646),
    [sym_arrow_function] = STATE(1111),
    [sym_literal] = STATE(1111),
    [sym_throw_expression] = STATE(1111),
    [sym_primary_expression] = STATE(1078),
    [sym_parenthesized_expression] = STATE(945),
    [sym_class_constant_access_expression] = STATE(981),
    [sym_print_intrinsic] = STATE(1111),
    [sym_object_creation_expression] = STATE(1111),
    [sym__new_non_dereferencable_expression] = STATE(1094),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1111),
    [sym_cast_variable] = STATE(887),
    [sym__variable_member_access_expression] = STATE(879),
    [sym_member_access_expression] = STATE(887),
    [sym__variable_nullsafe_member_access_expression] = STATE(871),
    [sym_nullsafe_member_access_expression] = STATE(887),
    [sym__variable_scoped_property_access_expression] = STATE(876),
    [sym_scoped_property_access_expression] = STATE(887),
    [sym_function_call_expression] = STATE(842),
    [sym__callable_expression] = STATE(2399),
    [sym_scoped_call_expression] = STATE(842),
    [sym__scope_resolution_qualifier] = STATE(2627),
    [sym_relative_scope] = STATE(2627),
    [sym_member_call_expression] = STATE(842),
    [sym_nullsafe_member_call_expression] = STATE(842),
    [sym__variable_subscript_expression] = STATE(878),
    [sym__dereferencable_subscript_expression] = STATE(842),
    [sym__dereferencable_expression] = STATE(1819),
    [sym__dereferencable_scalar] = STATE(1729),
    [sym_array_creation_expression] = STATE(935),
    [sym_attribute_group] = STATE(1322),
    [sym_attribute_list] = STATE(1828),
    [sym_encapsed_string] = STATE(892),
    [sym_string] = STATE(892),
    [sym_heredoc] = STATE(892),
    [sym_nowdoc] = STATE(892),
    [sym_shell_command_expression] = STATE(1111),
    [sym_boolean] = STATE(1110),
    [sym_null] = STATE(1110),
    [sym__string] = STATE(892),
    [sym_dynamic_variable_name] = STATE(844),
    [sym__simple_variable] = STATE(844),
    [sym__new_variable] = STATE(878),
    [sym__callable_variable] = STATE(842),
    [sym_variable_name] = STATE(844),
    [sym__reserved_identifier] = STATE(1612),
    [sym__identifier] = STATE(1612),
    [aux_sym_attribute_list_repeat1] = STATE(1322),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_name] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1596),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [anon_sym_LPAREN2] = ACTIONS(1596),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(605), 1,
      sym_arguments,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(606), 1,
      sym_arguments,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [494] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [564] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [632] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [700] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1646), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [768] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [836] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1654), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [906] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [974] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1042] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1110] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1178] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1246] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1314] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1392] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1460] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1528] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1596] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1732] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1714), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1800] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1718), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1868] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1722), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1936] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2004] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2079] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2154] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2229] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(629), 1,
      sym_arguments,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2298] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(627), 1,
      sym_arguments,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2367] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2495] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2569] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2633] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2323), 1,
      sym__list_destructing,
    STATE(2325), 1,
      sym_by_ref,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1632), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1631), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1552), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [2751] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2815] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2879] = 27,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      sym_name,
    ACTIONS(1746), 1,
      anon_sym_BSLASH,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(1751), 1,
      anon_sym_LPAREN2,
    ACTIONS(1754), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1757), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1760), 1,
      anon_sym_LBRACK,
    ACTIONS(1769), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1772), 1,
      anon_sym_DOLLAR,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(623), 1,
      aux_sym_use_list_repeat1,
    STATE(1641), 1,
      sym_class_constant_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(1763), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1766), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2145), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1743), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1815), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1729), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [2991] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3055] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1722), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3119] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1654), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3185] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3249] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3321] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3385] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1775), 1,
      sym_name,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(623), 1,
      aux_sym_use_list_repeat1,
    STATE(1641), 1,
      sym_class_constant_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2145), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1815), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1729), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [3497] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1714), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3561] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1646), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3625] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3697] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3761] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3889] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3953] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4017] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4091] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4157] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(1893), 1,
      sym__list_destructing,
    STATE(1895), 1,
      sym_by_ref,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1559), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1558), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1499), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [4275] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1775), 1,
      sym_name,
    ACTIONS(1783), 1,
      anon_sym_RBRACE,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(630), 1,
      aux_sym_use_list_repeat1,
    STATE(1641), 1,
      sym_class_constant_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2145), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1815), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1729), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [4387] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4461] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4532] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4603] = 11,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2149), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4682] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4745] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4808] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4871] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4934] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4997] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5068] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1692), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5139] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5202] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1781), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5273] = 29,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2243), 1,
      sym__array_destructing,
    STATE(2248), 1,
      sym_by_ref,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1586), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1585), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1521), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5388] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1791), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1793), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5524] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1692), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5597] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5668] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1718), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5731] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5805] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1793), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5875] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1793), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1680), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5945] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1692), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6015] = 10,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2149), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6091] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6165] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6239] = 10,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2149), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6315] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1692), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6385] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6456] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6527] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1802), 1,
      anon_sym_RPAREN2,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1575), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1574), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1513), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6636] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6707] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6778] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1804), 1,
      anon_sym_RPAREN2,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1575), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1574), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1513), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6887] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6958] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7031] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1809), 1,
      anon_sym_RPAREN2,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1575), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1574), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1513), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7140] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7211] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1811), 1,
      anon_sym_RPAREN2,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1575), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1574), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1513), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7320] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7390] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(754), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(753), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(740), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7496] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1586), 1,
      anon_sym_LPAREN2,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(731), 1,
      sym__variable_scoped_property_access_expression,
    STATE(738), 1,
      sym__variable_member_access_expression,
    STATE(744), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2234), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(725), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1845), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2467), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(726), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(713), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1617), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(703), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7602] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(960), 1,
      sym__variable_member_access_expression,
    STATE(961), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(962), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2219), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(993), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1842), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2589), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(963), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(992), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1615), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(959), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7708] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(960), 1,
      sym__variable_member_access_expression,
    STATE(961), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(962), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2219), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(996), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1842), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2589), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(963), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(995), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1615), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(936), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7814] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(960), 1,
      sym__variable_member_access_expression,
    STATE(961), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(962), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2219), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(975), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1842), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2589), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(963), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(974), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1615), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(944), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7920] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1551), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1549), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1495), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8026] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1817), 1,
      anon_sym_LPAREN2,
    STATE(871), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(876), 1,
      sym__variable_scoped_property_access_expression,
    STATE(879), 1,
      sym__variable_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2399), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(869), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1819), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2439), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(844), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(873), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1612), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(847), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8132] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1819), 1,
      anon_sym_LPAREN2,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    STATE(755), 1,
      sym__variable_member_access_expression,
    STATE(756), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(757), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2247), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(829), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1794), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2506), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(828), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1619), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(752), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8238] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1556), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1555), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1507), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8344] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1819), 1,
      anon_sym_LPAREN2,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    STATE(755), 1,
      sym__variable_member_access_expression,
    STATE(756), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(757), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2247), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(833), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1794), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2506), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(832), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1619), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(789), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8450] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2404), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1825), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8514] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1680), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1787), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1682), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8584] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(725), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(713), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(703), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8690] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1819), 1,
      anon_sym_LPAREN2,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    STATE(755), 1,
      sym__variable_member_access_expression,
    STATE(756), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(757), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2247), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(754), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1794), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2506), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(758), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(753), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1619), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(740), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8796] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_LPAREN2,
    ACTIONS(1738), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1728), 1,
      sym__new_dereferencable_expression,
    STATE(2271), 1,
      sym__callable_expression,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1575), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1815), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2422), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(589), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1574), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1589), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1513), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1729), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1832), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8960] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1642), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9020] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(712), 1,
      sym_arguments,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9079] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(711), 1,
      sym_arguments,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9138] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1840), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1848), 1,
      sym_var_modifier,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1514), 1,
      sym_property_element,
    STATE(1716), 1,
      sym__function_definition_header,
    STATE(1719), 1,
      sym_variable_name,
    STATE(2175), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9235] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9294] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1340), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1338), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9349] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1840), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1848), 1,
      sym_var_modifier,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1534), 1,
      sym_property_element,
    STATE(1719), 1,
      sym_variable_name,
    STATE(1720), 1,
      sym__function_definition_header,
    STATE(2082), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9446] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1188), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1186), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9501] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9555] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9609] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9663] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1646), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9717] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9771] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9825] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9881] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9935] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10043] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10097] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10157] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10211] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10265] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10319] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10375] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10429] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10483] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10539] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10595] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10649] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10709] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10763] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1642), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10872] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10925] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10978] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11031] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11084] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(770), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11141] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11196] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11249] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11306] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11363] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11416] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(771), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11473] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1690), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11530] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11583] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11638] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11690] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11742] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11846] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1893), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11898] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1897), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11950] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12006] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12060] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12114] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12166] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12218] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12270] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12324] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12376] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12428] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12480] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12534] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12586] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12638] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12690] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12742] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12846] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12898] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12950] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13002] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13054] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13106] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13262] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13314] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13366] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13418] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1905), 1,
      anon_sym_COMMA,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1911), 1,
      anon_sym_RPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1936), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13512] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1921), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13566] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13622] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN2,
    ACTIONS(1929), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1925), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13678] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13732] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13786] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1073), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1071), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13838] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1939), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13890] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1947), 1,
      anon_sym_DASH_GT,
    ACTIONS(1949), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1951), 1,
      anon_sym_LBRACK,
    ACTIONS(1943), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13950] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14006] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    ACTIONS(1961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1959), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14062] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1968), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14114] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1972), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14166] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1092), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1090), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14218] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(1974), 1,
      anon_sym_COMMA,
    ACTIONS(1976), 1,
      anon_sym_RPAREN2,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1931), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [14312] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14364] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1980), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14416] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1959), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14468] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1984), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14520] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1988), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14572] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14624] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14676] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14728] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14780] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2008), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14832] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14884] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2016), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14936] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2020), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14988] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15040] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15092] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15144] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15196] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15248] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15300] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15352] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15404] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15456] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15508] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15560] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15612] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15716] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15768] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2084), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15820] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15872] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15924] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(2090), 1,
      anon_sym_RPAREN2,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2308), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16015] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16068] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16121] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16174] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16225] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2404), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16280] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16333] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16386] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      anon_sym_RPAREN2,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2308), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16477] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2094), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16532] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(861), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16587] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(841), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16642] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2404), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16697] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(2098), 1,
      anon_sym_RPAREN2,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2308), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16788] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(2100), 1,
      anon_sym_RPAREN2,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2308), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16879] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16929] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2104), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2102), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [17035] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17087] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(2106), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2108), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2110), 1,
      sym_var_modifier,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(590), 1,
      sym__variable_scoped_property_access_expression,
    STATE(603), 1,
      sym__variable_member_access_expression,
    STATE(610), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(787), 1,
      sym_anonymous_class,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2294), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(2305), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1727), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1348), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [17181] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1913), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1089), 1,
      sym_attribute_list,
    STATE(1199), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1666), 1,
      sym_type,
    STATE(1891), 1,
      sym_reference_modifier,
    STATE(1941), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2308), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [17269] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17323] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_RPAREN2,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17377] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17427] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17477] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17527] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17577] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17629] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17679] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17729] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17785] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17835] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17885] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17935] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17985] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18035] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18085] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18135] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18185] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2116), 1,
      sym_name,
    ACTIONS(2118), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2120), 1,
      anon_sym_BSLASH,
    ACTIONS(2122), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2124), 1,
      sym_var_modifier,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(933), 1,
      sym_anonymous_class,
    STATE(960), 1,
      sym__variable_member_access_expression,
    STATE(961), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(962), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1341), 1,
      sym_attribute_list,
    STATE(2478), 1,
      sym_namespace_name,
    ACTIONS(2128), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1008), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1007), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(934), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1343), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [18279] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(2106), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2108), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2110), 1,
      sym_var_modifier,
    ACTIONS(2130), 1,
      sym_name,
    ACTIONS(2132), 1,
      anon_sym_BSLASH,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(755), 1,
      sym__variable_member_access_expression,
    STATE(756), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(757), 1,
      sym__variable_scoped_property_access_expression,
    STATE(787), 1,
      sym_anonymous_class,
    STATE(1345), 1,
      sym_attribute_list,
    STATE(2565), 1,
      sym_namespace_name,
    ACTIONS(2114), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(886), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(884), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(788), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1348), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [18373] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2136), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [18472] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18523] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18572] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18621] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18670] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18721] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(909), 1,
      sym_arguments,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18774] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(908), 1,
      sym_arguments,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18827] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18876] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18925] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18978] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19027] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19078] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19127] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19176] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19225] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1943), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19276] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19325] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(799), 1,
      sym_arguments,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19378] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19479] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19527] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19577] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19625] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1935), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19675] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1921), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19725] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19821] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19869] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19917] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19973] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20021] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20069] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1897), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1895), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20117] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2148), 1,
      anon_sym_COLON,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20173] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20221] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20269] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20317] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20365] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20413] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20509] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20557] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20605] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20653] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1724), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20701] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20749] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20797] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20845] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1984), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20893] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1988), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20941] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2150), 1,
      anon_sym_COLON,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20997] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21045] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21093] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21141] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21189] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21237] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21285] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2020), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21333] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21381] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21429] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_LPAREN2,
    ACTIONS(1865), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21479] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21527] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21575] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21625] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21673] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2154), 1,
      anon_sym_DASH_GT,
    ACTIONS(2156), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2158), 1,
      anon_sym_LBRACK,
    ACTIONS(1943), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21729] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21779] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21831] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2094), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21883] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21931] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21979] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22027] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22075] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22123] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1893), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1891), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22171] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22223] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22275] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2008), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22323] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1188), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1186), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22371] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2016), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22419] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1968), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22467] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1972), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22515] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22563] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22611] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22659] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2082), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22707] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22755] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1340), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1338), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22803] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22851] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22899] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22951] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22999] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23047] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23095] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23145] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23195] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1980), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23243] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN2,
    ACTIONS(1929), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1925), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23295] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23343] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23391] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23439] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23487] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23535] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23583] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23630] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23679] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23728] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23775] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23822] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23869] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2178), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23916] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2182), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23963] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24012] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2186), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2184), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24059] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2188), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24108] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24155] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24202] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2404), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24253] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24300] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24347] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24394] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24441] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24488] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24537] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1692), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24586] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24633] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24682] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24731] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1925), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24778] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2224), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2222), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24872] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_EQ,
    ACTIONS(2230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24923] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24970] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1935), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25017] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25064] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1642), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25204] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1943), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25251] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(918), 1,
      sym_arguments,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25300] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25345] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [25405] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2264), 1,
      anon_sym_QMARK,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25481] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [25553] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25629] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25711] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25793] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25875] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25957] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [26037] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26107] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26185] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26251] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26327] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26383] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26435] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26489] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26571] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26617] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26699] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26781] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26857] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2198), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26939] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27015] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2308), 1,
      anon_sym_EQ_GT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2180), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27099] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27175] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27257] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27321] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27389] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [27439] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27515] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27561] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27605] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27687] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27732] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27807] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [27888] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27931] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28006] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28087] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28168] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28249] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28312] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28393] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28460] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28509] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28584] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28629] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28704] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28783] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28860] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [28931] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29000] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29065] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29124] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29179] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29230] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29283] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29328] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29403] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29478] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2198), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29559] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29634] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29709] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29784] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1092), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1090), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29827] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29902] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29983] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30064] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2178), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30107] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1073), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1071), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30150] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30231] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30312] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30393] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30456] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30499] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30566] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30615] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30690] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30735] = 18,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_LPAREN2,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(2400), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1196), 1,
      sym_visibility_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1714), 1,
      sym_type,
    STATE(2135), 1,
      sym_reference_modifier,
    STATE(2161), 1,
      sym_variable_name,
    STATE(2558), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1539), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [30808] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30851] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30894] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30973] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31016] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1925), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1923), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31059] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31136] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2234), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2232), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31179] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31260] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2198), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31341] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31384] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31427] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2182), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31470] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31541] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31622] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31691] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31756] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31831] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31890] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [31945] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31988] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1935), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32031] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1682), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32074] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32125] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [32178] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32223] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32266] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32309] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_QMARK,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32384] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2224), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2222), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32427] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32470] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2238), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2236), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32513] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2404), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2409), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2412), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2415), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2418), 1,
      sym_var_modifier,
    ACTIONS(2421), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2407), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2402), 16,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [32570] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2186), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2184), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32613] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32694] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32775] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2424), 1,
      anon_sym_EQ_GT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2180), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32858] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32939] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33020] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33101] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33182] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33225] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33268] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_EQ_GT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2180), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [33351] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33394] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33469] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33549] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33629] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33709] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33789] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33851] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33917] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33965] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34039] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34083] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34157] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34235] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34311] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [34381] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34449] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2174), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2172), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34513] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2172), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34571] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34625] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34675] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [34727] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34771] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34845] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34919] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2260), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34993] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2280), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35067] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35141] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35221] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2198), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35301] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35381] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35461] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2468), 1,
      anon_sym_EQ_GT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2180), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35543] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35623] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35703] = 4,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35746] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2400), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35829] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2359), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2474), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35912] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2363), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35995] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2413), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36078] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2403), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36161] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2401), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36244] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2217), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36327] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2486), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [36406] = 4,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36449] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2341), 1,
      sym_property_hook_list,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2488), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36532] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(2077), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36612] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2492), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36690] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2494), 1,
      anon_sym_EQ_GT,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36770] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(569), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36850] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(552), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36930] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(568), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37010] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1536), 1,
      sym_type,
    STATE(1730), 1,
      sym_const_element,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37072] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2504), 1,
      anon_sym_EQ_GT,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37152] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(2074), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37232] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1533), 1,
      sym_type,
    STATE(1745), 1,
      sym_const_element,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37294] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2508), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37372] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1527), 1,
      sym_type,
    STATE(1661), 1,
      sym_const_element,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37434] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(1721), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37514] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1554), 1,
      sym_type,
    STATE(1651), 1,
      sym_const_element,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37576] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2514), 1,
      anon_sym_COMMA,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37656] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(567), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37736] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2518), 1,
      anon_sym_COMMA,
    ACTIONS(2520), 1,
      anon_sym_EQ_GT,
    STATE(1883), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37818] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2514), 1,
      anon_sym_COMMA,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2522), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37898] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1238), 1,
      sym_readonly_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1830), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1700), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1630), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37964] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(1994), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38044] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2526), 1,
      anon_sym_EQ_GT,
    ACTIONS(2180), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38124] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1233), 1,
      sym_readonly_modifier,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1857), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1680), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1630), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38190] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_PIPE,
    ACTIONS(2328), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2330), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2334), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2336), 1,
      anon_sym_CARET,
    ACTIONS(2344), 1,
      anon_sym_GT_EQ,
    ACTIONS(2348), 1,
      anon_sym_DOT,
    ACTIONS(2352), 1,
      anon_sym_PERCENT,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token4,
    STATE(2075), 1,
      sym__semicolon,
    ACTIONS(2326), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2338), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2346), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2350), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2342), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2340), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38270] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38347] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38424] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2534), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38501] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38578] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2546), 1,
      anon_sym_RBRACE,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2554), 1,
      sym_var_modifier,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1219), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38649] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2512), 1,
      anon_sym_SEMI,
    ACTIONS(2558), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38728] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2512), 1,
      anon_sym_RPAREN2,
    ACTIONS(2560), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38807] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2562), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38884] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2564), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38961] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2554), 1,
      sym_var_modifier,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1211), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39032] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2577), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2585), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2588), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2591), 1,
      sym_var_modifier,
    ACTIONS(2597), 1,
      anon_sym_POUND_LBRACK,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2594), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1211), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39103] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39180] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39257] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2554), 1,
      sym_var_modifier,
    ACTIONS(2604), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1216), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39328] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39405] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2554), 1,
      sym_var_modifier,
    ACTIONS(2608), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1211), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39476] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2554), 1,
      sym_var_modifier,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1210), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39547] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39624] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2554), 1,
      sym_var_modifier,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_attribute_list,
    STATE(1391), 1,
      sym__class_const_declaration,
    STATE(1396), 1,
      sym__const_declaration,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1211), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(702), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39695] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2522), 1,
      anon_sym_RPAREN2,
    ACTIONS(2560), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39774] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39851] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2618), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39928] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40005] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2622), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40082] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2624), 1,
      anon_sym_EQ_GT,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40161] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_AMP,
    ACTIONS(2430), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_PIPE,
    ACTIONS(2436), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2438), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2440), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2442), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2444), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2446), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2448), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2450), 1,
      anon_sym_CARET,
    ACTIONS(2458), 1,
      anon_sym_GT_EQ,
    ACTIONS(2462), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_PERCENT,
    ACTIONS(2434), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2452), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2460), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2464), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2454), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40238] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2522), 1,
      anon_sym_SEMI,
    ACTIONS(2558), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40317] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2630), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40394] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2636), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2632), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [40434] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2638), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40510] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2640), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40586] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2642), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40662] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1800), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1689), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1630), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40722] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2644), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40798] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2646), 1,
      anon_sym_EQ_GT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40874] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2648), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40950] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41026] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1844), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1699), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1630), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [41086] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2652), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41162] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2654), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41238] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2656), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41314] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41390] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41466] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2662), 1,
      anon_sym_COLON,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41542] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2664), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41618] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41694] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41770] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41846] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2672), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41922] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2674), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41998] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42074] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42150] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42226] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42302] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2684), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42378] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42454] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2688), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42530] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42606] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42682] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2694), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42758] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2696), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42834] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42910] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42986] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43062] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43138] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2706), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43214] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2708), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43290] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2710), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43366] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43442] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43518] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43594] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2718), 1,
      anon_sym_EQ_GT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43670] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43746] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43822] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2724), 1,
      anon_sym_COLON,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43898] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2726), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43974] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44050] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44126] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2730), 1,
      anon_sym_COLON,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44202] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2732), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44278] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_GT_EQ,
    ACTIONS(2254), 1,
      anon_sym_DOT,
    ACTIONS(2258), 1,
      anon_sym_PERCENT,
    ACTIONS(2262), 1,
      anon_sym_AMP,
    ACTIONS(2266), 1,
      anon_sym_PIPE,
    ACTIONS(2268), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2274), 1,
      anon_sym_CARET,
    ACTIONS(2282), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2288), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2290), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2734), 1,
      anon_sym_COLON,
    ACTIONS(2244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2276), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2278), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44354] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2736), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44430] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2740), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2738), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44467] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2745), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2748), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    ACTIONS(2753), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2756), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2759), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2762), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2765), 1,
      sym_var_modifier,
    ACTIONS(2771), 1,
      anon_sym_POUND_LBRACK,
    STATE(1329), 1,
      sym_attribute_list,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2768), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1284), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1333), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44532] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    ACTIONS(2776), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2778), 1,
      sym_var_modifier,
    STATE(1329), 1,
      sym_attribute_list,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1289), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1333), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44597] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2782), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2780), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44634] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2776), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2778), 1,
      sym_var_modifier,
    ACTIONS(2784), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_attribute_list,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1288), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1333), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2776), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2778), 1,
      sym_var_modifier,
    ACTIONS(2786), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_attribute_list,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1284), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1333), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2540), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2776), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2778), 1,
      sym_var_modifier,
    ACTIONS(2788), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_attribute_list,
    STATE(1664), 1,
      sym__function_definition_header,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1284), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1333), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44829] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2790), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44866] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2794), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2792), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44903] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2798), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2796), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44939] = 12,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2804), 1,
      anon_sym_LPAREN2,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    ACTIONS(2808), 1,
      sym_bottom_type,
    STATE(1712), 1,
      sym_qualified_name,
    STATE(2185), 1,
      sym_type,
    STATE(2474), 1,
      sym_namespace_name,
    STATE(2151), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1502), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44992] = 12,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2810), 1,
      sym_bottom_type,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2390), 1,
      sym_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1484), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1436), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym_POUND_LBRACK,
    STATE(1296), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2814), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2812), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_POUND_LBRACK,
    STATE(1296), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2818), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2816), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2823), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2827), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2831), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45212] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2530), 1,
      sym_intersection_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2088), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45254] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN2,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1472), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45296] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2116), 1,
      sym_name,
    ACTIONS(2120), 1,
      anon_sym_BSLASH,
    ACTIONS(2126), 1,
      anon_sym_LPAREN2,
    STATE(960), 1,
      sym__variable_member_access_expression,
    STATE(961), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(962), 1,
      sym__variable_scoped_property_access_expression,
    STATE(2478), 1,
      sym_namespace_name,
    STATE(1115), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1007), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(934), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45346] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2634), 1,
      sym_intersection_type,
    STATE(2088), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45388] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(2130), 1,
      sym_name,
    ACTIONS(2132), 1,
      anon_sym_BSLASH,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(755), 1,
      sym__variable_member_access_expression,
    STATE(756), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(757), 1,
      sym__variable_scoped_property_access_expression,
    STATE(2565), 1,
      sym_namespace_name,
    STATE(978), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(884), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(788), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45438] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    STATE(1712), 1,
      sym_qualified_name,
    STATE(2474), 1,
      sym_namespace_name,
    STATE(1860), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45480] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    STATE(1712), 1,
      sym_qualified_name,
    STATE(2474), 1,
      sym_namespace_name,
    STATE(1866), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45522] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2493), 1,
      sym_intersection_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2088), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45564] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2839), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2841), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2843), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2845), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2847), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2849), 1,
      sym_var_modifier,
    ACTIONS(2851), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1446), 1,
      sym_static_modifier,
    STATE(2329), 1,
      sym__function_definition_header,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1347), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45620] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_intersection_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2088), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45662] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN2,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1450), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45704] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2618), 1,
      sym_intersection_type,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2088), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45746] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN2,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1472), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45788] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2839), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2851), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2853), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2855), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2857), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2859), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2861), 1,
      sym_var_modifier,
    STATE(1446), 1,
      sym_static_modifier,
    STATE(2282), 1,
      sym__function_definition_header,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45844] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN2,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1450), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45886] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1471), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_AMP,
    ACTIONS(2863), 1,
      anon_sym_POUND_LBRACK,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2816), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [45958] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1466), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45997] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    STATE(1712), 1,
      sym_qualified_name,
    STATE(2474), 1,
      sym_namespace_name,
    STATE(1809), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46036] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    STATE(1712), 1,
      sym_qualified_name,
    STATE(2474), 1,
      sym_namespace_name,
    STATE(1859), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46075] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1466), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46114] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1471), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2814), 1,
      anon_sym_AMP,
    STATE(1316), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2812), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46186] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    STATE(1751), 1,
      sym_static_variable_declaration,
    STATE(1848), 1,
      sym_variable_name,
    ACTIONS(1640), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46222] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    STATE(1657), 1,
      sym_static_variable_declaration,
    STATE(1848), 1,
      sym_variable_name,
    ACTIONS(1640), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2827), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2831), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2823), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46339] = 12,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2868), 1,
      sym_var_modifier,
    STATE(1384), 1,
      sym__const_declaration,
    STATE(1715), 1,
      sym__function_definition_header,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(705), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46384] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2870), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    STATE(1715), 1,
      sym__function_definition_header,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1337), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46426] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    STATE(1712), 1,
      sym_qualified_name,
    STATE(2474), 1,
      sym_namespace_name,
    STATE(1704), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46460] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1907), 1,
      anon_sym_BSLASH,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2558), 1,
      sym_namespace_name,
    STATE(1443), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46494] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(1443), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46528] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    STATE(1716), 1,
      sym__function_definition_header,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46567] = 10,
    ACTIONS(641), 1,
      sym_integer,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2876), 1,
      sym_float,
    ACTIONS(2878), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2880), 1,
      aux_sym__argument_name_token2,
    STATE(2626), 1,
      sym_literal,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1002), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [46606] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2882), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2884), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46645] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2886), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2888), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46684] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    STATE(1720), 1,
      sym__function_definition_header,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46723] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2890), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46759] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2892), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46795] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2886), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46831] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2894), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2896), 1,
      sym_var_modifier,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1342), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46867] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2898), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46903] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2900), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_LBRACE,
    ACTIONS(2908), 1,
      anon_sym_BSLASHu,
    ACTIONS(2911), 1,
      sym__new_line,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR,
    ACTIONS(2917), 1,
      sym_heredoc_end,
    STATE(1344), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2905), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1352), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [46979] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2919), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2921), 1,
      sym_var_modifier,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47015] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2927), 1,
      anon_sym_BSLASHu,
    ACTIONS(2929), 1,
      sym__new_line,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2934), 1,
      sym_heredoc_end,
    STATE(1344), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2925), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1352), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47055] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2936), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47091] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2548), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2550), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2552), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2874), 1,
      sym_var_modifier,
    ACTIONS(2938), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2556), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1121), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47127] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2940), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1749), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [47151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_BSLASHu,
    ACTIONS(2953), 1,
      anon_sym_DOLLAR,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2945), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2951), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2917), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47221] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2960), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47256] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_LBRACE,
    ACTIONS(2927), 1,
      anon_sym_BSLASHu,
    ACTIONS(2932), 1,
      anon_sym_DOLLAR,
    ACTIONS(2962), 1,
      sym__new_line,
    STATE(1346), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2925), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1352), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47333] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_BSLASHu,
    ACTIONS(2974), 1,
      anon_sym_DQUOTE,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1642), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2970), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1365), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47387] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    ACTIONS(2984), 1,
      anon_sym_BSLASHu,
    ACTIONS(2986), 1,
      anon_sym_BQUOTE,
    ACTIONS(2988), 1,
      anon_sym_DOLLAR,
    STATE(1489), 1,
      sym_variable_name,
    STATE(1592), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2982), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1366), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2990), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47441] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    ACTIONS(2994), 1,
      anon_sym_BSLASHu,
    ACTIONS(2996), 1,
      anon_sym_DQUOTE,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1642), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2992), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1356), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47475] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    ACTIONS(2988), 1,
      anon_sym_DOLLAR,
    ACTIONS(3000), 1,
      anon_sym_BSLASHu,
    ACTIONS(3002), 1,
      anon_sym_BQUOTE,
    STATE(1489), 1,
      sym_variable_name,
    STATE(1592), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2998), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1358), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47509] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(1706), 1,
      sym_namespace_use_clause,
    STATE(1914), 1,
      sym__namespace_use_group,
    STATE(2612), 1,
      sym_namespace_name,
    ACTIONS(3004), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1810), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47543] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(1660), 1,
      sym_namespace_use_clause,
    STATE(1913), 1,
      sym__namespace_use_group,
    STATE(2612), 1,
      sym_namespace_name,
    ACTIONS(3004), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1810), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47597] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym_LBRACE,
    ACTIONS(3014), 1,
      anon_sym_BSLASHu,
    ACTIONS(3017), 1,
      anon_sym_DQUOTE,
    ACTIONS(3019), 1,
      anon_sym_DOLLAR,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1642), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3011), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1365), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47631] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    ACTIONS(3028), 1,
      anon_sym_BSLASHu,
    ACTIONS(3031), 1,
      anon_sym_BQUOTE,
    ACTIONS(3033), 1,
      anon_sym_DOLLAR,
    STATE(1489), 1,
      sym_variable_name,
    STATE(1592), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3025), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1366), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47745] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    ACTIONS(3046), 1,
      anon_sym_BSLASHu,
    ACTIONS(3048), 1,
      anon_sym_DQUOTE,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1642), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3044), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1374), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3050), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47799] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    ACTIONS(2988), 1,
      anon_sym_DOLLAR,
    ACTIONS(3054), 1,
      anon_sym_BSLASHu,
    ACTIONS(3056), 1,
      anon_sym_BQUOTE,
    STATE(1489), 1,
      sym_variable_name,
    STATE(1592), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3052), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1376), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47833] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_BSLASHu,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    ACTIONS(3058), 1,
      anon_sym_DQUOTE,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1642), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2970), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1365), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47887] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_LBRACE,
    ACTIONS(2984), 1,
      anon_sym_BSLASHu,
    ACTIONS(2988), 1,
      anon_sym_DOLLAR,
    ACTIONS(3062), 1,
      anon_sym_BQUOTE,
    STATE(1489), 1,
      sym_variable_name,
    STATE(1592), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2982), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1366), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47960] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3068), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3070), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [47985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48004] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_LBRACE,
    ACTIONS(3078), 1,
      anon_sym_BSLASHu,
    ACTIONS(3080), 1,
      anon_sym_DOLLAR,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1553), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3076), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1351), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48035] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [48058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48172] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(2007), 1,
      sym_namespace_use_clause,
    STATE(2474), 1,
      sym_namespace_name,
    ACTIONS(3094), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1810), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48260] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2093), 1,
      sym_namespace_use_clause,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(3102), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2138), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48310] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2371), 1,
      sym_namespace_use_clause,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(3102), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2138), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48474] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3123), 1,
      anon_sym_AMP,
    ACTIONS(3126), 1,
      anon_sym_RBRACE,
    ACTIONS(3128), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3131), 1,
      anon_sym_POUND_LBRACK,
    STATE(1694), 1,
      sym_attribute_list,
    STATE(2011), 1,
      sym_final_modifier,
    STATE(2645), 1,
      sym_reference_modifier,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1403), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48510] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(3134), 1,
      anon_sym_RBRACK,
    STATE(2273), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48540] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_RBRACK,
    STATE(2273), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48570] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3138), 1,
      sym_name,
    ACTIONS(3140), 1,
      anon_sym_RBRACE,
    STATE(1694), 1,
      sym_attribute_list,
    STATE(2011), 1,
      sym_final_modifier,
    STATE(2645), 1,
      sym_reference_modifier,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1407), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48606] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3138), 1,
      sym_name,
    ACTIONS(3142), 1,
      anon_sym_RBRACE,
    STATE(1694), 1,
      sym_attribute_list,
    STATE(2011), 1,
      sym_final_modifier,
    STATE(2645), 1,
      sym_reference_modifier,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1403), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48642] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(2226), 1,
      sym__member_name,
    STATE(737), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(890), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48672] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48700] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48728] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(588), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48756] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(597), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48784] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(854), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48812] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym__member_name,
    ACTIONS(3156), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(854), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48840] = 8,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym__member_name,
    STATE(737), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(722), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48870] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3138), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_RBRACE,
    STATE(1694), 1,
      sym_attribute_list,
    STATE(2011), 1,
      sym_final_modifier,
    STATE(2645), 1,
      sym_reference_modifier,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1403), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48906] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_LBRACE,
    STATE(875), 1,
      sym__member_name,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(891), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48934] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_LBRACE,
    STATE(874), 1,
      sym__member_name,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(891), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48962] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym__member_name,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(891), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48990] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3166), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym__member_name,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(891), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49018] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(2251), 1,
      sym__member_name,
    STATE(737), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(762), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49048] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym__member_name,
    ACTIONS(3168), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49076] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3170), 1,
      sym_name,
    ACTIONS(3174), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym__member_name,
    ACTIONS(3172), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(710), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49104] = 8,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3176), 1,
      sym_name,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    STATE(2386), 1,
      sym__member_name,
    STATE(929), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(626), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49134] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(2415), 1,
      sym__member_name,
    STATE(737), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(853), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3138), 1,
      sym_name,
    ACTIONS(3180), 1,
      anon_sym_RBRACE,
    STATE(1694), 1,
      sym_attribute_list,
    STATE(2011), 1,
      sym_final_modifier,
    STATE(2645), 1,
      sym_reference_modifier,
    STATE(1322), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1416), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49200] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3182), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym__member_name,
    ACTIONS(3184), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(632), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49228] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3182), 1,
      sym_name,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym__member_name,
    ACTIONS(3184), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(632), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49256] = 8,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(2254), 1,
      sym__member_name,
    STATE(737), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(594), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49286] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3188), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49314] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3188), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(742), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49342] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3188), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(765), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49370] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3188), 1,
      sym_name,
    ACTIONS(3190), 1,
      anon_sym_LBRACE,
    STATE(766), 1,
      sym__member_name,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(763), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49398] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3194), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3196), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3192), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49420] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(3198), 1,
      anon_sym_RBRACK,
    STATE(2273), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49450] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_AMP,
    ACTIONS(3212), 1,
      anon_sym_PIPE,
    STATE(1453), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1461), 1,
      aux_sym_union_type_repeat1,
    STATE(1470), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3207), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3200), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [49480] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(3214), 1,
      anon_sym_RBRACK,
    STATE(2273), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49510] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3176), 1,
      sym_name,
    ACTIONS(3178), 1,
      anon_sym_LBRACE,
    STATE(2415), 1,
      sym__member_name,
    STATE(929), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3164), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(853), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49540] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3150), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym__member_name,
    ACTIONS(3168), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(592), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49568] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3170), 1,
      sym_name,
    ACTIONS(3174), 1,
      anon_sym_LBRACE,
    STATE(701), 1,
      sym__member_name,
    ACTIONS(3172), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(710), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49596] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3216), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3218), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49615] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3068), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3070), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49634] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49653] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2273), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49680] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3224), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2211), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49705] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3226), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3228), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3192), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49726] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2177), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49753] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(1930), 1,
      sym_attribute,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1843), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49780] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3230), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2156), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49805] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3232), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3235), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49823] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_AMP,
    STATE(1451), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3238), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3243), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [49845] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3245), 1,
      sym_name,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1491), 1,
      sym_reference_modifier,
    STATE(1718), 1,
      sym_formal_parameters,
    STATE(2272), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49873] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_PIPE,
    STATE(1455), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3249), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3251), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [49895] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2092), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49919] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_PIPE,
    STATE(1455), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3255), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3257), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [49941] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(2574), 1,
      sym_namespace_name,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1797), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49965] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1868), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49989] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(2474), 1,
      sym_namespace_name,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1797), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50013] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1939), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50037] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    STATE(2620), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2021), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50061] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_PIPE,
    STATE(1475), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3262), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3264), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1658), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [50101] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3268), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3270), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50119] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_PIPE,
    STATE(1465), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3272), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3274), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50141] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_PIPE,
    STATE(1455), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3276), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3278), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50163] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3238), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3243), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50181] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3245), 1,
      sym_name,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1500), 1,
      sym_reference_modifier,
    STATE(1667), 1,
      sym_formal_parameters,
    STATE(2272), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 1,
      anon_sym_DASH_GT,
    ACTIONS(3284), 1,
      anon_sym_LBRACK,
    ACTIONS(3288), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3280), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3286), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50233] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_COLON,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50255] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_AMP,
    STATE(1451), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3290), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3292), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [50277] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3294), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3296), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50295] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3255), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3257), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50313] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(2474), 1,
      sym_namespace_name,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1850), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50337] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_name,
    STATE(2474), 1,
      sym_namespace_name,
    ACTIONS(2128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1543), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50361] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_PIPE,
    STATE(1475), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3294), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3296), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50383] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1550), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1692), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50410] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50429] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    ACTIONS(1656), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50446] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    ACTIONS(1656), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50463] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1545), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1758), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50490] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1546), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1760), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50517] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1548), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1761), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50544] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3070), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3068), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50567] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3315), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3317), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50584] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1510), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1688), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50611] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1512), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1735), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50638] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1523), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3323), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1650), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50665] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1535), 1,
      sym_formal_parameters,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1653), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50692] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3280), 1,
      anon_sym_BSLASHu,
    ACTIONS(3327), 1,
      anon_sym_DASH_GT,
    ACTIONS(3329), 1,
      anon_sym_LBRACK,
    ACTIONS(3331), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3286), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50715] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3280), 1,
      anon_sym_BSLASHu,
    ACTIONS(3333), 1,
      anon_sym_DASH_GT,
    ACTIONS(3335), 1,
      anon_sym_LBRACK,
    ACTIONS(3337), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3286), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50738] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    ACTIONS(3339), 1,
      sym_name,
    STATE(1668), 1,
      sym_formal_parameters,
    STATE(2238), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50760] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3341), 1,
      sym_name,
    STATE(1571), 1,
      sym_reference_modifier,
    STATE(2296), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50782] = 6,
    ACTIONS(1039), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3346), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1037), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1493), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [50804] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(948), 1,
      sym_declaration_list,
    STATE(1637), 1,
      sym_arguments,
    STATE(1818), 1,
      sym_base_clause,
    STATE(2347), 1,
      sym_class_interface_clause,
  [50832] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_RPAREN2,
    STATE(1995), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50854] = 6,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1029), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1493), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [50876] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(798), 1,
      sym_declaration_list,
    STATE(1598), 1,
      sym_arguments,
    STATE(1771), 1,
      sym_base_clause,
    STATE(2239), 1,
      sym_class_interface_clause,
  [50904] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_COLON,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50922] = 6,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(2119), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50944] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    ACTIONS(3339), 1,
      sym_name,
    STATE(1669), 1,
      sym_formal_parameters,
    STATE(2238), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50966] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
    STATE(1608), 1,
      sym_arguments,
    STATE(1778), 1,
      sym_base_clause,
    STATE(2331), 1,
      sym_class_interface_clause,
  [50994] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    ACTIONS(3369), 1,
      anon_sym_PIPE,
    STATE(1684), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1705), 1,
      aux_sym_union_type_repeat1,
    STATE(1708), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3207), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51018] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(888), 1,
      sym_declaration_list,
    STATE(1638), 1,
      sym_arguments,
    STATE(1816), 1,
      sym_base_clause,
    STATE(2343), 1,
      sym_class_interface_clause,
  [51046] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(917), 1,
      sym_declaration_list,
    STATE(1620), 1,
      sym_arguments,
    STATE(1840), 1,
      sym_base_clause,
    STATE(2236), 1,
      sym_class_interface_clause,
  [51074] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(916), 1,
      sym_declaration_list,
    STATE(1581), 1,
      sym_arguments,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2327), 1,
      sym_class_interface_clause,
  [51102] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(3371), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51122] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3375), 1,
      anon_sym_RPAREN2,
    STATE(1963), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51144] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
    STATE(1644), 1,
      sym_arguments,
    STATE(1826), 1,
      sym_base_clause,
    STATE(2284), 1,
      sym_class_interface_clause,
  [51172] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
    STATE(1607), 1,
      sym_arguments,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2281), 1,
      sym_class_interface_clause,
  [51200] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3377), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1717), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1676), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51236] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3379), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1757), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51257] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51274] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1537), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51295] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1899), 1,
      sym_const_element,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1694), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51329] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3393), 1,
      anon_sym_DASH,
    ACTIONS(3391), 2,
      sym_integer,
      sym_name,
    STATE(2636), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3395), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3397), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1656), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51378] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1640), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51393] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(3399), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51410] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3401), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1387), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51431] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1678), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51452] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3407), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51482] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1399), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51503] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1770), 1,
      sym_const_element,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51522] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2138), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2136), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51537] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1557), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1400), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3413), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3415), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51573] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51588] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1401), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51609] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1734), 1,
      sym_const_element,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51628] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1526), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3419), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1383), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51649] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3421), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1683), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51670] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1681), 1,
      sym_const_element,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51689] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3423), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1386), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2951), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51725] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_AMP,
    ACTIONS(3433), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      aux_sym_union_type_repeat1,
    STATE(1753), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1858), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3207), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51748] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51763] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3437), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3440), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3435), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1541), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [51782] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51797] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_COMMA,
    ACTIONS(3447), 1,
      anon_sym_LBRACE,
    STATE(1544), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3443), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1364), 2,
      sym_use_list,
      sym__semicolon,
  [51818] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_COMMA,
    ACTIONS(3447), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1368), 2,
      sym_use_list,
      sym__semicolon,
  [51839] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1762), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51860] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1679), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51881] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2375), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3070), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [51898] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1733), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51919] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_RPAREN2,
    STATE(1995), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51938] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1736), 1,
      sym_compound_statement,
    ACTIONS(3457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1685), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51959] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_RPAREN2,
    STATE(1995), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51978] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(3459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3461), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3463), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52010] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1695), 1,
      sym_const_element,
    STATE(2484), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52029] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3375), 1,
      anon_sym_RPAREN2,
    STATE(1963), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52048] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3375), 1,
      anon_sym_RPAREN2,
    STATE(1963), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52067] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1397), 2,
      sym_property_hook_list,
      sym__semicolon,
  [52088] = 5,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(2119), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52107] = 5,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(2119), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52126] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3393), 1,
      anon_sym_DASH,
    ACTIONS(3467), 2,
      sym_integer,
      sym_name,
    STATE(2532), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52145] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3393), 1,
      anon_sym_DASH,
    ACTIONS(3469), 2,
      sym_integer,
      sym_name,
    STATE(2520), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52164] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1785), 1,
      sym_base_clause,
    STATE(1905), 1,
      sym_declaration_list,
    STATE(2351), 1,
      sym_class_interface_clause,
  [52186] = 7,
    ACTIONS(1055), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3471), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3473), 1,
      aux_sym_else_clause_token1,
    STATE(1649), 1,
      aux_sym_if_statement_repeat1,
    STATE(2084), 1,
      sym_else_if_clause,
    STATE(2186), 1,
      sym_else_clause,
  [52208] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_BSLASHu,
    ACTIONS(3407), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52222] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_BSLASHu,
    ACTIONS(3415), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52236] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3405), 1,
      anon_sym_BSLASHu,
    ACTIONS(3407), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52250] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_BSLASHu,
    ACTIONS(3415), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52264] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_BSLASHu,
    ACTIONS(3397), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52278] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_declaration_list,
    STATE(1798), 1,
      sym_base_clause,
    STATE(2378), 1,
      sym_class_interface_clause,
  [52300] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2404), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1825), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [52316] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      sym_name,
    STATE(2218), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52332] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3479), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3482), 1,
      aux_sym_else_clause_token1,
    STATE(1573), 1,
      aux_sym_if_statement_repeat1,
    STATE(2084), 1,
      sym_else_if_clause,
    STATE(2086), 1,
      sym_else_clause,
  [52354] = 7,
    ACTIONS(1055), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3488), 1,
      aux_sym_else_clause_token1,
    STATE(1649), 1,
      aux_sym_if_statement_repeat1,
    STATE(2084), 1,
      sym_else_if_clause,
    STATE(2186), 1,
      sym_else_clause,
  [52376] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52390] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52404] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_BSLASHu,
    ACTIONS(1676), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52418] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(624), 1,
      sym_arguments,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52434] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_BSLASHu,
    ACTIONS(1694), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52448] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_BSLASHu,
    ACTIONS(1676), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52462] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_BSLASHu,
    ACTIONS(1694), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52476] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(953), 1,
      sym_declaration_list,
    STATE(1804), 1,
      sym_base_clause,
    STATE(2320), 1,
      sym_class_interface_clause,
  [52498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_SQUOTE,
    ACTIONS(3493), 1,
      aux_sym_string_token2,
    ACTIONS(3495), 1,
      aux_sym_string_content_token1,
    STATE(1869), 1,
      aux_sym_string_content_repeat1,
    STATE(1606), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52518] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    ACTIONS(1656), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52532] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_BSLASHu,
    ACTIONS(1656), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52546] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3399), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52560] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3399), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      aux_sym_string_content_token1,
    ACTIONS(3497), 1,
      anon_sym_SQUOTE,
    ACTIONS(3499), 1,
      aux_sym_string_token2,
    STATE(1869), 1,
      aux_sym_string_content_repeat1,
    STATE(1594), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52594] = 5,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3501), 1,
      sym_name,
    ACTIONS(3503), 1,
      anon_sym_LBRACE,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52612] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(599), 1,
      sym_arguments,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52628] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1801), 1,
      sym_base_clause,
    STATE(2216), 1,
      sym_declaration_list,
    STATE(2224), 1,
      sym_class_interface_clause,
  [52650] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_BSLASHu,
    ACTIONS(3397), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_BSLASHu,
    ACTIONS(3463), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52678] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3505), 1,
      sym_name,
    ACTIONS(3507), 1,
      anon_sym_LBRACE,
    STATE(621), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      aux_sym_string_content_token1,
    ACTIONS(3509), 1,
      anon_sym_SQUOTE,
    ACTIONS(3511), 1,
      aux_sym_string_token2,
    STATE(1869), 1,
      aux_sym_string_content_repeat1,
    STATE(1636), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52716] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3515), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3517), 1,
      aux_sym_else_clause_token1,
    STATE(1603), 1,
      aux_sym_if_statement_repeat2,
    STATE(2091), 1,
      sym_else_if_clause_2,
    STATE(2436), 1,
      sym_else_clause_2,
  [52738] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    STATE(1604), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52756] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3525), 1,
      aux_sym_switch_block_token1,
    STATE(1605), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52774] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
    STATE(1871), 1,
      sym_base_clause,
    STATE(2281), 1,
      sym_class_interface_clause,
  [52796] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_declaration_list,
    STATE(1853), 1,
      sym_base_clause,
    STATE(2298), 1,
      sym_class_interface_clause,
  [52818] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1774), 1,
      sym_base_clause,
    STATE(2079), 1,
      sym_declaration_list,
    STATE(2311), 1,
      sym_class_interface_clause,
  [52840] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2256), 1,
      sym_class_interface_clause,
  [52862] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1775), 1,
      sym_base_clause,
    STATE(2095), 1,
      sym_declaration_list,
    STATE(2316), 1,
      sym_class_interface_clause,
  [52884] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3515), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3517), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3527), 1,
      aux_sym_if_statement_token2,
    STATE(1646), 1,
      aux_sym_if_statement_repeat2,
    STATE(2091), 1,
      sym_else_if_clause_2,
    STATE(2432), 1,
      sym_else_clause_2,
  [52906] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3529), 1,
      anon_sym_RBRACE,
    STATE(1541), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52924] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3531), 1,
      aux_sym_switch_block_token1,
    STATE(1541), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3495), 1,
      aux_sym_string_content_token1,
    ACTIONS(3511), 1,
      aux_sym_string_token2,
    ACTIONS(3533), 1,
      anon_sym_SQUOTE,
    STATE(1869), 1,
      aux_sym_string_content_repeat1,
    STATE(1636), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52962] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_declaration_list,
    STATE(1782), 1,
      sym_base_clause,
    STATE(2330), 1,
      sym_class_interface_clause,
  [52984] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(822), 1,
      sym_declaration_list,
    STATE(1792), 1,
      sym_base_clause,
    STATE(2364), 1,
      sym_class_interface_clause,
  [53006] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3515), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3517), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3535), 1,
      aux_sym_if_statement_token2,
    STATE(1629), 1,
      aux_sym_if_statement_repeat2,
    STATE(2091), 1,
      sym_else_if_clause_2,
    STATE(2521), 1,
      sym_else_clause_2,
  [53028] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3537), 1,
      anon_sym_RBRACE,
    STATE(1633), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53046] = 5,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3539), 1,
      sym_name,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    STATE(850), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53064] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(851), 1,
      sym_arguments,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53080] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3543), 1,
      aux_sym_switch_block_token1,
    STATE(1634), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53098] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3545), 1,
      sym_name,
    ACTIONS(3547), 1,
      anon_sym_LBRACE,
    STATE(968), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53116] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(969), 1,
      sym_arguments,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53132] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3549), 1,
      sym_name,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3553), 1,
      anon_sym_DOLLAR,
    STATE(1576), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53150] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(727), 1,
      sym_arguments,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53166] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3555), 1,
      sym_name,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    ACTIONS(3559), 1,
      anon_sym_DOLLAR,
    STATE(1579), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53184] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(759), 1,
      sym_arguments,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53200] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(888), 1,
      sym_declaration_list,
    STATE(1816), 1,
      sym_base_clause,
    STATE(2343), 1,
      sym_class_interface_clause,
  [53222] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1831), 1,
      sym_named_type,
    STATE(2064), 1,
      sym_type_list,
    STATE(2620), 1,
      sym_namespace_name,
  [53244] = 5,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3563), 1,
      sym_name,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(717), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53262] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3567), 1,
      sym_name,
    ACTIONS(3569), 1,
      anon_sym_LBRACE,
    STATE(778), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53280] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_LBRACE,
    ACTIONS(3553), 1,
      anon_sym_DOLLAR,
    ACTIONS(3571), 1,
      sym_name,
    STATE(1576), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53298] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3557), 1,
      anon_sym_LBRACE,
    ACTIONS(3559), 1,
      anon_sym_DOLLAR,
    ACTIONS(3573), 1,
      sym_name,
    STATE(1579), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53316] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3575), 1,
      sym_name,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR,
    STATE(1511), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53334] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR,
    ACTIONS(3581), 1,
      sym_name,
    STATE(1511), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53352] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3471), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3473), 1,
      aux_sym_else_clause_token1,
    STATE(1563), 1,
      aux_sym_if_statement_repeat1,
    STATE(2084), 1,
      sym_else_if_clause,
    STATE(2086), 1,
      sym_else_clause,
  [53374] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3515), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3517), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3583), 1,
      aux_sym_if_statement_token2,
    STATE(1646), 1,
      aux_sym_if_statement_repeat2,
    STATE(2091), 1,
      sym_else_if_clause_2,
    STATE(2571), 1,
      sym_else_clause_2,
  [53396] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_DOLLAR,
    ACTIONS(3212), 1,
      anon_sym_PIPE,
    ACTIONS(3585), 1,
      anon_sym_AMP,
    STATE(1453), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1461), 1,
      aux_sym_union_type_repeat1,
    STATE(2115), 1,
      aux_sym_intersection_type_repeat1,
  [53418] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53432] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53446] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3591), 1,
      anon_sym_RBRACE,
    STATE(1541), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53464] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3523), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3593), 1,
      aux_sym_switch_block_token1,
    STATE(1541), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53482] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3595), 1,
      anon_sym_BSLASHu,
    ACTIONS(3017), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_SQUOTE,
    ACTIONS(3599), 1,
      aux_sym_string_token2,
    ACTIONS(3602), 1,
      aux_sym_string_content_token1,
    STATE(1869), 1,
      aux_sym_string_content_repeat1,
    STATE(1636), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53516] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(916), 1,
      sym_declaration_list,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2327), 1,
      sym_class_interface_clause,
  [53538] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(915), 1,
      sym_declaration_list,
    STATE(1854), 1,
      sym_base_clause,
    STATE(2313), 1,
      sym_class_interface_clause,
  [53560] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3605), 1,
      anon_sym_BSLASHu,
    ACTIONS(3031), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53574] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_declaration_list,
    STATE(1772), 1,
      sym_base_clause,
    STATE(2285), 1,
      sym_class_interface_clause,
  [53596] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3607), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53612] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3461), 1,
      anon_sym_BSLASHu,
    ACTIONS(3463), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53626] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(1831), 1,
      sym_named_type,
    STATE(2094), 1,
      sym_type_list,
    STATE(2620), 1,
      sym_namespace_name,
  [53648] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
    STATE(1778), 1,
      sym_base_clause,
    STATE(2331), 1,
      sym_class_interface_clause,
  [53670] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3609), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [53681] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3611), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3613), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3616), 1,
      aux_sym_else_clause_token1,
    STATE(1646), 1,
      aux_sym_if_statement_repeat2,
    STATE(2091), 1,
      sym_else_if_clause_2,
  [53700] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(513), 1,
      sym__semicolon,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3618), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53717] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(472), 1,
      sym__semicolon,
    STATE(1827), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53734] = 6,
    ACTIONS(1083), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1085), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3626), 1,
      aux_sym_else_if_clause_token1,
    STATE(1649), 1,
      aux_sym_if_statement_repeat1,
    STATE(2084), 1,
      sym_else_if_clause,
  [53753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3629), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3631), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53766] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(511), 1,
      sym__semicolon,
    STATE(1731), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53783] = 6,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3635), 1,
      sym_name,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    STATE(1659), 1,
      sym_namespace_name,
    STATE(2133), 1,
      sym_compound_statement,
  [53802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3639), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3641), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53815] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3645), 1,
      anon_sym_LBRACE,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    STATE(1972), 1,
      sym_anonymous_function_use_clause,
    STATE(2617), 1,
      sym__return_type,
  [53834] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1949), 1,
      sym__semicolon,
    ACTIONS(3649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53851] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3651), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [53862] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    STATE(1693), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2010), 1,
      sym__semicolon,
    ACTIONS(3653), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53879] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    STATE(1696), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2013), 1,
      sym__semicolon,
    ACTIONS(3657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53896] = 5,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2019), 1,
      sym_compound_statement,
    STATE(2020), 1,
      sym__semicolon,
    ACTIONS(3661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53913] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(1697), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2023), 1,
      sym__semicolon,
    ACTIONS(3663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53930] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1710), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2052), 1,
      sym__semicolon,
    ACTIONS(3665), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53947] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    ACTIONS(3669), 1,
      anon_sym_COLON,
    STATE(2062), 1,
      sym_enum_declaration_list,
    STATE(2222), 1,
      sym_class_interface_clause,
  [53966] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3361), 1,
      aux_sym_finally_clause_token1,
    STATE(1496), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [53981] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1372), 1,
      sym_compound_statement,
    STATE(1377), 1,
      sym__semicolon,
    ACTIONS(3671), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53998] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_COMMA,
    STATE(1665), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3673), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54013] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3678), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2116), 1,
      sym_reference_modifier,
    STATE(2123), 1,
      sym_variable_name,
  [54032] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3680), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_anonymous_function_use_clause,
    STATE(2502), 1,
      sym__return_type,
  [54051] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3682), 1,
      anon_sym_LBRACE,
    STATE(2173), 1,
      sym_anonymous_function_use_clause,
    STATE(2587), 1,
      sym__return_type,
  [54070] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3684), 1,
      anon_sym_LBRACE,
    STATE(1978), 1,
      sym_anonymous_function_use_clause,
    STATE(2476), 1,
      sym__return_type,
  [54089] = 3,
    ACTIONS(1096), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1094), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54102] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    STATE(1672), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3686), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54117] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    STATE(1725), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3690), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54132] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    ACTIONS(3694), 1,
      anon_sym_COLON,
    STATE(554), 1,
      sym_enum_declaration_list,
    STATE(2229), 1,
      sym_class_interface_clause,
  [54151] = 3,
    ACTIONS(1081), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1079), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54164] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    ACTIONS(3696), 1,
      anon_sym_COLON,
    STATE(508), 1,
      sym_enum_declaration_list,
    STATE(2350), 1,
      sym_class_interface_clause,
  [54183] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    ACTIONS(3698), 1,
      anon_sym_COLON,
    STATE(2076), 1,
      sym_enum_declaration_list,
    STATE(2309), 1,
      sym_class_interface_clause,
  [54202] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3700), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_anonymous_function_use_clause,
    STATE(2533), 1,
      sym__return_type,
  [54221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3702), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3704), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3706), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3708), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54247] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3712), 1,
      anon_sym_EQ,
    STATE(2303), 1,
      sym_property_hook_list,
    ACTIONS(3710), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54264] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(562), 1,
      sym__semicolon,
    STATE(1687), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54281] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(563), 1,
      sym__semicolon,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3716), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3720), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54311] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_AMP,
    STATE(1764), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3292), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3724), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54339] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(2127), 1,
      sym_anonymous_function_use_clause,
    STATE(2447), 1,
      sym__return_type,
  [54358] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(533), 1,
      sym__semicolon,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3732), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54388] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3736), 1,
      anon_sym_EQ,
    STATE(2405), 1,
      sym_property_hook_list,
    ACTIONS(3734), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54405] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3740), 1,
      anon_sym_EQ,
    STATE(2338), 1,
      sym_property_hook_list,
    ACTIONS(3738), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54422] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3744), 1,
      anon_sym_EQ,
    STATE(2409), 1,
      sym_property_hook_list,
    ACTIONS(3742), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3748), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54452] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2155), 1,
      sym__semicolon,
    ACTIONS(3750), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54469] = 6,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3752), 1,
      sym_name,
    STATE(2136), 1,
      sym_final_modifier,
    STATE(2482), 1,
      sym_reference_modifier,
  [54488] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(474), 1,
      sym__semicolon,
    STATE(1647), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3754), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54505] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    STATE(1874), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2157), 1,
      sym__semicolon,
    ACTIONS(3756), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54522] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2164), 1,
      sym__semicolon,
    ACTIONS(3758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54539] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3760), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54550] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3764), 1,
      anon_sym_EQ,
    STATE(2352), 1,
      sym_property_hook_list,
    ACTIONS(3762), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54567] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3768), 1,
      anon_sym_EQ,
    STATE(2237), 1,
      sym_property_hook_list,
    ACTIONS(3766), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54584] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(468), 1,
      sym_compound_statement,
    STATE(473), 1,
      sym__semicolon,
    ACTIONS(3770), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54601] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    STATE(2354), 1,
      sym_property_hook_list,
    ACTIONS(3772), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54618] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_COLON,
    STATE(2187), 1,
      sym__return_type,
    ACTIONS(3776), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54633] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3222), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54644] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_PIPE,
    STATE(1763), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3264), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54659] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(483), 1,
      sym__semicolon,
    STATE(1648), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3782), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54676] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3218), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54687] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_PIPE,
    STATE(1766), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3251), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54702] = 5,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3786), 1,
      anon_sym_RPAREN2,
    STATE(2358), 2,
      sym_variable_name,
      sym_by_ref,
  [54719] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2204), 1,
      sym__semicolon,
    ACTIONS(3788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54736] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    STATE(1725), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3790), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54751] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3070), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54762] = 3,
    ACTIONS(1077), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1075), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54775] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3792), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2131), 1,
      sym_reference_modifier,
    STATE(2132), 1,
      sym_variable_name,
  [54794] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1354), 1,
      sym_compound_statement,
    STATE(1375), 1,
      sym__semicolon,
    ACTIONS(3794), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54811] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1357), 1,
      sym_compound_statement,
    STATE(1359), 1,
      sym__semicolon,
    ACTIONS(3796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3800), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54841] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    STATE(1981), 1,
      sym_anonymous_function_use_clause,
    STATE(2457), 1,
      sym__return_type,
  [54860] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_EQ,
    ACTIONS(3804), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [54873] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1369), 1,
      sym_compound_statement,
    STATE(1370), 1,
      sym__semicolon,
    ACTIONS(3808), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3812), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54903] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_PIPE,
    STATE(1722), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3296), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54918] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_PIPE,
    STATE(1723), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3257), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54933] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_PIPE,
    STATE(1723), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3278), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54948] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_BSLASH,
    STATE(1725), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3822), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54963] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
    STATE(1442), 1,
      sym_qualified_name,
    STATE(2160), 1,
      sym_named_type,
    STATE(2620), 1,
      sym_namespace_name,
  [54982] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN2,
    ACTIONS(3827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3829), 1,
      anon_sym_DASH_GT,
    ACTIONS(3831), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3833), 1,
      anon_sym_LBRACK,
  [55001] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_LPAREN2,
    ACTIONS(1929), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55014] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_LPAREN2,
    ACTIONS(1688), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55027] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(475), 1,
      sym__semicolon,
    STATE(1682), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3835), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55044] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(475), 1,
      sym__semicolon,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3835), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55061] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3837), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3839), 1,
      aux_sym_finally_clause_token1,
    STATE(441), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3843), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55089] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1655), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1906), 1,
      sym__semicolon,
    ACTIONS(3845), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3849), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3851), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3853), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1071), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55145] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3635), 1,
      sym_name,
    ACTIONS(3637), 1,
      anon_sym_BSLASH,
    STATE(457), 1,
      sym_compound_statement,
    STATE(1701), 1,
      sym_namespace_name,
  [55164] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3857), 1,
      anon_sym_EQ,
    STATE(2410), 1,
      sym_property_hook_list,
    ACTIONS(3855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55181] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1908), 1,
      sym__semicolon,
    ACTIONS(3859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1090), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55211] = 5,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(3861), 1,
      anon_sym_RPAREN2,
    STATE(2358), 2,
      sym_variable_name,
      sym_by_ref,
  [55228] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    STATE(470), 1,
      sym__semicolon,
    STATE(1865), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55245] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3867), 1,
      anon_sym_COMMA,
    STATE(1744), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3865), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55260] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1740), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2204), 1,
      sym__semicolon,
    ACTIONS(3788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55277] = 6,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1718), 1,
      sym_formal_parameters,
    STATE(2346), 1,
      sym_reference_modifier,
  [55296] = 6,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2212), 1,
      sym_formal_parameters,
    STATE(2360), 1,
      sym_reference_modifier,
  [55315] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3870), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55326] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_COLON,
    STATE(2100), 1,
      sym__return_type,
    ACTIONS(3872), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55341] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3874), 1,
      anon_sym_LBRACE,
    STATE(1898), 1,
      sym_anonymous_function_use_clause,
    STATE(2551), 1,
      sym__return_type,
  [55360] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    STATE(454), 1,
      sym__semicolon,
    STATE(1743), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55377] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_PIPE,
    STATE(1722), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3264), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55392] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_PIPE,
    STATE(1723), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3251), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55407] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_BSLASH,
    STATE(1711), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3690), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55422] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_PIPE,
    STATE(1724), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3274), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55437] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_PIPE,
    STATE(1767), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3274), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3882), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3884), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3886), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55478] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2107), 1,
      sym__semicolon,
    ACTIONS(3888), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3892), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3894), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3896), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3900), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55534] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_PIPE,
    STATE(1763), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3296), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55549] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3905), 1,
      anon_sym_AMP,
    STATE(1764), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3243), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55564] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    STATE(466), 1,
      sym__semicolon,
    STATE(1769), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55581] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_PIPE,
    STATE(1766), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3257), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55596] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3784), 1,
      anon_sym_PIPE,
    STATE(1766), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3278), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55611] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3913), 1,
      sym_name,
    STATE(1885), 1,
      sym_visibility_modifier,
    ACTIONS(3915), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55626] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3659), 1,
      anon_sym_COMMA,
    STATE(471), 1,
      sym__semicolon,
    STATE(1874), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3917), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55643] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2192), 1,
      sym__semicolon,
    ACTIONS(3919), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55660] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
    STATE(2281), 1,
      sym_class_interface_clause,
  [55676] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_declaration_list,
    STATE(2385), 1,
      sym_class_interface_clause,
  [55692] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55702] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_declaration_list,
    STATE(2348), 1,
      sym_class_interface_clause,
  [55718] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1909), 1,
      sym_declaration_list,
    STATE(2353), 1,
      sym_class_interface_clause,
  [55734] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1658), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [55746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(3925), 1,
      sym_heredoc_end,
    STATE(2249), 1,
      sym_heredoc_body,
  [55762] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(822), 1,
      sym_declaration_list,
    STATE(2364), 1,
      sym_class_interface_clause,
  [55778] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3929), 1,
      anon_sym_DASH_GT,
    ACTIONS(3931), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3933), 1,
      anon_sym_LBRACK,
  [55794] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2633), 1,
      sym_declare_directive,
    ACTIONS(3935), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55806] = 3,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(593), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [55818] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(821), 1,
      sym_declaration_list,
    STATE(2365), 1,
      sym_class_interface_clause,
  [55834] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2003), 1,
      sym_formal_parameters,
    STATE(2408), 1,
      sym_reference_modifier,
  [55850] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(1942), 1,
      sym_enum_declaration_list,
    STATE(2366), 1,
      sym_class_interface_clause,
  [55866] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      sym_declaration_list,
    STATE(2367), 1,
      sym_class_interface_clause,
  [55882] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3937), 1,
      anon_sym_AMP,
    STATE(1786), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3243), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55896] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(553), 1,
      sym_declaration_list,
    STATE(2411), 1,
      sym_base_clause,
  [55912] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3673), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [55926] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_enum_declaration_list,
    STATE(2332), 1,
      sym_class_interface_clause,
  [55942] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3822), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [55952] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3945), 1,
      anon_sym_EQ,
    STATE(1388), 1,
      sym__semicolon,
    ACTIONS(3943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55966] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_declaration_list,
    STATE(2373), 1,
      sym_class_interface_clause,
  [55982] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2609), 1,
      sym_declare_directive,
    ACTIONS(3935), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55994] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3947), 1,
      anon_sym_DASH_GT,
    ACTIONS(3949), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3951), 1,
      anon_sym_LBRACK,
  [56010] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_PIPE,
    STATE(1836), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3953), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56024] = 5,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(3959), 1,
      anon_sym_RPAREN2,
    STATE(2152), 1,
      aux_sym__list_destructing_repeat1,
  [56040] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3963), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3961), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56052] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_class_interface_clause,
  [56068] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3965), 1,
      anon_sym_DASH_GT,
    ACTIONS(3967), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3969), 1,
      anon_sym_LBRACK,
  [56084] = 4,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1690), 2,
      sym_variable_name,
      sym_by_ref,
  [56098] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_declaration_list,
    STATE(2270), 1,
      sym_class_interface_clause,
  [56114] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3971), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [56124] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_declaration_list,
    STATE(2334), 1,
      sym_base_clause,
  [56140] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(939), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [56156] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3975), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56170] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3979), 1,
      anon_sym_EQ,
    STATE(1385), 1,
      sym__semicolon,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56184] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_enum_declaration_list,
    STATE(2402), 1,
      sym_class_interface_clause,
  [56200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 1,
      sym_nowdoc_string,
    STATE(1846), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3981), 2,
      sym_heredoc_end,
      sym__new_line,
  [56214] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3296), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56224] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3987), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3985), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56236] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1765), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56248] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(953), 1,
      sym_declaration_list,
    STATE(2320), 1,
      sym_class_interface_clause,
  [56264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3991), 1,
      aux_sym_string_content_token1,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3989), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(3994), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3996), 1,
      sym_heredoc_end,
    STATE(2394), 1,
      sym_heredoc_body,
  [56294] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3933), 1,
      anon_sym_LBRACK,
    ACTIONS(3998), 1,
      anon_sym_DASH_GT,
    ACTIONS(4000), 1,
      anon_sym_QMARK_DASH_GT,
  [56310] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(915), 1,
      sym_declaration_list,
    STATE(2313), 1,
      sym_class_interface_clause,
  [56326] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3609), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56336] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(916), 1,
      sym_declaration_list,
    STATE(2327), 1,
      sym_class_interface_clause,
  [56352] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4002), 1,
      anon_sym_DASH_GT,
    ACTIONS(4004), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4006), 1,
      anon_sym_LBRACK,
  [56368] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2465), 1,
      sym_declare_directive,
    ACTIONS(3935), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56380] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1677), 1,
      sym_formal_parameters,
    STATE(2260), 1,
      sym_reference_modifier,
  [56396] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [56408] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2066), 1,
      sym_formal_parameters,
    STATE(2262), 1,
      sym_reference_modifier,
  [56424] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1750), 1,
      sym_formal_parameters,
    STATE(2389), 1,
      sym_reference_modifier,
  [56440] = 4,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2137), 2,
      sym_variable_name,
      sym_by_ref,
  [56454] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
    STATE(2331), 1,
      sym_class_interface_clause,
  [56470] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_COMMA,
    STATE(1827), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4010), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56484] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2851), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4015), 1,
      aux_sym__namespace_use_type_token1,
    STATE(2225), 1,
      sym_static_modifier,
  [56500] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3760), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56510] = 4,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1702), 2,
      sym_variable_name,
      sym_by_ref,
  [56524] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_PIPE,
    STATE(1795), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4017), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56538] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1886), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56550] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3865), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56560] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3651), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56570] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2061), 1,
      sym_declaration_list,
    STATE(2220), 1,
      sym_base_clause,
  [56586] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_PIPE,
    STATE(1836), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4019), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56600] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(896), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56612] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1667), 1,
      sym_formal_parameters,
    STATE(2286), 1,
      sym_reference_modifier,
  [56628] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2212), 1,
      sym_formal_parameters,
    STATE(2360), 1,
      sym_reference_modifier,
  [56644] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(888), 1,
      sym_declaration_list,
    STATE(2343), 1,
      sym_class_interface_clause,
  [56660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(4024), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4026), 1,
      sym_heredoc_end,
    STATE(2297), 1,
      sym_heredoc_body,
  [56676] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4028), 1,
      anon_sym_DASH_GT,
    ACTIONS(4030), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4032), 1,
      anon_sym_LBRACK,
  [56692] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(2318), 1,
      sym_arguments,
    ACTIONS(4034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56706] = 4,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1739), 2,
      sym_variable_name,
      sym_by_ref,
  [56720] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4036), 1,
      anon_sym_DASH_GT,
    ACTIONS(4038), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4040), 1,
      anon_sym_LBRACK,
  [56736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4044), 1,
      sym_nowdoc_string,
    STATE(1846), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4042), 2,
      sym_heredoc_end,
      sym__new_line,
  [56750] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3270), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56760] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_EQ,
    ACTIONS(4047), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56772] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_declaration_list,
    STATE(2306), 1,
      sym_base_clause,
  [56788] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3673), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56798] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_class_interface_clause,
  [56814] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4053), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(4051), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56828] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
    STATE(2250), 1,
      sym_class_interface_clause,
  [56844] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    STATE(952), 1,
      sym_declaration_list,
    STATE(2322), 1,
      sym_class_interface_clause,
  [56860] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_LPAREN2,
    STATE(462), 1,
      sym__semicolon,
    ACTIONS(4056), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56874] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2182), 1,
      sym_formal_parameters,
    STATE(2392), 1,
      sym_reference_modifier,
  [56890] = 4,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(1691), 2,
      sym_variable_name,
      sym_by_ref,
  [56904] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4060), 1,
      anon_sym_AMP,
    STATE(1786), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3292), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56918] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3243), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [56928] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3235), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56938] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4063), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [56948] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1718), 1,
      sym_formal_parameters,
    STATE(2346), 1,
      sym_reference_modifier,
  [56964] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_enum_declaration_list,
    STATE(2317), 1,
      sym_class_interface_clause,
  [56980] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DOLLAR,
    STATE(761), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56992] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4065), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57006] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3257), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57016] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3870), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57026] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(4070), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      aux_sym_string_content_token1,
    STATE(1813), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4072), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [57054] = 4,
    ACTIONS(793), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2358), 2,
      sym_variable_name,
      sym_by_ref,
  [57068] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_declaration_list,
    STATE(2330), 1,
      sym_class_interface_clause,
  [57084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(4076), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4078), 1,
      sym_heredoc_end,
    STATE(2339), 1,
      sym_heredoc_body,
  [57100] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2584), 1,
      sym_declare_directive,
    ACTIONS(3935), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57112] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(1874), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4080), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57126] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LPAREN2,
    STATE(2178), 1,
      sym__semicolon,
    ACTIONS(4085), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57140] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_COMMA,
    ACTIONS(4091), 1,
      anon_sym_RBRACE,
    STATE(2169), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [57153] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(512), 1,
      sym__semicolon,
    ACTIONS(4093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57164] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(543), 1,
      sym__semicolon,
    ACTIONS(4095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57175] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57186] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_COMMA,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    STATE(1880), 1,
      aux_sym_array_creation_expression_repeat1,
  [57199] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4102), 1,
      anon_sym_EQ_GT,
    STATE(2513), 1,
      sym__return_type,
  [57212] = 4,
    ACTIONS(887), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    STATE(2110), 1,
      aux_sym_match_block_repeat1,
  [57225] = 4,
    ACTIONS(1021), 1,
      anon_sym_EQ_GT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    STATE(2112), 1,
      aux_sym_match_condition_list_repeat1,
  [57238] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4110), 1,
      anon_sym_RPAREN2,
    STATE(1974), 1,
      aux_sym_array_creation_expression_repeat1,
  [57251] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4112), 1,
      sym_name,
    ACTIONS(4114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57262] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4080), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57271] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(507), 1,
      sym__semicolon,
    ACTIONS(4116), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57282] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(482), 1,
      sym__semicolon,
    ACTIONS(4118), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57293] = 4,
    ACTIONS(837), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [57306] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4122), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57315] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(4124), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1952), 1,
      sym_variable_name,
  [57328] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2162), 1,
      sym__semicolon,
    ACTIONS(4126), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57339] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_RPAREN2,
    STATE(2121), 1,
      aux_sym__list_destructing_repeat1,
  [57352] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(487), 1,
      sym__semicolon,
    ACTIONS(4130), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57363] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_RPAREN2,
    STATE(2119), 1,
      aux_sym__list_destructing_repeat1,
  [57376] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(488), 1,
      sym__semicolon,
    ACTIONS(4132), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57387] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(489), 1,
      sym__semicolon,
    ACTIONS(4134), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57398] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4136), 1,
      anon_sym_LBRACE,
    STATE(2629), 1,
      sym__return_type,
  [57411] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4051), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57420] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57431] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57442] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4138), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [57451] = 3,
    ACTIONS(1520), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1518), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57462] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4140), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [57471] = 3,
    ACTIONS(1524), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1522), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57482] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57493] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(4142), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57504] = 3,
    ACTIONS(1532), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1530), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57515] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57526] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_COMMA,
    ACTIONS(4147), 1,
      anon_sym_RBRACK,
    STATE(1910), 1,
      aux_sym_attribute_group_repeat1,
  [57539] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2174), 1,
      sym__semicolon,
    ACTIONS(4149), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57550] = 3,
    ACTIONS(1572), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1570), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57561] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2026), 1,
      sym__semicolon,
    ACTIONS(4151), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57572] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(496), 1,
      sym__semicolon,
    ACTIONS(4153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57583] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_DQUOTE,
    ACTIONS(4157), 1,
      anon_sym_SQUOTE,
    ACTIONS(4159), 1,
      sym_heredoc_start,
  [57596] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(490), 1,
      sym__semicolon,
    ACTIONS(4161), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57607] = 3,
    ACTIONS(1576), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1574), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57618] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1953), 1,
      sym__semicolon,
    ACTIONS(4163), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57629] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1954), 1,
      sym__semicolon,
    ACTIONS(4165), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57640] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(491), 1,
      sym__semicolon,
    ACTIONS(4167), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2068), 1,
      sym__semicolon,
    ACTIONS(4169), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57662] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57673] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57684] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    ACTIONS(4173), 1,
      anon_sym_COLON,
    STATE(2081), 1,
      sym_switch_block,
  [57697] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4175), 1,
      anon_sym_EQ_GT,
    STATE(2423), 1,
      sym__return_type,
  [57710] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(486), 1,
      sym__semicolon,
    ACTIONS(4177), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57721] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(494), 1,
      sym__semicolon,
    ACTIONS(4179), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57732] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2176), 1,
      sym__semicolon,
    ACTIONS(4181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57743] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_COMMA,
    ACTIONS(4185), 1,
      anon_sym_RBRACK,
    STATE(1944), 1,
      aux_sym_array_creation_expression_repeat1,
  [57756] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    ACTIONS(4189), 1,
      anon_sym_RBRACK,
    STATE(1946), 1,
      aux_sym_attribute_group_repeat1,
  [57769] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym_RPAREN2,
    STATE(2101), 1,
      aux_sym_formal_parameters_repeat1,
  [57782] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57793] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57804] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57815] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1977), 1,
      sym__semicolon,
    ACTIONS(4195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57826] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4197), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RPAREN2,
    STATE(1957), 1,
      aux_sym_formal_parameters_repeat1,
  [57839] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57850] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 1,
      anon_sym_RPAREN2,
    STATE(1961), 1,
      aux_sym_array_creation_expression_repeat1,
  [57863] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4205), 1,
      anon_sym_LBRACE,
    STATE(2193), 1,
      aux_sym_base_clause_repeat1,
  [57876] = 3,
    ACTIONS(1580), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1578), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57887] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_EQ,
    ACTIONS(4207), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [57898] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57909] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57920] = 4,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_COMMA,
    STATE(1880), 1,
      aux_sym_array_creation_expression_repeat1,
  [57933] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57944] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_RBRACK,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_attribute_group_repeat1,
  [57957] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(4215), 1,
      sym_heredoc_end,
    STATE(2293), 1,
      sym_heredoc_body,
  [57981] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57992] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_COMMA,
    ACTIONS(4219), 1,
      anon_sym_RPAREN2,
    STATE(1973), 1,
      aux_sym_arguments_repeat1,
  [58005] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58016] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_EQ,
    ACTIONS(4221), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [58027] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58038] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58049] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1984), 1,
      sym__semicolon,
    ACTIONS(4225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58060] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1989), 1,
      sym__semicolon,
    ACTIONS(4227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58071] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_RPAREN2,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_formal_parameters_repeat1,
  [58084] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58095] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58106] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4231), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_COLON,
    STATE(458), 1,
      sym_switch_block,
  [58119] = 4,
    ACTIONS(871), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_array_creation_expression_repeat1,
  [58132] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4237), 1,
      anon_sym_COMMA,
    ACTIONS(4240), 1,
      anon_sym_RPAREN2,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [58145] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RPAREN2,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    STATE(2203), 1,
      aux_sym_unset_statement_repeat1,
  [58158] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58169] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_COMMA,
    ACTIONS(4246), 1,
      anon_sym_RBRACE,
    STATE(1979), 1,
      aux_sym_match_block_repeat1,
  [58182] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58193] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4248), 1,
      anon_sym_LBRACE,
    STATE(2499), 1,
      sym__return_type,
  [58206] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58217] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(4250), 1,
      sym_heredoc_end,
    STATE(2344), 1,
      sym_heredoc_body,
  [58241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      sym__new_line,
    ACTIONS(4254), 1,
      sym_heredoc_end,
    STATE(2345), 1,
      sym_nowdoc_body,
  [58254] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4256), 1,
      anon_sym_LBRACE,
    STATE(2441), 1,
      sym__return_type,
  [58267] = 4,
    ACTIONS(819), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [58280] = 4,
    ACTIONS(857), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_array_creation_expression_repeat1,
  [58293] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58304] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58315] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58326] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4262), 1,
      anon_sym_LBRACE,
    STATE(2442), 1,
      sym__return_type,
  [58339] = 4,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    STATE(2110), 1,
      aux_sym_match_block_repeat1,
  [58352] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4266), 1,
      sym_name,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    STATE(2289), 1,
      sym_namespace_use_group,
  [58365] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4270), 1,
      anon_sym_LBRACE,
    STATE(2534), 1,
      sym__return_type,
  [58378] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58389] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58400] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58411] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(522), 1,
      sym__semicolon,
    ACTIONS(4272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58422] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(467), 1,
      sym__semicolon,
    ACTIONS(4274), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58433] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4276), 1,
      anon_sym_LBRACE,
    STATE(2448), 1,
      sym__return_type,
  [58446] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_EQ_GT,
    STATE(2449), 1,
      sym__return_type,
  [58459] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58470] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2012), 1,
      sym__semicolon,
    ACTIONS(4280), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58481] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2014), 1,
      sym__semicolon,
    ACTIONS(4282), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58492] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2016), 1,
      sym__semicolon,
    ACTIONS(4284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58503] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(523), 1,
      sym__semicolon,
    ACTIONS(4286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58514] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58525] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_RPAREN2,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    STATE(2203), 1,
      aux_sym_unset_statement_repeat1,
  [58538] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(465), 1,
      sym__semicolon,
    ACTIONS(4290), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58549] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58560] = 3,
    ACTIONS(1516), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1514), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58571] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2025), 1,
      sym__semicolon,
    ACTIONS(4292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58582] = 3,
    ACTIONS(1564), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1562), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58593] = 3,
    ACTIONS(1568), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1566), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58604] = 3,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58615] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4294), 1,
      anon_sym_EQ_GT,
    STATE(2536), 1,
      sym__return_type,
  [58628] = 3,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58639] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_COMMA,
    ACTIONS(4298), 1,
      anon_sym_RPAREN2,
    STATE(2009), 1,
      aux_sym_arguments_repeat1,
  [58652] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(497), 1,
      sym__semicolon,
    ACTIONS(4300), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58663] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4010), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58672] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2033), 1,
      sym__semicolon,
    ACTIONS(4302), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58683] = 4,
    ACTIONS(823), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4304), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [58696] = 3,
    ACTIONS(1104), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1102), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58707] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(4306), 1,
      sym_name,
    STATE(2477), 1,
      sym_reference_modifier,
  [58720] = 3,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58731] = 3,
    ACTIONS(1148), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1146), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58742] = 3,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58753] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2034), 1,
      sym__semicolon,
    ACTIONS(4308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58764] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58775] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2036), 1,
      sym__semicolon,
    ACTIONS(4310), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58786] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2037), 1,
      sym__semicolon,
    ACTIONS(4312), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58797] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58808] = 3,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58819] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4314), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58830] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(499), 1,
      sym__semicolon,
    ACTIONS(4316), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58841] = 3,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58852] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_RPAREN2,
    STATE(2028), 1,
      aux_sym_arguments_repeat1,
  [58865] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58876] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58887] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2041), 1,
      sym__semicolon,
    ACTIONS(4322), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58898] = 4,
    ACTIONS(827), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [58911] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2043), 1,
      sym__semicolon,
    ACTIONS(4326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58922] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2046), 1,
      sym__semicolon,
    ACTIONS(4328), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58933] = 3,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58944] = 3,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58955] = 3,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58966] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58977] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(500), 1,
      sym__semicolon,
    ACTIONS(4330), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58988] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58999] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59010] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2049), 1,
      sym__semicolon,
    ACTIONS(4332), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59021] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_COMMA,
    ACTIONS(4336), 1,
      anon_sym_RPAREN2,
    STATE(2042), 1,
      aux_sym_arguments_repeat1,
  [59034] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(501), 1,
      sym__semicolon,
    ACTIONS(4338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59045] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59056] = 4,
    ACTIONS(829), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [59069] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59080] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_EQ,
    ACTIONS(4342), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59091] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2050), 1,
      sym__semicolon,
    ACTIONS(4346), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59102] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59113] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2051), 1,
      sym__semicolon,
    ACTIONS(4348), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59124] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2054), 1,
      sym__semicolon,
    ACTIONS(4350), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59135] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59146] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59157] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59168] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59179] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_COMMA,
    ACTIONS(4354), 1,
      anon_sym_RPAREN2,
    STATE(2056), 1,
      aux_sym_arguments_repeat1,
  [59192] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59203] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2057), 1,
      sym__semicolon,
    ACTIONS(4356), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59214] = 4,
    ACTIONS(835), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_COMMA,
    STATE(1962), 1,
      aux_sym_arguments_repeat1,
  [59227] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59238] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_RPAREN2,
    ACTIONS(4360), 1,
      anon_sym_COMMA,
    STATE(2143), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [59251] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59262] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4362), 1,
      anon_sym_EQ_GT,
    STATE(2524), 1,
      sym__return_type,
  [59275] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59286] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59297] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(564), 1,
      sym__semicolon,
    ACTIONS(4364), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59308] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(4366), 1,
      anon_sym_RPAREN2,
    STATE(2556), 1,
      sym_variable_name,
  [59321] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59332] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4368), 1,
      anon_sym_EQ_GT,
    STATE(2535), 1,
      sym__return_type,
  [59345] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59356] = 3,
    ACTIONS(1536), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1534), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59367] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(534), 1,
      sym__semicolon,
    ACTIONS(4370), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59378] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_DQUOTE,
    ACTIONS(4374), 1,
      anon_sym_SQUOTE,
    ACTIONS(4376), 1,
      sym_heredoc_start,
  [59391] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3776), 1,
      anon_sym_LBRACE,
    STATE(2590), 1,
      sym__return_type,
  [59404] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2099), 1,
      sym__semicolon,
    ACTIONS(4378), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59415] = 3,
    ACTIONS(1544), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1542), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59426] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59437] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59448] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59459] = 3,
    ACTIONS(1556), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1554), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59470] = 3,
    ACTIONS(1560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1558), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59481] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59492] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(535), 1,
      sym__semicolon,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59503] = 3,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59514] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1529), 1,
      sym_property_element,
    STATE(1719), 1,
      sym_variable_name,
  [59527] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1719), 1,
      sym_variable_name,
    STATE(1833), 1,
      sym_property_element,
  [59540] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59551] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4266), 1,
      sym_name,
    ACTIONS(4268), 1,
      anon_sym_LBRACE,
    STATE(2258), 1,
      sym_namespace_use_group,
  [59564] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59575] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(502), 1,
      sym__semicolon,
    ACTIONS(4382), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59586] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_AMP,
    ACTIONS(4384), 1,
      anon_sym_RPAREN2,
    STATE(1470), 1,
      aux_sym_intersection_type_repeat1,
  [59599] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(541), 1,
      sym__semicolon,
    ACTIONS(4386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59610] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4388), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59619] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4390), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59630] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3673), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [59639] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_COMMA,
    ACTIONS(4394), 1,
      anon_sym_RBRACE,
    STATE(1876), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [59652] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(4396), 1,
      anon_sym_RPAREN2,
    STATE(2527), 1,
      sym_variable_name,
  [59665] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59676] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(503), 1,
      sym__semicolon,
    ACTIONS(4398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59687] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4400), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59696] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(506), 1,
      sym__semicolon,
    ACTIONS(4402), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59707] = 3,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59718] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4404), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59727] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_RPAREN2,
    ACTIONS(4406), 1,
      anon_sym_COMMA,
    STATE(2108), 1,
      aux_sym_formal_parameters_repeat1,
  [59740] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2149), 1,
      aux_sym__list_destructing_repeat1,
  [59753] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_RPAREN2,
    STATE(2205), 1,
      aux_sym__list_destructing_repeat1,
  [59766] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2190), 1,
      sym__semicolon,
    ACTIONS(4408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59777] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4410), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59788] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(540), 1,
      sym__semicolon,
    ACTIONS(4414), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59799] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59810] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_COMMA,
    ACTIONS(4419), 1,
      anon_sym_RPAREN2,
    STATE(2108), 1,
      aux_sym_formal_parameters_repeat1,
  [59823] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4421), 1,
      anon_sym_COMMA,
    ACTIONS(4423), 1,
      anon_sym_RBRACE,
    STATE(1882), 1,
      aux_sym_match_block_repeat1,
  [59836] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_RBRACE,
    STATE(2110), 1,
      aux_sym_match_block_repeat1,
  [59849] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_COMMA,
    ACTIONS(4432), 1,
      anon_sym_RBRACK,
    STATE(2114), 1,
      aux_sym__array_destructing_repeat1,
  [59862] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_EQ_GT,
    ACTIONS(4434), 1,
      anon_sym_COMMA,
    STATE(2112), 1,
      aux_sym_match_condition_list_repeat1,
  [59875] = 4,
    ACTIONS(867), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_COMMA,
    STATE(1880), 1,
      aux_sym_array_creation_expression_repeat1,
  [59888] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_COMMA,
    ACTIONS(4442), 1,
      anon_sym_RBRACK,
    STATE(2114), 1,
      aux_sym__array_destructing_repeat1,
  [59901] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_DOLLAR,
    ACTIONS(4444), 1,
      anon_sym_AMP,
    STATE(1451), 1,
      aux_sym_intersection_type_repeat1,
  [59914] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(4447), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2117), 1,
      sym_variable_name,
  [59927] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4451), 1,
      anon_sym_EQ,
    ACTIONS(4449), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59938] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4453), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59947] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_RPAREN2,
    STATE(2205), 1,
      aux_sym__list_destructing_repeat1,
  [59960] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4457), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59969] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_RPAREN2,
    STATE(2205), 1,
      aux_sym__list_destructing_repeat1,
  [59982] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_RBRACK,
    ACTIONS(4461), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_attribute_group_repeat1,
  [59995] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_EQ,
    ACTIONS(4463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60006] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(546), 1,
      sym__semicolon,
    ACTIONS(3591), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60017] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4467), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60028] = 3,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60039] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4471), 1,
      anon_sym_LBRACE,
    STATE(2579), 1,
      sym__return_type,
  [60052] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2153), 1,
      sym__semicolon,
    ACTIONS(4473), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60063] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(4475), 1,
      sym_heredoc_end,
    STATE(2261), 1,
      sym_heredoc_body,
  [60087] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(4477), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2044), 1,
      sym_variable_name,
  [60100] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_EQ,
    ACTIONS(4479), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60111] = 3,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60122] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1848), 1,
      sym_variable_name,
    STATE(2158), 1,
      sym_static_variable_declaration,
  [60135] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    ACTIONS(4483), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2125), 1,
      sym_variable_name,
  [60148] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_AMP,
    ACTIONS(4485), 1,
      sym_name,
    STATE(2610), 1,
      sym_reference_modifier,
  [60161] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4487), 1,
      anon_sym_COMMA,
    ACTIONS(4489), 1,
      anon_sym_RPAREN2,
    STATE(2058), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60174] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4491), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [60185] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60196] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60207] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60218] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(4493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60229] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    ACTIONS(4498), 1,
      anon_sym_RPAREN2,
    STATE(2143), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60242] = 3,
    ACTIONS(1584), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1582), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60253] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1349), 1,
      sym__semicolon,
    ACTIONS(4500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60264] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2201), 1,
      sym__semicolon,
    ACTIONS(3529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60275] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4502), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60284] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60295] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_RPAREN2,
    STATE(2205), 1,
      aux_sym__list_destructing_repeat1,
  [60308] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4506), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60317] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3317), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60326] = 4,
    ACTIONS(889), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_RPAREN2,
    STATE(2205), 1,
      aux_sym__list_destructing_repeat1,
  [60339] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60350] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1917), 1,
      sym__semicolon,
    ACTIONS(4510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60361] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60372] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1402), 1,
      sym__semicolon,
    ACTIONS(4512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60383] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60394] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4065), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60403] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(548), 1,
      sym__semicolon,
    ACTIONS(4514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60414] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4019), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [60423] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_EQ,
    ACTIONS(4516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60434] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60445] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(551), 1,
      sym__semicolon,
    ACTIONS(4520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60456] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60467] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60478] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(4522), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60489] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_COMMA,
    ACTIONS(4524), 1,
      anon_sym_RBRACK,
    STATE(2111), 1,
      aux_sym__array_destructing_repeat1,
  [60502] = 4,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(2372), 1,
      sym_parenthesized_expression,
  [60515] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_RBRACE,
    ACTIONS(4526), 1,
      anon_sym_COMMA,
    STATE(2169), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [60528] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_COMMA,
    ACTIONS(4531), 1,
      anon_sym_RBRACK,
    STATE(2113), 1,
      aux_sym_array_creation_expression_repeat1,
  [60541] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4533), 1,
      anon_sym_COMMA,
    ACTIONS(4535), 1,
      anon_sym_RPAREN2,
    STATE(1889), 1,
      aux_sym_arguments_repeat1,
  [60554] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_COMMA,
    ACTIONS(4524), 1,
      anon_sym_RBRACK,
    STATE(2114), 1,
      aux_sym__array_destructing_repeat1,
  [60567] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4537), 1,
      anon_sym_LBRACE,
    STATE(2480), 1,
      sym__return_type,
  [60580] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60591] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1522), 1,
      sym_property_element,
    STATE(1719), 1,
      sym_variable_name,
  [60604] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60615] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4539), 1,
      anon_sym_COMMA,
    ACTIONS(4541), 1,
      anon_sym_RBRACK,
    STATE(2122), 1,
      aux_sym_attribute_group_repeat1,
  [60628] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__new_line,
    ACTIONS(4543), 1,
      sym_heredoc_end,
    STATE(2416), 1,
      sym_heredoc_body,
  [60652] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4545), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60661] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4547), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60670] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4549), 1,
      anon_sym_EQ_GT,
    STATE(2544), 1,
      sym__return_type,
  [60683] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2073), 1,
      sym__semicolon,
    ACTIONS(4551), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60694] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60705] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4553), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60714] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60725] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4555), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60734] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4100), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [60743] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60754] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60765] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_RPAREN2,
    ACTIONS(4557), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_array_creation_expression_repeat1,
  [60778] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60789] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    ACTIONS(4560), 1,
      anon_sym_LBRACE,
    STATE(1788), 1,
      aux_sym_base_clause_repeat1,
  [60802] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(566), 1,
      sym__semicolon,
    ACTIONS(4562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60813] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(574), 1,
      sym__semicolon,
    ACTIONS(4564), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60824] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1933), 1,
      sym__semicolon,
    ACTIONS(4566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60835] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1934), 1,
      sym__semicolon,
    ACTIONS(4568), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60846] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(3872), 1,
      anon_sym_LBRACE,
    STATE(2485), 1,
      sym__return_type,
  [60859] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      sym__new_line,
    ACTIONS(4570), 1,
      sym_heredoc_end,
    STATE(2244), 1,
      sym_nowdoc_body,
  [60883] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60894] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1937), 1,
      sym__semicolon,
    ACTIONS(4572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60905] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_RPAREN2,
    ACTIONS(4574), 1,
      anon_sym_COMMA,
    STATE(2203), 1,
      aux_sym_unset_statement_repeat1,
  [60918] = 3,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60929] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_RPAREN2,
    ACTIONS(4577), 1,
      anon_sym_COMMA,
    STATE(2205), 1,
      aux_sym__list_destructing_repeat1,
  [60942] = 3,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60953] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60964] = 3,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60975] = 3,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60986] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2782), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [60995] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1392), 1,
      sym__semicolon,
    ACTIONS(4580), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61006] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      anon_sym_EQ_GT,
    STATE(2518), 1,
      sym__return_type,
  [61019] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(460), 1,
      sym__semicolon,
    ACTIONS(4584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61030] = 3,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61041] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(461), 1,
      sym__semicolon,
    ACTIONS(4586), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61052] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [61063] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61071] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1749), 1,
      sym_formal_parameters,
  [61081] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(969), 1,
      sym_arguments,
  [61091] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_declaration_list,
  [61101] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_declaration_list,
  [61111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(2208), 1,
      sym_enum_declaration_list,
  [61121] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61129] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2209), 1,
      sym_declaration_list,
  [61139] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3226), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3228), 1,
      aux_sym__arrow_function_header_token1,
  [61149] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(907), 1,
      sym_arguments,
  [61159] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4592), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61167] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1732), 1,
      sym_compound_statement,
  [61177] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_enum_declaration_list,
  [61187] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61195] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1713), 1,
      sym_compound_statement,
  [61205] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_LPAREN2,
    STATE(1928), 1,
      sym_parenthesized_expression,
  [61215] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2292), 1,
      sym_variable_name,
  [61225] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(727), 1,
      sym_arguments,
  [61235] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4598), 1,
      sym_nowdoc_string,
    STATE(1808), 1,
      aux_sym_nowdoc_body_repeat1,
  [61245] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym_declaration_list,
  [61255] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61263] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2198), 1,
      sym_formal_parameters,
  [61273] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(805), 1,
      sym_declaration_list,
  [61283] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(709), 1,
      sym_arguments,
  [61293] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61301] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2355), 1,
      sym_variable_name,
  [61311] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4142), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      sym__new_line,
    ACTIONS(4606), 1,
      sym_heredoc_end,
  [61329] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(75), 1,
      sym_parenthesized_expression,
  [61339] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(76), 1,
      sym_parenthesized_expression,
  [61349] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(759), 1,
      sym_arguments,
  [61359] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3399), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 1,
      sym__new_line,
    ACTIONS(4612), 1,
      sym_heredoc_end,
  [61377] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_declaration_list,
  [61387] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_LPAREN2,
    STATE(769), 1,
      sym_arguments,
  [61397] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(544), 1,
      sym_compound_statement,
  [61407] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4614), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61415] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(604), 1,
      sym_arguments,
  [61425] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2065), 1,
      sym_declaration_list,
  [61435] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_declaration_list,
  [61445] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61453] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4616), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61461] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1945), 1,
      sym_compound_statement,
  [61471] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1686), 1,
      sym_formal_parameters,
  [61481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym__new_line,
    ACTIONS(4620), 1,
      sym_heredoc_end,
  [61491] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1988), 1,
      sym_formal_parameters,
  [61501] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(989), 1,
      sym_compound_statement,
  [61511] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LBRACE,
    STATE(1120), 1,
      sym_match_block,
  [61521] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4240), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61529] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1663), 1,
      sym_compound_statement,
  [61539] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(79), 1,
      sym_parenthesized_expression,
  [61549] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(2372), 1,
      sym_parenthesized_expression,
  [61559] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(1924), 1,
      sym_parenthesized_expression,
  [61569] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      sym_declaration_list,
  [61579] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(599), 1,
      sym_arguments,
  [61589] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2071), 1,
      sym_formal_parameters,
  [61599] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4147), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61607] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(55), 1,
      sym_parenthesized_expression,
  [61617] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(109), 1,
      sym_parenthesized_expression,
  [61627] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2512), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [61635] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4624), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61643] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4626), 2,
      anon_sym_string,
      anon_sym_int,
  [61651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(115), 1,
      sym_parenthesized_expression,
  [61661] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61669] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_declaration_list,
  [61679] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(469), 1,
      sym_compound_statement,
  [61689] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(4628), 1,
      anon_sym_EQ,
  [61699] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_declaration_list,
  [61709] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_declaration_list,
  [61719] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1669), 1,
      sym_formal_parameters,
  [61729] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(2377), 1,
      sym_parenthesized_expression,
  [61739] = 3,
    ACTIONS(352), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2653), 1,
      sym_colon_block,
  [61749] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4630), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61757] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4632), 2,
      anon_sym_string,
      anon_sym_int,
  [61765] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_LPAREN2,
    ACTIONS(4636), 1,
      anon_sym_RPAREN2,
  [61775] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4638), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      sym__new_line,
    ACTIONS(4642), 1,
      sym_heredoc_end,
  [61793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(799), 1,
      sym_arguments,
  [61803] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4388), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61811] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1703), 1,
      sym_formal_parameters,
  [61821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym__new_line,
    ACTIONS(4646), 1,
      sym_heredoc_end,
  [61831] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
  [61841] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_compound_statement,
  [61851] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2227), 1,
      sym_variable_name,
  [61861] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3957), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [61869] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(624), 1,
      sym_arguments,
  [61879] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4650), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61887] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_declaration_list,
  [61897] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_LPAREN2,
    ACTIONS(3827), 1,
      anon_sym_COLON_COLON,
  [61907] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1900), 1,
      sym_declaration_list,
  [61917] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3194), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3196), 1,
      aux_sym__arrow_function_header_token1,
  [61927] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61935] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(1901), 1,
      sym_enum_declaration_list,
  [61945] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4442), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61953] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_declaration_list,
  [61963] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61971] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_declaration_list,
  [61981] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4428), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61989] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61997] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1909), 1,
      sym_declaration_list,
  [62007] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym_enum_declaration_list,
  [62017] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62025] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2223), 1,
      sym_variable_name,
  [62035] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_declaration_list,
  [62045] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2315), 1,
      sym_variable_name,
  [62055] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_declaration_list,
  [62065] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4656), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62073] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62081] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62089] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_LPAREN2,
    STATE(2080), 1,
      sym_parenthesized_expression,
  [62099] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(953), 1,
      sym_declaration_list,
  [62109] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62117] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2148), 1,
      sym_compound_statement,
  [62127] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(821), 1,
      sym_declaration_list,
  [62137] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(822), 1,
      sym_declaration_list,
  [62147] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_enum_declaration_list,
  [62157] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2328), 1,
      sym_variable_name,
  [62167] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(550), 1,
      sym_declaration_list,
  [62177] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_declaration_list,
  [62187] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4662), 2,
      anon_sym_string,
      anon_sym_int,
  [62195] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4664), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62203] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym__new_line,
    ACTIONS(4670), 1,
      sym_heredoc_end,
  [62221] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(107), 1,
      sym_parenthesized_expression,
  [62231] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4672), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62239] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2241), 1,
      sym_variable_name,
  [62249] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_declaration_list,
  [62259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      sym__new_line,
    ACTIONS(4676), 1,
      sym_heredoc_end,
  [62269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym__new_line,
    ACTIONS(4680), 1,
      sym_heredoc_end,
  [62279] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1668), 1,
      sym_formal_parameters,
  [62289] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_declaration_list,
  [62299] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1943), 1,
      sym_declaration_list,
  [62309] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3104), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62317] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_enum_declaration_list,
  [62327] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      sym_declaration_list,
  [62337] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4682), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62345] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1951), 1,
      sym_declaration_list,
  [62355] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4684), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62363] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4686), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62371] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1670), 1,
      sym_compound_statement,
  [62381] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4688), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62389] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62397] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62405] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1881), 1,
      sym_formal_parameters,
  [62415] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62423] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62431] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4692), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62439] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_declaration_list,
  [62449] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(748), 1,
      sym_declaration_list,
  [62459] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_enum_declaration_list,
  [62469] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1983), 1,
      sym_declaration_list,
  [62479] = 3,
    ACTIONS(368), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1674), 1,
      sym_compound_statement,
  [62489] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_BSLASH,
    STATE(2369), 1,
      aux_sym_namespace_name_repeat1,
  [62499] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_declaration_list,
  [62509] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4010), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62517] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4697), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_match_block,
  [62527] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(751), 1,
      sym_declaration_list,
  [62537] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_compound_statement,
  [62547] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2369), 1,
      aux_sym_namespace_name_repeat1,
  [62557] = 3,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_LPAREN2,
  [62567] = 3,
    ACTIONS(537), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2105), 1,
      sym_colon_block,
  [62577] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
  [62587] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62595] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62603] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(62), 1,
      sym_parenthesized_expression,
  [62613] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4122), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62621] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62629] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(2264), 1,
      sym_parenthesized_expression,
  [62639] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_declaration_list,
  [62649] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(636), 1,
      sym_arguments,
  [62659] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4702), 2,
      anon_sym_string,
      anon_sym_int,
  [62667] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4704), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62675] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1654), 1,
      sym_formal_parameters,
  [62685] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4553), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62693] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_declaration_list,
  [62703] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(1925), 1,
      sym_formal_parameters,
  [62713] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4707), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4709), 1,
      sym__new_line,
    ACTIONS(4711), 1,
      sym_heredoc_end,
  [62731] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(106), 1,
      sym_parenthesized_expression,
  [62741] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(98), 1,
      sym_parenthesized_expression,
  [62751] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_declaration_list,
  [62761] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_compound_statement,
  [62771] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(851), 1,
      sym_arguments,
  [62781] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62789] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62797] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_enum_declaration_list,
  [62807] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4717), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62815] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_BSLASH,
    STATE(2369), 1,
      aux_sym_namespace_name_repeat1,
  [62825] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4722), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62833] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(1960), 1,
      sym_parenthesized_expression,
  [62843] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62851] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN2,
    STATE(2060), 1,
      sym_formal_parameters,
  [62861] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62869] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4728), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62877] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
  [62887] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      sym_compound_statement,
  [62897] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4732), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62905] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4734), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62913] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(860), 1,
      sym_arguments,
  [62923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym__new_line,
    ACTIONS(4738), 1,
      sym_heredoc_end,
  [62933] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3096), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62941] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_DOLLAR,
    STATE(2230), 1,
      sym_variable_name,
  [62951] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4740), 1,
      ts_builtin_sym_end,
  [62958] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_name,
  [62965] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4744), 1,
      sym_name,
  [62972] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_COLON_COLON,
  [62979] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_EQ_GT,
  [62986] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_RPAREN2,
  [62993] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_name,
  [63000] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_name,
  [63007] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3501), 1,
      sym_name,
  [63014] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RPAREN2,
  [63021] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4756), 1,
      aux_sym_while_statement_token2,
  [63028] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_SEMI,
  [63035] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RPAREN2,
  [63042] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4762), 1,
      aux_sym_if_statement_token2,
  [63049] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_RPAREN2,
  [63056] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4766), 1,
      sym_heredoc_end,
  [63063] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4768), 1,
      sym_name,
  [63070] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4770), 1,
      aux_sym_if_statement_token2,
  [63077] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4772), 1,
      aux_sym_while_statement_token1,
  [63084] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_heredoc_end,
  [63091] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_COLON_COLON,
  [63098] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4778), 1,
      sym_name,
  [63105] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_LBRACE,
  [63112] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_LBRACE,
  [63119] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_RBRACE,
  [63126] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_RPAREN2,
  [63133] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_name,
  [63140] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4788), 1,
      sym_heredoc_start,
  [63147] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_LBRACE,
  [63154] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_LBRACE,
  [63161] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_EQ_GT,
  [63168] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RBRACK,
  [63175] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_LPAREN2,
  [63182] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4800), 1,
      sym_name,
  [63189] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_LPAREN2,
  [63196] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4804), 1,
      sym_name,
  [63203] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_heredoc_end,
  [63210] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_name,
  [63217] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_LBRACE,
  [63224] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4812), 1,
      sym_name,
  [63231] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym_name,
  [63238] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_EQ_GT,
  [63245] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_EQ,
  [63252] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN2,
  [63259] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
  [63266] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_SEMI,
  [63273] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RPAREN2,
  [63280] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_name,
  [63287] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_COLON_COLON,
  [63294] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_RPAREN2,
  [63301] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4834), 1,
      sym_heredoc_end,
  [63308] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_heredoc_end,
  [63315] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_RPAREN2,
  [63322] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RPAREN2,
  [63329] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_RPAREN2,
  [63336] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_BSLASH,
  [63343] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_RPAREN2,
  [63350] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LBRACE,
  [63357] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4850), 1,
      sym_name,
  [63364] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_BSLASH,
  [63371] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4854), 1,
      sym_name,
  [63378] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_LBRACE,
  [63385] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN2,
  [63392] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4860), 1,
      sym_name,
  [63399] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4862), 1,
      aux_sym_while_statement_token2,
  [63406] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_EQ,
  [63413] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_LBRACE,
  [63420] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_RPAREN2,
  [63427] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_SQUOTE2,
  [63434] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_SQUOTE2,
  [63441] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_SEMI,
  [63448] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_LPAREN2,
  [63455] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4876), 1,
      sym_name,
  [63462] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
  [63469] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_RPAREN2,
  [63476] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_RPAREN2,
  [63483] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4882), 1,
      sym_name,
  [63490] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4219), 1,
      anon_sym_RPAREN2,
  [63497] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4884), 1,
      sym_name,
  [63504] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4886), 1,
      aux_sym_while_statement_token1,
  [63511] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_LBRACE,
  [63518] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_RPAREN,
  [63525] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4892), 1,
      sym_name,
  [63532] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_LBRACE,
  [63539] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4266), 1,
      sym_name,
  [63546] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_LPAREN2,
  [63553] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN2,
  [63560] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_COLON_COLON,
  [63567] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_RPAREN2,
  [63574] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_RPAREN2,
  [63581] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_BSLASH,
  [63588] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_SEMI,
  [63595] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
  [63602] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_SEMI,
  [63609] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
  [63616] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_LPAREN2,
  [63623] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4914), 1,
      sym_name,
  [63630] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4916), 1,
      sym_heredoc_end,
  [63637] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4918), 1,
      sym_heredoc_end,
  [63644] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_EQ_GT,
  [63651] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_RPAREN2,
  [63658] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_RBRACK,
  [63665] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_if_statement_token2,
  [63672] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4926), 1,
      sym_heredoc_end,
  [63679] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_SEMI,
  [63686] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_EQ_GT,
  [63693] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4932), 1,
      sym_name,
  [63700] = 2,
    ACTIONS(983), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
  [63707] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_RPAREN2,
  [63714] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_RPAREN2,
  [63721] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4938), 1,
      aux_sym_foreach_statement_token2,
  [63728] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_RPAREN2,
  [63735] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_EQ,
  [63742] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_RBRACK,
  [63749] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_LBRACE,
  [63756] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4948), 1,
      anon_sym_LBRACE,
  [63763] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_EQ_GT,
  [63770] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_EQ_GT,
  [63777] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4954), 1,
      sym_heredoc_end,
  [63784] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_LPAREN2,
  [63791] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_RBRACK,
  [63798] = 2,
    ACTIONS(517), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [63805] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_RPAREN2,
  [63812] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3505), 1,
      sym_name,
  [63819] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_RBRACE,
  [63826] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_EQ_GT,
  [63833] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_RPAREN2,
  [63840] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_RPAREN2,
  [63847] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4962), 1,
      sym_name,
  [63854] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4964), 1,
      aux_sym_foreach_statement_token2,
  [63861] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_RBRACK,
  [63868] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4966), 1,
      anon_sym_RPAREN2,
  [63875] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_LBRACE,
  [63882] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_EQ_GT,
  [63889] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_EQ,
  [63896] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RPAREN2,
  [63903] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_RPAREN2,
  [63910] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_RPAREN2,
  [63917] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_EQ,
  [63924] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_BSLASH,
  [63931] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4982), 1,
      anon_sym_RPAREN2,
  [63938] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4984), 1,
      sym_name,
  [63945] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4986), 1,
      sym_name,
  [63952] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_RPAREN2,
  [63959] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_RPAREN2,
  [63966] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4990), 1,
      sym_name,
  [63973] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_BSLASH,
  [63980] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4994), 1,
      anon_sym_RPAREN2,
  [63987] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4996), 1,
      anon_sym_EQ_GT,
  [63994] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4998), 1,
      anon_sym_RPAREN2,
  [64001] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5000), 1,
      sym_name,
  [64008] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5002), 1,
      sym_name,
  [64015] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5004), 1,
      aux_sym_if_statement_token2,
  [64022] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5006), 1,
      sym_name,
  [64029] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5008), 1,
      sym_name,
  [64036] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5010), 1,
      anon_sym_BSLASH,
  [64043] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5012), 1,
      anon_sym_LPAREN2,
  [64050] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_LPAREN2,
  [64057] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5016), 1,
      anon_sym_RPAREN2,
  [64064] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5018), 1,
      sym_name,
  [64071] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LBRACE,
  [64078] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5022), 1,
      sym_heredoc_start,
  [64085] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5024), 1,
      anon_sym_COLON_COLON,
  [64092] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5026), 1,
      sym_name,
  [64099] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5028), 1,
      sym_name,
  [64106] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5030), 1,
      anon_sym_RPAREN2,
  [64113] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym_SEMI,
  [64120] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_EQ_GT,
  [64127] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5036), 1,
      anon_sym_LBRACE,
  [64134] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5038), 1,
      sym_name,
  [64141] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5040), 1,
      anon_sym_COLON_COLON,
  [64148] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4555), 1,
      anon_sym_LBRACE,
  [64155] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_LPAREN2,
  [64162] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5042), 1,
      sym_name,
  [64169] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_RPAREN2,
  [64176] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_EQ_GT,
  [64183] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_RPAREN2,
  [64190] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_RPAREN2,
  [64197] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5052), 1,
      anon_sym_RPAREN2,
  [64204] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5054), 1,
      anon_sym_RPAREN2,
  [64211] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5056), 1,
      sym_name,
  [64218] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5058), 1,
      anon_sym_RPAREN2,
  [64225] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5060), 1,
      anon_sym_RPAREN,
  [64232] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_RPAREN2,
  [64239] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5062), 1,
      anon_sym_RPAREN2,
  [64246] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5064), 1,
      ts_builtin_sym_end,
  [64253] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5066), 1,
      sym_name,
  [64260] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5068), 1,
      sym_name,
  [64267] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5070), 1,
      sym_name,
  [64274] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5072), 1,
      sym_name,
  [64281] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5074), 1,
      anon_sym_RPAREN2,
  [64288] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5076), 1,
      sym_name,
  [64295] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_EQ,
  [64302] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_BSLASH,
  [64309] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_LPAREN2,
  [64316] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_RPAREN2,
  [64323] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_SEMI,
  [64330] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5086), 1,
      anon_sym_RPAREN2,
  [64337] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5088), 1,
      anon_sym_LBRACE,
  [64344] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5090), 1,
      anon_sym_RPAREN2,
  [64351] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5092), 1,
      sym_name,
  [64358] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5094), 1,
      anon_sym_BSLASH,
  [64365] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5096), 1,
      anon_sym_LPAREN2,
  [64372] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5098), 1,
      sym_name,
  [64379] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN2,
  [64386] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5100), 1,
      sym_name,
  [64393] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5102), 1,
      sym_name,
  [64400] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_RPAREN2,
  [64407] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_COLON_COLON,
  [64414] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5108), 1,
      sym_integer,
  [64421] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_LBRACE,
  [64428] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5112), 1,
      sym_name,
  [64435] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LPAREN2,
  [64442] = 2,
    ACTIONS(485), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [64449] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5116), 1,
      anon_sym_RPAREN2,
  [64456] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5118), 1,
      anon_sym_RPAREN2,
  [64463] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_LPAREN2,
  [64470] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5122), 1,
      anon_sym_RBRACK,
  [64477] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_SEMI,
  [64484] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5126), 1,
      sym_heredoc_start,
  [64491] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5128), 1,
      sym_heredoc_start,
  [64498] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_SEMI,
  [64505] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
  [64512] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5134), 1,
      sym_name,
  [64519] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_LPAREN2,
  [64526] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_LPAREN2,
  [64533] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5140), 1,
      sym_name,
  [64540] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5142), 1,
      anon_sym_EQ_GT,
  [64547] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5144), 1,
      anon_sym_SEMI,
  [64554] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5146), 1,
      sym_heredoc_end,
  [64561] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_LPAREN2,
  [64568] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5150), 1,
      anon_sym_LPAREN2,
  [64575] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5152), 1,
      sym_name,
  [64582] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5154), 1,
      anon_sym_LPAREN2,
  [64589] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5156), 1,
      aux_sym_if_statement_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(582)] = 0,
  [SMALL_STATE(583)] = 70,
  [SMALL_STATE(584)] = 140,
  [SMALL_STATE(585)] = 210,
  [SMALL_STATE(586)] = 280,
  [SMALL_STATE(587)] = 353,
  [SMALL_STATE(588)] = 426,
  [SMALL_STATE(589)] = 494,
  [SMALL_STATE(590)] = 564,
  [SMALL_STATE(591)] = 632,
  [SMALL_STATE(592)] = 700,
  [SMALL_STATE(593)] = 768,
  [SMALL_STATE(594)] = 836,
  [SMALL_STATE(595)] = 906,
  [SMALL_STATE(596)] = 974,
  [SMALL_STATE(597)] = 1042,
  [SMALL_STATE(598)] = 1110,
  [SMALL_STATE(599)] = 1178,
  [SMALL_STATE(600)] = 1246,
  [SMALL_STATE(601)] = 1314,
  [SMALL_STATE(602)] = 1392,
  [SMALL_STATE(603)] = 1460,
  [SMALL_STATE(604)] = 1528,
  [SMALL_STATE(605)] = 1596,
  [SMALL_STATE(606)] = 1664,
  [SMALL_STATE(607)] = 1732,
  [SMALL_STATE(608)] = 1800,
  [SMALL_STATE(609)] = 1868,
  [SMALL_STATE(610)] = 1936,
  [SMALL_STATE(611)] = 2004,
  [SMALL_STATE(612)] = 2079,
  [SMALL_STATE(613)] = 2154,
  [SMALL_STATE(614)] = 2229,
  [SMALL_STATE(615)] = 2298,
  [SMALL_STATE(616)] = 2367,
  [SMALL_STATE(617)] = 2431,
  [SMALL_STATE(618)] = 2495,
  [SMALL_STATE(619)] = 2569,
  [SMALL_STATE(620)] = 2633,
  [SMALL_STATE(621)] = 2751,
  [SMALL_STATE(622)] = 2815,
  [SMALL_STATE(623)] = 2879,
  [SMALL_STATE(624)] = 2991,
  [SMALL_STATE(625)] = 3055,
  [SMALL_STATE(626)] = 3119,
  [SMALL_STATE(627)] = 3185,
  [SMALL_STATE(628)] = 3249,
  [SMALL_STATE(629)] = 3321,
  [SMALL_STATE(630)] = 3385,
  [SMALL_STATE(631)] = 3497,
  [SMALL_STATE(632)] = 3561,
  [SMALL_STATE(633)] = 3625,
  [SMALL_STATE(634)] = 3697,
  [SMALL_STATE(635)] = 3761,
  [SMALL_STATE(636)] = 3825,
  [SMALL_STATE(637)] = 3889,
  [SMALL_STATE(638)] = 3953,
  [SMALL_STATE(639)] = 4017,
  [SMALL_STATE(640)] = 4091,
  [SMALL_STATE(641)] = 4157,
  [SMALL_STATE(642)] = 4275,
  [SMALL_STATE(643)] = 4387,
  [SMALL_STATE(644)] = 4461,
  [SMALL_STATE(645)] = 4532,
  [SMALL_STATE(646)] = 4603,
  [SMALL_STATE(647)] = 4682,
  [SMALL_STATE(648)] = 4745,
  [SMALL_STATE(649)] = 4808,
  [SMALL_STATE(650)] = 4871,
  [SMALL_STATE(651)] = 4934,
  [SMALL_STATE(652)] = 4997,
  [SMALL_STATE(653)] = 5068,
  [SMALL_STATE(654)] = 5139,
  [SMALL_STATE(655)] = 5202,
  [SMALL_STATE(656)] = 5273,
  [SMALL_STATE(657)] = 5388,
  [SMALL_STATE(658)] = 5461,
  [SMALL_STATE(659)] = 5524,
  [SMALL_STATE(660)] = 5597,
  [SMALL_STATE(661)] = 5668,
  [SMALL_STATE(662)] = 5731,
  [SMALL_STATE(663)] = 5805,
  [SMALL_STATE(664)] = 5875,
  [SMALL_STATE(665)] = 5945,
  [SMALL_STATE(666)] = 6015,
  [SMALL_STATE(667)] = 6091,
  [SMALL_STATE(668)] = 6165,
  [SMALL_STATE(669)] = 6239,
  [SMALL_STATE(670)] = 6315,
  [SMALL_STATE(671)] = 6385,
  [SMALL_STATE(672)] = 6456,
  [SMALL_STATE(673)] = 6527,
  [SMALL_STATE(674)] = 6636,
  [SMALL_STATE(675)] = 6707,
  [SMALL_STATE(676)] = 6778,
  [SMALL_STATE(677)] = 6887,
  [SMALL_STATE(678)] = 6958,
  [SMALL_STATE(679)] = 7031,
  [SMALL_STATE(680)] = 7140,
  [SMALL_STATE(681)] = 7211,
  [SMALL_STATE(682)] = 7320,
  [SMALL_STATE(683)] = 7390,
  [SMALL_STATE(684)] = 7496,
  [SMALL_STATE(685)] = 7602,
  [SMALL_STATE(686)] = 7708,
  [SMALL_STATE(687)] = 7814,
  [SMALL_STATE(688)] = 7920,
  [SMALL_STATE(689)] = 8026,
  [SMALL_STATE(690)] = 8132,
  [SMALL_STATE(691)] = 8238,
  [SMALL_STATE(692)] = 8344,
  [SMALL_STATE(693)] = 8450,
  [SMALL_STATE(694)] = 8514,
  [SMALL_STATE(695)] = 8584,
  [SMALL_STATE(696)] = 8690,
  [SMALL_STATE(697)] = 8796,
  [SMALL_STATE(698)] = 8902,
  [SMALL_STATE(699)] = 8960,
  [SMALL_STATE(700)] = 9020,
  [SMALL_STATE(701)] = 9079,
  [SMALL_STATE(702)] = 9138,
  [SMALL_STATE(703)] = 9235,
  [SMALL_STATE(704)] = 9294,
  [SMALL_STATE(705)] = 9349,
  [SMALL_STATE(706)] = 9446,
  [SMALL_STATE(707)] = 9501,
  [SMALL_STATE(708)] = 9555,
  [SMALL_STATE(709)] = 9609,
  [SMALL_STATE(710)] = 9663,
  [SMALL_STATE(711)] = 9717,
  [SMALL_STATE(712)] = 9771,
  [SMALL_STATE(713)] = 9825,
  [SMALL_STATE(714)] = 9881,
  [SMALL_STATE(715)] = 9935,
  [SMALL_STATE(716)] = 9989,
  [SMALL_STATE(717)] = 10043,
  [SMALL_STATE(718)] = 10097,
  [SMALL_STATE(719)] = 10157,
  [SMALL_STATE(720)] = 10211,
  [SMALL_STATE(721)] = 10265,
  [SMALL_STATE(722)] = 10319,
  [SMALL_STATE(723)] = 10375,
  [SMALL_STATE(724)] = 10429,
  [SMALL_STATE(725)] = 10483,
  [SMALL_STATE(726)] = 10539,
  [SMALL_STATE(727)] = 10595,
  [SMALL_STATE(728)] = 10649,
  [SMALL_STATE(729)] = 10709,
  [SMALL_STATE(730)] = 10763,
  [SMALL_STATE(731)] = 10819,
  [SMALL_STATE(732)] = 10872,
  [SMALL_STATE(733)] = 10925,
  [SMALL_STATE(734)] = 10978,
  [SMALL_STATE(735)] = 11031,
  [SMALL_STATE(736)] = 11084,
  [SMALL_STATE(737)] = 11141,
  [SMALL_STATE(738)] = 11196,
  [SMALL_STATE(739)] = 11249,
  [SMALL_STATE(740)] = 11306,
  [SMALL_STATE(741)] = 11363,
  [SMALL_STATE(742)] = 11416,
  [SMALL_STATE(743)] = 11473,
  [SMALL_STATE(744)] = 11530,
  [SMALL_STATE(745)] = 11583,
  [SMALL_STATE(746)] = 11638,
  [SMALL_STATE(747)] = 11690,
  [SMALL_STATE(748)] = 11742,
  [SMALL_STATE(749)] = 11794,
  [SMALL_STATE(750)] = 11846,
  [SMALL_STATE(751)] = 11898,
  [SMALL_STATE(752)] = 11950,
  [SMALL_STATE(753)] = 12006,
  [SMALL_STATE(754)] = 12060,
  [SMALL_STATE(755)] = 12114,
  [SMALL_STATE(756)] = 12166,
  [SMALL_STATE(757)] = 12218,
  [SMALL_STATE(758)] = 12270,
  [SMALL_STATE(759)] = 12324,
  [SMALL_STATE(760)] = 12376,
  [SMALL_STATE(761)] = 12428,
  [SMALL_STATE(762)] = 12480,
  [SMALL_STATE(763)] = 12534,
  [SMALL_STATE(764)] = 12586,
  [SMALL_STATE(765)] = 12638,
  [SMALL_STATE(766)] = 12690,
  [SMALL_STATE(767)] = 12742,
  [SMALL_STATE(768)] = 12794,
  [SMALL_STATE(769)] = 12846,
  [SMALL_STATE(770)] = 12898,
  [SMALL_STATE(771)] = 12950,
  [SMALL_STATE(772)] = 13002,
  [SMALL_STATE(773)] = 13054,
  [SMALL_STATE(774)] = 13106,
  [SMALL_STATE(775)] = 13158,
  [SMALL_STATE(776)] = 13210,
  [SMALL_STATE(777)] = 13262,
  [SMALL_STATE(778)] = 13314,
  [SMALL_STATE(779)] = 13366,
  [SMALL_STATE(780)] = 13418,
  [SMALL_STATE(781)] = 13512,
  [SMALL_STATE(782)] = 13566,
  [SMALL_STATE(783)] = 13622,
  [SMALL_STATE(784)] = 13678,
  [SMALL_STATE(785)] = 13732,
  [SMALL_STATE(786)] = 13786,
  [SMALL_STATE(787)] = 13838,
  [SMALL_STATE(788)] = 13890,
  [SMALL_STATE(789)] = 13950,
  [SMALL_STATE(790)] = 14006,
  [SMALL_STATE(791)] = 14062,
  [SMALL_STATE(792)] = 14114,
  [SMALL_STATE(793)] = 14166,
  [SMALL_STATE(794)] = 14218,
  [SMALL_STATE(795)] = 14312,
  [SMALL_STATE(796)] = 14364,
  [SMALL_STATE(797)] = 14416,
  [SMALL_STATE(798)] = 14468,
  [SMALL_STATE(799)] = 14520,
  [SMALL_STATE(800)] = 14572,
  [SMALL_STATE(801)] = 14624,
  [SMALL_STATE(802)] = 14676,
  [SMALL_STATE(803)] = 14728,
  [SMALL_STATE(804)] = 14780,
  [SMALL_STATE(805)] = 14832,
  [SMALL_STATE(806)] = 14884,
  [SMALL_STATE(807)] = 14936,
  [SMALL_STATE(808)] = 14988,
  [SMALL_STATE(809)] = 15040,
  [SMALL_STATE(810)] = 15092,
  [SMALL_STATE(811)] = 15144,
  [SMALL_STATE(812)] = 15196,
  [SMALL_STATE(813)] = 15248,
  [SMALL_STATE(814)] = 15300,
  [SMALL_STATE(815)] = 15352,
  [SMALL_STATE(816)] = 15404,
  [SMALL_STATE(817)] = 15456,
  [SMALL_STATE(818)] = 15508,
  [SMALL_STATE(819)] = 15560,
  [SMALL_STATE(820)] = 15612,
  [SMALL_STATE(821)] = 15664,
  [SMALL_STATE(822)] = 15716,
  [SMALL_STATE(823)] = 15768,
  [SMALL_STATE(824)] = 15820,
  [SMALL_STATE(825)] = 15872,
  [SMALL_STATE(826)] = 15924,
  [SMALL_STATE(827)] = 16015,
  [SMALL_STATE(828)] = 16068,
  [SMALL_STATE(829)] = 16121,
  [SMALL_STATE(830)] = 16174,
  [SMALL_STATE(831)] = 16225,
  [SMALL_STATE(832)] = 16280,
  [SMALL_STATE(833)] = 16333,
  [SMALL_STATE(834)] = 16386,
  [SMALL_STATE(835)] = 16477,
  [SMALL_STATE(836)] = 16532,
  [SMALL_STATE(837)] = 16587,
  [SMALL_STATE(838)] = 16642,
  [SMALL_STATE(839)] = 16697,
  [SMALL_STATE(840)] = 16788,
  [SMALL_STATE(841)] = 16879,
  [SMALL_STATE(842)] = 16929,
  [SMALL_STATE(843)] = 16985,
  [SMALL_STATE(844)] = 17035,
  [SMALL_STATE(845)] = 17087,
  [SMALL_STATE(846)] = 17181,
  [SMALL_STATE(847)] = 17269,
  [SMALL_STATE(848)] = 17323,
  [SMALL_STATE(849)] = 17377,
  [SMALL_STATE(850)] = 17427,
  [SMALL_STATE(851)] = 17477,
  [SMALL_STATE(852)] = 17527,
  [SMALL_STATE(853)] = 17577,
  [SMALL_STATE(854)] = 17629,
  [SMALL_STATE(855)] = 17679,
  [SMALL_STATE(856)] = 17729,
  [SMALL_STATE(857)] = 17785,
  [SMALL_STATE(858)] = 17835,
  [SMALL_STATE(859)] = 17885,
  [SMALL_STATE(860)] = 17935,
  [SMALL_STATE(861)] = 17985,
  [SMALL_STATE(862)] = 18035,
  [SMALL_STATE(863)] = 18085,
  [SMALL_STATE(864)] = 18135,
  [SMALL_STATE(865)] = 18185,
  [SMALL_STATE(866)] = 18279,
  [SMALL_STATE(867)] = 18373,
  [SMALL_STATE(868)] = 18423,
  [SMALL_STATE(869)] = 18472,
  [SMALL_STATE(870)] = 18523,
  [SMALL_STATE(871)] = 18572,
  [SMALL_STATE(872)] = 18621,
  [SMALL_STATE(873)] = 18670,
  [SMALL_STATE(874)] = 18721,
  [SMALL_STATE(875)] = 18774,
  [SMALL_STATE(876)] = 18827,
  [SMALL_STATE(877)] = 18876,
  [SMALL_STATE(878)] = 18925,
  [SMALL_STATE(879)] = 18978,
  [SMALL_STATE(880)] = 19027,
  [SMALL_STATE(881)] = 19078,
  [SMALL_STATE(882)] = 19127,
  [SMALL_STATE(883)] = 19176,
  [SMALL_STATE(884)] = 19225,
  [SMALL_STATE(885)] = 19276,
  [SMALL_STATE(886)] = 19325,
  [SMALL_STATE(887)] = 19378,
  [SMALL_STATE(888)] = 19431,
  [SMALL_STATE(889)] = 19479,
  [SMALL_STATE(890)] = 19527,
  [SMALL_STATE(891)] = 19577,
  [SMALL_STATE(892)] = 19625,
  [SMALL_STATE(893)] = 19675,
  [SMALL_STATE(894)] = 19725,
  [SMALL_STATE(895)] = 19773,
  [SMALL_STATE(896)] = 19821,
  [SMALL_STATE(897)] = 19869,
  [SMALL_STATE(898)] = 19917,
  [SMALL_STATE(899)] = 19973,
  [SMALL_STATE(900)] = 20021,
  [SMALL_STATE(901)] = 20069,
  [SMALL_STATE(902)] = 20117,
  [SMALL_STATE(903)] = 20173,
  [SMALL_STATE(904)] = 20221,
  [SMALL_STATE(905)] = 20269,
  [SMALL_STATE(906)] = 20317,
  [SMALL_STATE(907)] = 20365,
  [SMALL_STATE(908)] = 20413,
  [SMALL_STATE(909)] = 20461,
  [SMALL_STATE(910)] = 20509,
  [SMALL_STATE(911)] = 20557,
  [SMALL_STATE(912)] = 20605,
  [SMALL_STATE(913)] = 20653,
  [SMALL_STATE(914)] = 20701,
  [SMALL_STATE(915)] = 20749,
  [SMALL_STATE(916)] = 20797,
  [SMALL_STATE(917)] = 20845,
  [SMALL_STATE(918)] = 20893,
  [SMALL_STATE(919)] = 20941,
  [SMALL_STATE(920)] = 20997,
  [SMALL_STATE(921)] = 21045,
  [SMALL_STATE(922)] = 21093,
  [SMALL_STATE(923)] = 21141,
  [SMALL_STATE(924)] = 21189,
  [SMALL_STATE(925)] = 21237,
  [SMALL_STATE(926)] = 21285,
  [SMALL_STATE(927)] = 21333,
  [SMALL_STATE(928)] = 21381,
  [SMALL_STATE(929)] = 21429,
  [SMALL_STATE(930)] = 21479,
  [SMALL_STATE(931)] = 21527,
  [SMALL_STATE(932)] = 21575,
  [SMALL_STATE(933)] = 21625,
  [SMALL_STATE(934)] = 21673,
  [SMALL_STATE(935)] = 21729,
  [SMALL_STATE(936)] = 21779,
  [SMALL_STATE(937)] = 21831,
  [SMALL_STATE(938)] = 21883,
  [SMALL_STATE(939)] = 21931,
  [SMALL_STATE(940)] = 21979,
  [SMALL_STATE(941)] = 22027,
  [SMALL_STATE(942)] = 22075,
  [SMALL_STATE(943)] = 22123,
  [SMALL_STATE(944)] = 22171,
  [SMALL_STATE(945)] = 22223,
  [SMALL_STATE(946)] = 22275,
  [SMALL_STATE(947)] = 22323,
  [SMALL_STATE(948)] = 22371,
  [SMALL_STATE(949)] = 22419,
  [SMALL_STATE(950)] = 22467,
  [SMALL_STATE(951)] = 22515,
  [SMALL_STATE(952)] = 22563,
  [SMALL_STATE(953)] = 22611,
  [SMALL_STATE(954)] = 22659,
  [SMALL_STATE(955)] = 22707,
  [SMALL_STATE(956)] = 22755,
  [SMALL_STATE(957)] = 22803,
  [SMALL_STATE(958)] = 22851,
  [SMALL_STATE(959)] = 22899,
  [SMALL_STATE(960)] = 22951,
  [SMALL_STATE(961)] = 22999,
  [SMALL_STATE(962)] = 23047,
  [SMALL_STATE(963)] = 23095,
  [SMALL_STATE(964)] = 23145,
  [SMALL_STATE(965)] = 23195,
  [SMALL_STATE(966)] = 23243,
  [SMALL_STATE(967)] = 23295,
  [SMALL_STATE(968)] = 23343,
  [SMALL_STATE(969)] = 23391,
  [SMALL_STATE(970)] = 23439,
  [SMALL_STATE(971)] = 23487,
  [SMALL_STATE(972)] = 23535,
  [SMALL_STATE(973)] = 23583,
  [SMALL_STATE(974)] = 23630,
  [SMALL_STATE(975)] = 23679,
  [SMALL_STATE(976)] = 23728,
  [SMALL_STATE(977)] = 23775,
  [SMALL_STATE(978)] = 23822,
  [SMALL_STATE(979)] = 23869,
  [SMALL_STATE(980)] = 23916,
  [SMALL_STATE(981)] = 23963,
  [SMALL_STATE(982)] = 24012,
  [SMALL_STATE(983)] = 24059,
  [SMALL_STATE(984)] = 24108,
  [SMALL_STATE(985)] = 24155,
  [SMALL_STATE(986)] = 24202,
  [SMALL_STATE(987)] = 24253,
  [SMALL_STATE(988)] = 24300,
  [SMALL_STATE(989)] = 24347,
  [SMALL_STATE(990)] = 24394,
  [SMALL_STATE(991)] = 24441,
  [SMALL_STATE(992)] = 24488,
  [SMALL_STATE(993)] = 24537,
  [SMALL_STATE(994)] = 24586,
  [SMALL_STATE(995)] = 24633,
  [SMALL_STATE(996)] = 24682,
  [SMALL_STATE(997)] = 24731,
  [SMALL_STATE(998)] = 24778,
  [SMALL_STATE(999)] = 24825,
  [SMALL_STATE(1000)] = 24872,
  [SMALL_STATE(1001)] = 24923,
  [SMALL_STATE(1002)] = 24970,
  [SMALL_STATE(1003)] = 25017,
  [SMALL_STATE(1004)] = 25064,
  [SMALL_STATE(1005)] = 25111,
  [SMALL_STATE(1006)] = 25158,
  [SMALL_STATE(1007)] = 25204,
  [SMALL_STATE(1008)] = 25251,
  [SMALL_STATE(1009)] = 25300,
  [SMALL_STATE(1010)] = 25345,
  [SMALL_STATE(1011)] = 25405,
  [SMALL_STATE(1012)] = 25481,
  [SMALL_STATE(1013)] = 25553,
  [SMALL_STATE(1014)] = 25629,
  [SMALL_STATE(1015)] = 25711,
  [SMALL_STATE(1016)] = 25793,
  [SMALL_STATE(1017)] = 25875,
  [SMALL_STATE(1018)] = 25957,
  [SMALL_STATE(1019)] = 26037,
  [SMALL_STATE(1020)] = 26107,
  [SMALL_STATE(1021)] = 26185,
  [SMALL_STATE(1022)] = 26251,
  [SMALL_STATE(1023)] = 26327,
  [SMALL_STATE(1024)] = 26383,
  [SMALL_STATE(1025)] = 26435,
  [SMALL_STATE(1026)] = 26489,
  [SMALL_STATE(1027)] = 26571,
  [SMALL_STATE(1028)] = 26617,
  [SMALL_STATE(1029)] = 26699,
  [SMALL_STATE(1030)] = 26781,
  [SMALL_STATE(1031)] = 26857,
  [SMALL_STATE(1032)] = 26939,
  [SMALL_STATE(1033)] = 27015,
  [SMALL_STATE(1034)] = 27099,
  [SMALL_STATE(1035)] = 27175,
  [SMALL_STATE(1036)] = 27257,
  [SMALL_STATE(1037)] = 27321,
  [SMALL_STATE(1038)] = 27389,
  [SMALL_STATE(1039)] = 27439,
  [SMALL_STATE(1040)] = 27515,
  [SMALL_STATE(1041)] = 27561,
  [SMALL_STATE(1042)] = 27605,
  [SMALL_STATE(1043)] = 27687,
  [SMALL_STATE(1044)] = 27732,
  [SMALL_STATE(1045)] = 27807,
  [SMALL_STATE(1046)] = 27888,
  [SMALL_STATE(1047)] = 27931,
  [SMALL_STATE(1048)] = 28006,
  [SMALL_STATE(1049)] = 28087,
  [SMALL_STATE(1050)] = 28168,
  [SMALL_STATE(1051)] = 28249,
  [SMALL_STATE(1052)] = 28312,
  [SMALL_STATE(1053)] = 28393,
  [SMALL_STATE(1054)] = 28460,
  [SMALL_STATE(1055)] = 28509,
  [SMALL_STATE(1056)] = 28584,
  [SMALL_STATE(1057)] = 28629,
  [SMALL_STATE(1058)] = 28704,
  [SMALL_STATE(1059)] = 28783,
  [SMALL_STATE(1060)] = 28860,
  [SMALL_STATE(1061)] = 28931,
  [SMALL_STATE(1062)] = 29000,
  [SMALL_STATE(1063)] = 29065,
  [SMALL_STATE(1064)] = 29124,
  [SMALL_STATE(1065)] = 29179,
  [SMALL_STATE(1066)] = 29230,
  [SMALL_STATE(1067)] = 29283,
  [SMALL_STATE(1068)] = 29328,
  [SMALL_STATE(1069)] = 29403,
  [SMALL_STATE(1070)] = 29478,
  [SMALL_STATE(1071)] = 29559,
  [SMALL_STATE(1072)] = 29634,
  [SMALL_STATE(1073)] = 29709,
  [SMALL_STATE(1074)] = 29784,
  [SMALL_STATE(1075)] = 29827,
  [SMALL_STATE(1076)] = 29902,
  [SMALL_STATE(1077)] = 29983,
  [SMALL_STATE(1078)] = 30064,
  [SMALL_STATE(1079)] = 30107,
  [SMALL_STATE(1080)] = 30150,
  [SMALL_STATE(1081)] = 30231,
  [SMALL_STATE(1082)] = 30312,
  [SMALL_STATE(1083)] = 30393,
  [SMALL_STATE(1084)] = 30456,
  [SMALL_STATE(1085)] = 30499,
  [SMALL_STATE(1086)] = 30566,
  [SMALL_STATE(1087)] = 30615,
  [SMALL_STATE(1088)] = 30690,
  [SMALL_STATE(1089)] = 30735,
  [SMALL_STATE(1090)] = 30808,
  [SMALL_STATE(1091)] = 30851,
  [SMALL_STATE(1092)] = 30894,
  [SMALL_STATE(1093)] = 30973,
  [SMALL_STATE(1094)] = 31016,
  [SMALL_STATE(1095)] = 31059,
  [SMALL_STATE(1096)] = 31136,
  [SMALL_STATE(1097)] = 31179,
  [SMALL_STATE(1098)] = 31260,
  [SMALL_STATE(1099)] = 31341,
  [SMALL_STATE(1100)] = 31384,
  [SMALL_STATE(1101)] = 31427,
  [SMALL_STATE(1102)] = 31470,
  [SMALL_STATE(1103)] = 31541,
  [SMALL_STATE(1104)] = 31622,
  [SMALL_STATE(1105)] = 31691,
  [SMALL_STATE(1106)] = 31756,
  [SMALL_STATE(1107)] = 31831,
  [SMALL_STATE(1108)] = 31890,
  [SMALL_STATE(1109)] = 31945,
  [SMALL_STATE(1110)] = 31988,
  [SMALL_STATE(1111)] = 32031,
  [SMALL_STATE(1112)] = 32074,
  [SMALL_STATE(1113)] = 32125,
  [SMALL_STATE(1114)] = 32178,
  [SMALL_STATE(1115)] = 32223,
  [SMALL_STATE(1116)] = 32266,
  [SMALL_STATE(1117)] = 32309,
  [SMALL_STATE(1118)] = 32384,
  [SMALL_STATE(1119)] = 32427,
  [SMALL_STATE(1120)] = 32470,
  [SMALL_STATE(1121)] = 32513,
  [SMALL_STATE(1122)] = 32570,
  [SMALL_STATE(1123)] = 32613,
  [SMALL_STATE(1124)] = 32694,
  [SMALL_STATE(1125)] = 32775,
  [SMALL_STATE(1126)] = 32858,
  [SMALL_STATE(1127)] = 32939,
  [SMALL_STATE(1128)] = 33020,
  [SMALL_STATE(1129)] = 33101,
  [SMALL_STATE(1130)] = 33182,
  [SMALL_STATE(1131)] = 33225,
  [SMALL_STATE(1132)] = 33268,
  [SMALL_STATE(1133)] = 33351,
  [SMALL_STATE(1134)] = 33394,
  [SMALL_STATE(1135)] = 33469,
  [SMALL_STATE(1136)] = 33549,
  [SMALL_STATE(1137)] = 33629,
  [SMALL_STATE(1138)] = 33709,
  [SMALL_STATE(1139)] = 33789,
  [SMALL_STATE(1140)] = 33851,
  [SMALL_STATE(1141)] = 33917,
  [SMALL_STATE(1142)] = 33965,
  [SMALL_STATE(1143)] = 34039,
  [SMALL_STATE(1144)] = 34083,
  [SMALL_STATE(1145)] = 34157,
  [SMALL_STATE(1146)] = 34235,
  [SMALL_STATE(1147)] = 34311,
  [SMALL_STATE(1148)] = 34381,
  [SMALL_STATE(1149)] = 34449,
  [SMALL_STATE(1150)] = 34513,
  [SMALL_STATE(1151)] = 34571,
  [SMALL_STATE(1152)] = 34625,
  [SMALL_STATE(1153)] = 34675,
  [SMALL_STATE(1154)] = 34727,
  [SMALL_STATE(1155)] = 34771,
  [SMALL_STATE(1156)] = 34845,
  [SMALL_STATE(1157)] = 34919,
  [SMALL_STATE(1158)] = 34993,
  [SMALL_STATE(1159)] = 35067,
  [SMALL_STATE(1160)] = 35141,
  [SMALL_STATE(1161)] = 35221,
  [SMALL_STATE(1162)] = 35301,
  [SMALL_STATE(1163)] = 35381,
  [SMALL_STATE(1164)] = 35461,
  [SMALL_STATE(1165)] = 35543,
  [SMALL_STATE(1166)] = 35623,
  [SMALL_STATE(1167)] = 35703,
  [SMALL_STATE(1168)] = 35746,
  [SMALL_STATE(1169)] = 35829,
  [SMALL_STATE(1170)] = 35912,
  [SMALL_STATE(1171)] = 35995,
  [SMALL_STATE(1172)] = 36078,
  [SMALL_STATE(1173)] = 36161,
  [SMALL_STATE(1174)] = 36244,
  [SMALL_STATE(1175)] = 36327,
  [SMALL_STATE(1176)] = 36406,
  [SMALL_STATE(1177)] = 36449,
  [SMALL_STATE(1178)] = 36532,
  [SMALL_STATE(1179)] = 36612,
  [SMALL_STATE(1180)] = 36690,
  [SMALL_STATE(1181)] = 36770,
  [SMALL_STATE(1182)] = 36850,
  [SMALL_STATE(1183)] = 36930,
  [SMALL_STATE(1184)] = 37010,
  [SMALL_STATE(1185)] = 37072,
  [SMALL_STATE(1186)] = 37152,
  [SMALL_STATE(1187)] = 37232,
  [SMALL_STATE(1188)] = 37294,
  [SMALL_STATE(1189)] = 37372,
  [SMALL_STATE(1190)] = 37434,
  [SMALL_STATE(1191)] = 37514,
  [SMALL_STATE(1192)] = 37576,
  [SMALL_STATE(1193)] = 37656,
  [SMALL_STATE(1194)] = 37736,
  [SMALL_STATE(1195)] = 37818,
  [SMALL_STATE(1196)] = 37898,
  [SMALL_STATE(1197)] = 37964,
  [SMALL_STATE(1198)] = 38044,
  [SMALL_STATE(1199)] = 38124,
  [SMALL_STATE(1200)] = 38190,
  [SMALL_STATE(1201)] = 38270,
  [SMALL_STATE(1202)] = 38347,
  [SMALL_STATE(1203)] = 38424,
  [SMALL_STATE(1204)] = 38501,
  [SMALL_STATE(1205)] = 38578,
  [SMALL_STATE(1206)] = 38649,
  [SMALL_STATE(1207)] = 38728,
  [SMALL_STATE(1208)] = 38807,
  [SMALL_STATE(1209)] = 38884,
  [SMALL_STATE(1210)] = 38961,
  [SMALL_STATE(1211)] = 39032,
  [SMALL_STATE(1212)] = 39103,
  [SMALL_STATE(1213)] = 39180,
  [SMALL_STATE(1214)] = 39257,
  [SMALL_STATE(1215)] = 39328,
  [SMALL_STATE(1216)] = 39405,
  [SMALL_STATE(1217)] = 39476,
  [SMALL_STATE(1218)] = 39547,
  [SMALL_STATE(1219)] = 39624,
  [SMALL_STATE(1220)] = 39695,
  [SMALL_STATE(1221)] = 39774,
  [SMALL_STATE(1222)] = 39851,
  [SMALL_STATE(1223)] = 39928,
  [SMALL_STATE(1224)] = 40005,
  [SMALL_STATE(1225)] = 40082,
  [SMALL_STATE(1226)] = 40161,
  [SMALL_STATE(1227)] = 40238,
  [SMALL_STATE(1228)] = 40317,
  [SMALL_STATE(1229)] = 40394,
  [SMALL_STATE(1230)] = 40434,
  [SMALL_STATE(1231)] = 40510,
  [SMALL_STATE(1232)] = 40586,
  [SMALL_STATE(1233)] = 40662,
  [SMALL_STATE(1234)] = 40722,
  [SMALL_STATE(1235)] = 40798,
  [SMALL_STATE(1236)] = 40874,
  [SMALL_STATE(1237)] = 40950,
  [SMALL_STATE(1238)] = 41026,
  [SMALL_STATE(1239)] = 41086,
  [SMALL_STATE(1240)] = 41162,
  [SMALL_STATE(1241)] = 41238,
  [SMALL_STATE(1242)] = 41314,
  [SMALL_STATE(1243)] = 41390,
  [SMALL_STATE(1244)] = 41466,
  [SMALL_STATE(1245)] = 41542,
  [SMALL_STATE(1246)] = 41618,
  [SMALL_STATE(1247)] = 41694,
  [SMALL_STATE(1248)] = 41770,
  [SMALL_STATE(1249)] = 41846,
  [SMALL_STATE(1250)] = 41922,
  [SMALL_STATE(1251)] = 41998,
  [SMALL_STATE(1252)] = 42074,
  [SMALL_STATE(1253)] = 42150,
  [SMALL_STATE(1254)] = 42226,
  [SMALL_STATE(1255)] = 42302,
  [SMALL_STATE(1256)] = 42378,
  [SMALL_STATE(1257)] = 42454,
  [SMALL_STATE(1258)] = 42530,
  [SMALL_STATE(1259)] = 42606,
  [SMALL_STATE(1260)] = 42682,
  [SMALL_STATE(1261)] = 42758,
  [SMALL_STATE(1262)] = 42834,
  [SMALL_STATE(1263)] = 42910,
  [SMALL_STATE(1264)] = 42986,
  [SMALL_STATE(1265)] = 43062,
  [SMALL_STATE(1266)] = 43138,
  [SMALL_STATE(1267)] = 43214,
  [SMALL_STATE(1268)] = 43290,
  [SMALL_STATE(1269)] = 43366,
  [SMALL_STATE(1270)] = 43442,
  [SMALL_STATE(1271)] = 43518,
  [SMALL_STATE(1272)] = 43594,
  [SMALL_STATE(1273)] = 43670,
  [SMALL_STATE(1274)] = 43746,
  [SMALL_STATE(1275)] = 43822,
  [SMALL_STATE(1276)] = 43898,
  [SMALL_STATE(1277)] = 43974,
  [SMALL_STATE(1278)] = 44050,
  [SMALL_STATE(1279)] = 44126,
  [SMALL_STATE(1280)] = 44202,
  [SMALL_STATE(1281)] = 44278,
  [SMALL_STATE(1282)] = 44354,
  [SMALL_STATE(1283)] = 44430,
  [SMALL_STATE(1284)] = 44467,
  [SMALL_STATE(1285)] = 44532,
  [SMALL_STATE(1286)] = 44597,
  [SMALL_STATE(1287)] = 44634,
  [SMALL_STATE(1288)] = 44699,
  [SMALL_STATE(1289)] = 44764,
  [SMALL_STATE(1290)] = 44829,
  [SMALL_STATE(1291)] = 44866,
  [SMALL_STATE(1292)] = 44903,
  [SMALL_STATE(1293)] = 44939,
  [SMALL_STATE(1294)] = 44992,
  [SMALL_STATE(1295)] = 45045,
  [SMALL_STATE(1296)] = 45082,
  [SMALL_STATE(1297)] = 45119,
  [SMALL_STATE(1298)] = 45150,
  [SMALL_STATE(1299)] = 45181,
  [SMALL_STATE(1300)] = 45212,
  [SMALL_STATE(1301)] = 45254,
  [SMALL_STATE(1302)] = 45296,
  [SMALL_STATE(1303)] = 45346,
  [SMALL_STATE(1304)] = 45388,
  [SMALL_STATE(1305)] = 45438,
  [SMALL_STATE(1306)] = 45480,
  [SMALL_STATE(1307)] = 45522,
  [SMALL_STATE(1308)] = 45564,
  [SMALL_STATE(1309)] = 45620,
  [SMALL_STATE(1310)] = 45662,
  [SMALL_STATE(1311)] = 45704,
  [SMALL_STATE(1312)] = 45746,
  [SMALL_STATE(1313)] = 45788,
  [SMALL_STATE(1314)] = 45844,
  [SMALL_STATE(1315)] = 45886,
  [SMALL_STATE(1316)] = 45925,
  [SMALL_STATE(1317)] = 45958,
  [SMALL_STATE(1318)] = 45997,
  [SMALL_STATE(1319)] = 46036,
  [SMALL_STATE(1320)] = 46075,
  [SMALL_STATE(1321)] = 46114,
  [SMALL_STATE(1322)] = 46153,
  [SMALL_STATE(1323)] = 46186,
  [SMALL_STATE(1324)] = 46222,
  [SMALL_STATE(1325)] = 46258,
  [SMALL_STATE(1326)] = 46285,
  [SMALL_STATE(1327)] = 46312,
  [SMALL_STATE(1328)] = 46339,
  [SMALL_STATE(1329)] = 46384,
  [SMALL_STATE(1330)] = 46426,
  [SMALL_STATE(1331)] = 46460,
  [SMALL_STATE(1332)] = 46494,
  [SMALL_STATE(1333)] = 46528,
  [SMALL_STATE(1334)] = 46567,
  [SMALL_STATE(1335)] = 46606,
  [SMALL_STATE(1336)] = 46645,
  [SMALL_STATE(1337)] = 46684,
  [SMALL_STATE(1338)] = 46723,
  [SMALL_STATE(1339)] = 46759,
  [SMALL_STATE(1340)] = 46795,
  [SMALL_STATE(1341)] = 46831,
  [SMALL_STATE(1342)] = 46867,
  [SMALL_STATE(1343)] = 46903,
  [SMALL_STATE(1344)] = 46939,
  [SMALL_STATE(1345)] = 46979,
  [SMALL_STATE(1346)] = 47015,
  [SMALL_STATE(1347)] = 47055,
  [SMALL_STATE(1348)] = 47091,
  [SMALL_STATE(1349)] = 47127,
  [SMALL_STATE(1350)] = 47151,
  [SMALL_STATE(1351)] = 47186,
  [SMALL_STATE(1352)] = 47221,
  [SMALL_STATE(1353)] = 47256,
  [SMALL_STATE(1354)] = 47293,
  [SMALL_STATE(1355)] = 47313,
  [SMALL_STATE(1356)] = 47333,
  [SMALL_STATE(1357)] = 47367,
  [SMALL_STATE(1358)] = 47387,
  [SMALL_STATE(1359)] = 47421,
  [SMALL_STATE(1360)] = 47441,
  [SMALL_STATE(1361)] = 47475,
  [SMALL_STATE(1362)] = 47509,
  [SMALL_STATE(1363)] = 47543,
  [SMALL_STATE(1364)] = 47577,
  [SMALL_STATE(1365)] = 47597,
  [SMALL_STATE(1366)] = 47631,
  [SMALL_STATE(1367)] = 47665,
  [SMALL_STATE(1368)] = 47685,
  [SMALL_STATE(1369)] = 47705,
  [SMALL_STATE(1370)] = 47725,
  [SMALL_STATE(1371)] = 47745,
  [SMALL_STATE(1372)] = 47779,
  [SMALL_STATE(1373)] = 47799,
  [SMALL_STATE(1374)] = 47833,
  [SMALL_STATE(1375)] = 47867,
  [SMALL_STATE(1376)] = 47887,
  [SMALL_STATE(1377)] = 47921,
  [SMALL_STATE(1378)] = 47941,
  [SMALL_STATE(1379)] = 47960,
  [SMALL_STATE(1380)] = 47985,
  [SMALL_STATE(1381)] = 48004,
  [SMALL_STATE(1382)] = 48035,
  [SMALL_STATE(1383)] = 48058,
  [SMALL_STATE(1384)] = 48077,
  [SMALL_STATE(1385)] = 48096,
  [SMALL_STATE(1386)] = 48115,
  [SMALL_STATE(1387)] = 48134,
  [SMALL_STATE(1388)] = 48153,
  [SMALL_STATE(1389)] = 48172,
  [SMALL_STATE(1390)] = 48203,
  [SMALL_STATE(1391)] = 48222,
  [SMALL_STATE(1392)] = 48241,
  [SMALL_STATE(1393)] = 48260,
  [SMALL_STATE(1394)] = 48291,
  [SMALL_STATE(1395)] = 48310,
  [SMALL_STATE(1396)] = 48341,
  [SMALL_STATE(1397)] = 48360,
  [SMALL_STATE(1398)] = 48379,
  [SMALL_STATE(1399)] = 48398,
  [SMALL_STATE(1400)] = 48417,
  [SMALL_STATE(1401)] = 48436,
  [SMALL_STATE(1402)] = 48455,
  [SMALL_STATE(1403)] = 48474,
  [SMALL_STATE(1404)] = 48510,
  [SMALL_STATE(1405)] = 48540,
  [SMALL_STATE(1406)] = 48570,
  [SMALL_STATE(1407)] = 48606,
  [SMALL_STATE(1408)] = 48642,
  [SMALL_STATE(1409)] = 48672,
  [SMALL_STATE(1410)] = 48700,
  [SMALL_STATE(1411)] = 48728,
  [SMALL_STATE(1412)] = 48756,
  [SMALL_STATE(1413)] = 48784,
  [SMALL_STATE(1414)] = 48812,
  [SMALL_STATE(1415)] = 48840,
  [SMALL_STATE(1416)] = 48870,
  [SMALL_STATE(1417)] = 48906,
  [SMALL_STATE(1418)] = 48934,
  [SMALL_STATE(1419)] = 48962,
  [SMALL_STATE(1420)] = 48990,
  [SMALL_STATE(1421)] = 49018,
  [SMALL_STATE(1422)] = 49048,
  [SMALL_STATE(1423)] = 49076,
  [SMALL_STATE(1424)] = 49104,
  [SMALL_STATE(1425)] = 49134,
  [SMALL_STATE(1426)] = 49164,
  [SMALL_STATE(1427)] = 49200,
  [SMALL_STATE(1428)] = 49228,
  [SMALL_STATE(1429)] = 49256,
  [SMALL_STATE(1430)] = 49286,
  [SMALL_STATE(1431)] = 49314,
  [SMALL_STATE(1432)] = 49342,
  [SMALL_STATE(1433)] = 49370,
  [SMALL_STATE(1434)] = 49398,
  [SMALL_STATE(1435)] = 49420,
  [SMALL_STATE(1436)] = 49450,
  [SMALL_STATE(1437)] = 49480,
  [SMALL_STATE(1438)] = 49510,
  [SMALL_STATE(1439)] = 49540,
  [SMALL_STATE(1440)] = 49568,
  [SMALL_STATE(1441)] = 49596,
  [SMALL_STATE(1442)] = 49615,
  [SMALL_STATE(1443)] = 49634,
  [SMALL_STATE(1444)] = 49653,
  [SMALL_STATE(1445)] = 49680,
  [SMALL_STATE(1446)] = 49705,
  [SMALL_STATE(1447)] = 49726,
  [SMALL_STATE(1448)] = 49753,
  [SMALL_STATE(1449)] = 49780,
  [SMALL_STATE(1450)] = 49805,
  [SMALL_STATE(1451)] = 49823,
  [SMALL_STATE(1452)] = 49845,
  [SMALL_STATE(1453)] = 49873,
  [SMALL_STATE(1454)] = 49895,
  [SMALL_STATE(1455)] = 49919,
  [SMALL_STATE(1456)] = 49941,
  [SMALL_STATE(1457)] = 49965,
  [SMALL_STATE(1458)] = 49989,
  [SMALL_STATE(1459)] = 50013,
  [SMALL_STATE(1460)] = 50037,
  [SMALL_STATE(1461)] = 50061,
  [SMALL_STATE(1462)] = 50083,
  [SMALL_STATE(1463)] = 50101,
  [SMALL_STATE(1464)] = 50119,
  [SMALL_STATE(1465)] = 50141,
  [SMALL_STATE(1466)] = 50163,
  [SMALL_STATE(1467)] = 50181,
  [SMALL_STATE(1468)] = 50209,
  [SMALL_STATE(1469)] = 50233,
  [SMALL_STATE(1470)] = 50255,
  [SMALL_STATE(1471)] = 50277,
  [SMALL_STATE(1472)] = 50295,
  [SMALL_STATE(1473)] = 50313,
  [SMALL_STATE(1474)] = 50337,
  [SMALL_STATE(1475)] = 50361,
  [SMALL_STATE(1476)] = 50383,
  [SMALL_STATE(1477)] = 50410,
  [SMALL_STATE(1478)] = 50429,
  [SMALL_STATE(1479)] = 50446,
  [SMALL_STATE(1480)] = 50463,
  [SMALL_STATE(1481)] = 50490,
  [SMALL_STATE(1482)] = 50517,
  [SMALL_STATE(1483)] = 50544,
  [SMALL_STATE(1484)] = 50567,
  [SMALL_STATE(1485)] = 50584,
  [SMALL_STATE(1486)] = 50611,
  [SMALL_STATE(1487)] = 50638,
  [SMALL_STATE(1488)] = 50665,
  [SMALL_STATE(1489)] = 50692,
  [SMALL_STATE(1490)] = 50715,
  [SMALL_STATE(1491)] = 50738,
  [SMALL_STATE(1492)] = 50760,
  [SMALL_STATE(1493)] = 50782,
  [SMALL_STATE(1494)] = 50804,
  [SMALL_STATE(1495)] = 50832,
  [SMALL_STATE(1496)] = 50854,
  [SMALL_STATE(1497)] = 50876,
  [SMALL_STATE(1498)] = 50904,
  [SMALL_STATE(1499)] = 50922,
  [SMALL_STATE(1500)] = 50944,
  [SMALL_STATE(1501)] = 50966,
  [SMALL_STATE(1502)] = 50994,
  [SMALL_STATE(1503)] = 51018,
  [SMALL_STATE(1504)] = 51046,
  [SMALL_STATE(1505)] = 51074,
  [SMALL_STATE(1506)] = 51102,
  [SMALL_STATE(1507)] = 51122,
  [SMALL_STATE(1508)] = 51144,
  [SMALL_STATE(1509)] = 51172,
  [SMALL_STATE(1510)] = 51200,
  [SMALL_STATE(1511)] = 51221,
  [SMALL_STATE(1512)] = 51236,
  [SMALL_STATE(1513)] = 51257,
  [SMALL_STATE(1514)] = 51274,
  [SMALL_STATE(1515)] = 51295,
  [SMALL_STATE(1516)] = 51314,
  [SMALL_STATE(1517)] = 51329,
  [SMALL_STATE(1518)] = 51348,
  [SMALL_STATE(1519)] = 51363,
  [SMALL_STATE(1520)] = 51378,
  [SMALL_STATE(1521)] = 51393,
  [SMALL_STATE(1522)] = 51410,
  [SMALL_STATE(1523)] = 51431,
  [SMALL_STATE(1524)] = 51452,
  [SMALL_STATE(1525)] = 51467,
  [SMALL_STATE(1526)] = 51482,
  [SMALL_STATE(1527)] = 51503,
  [SMALL_STATE(1528)] = 51522,
  [SMALL_STATE(1529)] = 51537,
  [SMALL_STATE(1530)] = 51558,
  [SMALL_STATE(1531)] = 51573,
  [SMALL_STATE(1532)] = 51588,
  [SMALL_STATE(1533)] = 51609,
  [SMALL_STATE(1534)] = 51628,
  [SMALL_STATE(1535)] = 51649,
  [SMALL_STATE(1536)] = 51670,
  [SMALL_STATE(1537)] = 51689,
  [SMALL_STATE(1538)] = 51710,
  [SMALL_STATE(1539)] = 51725,
  [SMALL_STATE(1540)] = 51748,
  [SMALL_STATE(1541)] = 51763,
  [SMALL_STATE(1542)] = 51782,
  [SMALL_STATE(1543)] = 51797,
  [SMALL_STATE(1544)] = 51818,
  [SMALL_STATE(1545)] = 51839,
  [SMALL_STATE(1546)] = 51860,
  [SMALL_STATE(1547)] = 51881,
  [SMALL_STATE(1548)] = 51898,
  [SMALL_STATE(1549)] = 51919,
  [SMALL_STATE(1550)] = 51938,
  [SMALL_STATE(1551)] = 51959,
  [SMALL_STATE(1552)] = 51978,
  [SMALL_STATE(1553)] = 51995,
  [SMALL_STATE(1554)] = 52010,
  [SMALL_STATE(1555)] = 52029,
  [SMALL_STATE(1556)] = 52048,
  [SMALL_STATE(1557)] = 52067,
  [SMALL_STATE(1558)] = 52088,
  [SMALL_STATE(1559)] = 52107,
  [SMALL_STATE(1560)] = 52126,
  [SMALL_STATE(1561)] = 52145,
  [SMALL_STATE(1562)] = 52164,
  [SMALL_STATE(1563)] = 52186,
  [SMALL_STATE(1564)] = 52208,
  [SMALL_STATE(1565)] = 52222,
  [SMALL_STATE(1566)] = 52236,
  [SMALL_STATE(1567)] = 52250,
  [SMALL_STATE(1568)] = 52264,
  [SMALL_STATE(1569)] = 52278,
  [SMALL_STATE(1570)] = 52300,
  [SMALL_STATE(1571)] = 52316,
  [SMALL_STATE(1572)] = 52332,
  [SMALL_STATE(1573)] = 52354,
  [SMALL_STATE(1574)] = 52376,
  [SMALL_STATE(1575)] = 52390,
  [SMALL_STATE(1576)] = 52404,
  [SMALL_STATE(1577)] = 52418,
  [SMALL_STATE(1578)] = 52434,
  [SMALL_STATE(1579)] = 52448,
  [SMALL_STATE(1580)] = 52462,
  [SMALL_STATE(1581)] = 52476,
  [SMALL_STATE(1582)] = 52498,
  [SMALL_STATE(1583)] = 52518,
  [SMALL_STATE(1584)] = 52532,
  [SMALL_STATE(1585)] = 52546,
  [SMALL_STATE(1586)] = 52560,
  [SMALL_STATE(1587)] = 52574,
  [SMALL_STATE(1588)] = 52594,
  [SMALL_STATE(1589)] = 52612,
  [SMALL_STATE(1590)] = 52628,
  [SMALL_STATE(1591)] = 52650,
  [SMALL_STATE(1592)] = 52664,
  [SMALL_STATE(1593)] = 52678,
  [SMALL_STATE(1594)] = 52696,
  [SMALL_STATE(1595)] = 52716,
  [SMALL_STATE(1596)] = 52738,
  [SMALL_STATE(1597)] = 52756,
  [SMALL_STATE(1598)] = 52774,
  [SMALL_STATE(1599)] = 52796,
  [SMALL_STATE(1600)] = 52818,
  [SMALL_STATE(1601)] = 52840,
  [SMALL_STATE(1602)] = 52862,
  [SMALL_STATE(1603)] = 52884,
  [SMALL_STATE(1604)] = 52906,
  [SMALL_STATE(1605)] = 52924,
  [SMALL_STATE(1606)] = 52942,
  [SMALL_STATE(1607)] = 52962,
  [SMALL_STATE(1608)] = 52984,
  [SMALL_STATE(1609)] = 53006,
  [SMALL_STATE(1610)] = 53028,
  [SMALL_STATE(1611)] = 53046,
  [SMALL_STATE(1612)] = 53064,
  [SMALL_STATE(1613)] = 53080,
  [SMALL_STATE(1614)] = 53098,
  [SMALL_STATE(1615)] = 53116,
  [SMALL_STATE(1616)] = 53132,
  [SMALL_STATE(1617)] = 53150,
  [SMALL_STATE(1618)] = 53166,
  [SMALL_STATE(1619)] = 53184,
  [SMALL_STATE(1620)] = 53200,
  [SMALL_STATE(1621)] = 53222,
  [SMALL_STATE(1622)] = 53244,
  [SMALL_STATE(1623)] = 53262,
  [SMALL_STATE(1624)] = 53280,
  [SMALL_STATE(1625)] = 53298,
  [SMALL_STATE(1626)] = 53316,
  [SMALL_STATE(1627)] = 53334,
  [SMALL_STATE(1628)] = 53352,
  [SMALL_STATE(1629)] = 53374,
  [SMALL_STATE(1630)] = 53396,
  [SMALL_STATE(1631)] = 53418,
  [SMALL_STATE(1632)] = 53432,
  [SMALL_STATE(1633)] = 53446,
  [SMALL_STATE(1634)] = 53464,
  [SMALL_STATE(1635)] = 53482,
  [SMALL_STATE(1636)] = 53496,
  [SMALL_STATE(1637)] = 53516,
  [SMALL_STATE(1638)] = 53538,
  [SMALL_STATE(1639)] = 53560,
  [SMALL_STATE(1640)] = 53574,
  [SMALL_STATE(1641)] = 53596,
  [SMALL_STATE(1642)] = 53612,
  [SMALL_STATE(1643)] = 53626,
  [SMALL_STATE(1644)] = 53648,
  [SMALL_STATE(1645)] = 53670,
  [SMALL_STATE(1646)] = 53681,
  [SMALL_STATE(1647)] = 53700,
  [SMALL_STATE(1648)] = 53717,
  [SMALL_STATE(1649)] = 53734,
  [SMALL_STATE(1650)] = 53753,
  [SMALL_STATE(1651)] = 53766,
  [SMALL_STATE(1652)] = 53783,
  [SMALL_STATE(1653)] = 53802,
  [SMALL_STATE(1654)] = 53815,
  [SMALL_STATE(1655)] = 53834,
  [SMALL_STATE(1656)] = 53851,
  [SMALL_STATE(1657)] = 53862,
  [SMALL_STATE(1658)] = 53879,
  [SMALL_STATE(1659)] = 53896,
  [SMALL_STATE(1660)] = 53913,
  [SMALL_STATE(1661)] = 53930,
  [SMALL_STATE(1662)] = 53947,
  [SMALL_STATE(1663)] = 53966,
  [SMALL_STATE(1664)] = 53981,
  [SMALL_STATE(1665)] = 53998,
  [SMALL_STATE(1666)] = 54013,
  [SMALL_STATE(1667)] = 54032,
  [SMALL_STATE(1668)] = 54051,
  [SMALL_STATE(1669)] = 54070,
  [SMALL_STATE(1670)] = 54089,
  [SMALL_STATE(1671)] = 54102,
  [SMALL_STATE(1672)] = 54117,
  [SMALL_STATE(1673)] = 54132,
  [SMALL_STATE(1674)] = 54151,
  [SMALL_STATE(1675)] = 54164,
  [SMALL_STATE(1676)] = 54183,
  [SMALL_STATE(1677)] = 54202,
  [SMALL_STATE(1678)] = 54221,
  [SMALL_STATE(1679)] = 54234,
  [SMALL_STATE(1680)] = 54247,
  [SMALL_STATE(1681)] = 54264,
  [SMALL_STATE(1682)] = 54281,
  [SMALL_STATE(1683)] = 54298,
  [SMALL_STATE(1684)] = 54311,
  [SMALL_STATE(1685)] = 54326,
  [SMALL_STATE(1686)] = 54339,
  [SMALL_STATE(1687)] = 54358,
  [SMALL_STATE(1688)] = 54375,
  [SMALL_STATE(1689)] = 54388,
  [SMALL_STATE(1690)] = 54405,
  [SMALL_STATE(1691)] = 54422,
  [SMALL_STATE(1692)] = 54439,
  [SMALL_STATE(1693)] = 54452,
  [SMALL_STATE(1694)] = 54469,
  [SMALL_STATE(1695)] = 54488,
  [SMALL_STATE(1696)] = 54505,
  [SMALL_STATE(1697)] = 54522,
  [SMALL_STATE(1698)] = 54539,
  [SMALL_STATE(1699)] = 54550,
  [SMALL_STATE(1700)] = 54567,
  [SMALL_STATE(1701)] = 54584,
  [SMALL_STATE(1702)] = 54601,
  [SMALL_STATE(1703)] = 54618,
  [SMALL_STATE(1704)] = 54633,
  [SMALL_STATE(1705)] = 54644,
  [SMALL_STATE(1706)] = 54659,
  [SMALL_STATE(1707)] = 54676,
  [SMALL_STATE(1708)] = 54687,
  [SMALL_STATE(1709)] = 54702,
  [SMALL_STATE(1710)] = 54719,
  [SMALL_STATE(1711)] = 54736,
  [SMALL_STATE(1712)] = 54751,
  [SMALL_STATE(1713)] = 54762,
  [SMALL_STATE(1714)] = 54775,
  [SMALL_STATE(1715)] = 54794,
  [SMALL_STATE(1716)] = 54811,
  [SMALL_STATE(1717)] = 54828,
  [SMALL_STATE(1718)] = 54841,
  [SMALL_STATE(1719)] = 54860,
  [SMALL_STATE(1720)] = 54873,
  [SMALL_STATE(1721)] = 54890,
  [SMALL_STATE(1722)] = 54903,
  [SMALL_STATE(1723)] = 54918,
  [SMALL_STATE(1724)] = 54933,
  [SMALL_STATE(1725)] = 54948,
  [SMALL_STATE(1726)] = 54963,
  [SMALL_STATE(1727)] = 54982,
  [SMALL_STATE(1728)] = 55001,
  [SMALL_STATE(1729)] = 55014,
  [SMALL_STATE(1730)] = 55027,
  [SMALL_STATE(1731)] = 55044,
  [SMALL_STATE(1732)] = 55061,
  [SMALL_STATE(1733)] = 55076,
  [SMALL_STATE(1734)] = 55089,
  [SMALL_STATE(1735)] = 55106,
  [SMALL_STATE(1736)] = 55119,
  [SMALL_STATE(1737)] = 55132,
  [SMALL_STATE(1738)] = 55145,
  [SMALL_STATE(1739)] = 55164,
  [SMALL_STATE(1740)] = 55181,
  [SMALL_STATE(1741)] = 55198,
  [SMALL_STATE(1742)] = 55211,
  [SMALL_STATE(1743)] = 55228,
  [SMALL_STATE(1744)] = 55245,
  [SMALL_STATE(1745)] = 55260,
  [SMALL_STATE(1746)] = 55277,
  [SMALL_STATE(1747)] = 55296,
  [SMALL_STATE(1748)] = 55315,
  [SMALL_STATE(1749)] = 55326,
  [SMALL_STATE(1750)] = 55341,
  [SMALL_STATE(1751)] = 55360,
  [SMALL_STATE(1752)] = 55377,
  [SMALL_STATE(1753)] = 55392,
  [SMALL_STATE(1754)] = 55407,
  [SMALL_STATE(1755)] = 55422,
  [SMALL_STATE(1756)] = 55437,
  [SMALL_STATE(1757)] = 55452,
  [SMALL_STATE(1758)] = 55465,
  [SMALL_STATE(1759)] = 55478,
  [SMALL_STATE(1760)] = 55495,
  [SMALL_STATE(1761)] = 55508,
  [SMALL_STATE(1762)] = 55521,
  [SMALL_STATE(1763)] = 55534,
  [SMALL_STATE(1764)] = 55549,
  [SMALL_STATE(1765)] = 55564,
  [SMALL_STATE(1766)] = 55581,
  [SMALL_STATE(1767)] = 55596,
  [SMALL_STATE(1768)] = 55611,
  [SMALL_STATE(1769)] = 55626,
  [SMALL_STATE(1770)] = 55643,
  [SMALL_STATE(1771)] = 55660,
  [SMALL_STATE(1772)] = 55676,
  [SMALL_STATE(1773)] = 55692,
  [SMALL_STATE(1774)] = 55702,
  [SMALL_STATE(1775)] = 55718,
  [SMALL_STATE(1776)] = 55734,
  [SMALL_STATE(1777)] = 55746,
  [SMALL_STATE(1778)] = 55762,
  [SMALL_STATE(1779)] = 55778,
  [SMALL_STATE(1780)] = 55794,
  [SMALL_STATE(1781)] = 55806,
  [SMALL_STATE(1782)] = 55818,
  [SMALL_STATE(1783)] = 55834,
  [SMALL_STATE(1784)] = 55850,
  [SMALL_STATE(1785)] = 55866,
  [SMALL_STATE(1786)] = 55882,
  [SMALL_STATE(1787)] = 55896,
  [SMALL_STATE(1788)] = 55912,
  [SMALL_STATE(1789)] = 55926,
  [SMALL_STATE(1790)] = 55942,
  [SMALL_STATE(1791)] = 55952,
  [SMALL_STATE(1792)] = 55966,
  [SMALL_STATE(1793)] = 55982,
  [SMALL_STATE(1794)] = 55994,
  [SMALL_STATE(1795)] = 56010,
  [SMALL_STATE(1796)] = 56024,
  [SMALL_STATE(1797)] = 56040,
  [SMALL_STATE(1798)] = 56052,
  [SMALL_STATE(1799)] = 56068,
  [SMALL_STATE(1800)] = 56084,
  [SMALL_STATE(1801)] = 56098,
  [SMALL_STATE(1802)] = 56114,
  [SMALL_STATE(1803)] = 56124,
  [SMALL_STATE(1804)] = 56140,
  [SMALL_STATE(1805)] = 56156,
  [SMALL_STATE(1806)] = 56170,
  [SMALL_STATE(1807)] = 56184,
  [SMALL_STATE(1808)] = 56200,
  [SMALL_STATE(1809)] = 56214,
  [SMALL_STATE(1810)] = 56224,
  [SMALL_STATE(1811)] = 56236,
  [SMALL_STATE(1812)] = 56248,
  [SMALL_STATE(1813)] = 56264,
  [SMALL_STATE(1814)] = 56278,
  [SMALL_STATE(1815)] = 56294,
  [SMALL_STATE(1816)] = 56310,
  [SMALL_STATE(1817)] = 56326,
  [SMALL_STATE(1818)] = 56336,
  [SMALL_STATE(1819)] = 56352,
  [SMALL_STATE(1820)] = 56368,
  [SMALL_STATE(1821)] = 56380,
  [SMALL_STATE(1822)] = 56396,
  [SMALL_STATE(1823)] = 56408,
  [SMALL_STATE(1824)] = 56424,
  [SMALL_STATE(1825)] = 56440,
  [SMALL_STATE(1826)] = 56454,
  [SMALL_STATE(1827)] = 56470,
  [SMALL_STATE(1828)] = 56484,
  [SMALL_STATE(1829)] = 56500,
  [SMALL_STATE(1830)] = 56510,
  [SMALL_STATE(1831)] = 56524,
  [SMALL_STATE(1832)] = 56538,
  [SMALL_STATE(1833)] = 56550,
  [SMALL_STATE(1834)] = 56560,
  [SMALL_STATE(1835)] = 56570,
  [SMALL_STATE(1836)] = 56586,
  [SMALL_STATE(1837)] = 56600,
  [SMALL_STATE(1838)] = 56612,
  [SMALL_STATE(1839)] = 56628,
  [SMALL_STATE(1840)] = 56644,
  [SMALL_STATE(1841)] = 56660,
  [SMALL_STATE(1842)] = 56676,
  [SMALL_STATE(1843)] = 56692,
  [SMALL_STATE(1844)] = 56706,
  [SMALL_STATE(1845)] = 56720,
  [SMALL_STATE(1846)] = 56736,
  [SMALL_STATE(1847)] = 56750,
  [SMALL_STATE(1848)] = 56760,
  [SMALL_STATE(1849)] = 56772,
  [SMALL_STATE(1850)] = 56788,
  [SMALL_STATE(1851)] = 56798,
  [SMALL_STATE(1852)] = 56814,
  [SMALL_STATE(1853)] = 56828,
  [SMALL_STATE(1854)] = 56844,
  [SMALL_STATE(1855)] = 56860,
  [SMALL_STATE(1856)] = 56874,
  [SMALL_STATE(1857)] = 56890,
  [SMALL_STATE(1858)] = 56904,
  [SMALL_STATE(1859)] = 56918,
  [SMALL_STATE(1860)] = 56928,
  [SMALL_STATE(1861)] = 56938,
  [SMALL_STATE(1862)] = 56948,
  [SMALL_STATE(1863)] = 56964,
  [SMALL_STATE(1864)] = 56980,
  [SMALL_STATE(1865)] = 56992,
  [SMALL_STATE(1866)] = 57006,
  [SMALL_STATE(1867)] = 57016,
  [SMALL_STATE(1868)] = 57026,
  [SMALL_STATE(1869)] = 57040,
  [SMALL_STATE(1870)] = 57054,
  [SMALL_STATE(1871)] = 57068,
  [SMALL_STATE(1872)] = 57084,
  [SMALL_STATE(1873)] = 57100,
  [SMALL_STATE(1874)] = 57112,
  [SMALL_STATE(1875)] = 57126,
  [SMALL_STATE(1876)] = 57140,
  [SMALL_STATE(1877)] = 57153,
  [SMALL_STATE(1878)] = 57164,
  [SMALL_STATE(1879)] = 57175,
  [SMALL_STATE(1880)] = 57186,
  [SMALL_STATE(1881)] = 57199,
  [SMALL_STATE(1882)] = 57212,
  [SMALL_STATE(1883)] = 57225,
  [SMALL_STATE(1884)] = 57238,
  [SMALL_STATE(1885)] = 57251,
  [SMALL_STATE(1886)] = 57262,
  [SMALL_STATE(1887)] = 57271,
  [SMALL_STATE(1888)] = 57282,
  [SMALL_STATE(1889)] = 57293,
  [SMALL_STATE(1890)] = 57306,
  [SMALL_STATE(1891)] = 57315,
  [SMALL_STATE(1892)] = 57328,
  [SMALL_STATE(1893)] = 57339,
  [SMALL_STATE(1894)] = 57352,
  [SMALL_STATE(1895)] = 57363,
  [SMALL_STATE(1896)] = 57376,
  [SMALL_STATE(1897)] = 57387,
  [SMALL_STATE(1898)] = 57398,
  [SMALL_STATE(1899)] = 57411,
  [SMALL_STATE(1900)] = 57420,
  [SMALL_STATE(1901)] = 57431,
  [SMALL_STATE(1902)] = 57442,
  [SMALL_STATE(1903)] = 57451,
  [SMALL_STATE(1904)] = 57462,
  [SMALL_STATE(1905)] = 57471,
  [SMALL_STATE(1906)] = 57482,
  [SMALL_STATE(1907)] = 57493,
  [SMALL_STATE(1908)] = 57504,
  [SMALL_STATE(1909)] = 57515,
  [SMALL_STATE(1910)] = 57526,
  [SMALL_STATE(1911)] = 57539,
  [SMALL_STATE(1912)] = 57550,
  [SMALL_STATE(1913)] = 57561,
  [SMALL_STATE(1914)] = 57572,
  [SMALL_STATE(1915)] = 57583,
  [SMALL_STATE(1916)] = 57596,
  [SMALL_STATE(1917)] = 57607,
  [SMALL_STATE(1918)] = 57618,
  [SMALL_STATE(1919)] = 57629,
  [SMALL_STATE(1920)] = 57640,
  [SMALL_STATE(1921)] = 57651,
  [SMALL_STATE(1922)] = 57662,
  [SMALL_STATE(1923)] = 57673,
  [SMALL_STATE(1924)] = 57684,
  [SMALL_STATE(1925)] = 57697,
  [SMALL_STATE(1926)] = 57710,
  [SMALL_STATE(1927)] = 57721,
  [SMALL_STATE(1928)] = 57732,
  [SMALL_STATE(1929)] = 57743,
  [SMALL_STATE(1930)] = 57756,
  [SMALL_STATE(1931)] = 57769,
  [SMALL_STATE(1932)] = 57782,
  [SMALL_STATE(1933)] = 57793,
  [SMALL_STATE(1934)] = 57804,
  [SMALL_STATE(1935)] = 57815,
  [SMALL_STATE(1936)] = 57826,
  [SMALL_STATE(1937)] = 57839,
  [SMALL_STATE(1938)] = 57850,
  [SMALL_STATE(1939)] = 57863,
  [SMALL_STATE(1940)] = 57876,
  [SMALL_STATE(1941)] = 57887,
  [SMALL_STATE(1942)] = 57898,
  [SMALL_STATE(1943)] = 57909,
  [SMALL_STATE(1944)] = 57920,
  [SMALL_STATE(1945)] = 57933,
  [SMALL_STATE(1946)] = 57944,
  [SMALL_STATE(1947)] = 57957,
  [SMALL_STATE(1948)] = 57968,
  [SMALL_STATE(1949)] = 57981,
  [SMALL_STATE(1950)] = 57992,
  [SMALL_STATE(1951)] = 58005,
  [SMALL_STATE(1952)] = 58016,
  [SMALL_STATE(1953)] = 58027,
  [SMALL_STATE(1954)] = 58038,
  [SMALL_STATE(1955)] = 58049,
  [SMALL_STATE(1956)] = 58060,
  [SMALL_STATE(1957)] = 58071,
  [SMALL_STATE(1958)] = 58084,
  [SMALL_STATE(1959)] = 58095,
  [SMALL_STATE(1960)] = 58106,
  [SMALL_STATE(1961)] = 58119,
  [SMALL_STATE(1962)] = 58132,
  [SMALL_STATE(1963)] = 58145,
  [SMALL_STATE(1964)] = 58158,
  [SMALL_STATE(1965)] = 58169,
  [SMALL_STATE(1966)] = 58182,
  [SMALL_STATE(1967)] = 58193,
  [SMALL_STATE(1968)] = 58206,
  [SMALL_STATE(1969)] = 58217,
  [SMALL_STATE(1970)] = 58228,
  [SMALL_STATE(1971)] = 58241,
  [SMALL_STATE(1972)] = 58254,
  [SMALL_STATE(1973)] = 58267,
  [SMALL_STATE(1974)] = 58280,
  [SMALL_STATE(1975)] = 58293,
  [SMALL_STATE(1976)] = 58304,
  [SMALL_STATE(1977)] = 58315,
  [SMALL_STATE(1978)] = 58326,
  [SMALL_STATE(1979)] = 58339,
  [SMALL_STATE(1980)] = 58352,
  [SMALL_STATE(1981)] = 58365,
  [SMALL_STATE(1982)] = 58378,
  [SMALL_STATE(1983)] = 58389,
  [SMALL_STATE(1984)] = 58400,
  [SMALL_STATE(1985)] = 58411,
  [SMALL_STATE(1986)] = 58422,
  [SMALL_STATE(1987)] = 58433,
  [SMALL_STATE(1988)] = 58446,
  [SMALL_STATE(1989)] = 58459,
  [SMALL_STATE(1990)] = 58470,
  [SMALL_STATE(1991)] = 58481,
  [SMALL_STATE(1992)] = 58492,
  [SMALL_STATE(1993)] = 58503,
  [SMALL_STATE(1994)] = 58514,
  [SMALL_STATE(1995)] = 58525,
  [SMALL_STATE(1996)] = 58538,
  [SMALL_STATE(1997)] = 58549,
  [SMALL_STATE(1998)] = 58560,
  [SMALL_STATE(1999)] = 58571,
  [SMALL_STATE(2000)] = 58582,
  [SMALL_STATE(2001)] = 58593,
  [SMALL_STATE(2002)] = 58604,
  [SMALL_STATE(2003)] = 58615,
  [SMALL_STATE(2004)] = 58628,
  [SMALL_STATE(2005)] = 58639,
  [SMALL_STATE(2006)] = 58652,
  [SMALL_STATE(2007)] = 58663,
  [SMALL_STATE(2008)] = 58672,
  [SMALL_STATE(2009)] = 58683,
  [SMALL_STATE(2010)] = 58696,
  [SMALL_STATE(2011)] = 58707,
  [SMALL_STATE(2012)] = 58720,
  [SMALL_STATE(2013)] = 58731,
  [SMALL_STATE(2014)] = 58742,
  [SMALL_STATE(2015)] = 58753,
  [SMALL_STATE(2016)] = 58764,
  [SMALL_STATE(2017)] = 58775,
  [SMALL_STATE(2018)] = 58786,
  [SMALL_STATE(2019)] = 58797,
  [SMALL_STATE(2020)] = 58808,
  [SMALL_STATE(2021)] = 58819,
  [SMALL_STATE(2022)] = 58830,
  [SMALL_STATE(2023)] = 58841,
  [SMALL_STATE(2024)] = 58852,
  [SMALL_STATE(2025)] = 58865,
  [SMALL_STATE(2026)] = 58876,
  [SMALL_STATE(2027)] = 58887,
  [SMALL_STATE(2028)] = 58898,
  [SMALL_STATE(2029)] = 58911,
  [SMALL_STATE(2030)] = 58922,
  [SMALL_STATE(2031)] = 58933,
  [SMALL_STATE(2032)] = 58944,
  [SMALL_STATE(2033)] = 58955,
  [SMALL_STATE(2034)] = 58966,
  [SMALL_STATE(2035)] = 58977,
  [SMALL_STATE(2036)] = 58988,
  [SMALL_STATE(2037)] = 58999,
  [SMALL_STATE(2038)] = 59010,
  [SMALL_STATE(2039)] = 59021,
  [SMALL_STATE(2040)] = 59034,
  [SMALL_STATE(2041)] = 59045,
  [SMALL_STATE(2042)] = 59056,
  [SMALL_STATE(2043)] = 59069,
  [SMALL_STATE(2044)] = 59080,
  [SMALL_STATE(2045)] = 59091,
  [SMALL_STATE(2046)] = 59102,
  [SMALL_STATE(2047)] = 59113,
  [SMALL_STATE(2048)] = 59124,
  [SMALL_STATE(2049)] = 59135,
  [SMALL_STATE(2050)] = 59146,
  [SMALL_STATE(2051)] = 59157,
  [SMALL_STATE(2052)] = 59168,
  [SMALL_STATE(2053)] = 59179,
  [SMALL_STATE(2054)] = 59192,
  [SMALL_STATE(2055)] = 59203,
  [SMALL_STATE(2056)] = 59214,
  [SMALL_STATE(2057)] = 59227,
  [SMALL_STATE(2058)] = 59238,
  [SMALL_STATE(2059)] = 59251,
  [SMALL_STATE(2060)] = 59262,
  [SMALL_STATE(2061)] = 59275,
  [SMALL_STATE(2062)] = 59286,
  [SMALL_STATE(2063)] = 59297,
  [SMALL_STATE(2064)] = 59308,
  [SMALL_STATE(2065)] = 59321,
  [SMALL_STATE(2066)] = 59332,
  [SMALL_STATE(2067)] = 59345,
  [SMALL_STATE(2068)] = 59356,
  [SMALL_STATE(2069)] = 59367,
  [SMALL_STATE(2070)] = 59378,
  [SMALL_STATE(2071)] = 59391,
  [SMALL_STATE(2072)] = 59404,
  [SMALL_STATE(2073)] = 59415,
  [SMALL_STATE(2074)] = 59426,
  [SMALL_STATE(2075)] = 59437,
  [SMALL_STATE(2076)] = 59448,
  [SMALL_STATE(2077)] = 59459,
  [SMALL_STATE(2078)] = 59470,
  [SMALL_STATE(2079)] = 59481,
  [SMALL_STATE(2080)] = 59492,
  [SMALL_STATE(2081)] = 59503,
  [SMALL_STATE(2082)] = 59514,
  [SMALL_STATE(2083)] = 59527,
  [SMALL_STATE(2084)] = 59540,
  [SMALL_STATE(2085)] = 59551,
  [SMALL_STATE(2086)] = 59564,
  [SMALL_STATE(2087)] = 59575,
  [SMALL_STATE(2088)] = 59586,
  [SMALL_STATE(2089)] = 59599,
  [SMALL_STATE(2090)] = 59610,
  [SMALL_STATE(2091)] = 59619,
  [SMALL_STATE(2092)] = 59630,
  [SMALL_STATE(2093)] = 59639,
  [SMALL_STATE(2094)] = 59652,
  [SMALL_STATE(2095)] = 59665,
  [SMALL_STATE(2096)] = 59676,
  [SMALL_STATE(2097)] = 59687,
  [SMALL_STATE(2098)] = 59696,
  [SMALL_STATE(2099)] = 59707,
  [SMALL_STATE(2100)] = 59718,
  [SMALL_STATE(2101)] = 59727,
  [SMALL_STATE(2102)] = 59740,
  [SMALL_STATE(2103)] = 59753,
  [SMALL_STATE(2104)] = 59766,
  [SMALL_STATE(2105)] = 59777,
  [SMALL_STATE(2106)] = 59788,
  [SMALL_STATE(2107)] = 59799,
  [SMALL_STATE(2108)] = 59810,
  [SMALL_STATE(2109)] = 59823,
  [SMALL_STATE(2110)] = 59836,
  [SMALL_STATE(2111)] = 59849,
  [SMALL_STATE(2112)] = 59862,
  [SMALL_STATE(2113)] = 59875,
  [SMALL_STATE(2114)] = 59888,
  [SMALL_STATE(2115)] = 59901,
  [SMALL_STATE(2116)] = 59914,
  [SMALL_STATE(2117)] = 59927,
  [SMALL_STATE(2118)] = 59938,
  [SMALL_STATE(2119)] = 59947,
  [SMALL_STATE(2120)] = 59960,
  [SMALL_STATE(2121)] = 59969,
  [SMALL_STATE(2122)] = 59982,
  [SMALL_STATE(2123)] = 59995,
  [SMALL_STATE(2124)] = 60006,
  [SMALL_STATE(2125)] = 60017,
  [SMALL_STATE(2126)] = 60028,
  [SMALL_STATE(2127)] = 60039,
  [SMALL_STATE(2128)] = 60052,
  [SMALL_STATE(2129)] = 60063,
  [SMALL_STATE(2130)] = 60074,
  [SMALL_STATE(2131)] = 60087,
  [SMALL_STATE(2132)] = 60100,
  [SMALL_STATE(2133)] = 60111,
  [SMALL_STATE(2134)] = 60122,
  [SMALL_STATE(2135)] = 60135,
  [SMALL_STATE(2136)] = 60148,
  [SMALL_STATE(2137)] = 60161,
  [SMALL_STATE(2138)] = 60174,
  [SMALL_STATE(2139)] = 60185,
  [SMALL_STATE(2140)] = 60196,
  [SMALL_STATE(2141)] = 60207,
  [SMALL_STATE(2142)] = 60218,
  [SMALL_STATE(2143)] = 60229,
  [SMALL_STATE(2144)] = 60242,
  [SMALL_STATE(2145)] = 60253,
  [SMALL_STATE(2146)] = 60264,
  [SMALL_STATE(2147)] = 60275,
  [SMALL_STATE(2148)] = 60284,
  [SMALL_STATE(2149)] = 60295,
  [SMALL_STATE(2150)] = 60308,
  [SMALL_STATE(2151)] = 60317,
  [SMALL_STATE(2152)] = 60326,
  [SMALL_STATE(2153)] = 60339,
  [SMALL_STATE(2154)] = 60350,
  [SMALL_STATE(2155)] = 60361,
  [SMALL_STATE(2156)] = 60372,
  [SMALL_STATE(2157)] = 60383,
  [SMALL_STATE(2158)] = 60394,
  [SMALL_STATE(2159)] = 60403,
  [SMALL_STATE(2160)] = 60414,
  [SMALL_STATE(2161)] = 60423,
  [SMALL_STATE(2162)] = 60434,
  [SMALL_STATE(2163)] = 60445,
  [SMALL_STATE(2164)] = 60456,
  [SMALL_STATE(2165)] = 60467,
  [SMALL_STATE(2166)] = 60478,
  [SMALL_STATE(2167)] = 60489,
  [SMALL_STATE(2168)] = 60502,
  [SMALL_STATE(2169)] = 60515,
  [SMALL_STATE(2170)] = 60528,
  [SMALL_STATE(2171)] = 60541,
  [SMALL_STATE(2172)] = 60554,
  [SMALL_STATE(2173)] = 60567,
  [SMALL_STATE(2174)] = 60580,
  [SMALL_STATE(2175)] = 60591,
  [SMALL_STATE(2176)] = 60604,
  [SMALL_STATE(2177)] = 60615,
  [SMALL_STATE(2178)] = 60628,
  [SMALL_STATE(2179)] = 60639,
  [SMALL_STATE(2180)] = 60652,
  [SMALL_STATE(2181)] = 60661,
  [SMALL_STATE(2182)] = 60670,
  [SMALL_STATE(2183)] = 60683,
  [SMALL_STATE(2184)] = 60694,
  [SMALL_STATE(2185)] = 60705,
  [SMALL_STATE(2186)] = 60714,
  [SMALL_STATE(2187)] = 60725,
  [SMALL_STATE(2188)] = 60734,
  [SMALL_STATE(2189)] = 60743,
  [SMALL_STATE(2190)] = 60754,
  [SMALL_STATE(2191)] = 60765,
  [SMALL_STATE(2192)] = 60778,
  [SMALL_STATE(2193)] = 60789,
  [SMALL_STATE(2194)] = 60802,
  [SMALL_STATE(2195)] = 60813,
  [SMALL_STATE(2196)] = 60824,
  [SMALL_STATE(2197)] = 60835,
  [SMALL_STATE(2198)] = 60846,
  [SMALL_STATE(2199)] = 60859,
  [SMALL_STATE(2200)] = 60870,
  [SMALL_STATE(2201)] = 60883,
  [SMALL_STATE(2202)] = 60894,
  [SMALL_STATE(2203)] = 60905,
  [SMALL_STATE(2204)] = 60918,
  [SMALL_STATE(2205)] = 60929,
  [SMALL_STATE(2206)] = 60942,
  [SMALL_STATE(2207)] = 60953,
  [SMALL_STATE(2208)] = 60964,
  [SMALL_STATE(2209)] = 60975,
  [SMALL_STATE(2210)] = 60986,
  [SMALL_STATE(2211)] = 60995,
  [SMALL_STATE(2212)] = 61006,
  [SMALL_STATE(2213)] = 61019,
  [SMALL_STATE(2214)] = 61030,
  [SMALL_STATE(2215)] = 61041,
  [SMALL_STATE(2216)] = 61052,
  [SMALL_STATE(2217)] = 61063,
  [SMALL_STATE(2218)] = 61071,
  [SMALL_STATE(2219)] = 61081,
  [SMALL_STATE(2220)] = 61091,
  [SMALL_STATE(2221)] = 61101,
  [SMALL_STATE(2222)] = 61111,
  [SMALL_STATE(2223)] = 61121,
  [SMALL_STATE(2224)] = 61129,
  [SMALL_STATE(2225)] = 61139,
  [SMALL_STATE(2226)] = 61149,
  [SMALL_STATE(2227)] = 61159,
  [SMALL_STATE(2228)] = 61167,
  [SMALL_STATE(2229)] = 61177,
  [SMALL_STATE(2230)] = 61187,
  [SMALL_STATE(2231)] = 61195,
  [SMALL_STATE(2232)] = 61205,
  [SMALL_STATE(2233)] = 61215,
  [SMALL_STATE(2234)] = 61225,
  [SMALL_STATE(2235)] = 61235,
  [SMALL_STATE(2236)] = 61245,
  [SMALL_STATE(2237)] = 61255,
  [SMALL_STATE(2238)] = 61263,
  [SMALL_STATE(2239)] = 61273,
  [SMALL_STATE(2240)] = 61283,
  [SMALL_STATE(2241)] = 61293,
  [SMALL_STATE(2242)] = 61301,
  [SMALL_STATE(2243)] = 61311,
  [SMALL_STATE(2244)] = 61319,
  [SMALL_STATE(2245)] = 61329,
  [SMALL_STATE(2246)] = 61339,
  [SMALL_STATE(2247)] = 61349,
  [SMALL_STATE(2248)] = 61359,
  [SMALL_STATE(2249)] = 61367,
  [SMALL_STATE(2250)] = 61377,
  [SMALL_STATE(2251)] = 61387,
  [SMALL_STATE(2252)] = 61397,
  [SMALL_STATE(2253)] = 61407,
  [SMALL_STATE(2254)] = 61415,
  [SMALL_STATE(2255)] = 61425,
  [SMALL_STATE(2256)] = 61435,
  [SMALL_STATE(2257)] = 61445,
  [SMALL_STATE(2258)] = 61453,
  [SMALL_STATE(2259)] = 61461,
  [SMALL_STATE(2260)] = 61471,
  [SMALL_STATE(2261)] = 61481,
  [SMALL_STATE(2262)] = 61491,
  [SMALL_STATE(2263)] = 61501,
  [SMALL_STATE(2264)] = 61511,
  [SMALL_STATE(2265)] = 61521,
  [SMALL_STATE(2266)] = 61529,
  [SMALL_STATE(2267)] = 61539,
  [SMALL_STATE(2268)] = 61549,
  [SMALL_STATE(2269)] = 61559,
  [SMALL_STATE(2270)] = 61569,
  [SMALL_STATE(2271)] = 61579,
  [SMALL_STATE(2272)] = 61589,
  [SMALL_STATE(2273)] = 61599,
  [SMALL_STATE(2274)] = 61607,
  [SMALL_STATE(2275)] = 61617,
  [SMALL_STATE(2276)] = 61627,
  [SMALL_STATE(2277)] = 61635,
  [SMALL_STATE(2278)] = 61643,
  [SMALL_STATE(2279)] = 61651,
  [SMALL_STATE(2280)] = 61661,
  [SMALL_STATE(2281)] = 61669,
  [SMALL_STATE(2282)] = 61679,
  [SMALL_STATE(2283)] = 61689,
  [SMALL_STATE(2284)] = 61699,
  [SMALL_STATE(2285)] = 61709,
  [SMALL_STATE(2286)] = 61719,
  [SMALL_STATE(2287)] = 61729,
  [SMALL_STATE(2288)] = 61739,
  [SMALL_STATE(2289)] = 61749,
  [SMALL_STATE(2290)] = 61757,
  [SMALL_STATE(2291)] = 61765,
  [SMALL_STATE(2292)] = 61775,
  [SMALL_STATE(2293)] = 61783,
  [SMALL_STATE(2294)] = 61793,
  [SMALL_STATE(2295)] = 61803,
  [SMALL_STATE(2296)] = 61811,
  [SMALL_STATE(2297)] = 61821,
  [SMALL_STATE(2298)] = 61831,
  [SMALL_STATE(2299)] = 61841,
  [SMALL_STATE(2300)] = 61851,
  [SMALL_STATE(2301)] = 61861,
  [SMALL_STATE(2302)] = 61869,
  [SMALL_STATE(2303)] = 61879,
  [SMALL_STATE(2304)] = 61887,
  [SMALL_STATE(2305)] = 61897,
  [SMALL_STATE(2306)] = 61907,
  [SMALL_STATE(2307)] = 61917,
  [SMALL_STATE(2308)] = 61927,
  [SMALL_STATE(2309)] = 61935,
  [SMALL_STATE(2310)] = 61945,
  [SMALL_STATE(2311)] = 61953,
  [SMALL_STATE(2312)] = 61963,
  [SMALL_STATE(2313)] = 61971,
  [SMALL_STATE(2314)] = 61981,
  [SMALL_STATE(2315)] = 61989,
  [SMALL_STATE(2316)] = 61997,
  [SMALL_STATE(2317)] = 62007,
  [SMALL_STATE(2318)] = 62017,
  [SMALL_STATE(2319)] = 62025,
  [SMALL_STATE(2320)] = 62035,
  [SMALL_STATE(2321)] = 62045,
  [SMALL_STATE(2322)] = 62055,
  [SMALL_STATE(2323)] = 62065,
  [SMALL_STATE(2324)] = 62073,
  [SMALL_STATE(2325)] = 62081,
  [SMALL_STATE(2326)] = 62089,
  [SMALL_STATE(2327)] = 62099,
  [SMALL_STATE(2328)] = 62109,
  [SMALL_STATE(2329)] = 62117,
  [SMALL_STATE(2330)] = 62127,
  [SMALL_STATE(2331)] = 62137,
  [SMALL_STATE(2332)] = 62147,
  [SMALL_STATE(2333)] = 62157,
  [SMALL_STATE(2334)] = 62167,
  [SMALL_STATE(2335)] = 62177,
  [SMALL_STATE(2336)] = 62187,
  [SMALL_STATE(2337)] = 62195,
  [SMALL_STATE(2338)] = 62203,
  [SMALL_STATE(2339)] = 62211,
  [SMALL_STATE(2340)] = 62221,
  [SMALL_STATE(2341)] = 62231,
  [SMALL_STATE(2342)] = 62239,
  [SMALL_STATE(2343)] = 62249,
  [SMALL_STATE(2344)] = 62259,
  [SMALL_STATE(2345)] = 62269,
  [SMALL_STATE(2346)] = 62279,
  [SMALL_STATE(2347)] = 62289,
  [SMALL_STATE(2348)] = 62299,
  [SMALL_STATE(2349)] = 62309,
  [SMALL_STATE(2350)] = 62317,
  [SMALL_STATE(2351)] = 62327,
  [SMALL_STATE(2352)] = 62337,
  [SMALL_STATE(2353)] = 62345,
  [SMALL_STATE(2354)] = 62355,
  [SMALL_STATE(2355)] = 62363,
  [SMALL_STATE(2356)] = 62371,
  [SMALL_STATE(2357)] = 62381,
  [SMALL_STATE(2358)] = 62389,
  [SMALL_STATE(2359)] = 62397,
  [SMALL_STATE(2360)] = 62405,
  [SMALL_STATE(2361)] = 62415,
  [SMALL_STATE(2362)] = 62423,
  [SMALL_STATE(2363)] = 62431,
  [SMALL_STATE(2364)] = 62439,
  [SMALL_STATE(2365)] = 62449,
  [SMALL_STATE(2366)] = 62459,
  [SMALL_STATE(2367)] = 62469,
  [SMALL_STATE(2368)] = 62479,
  [SMALL_STATE(2369)] = 62489,
  [SMALL_STATE(2370)] = 62499,
  [SMALL_STATE(2371)] = 62509,
  [SMALL_STATE(2372)] = 62517,
  [SMALL_STATE(2373)] = 62527,
  [SMALL_STATE(2374)] = 62537,
  [SMALL_STATE(2375)] = 62547,
  [SMALL_STATE(2376)] = 62557,
  [SMALL_STATE(2377)] = 62567,
  [SMALL_STATE(2378)] = 62577,
  [SMALL_STATE(2379)] = 62587,
  [SMALL_STATE(2380)] = 62595,
  [SMALL_STATE(2381)] = 62603,
  [SMALL_STATE(2382)] = 62613,
  [SMALL_STATE(2383)] = 62621,
  [SMALL_STATE(2384)] = 62629,
  [SMALL_STATE(2385)] = 62639,
  [SMALL_STATE(2386)] = 62649,
  [SMALL_STATE(2387)] = 62659,
  [SMALL_STATE(2388)] = 62667,
  [SMALL_STATE(2389)] = 62675,
  [SMALL_STATE(2390)] = 62685,
  [SMALL_STATE(2391)] = 62693,
  [SMALL_STATE(2392)] = 62703,
  [SMALL_STATE(2393)] = 62713,
  [SMALL_STATE(2394)] = 62721,
  [SMALL_STATE(2395)] = 62731,
  [SMALL_STATE(2396)] = 62741,
  [SMALL_STATE(2397)] = 62751,
  [SMALL_STATE(2398)] = 62761,
  [SMALL_STATE(2399)] = 62771,
  [SMALL_STATE(2400)] = 62781,
  [SMALL_STATE(2401)] = 62789,
  [SMALL_STATE(2402)] = 62797,
  [SMALL_STATE(2403)] = 62807,
  [SMALL_STATE(2404)] = 62815,
  [SMALL_STATE(2405)] = 62825,
  [SMALL_STATE(2406)] = 62833,
  [SMALL_STATE(2407)] = 62843,
  [SMALL_STATE(2408)] = 62851,
  [SMALL_STATE(2409)] = 62861,
  [SMALL_STATE(2410)] = 62869,
  [SMALL_STATE(2411)] = 62877,
  [SMALL_STATE(2412)] = 62887,
  [SMALL_STATE(2413)] = 62897,
  [SMALL_STATE(2414)] = 62905,
  [SMALL_STATE(2415)] = 62913,
  [SMALL_STATE(2416)] = 62923,
  [SMALL_STATE(2417)] = 62933,
  [SMALL_STATE(2418)] = 62941,
  [SMALL_STATE(2419)] = 62951,
  [SMALL_STATE(2420)] = 62958,
  [SMALL_STATE(2421)] = 62965,
  [SMALL_STATE(2422)] = 62972,
  [SMALL_STATE(2423)] = 62979,
  [SMALL_STATE(2424)] = 62986,
  [SMALL_STATE(2425)] = 62993,
  [SMALL_STATE(2426)] = 63000,
  [SMALL_STATE(2427)] = 63007,
  [SMALL_STATE(2428)] = 63014,
  [SMALL_STATE(2429)] = 63021,
  [SMALL_STATE(2430)] = 63028,
  [SMALL_STATE(2431)] = 63035,
  [SMALL_STATE(2432)] = 63042,
  [SMALL_STATE(2433)] = 63049,
  [SMALL_STATE(2434)] = 63056,
  [SMALL_STATE(2435)] = 63063,
  [SMALL_STATE(2436)] = 63070,
  [SMALL_STATE(2437)] = 63077,
  [SMALL_STATE(2438)] = 63084,
  [SMALL_STATE(2439)] = 63091,
  [SMALL_STATE(2440)] = 63098,
  [SMALL_STATE(2441)] = 63105,
  [SMALL_STATE(2442)] = 63112,
  [SMALL_STATE(2443)] = 63119,
  [SMALL_STATE(2444)] = 63126,
  [SMALL_STATE(2445)] = 63133,
  [SMALL_STATE(2446)] = 63140,
  [SMALL_STATE(2447)] = 63147,
  [SMALL_STATE(2448)] = 63154,
  [SMALL_STATE(2449)] = 63161,
  [SMALL_STATE(2450)] = 63168,
  [SMALL_STATE(2451)] = 63175,
  [SMALL_STATE(2452)] = 63182,
  [SMALL_STATE(2453)] = 63189,
  [SMALL_STATE(2454)] = 63196,
  [SMALL_STATE(2455)] = 63203,
  [SMALL_STATE(2456)] = 63210,
  [SMALL_STATE(2457)] = 63217,
  [SMALL_STATE(2458)] = 63224,
  [SMALL_STATE(2459)] = 63231,
  [SMALL_STATE(2460)] = 63238,
  [SMALL_STATE(2461)] = 63245,
  [SMALL_STATE(2462)] = 63252,
  [SMALL_STATE(2463)] = 63259,
  [SMALL_STATE(2464)] = 63266,
  [SMALL_STATE(2465)] = 63273,
  [SMALL_STATE(2466)] = 63280,
  [SMALL_STATE(2467)] = 63287,
  [SMALL_STATE(2468)] = 63294,
  [SMALL_STATE(2469)] = 63301,
  [SMALL_STATE(2470)] = 63308,
  [SMALL_STATE(2471)] = 63315,
  [SMALL_STATE(2472)] = 63322,
  [SMALL_STATE(2473)] = 63329,
  [SMALL_STATE(2474)] = 63336,
  [SMALL_STATE(2475)] = 63343,
  [SMALL_STATE(2476)] = 63350,
  [SMALL_STATE(2477)] = 63357,
  [SMALL_STATE(2478)] = 63364,
  [SMALL_STATE(2479)] = 63371,
  [SMALL_STATE(2480)] = 63378,
  [SMALL_STATE(2481)] = 63385,
  [SMALL_STATE(2482)] = 63392,
  [SMALL_STATE(2483)] = 63399,
  [SMALL_STATE(2484)] = 63406,
  [SMALL_STATE(2485)] = 63413,
  [SMALL_STATE(2486)] = 63420,
  [SMALL_STATE(2487)] = 63427,
  [SMALL_STATE(2488)] = 63434,
  [SMALL_STATE(2489)] = 63441,
  [SMALL_STATE(2490)] = 63448,
  [SMALL_STATE(2491)] = 63455,
  [SMALL_STATE(2492)] = 63462,
  [SMALL_STATE(2493)] = 63469,
  [SMALL_STATE(2494)] = 63476,
  [SMALL_STATE(2495)] = 63483,
  [SMALL_STATE(2496)] = 63490,
  [SMALL_STATE(2497)] = 63497,
  [SMALL_STATE(2498)] = 63504,
  [SMALL_STATE(2499)] = 63511,
  [SMALL_STATE(2500)] = 63518,
  [SMALL_STATE(2501)] = 63525,
  [SMALL_STATE(2502)] = 63532,
  [SMALL_STATE(2503)] = 63539,
  [SMALL_STATE(2504)] = 63546,
  [SMALL_STATE(2505)] = 63553,
  [SMALL_STATE(2506)] = 63560,
  [SMALL_STATE(2507)] = 63567,
  [SMALL_STATE(2508)] = 63574,
  [SMALL_STATE(2509)] = 63581,
  [SMALL_STATE(2510)] = 63588,
  [SMALL_STATE(2511)] = 63595,
  [SMALL_STATE(2512)] = 63602,
  [SMALL_STATE(2513)] = 63609,
  [SMALL_STATE(2514)] = 63616,
  [SMALL_STATE(2515)] = 63623,
  [SMALL_STATE(2516)] = 63630,
  [SMALL_STATE(2517)] = 63637,
  [SMALL_STATE(2518)] = 63644,
  [SMALL_STATE(2519)] = 63651,
  [SMALL_STATE(2520)] = 63658,
  [SMALL_STATE(2521)] = 63665,
  [SMALL_STATE(2522)] = 63672,
  [SMALL_STATE(2523)] = 63679,
  [SMALL_STATE(2524)] = 63686,
  [SMALL_STATE(2525)] = 63693,
  [SMALL_STATE(2526)] = 63700,
  [SMALL_STATE(2527)] = 63707,
  [SMALL_STATE(2528)] = 63714,
  [SMALL_STATE(2529)] = 63721,
  [SMALL_STATE(2530)] = 63728,
  [SMALL_STATE(2531)] = 63735,
  [SMALL_STATE(2532)] = 63742,
  [SMALL_STATE(2533)] = 63749,
  [SMALL_STATE(2534)] = 63756,
  [SMALL_STATE(2535)] = 63763,
  [SMALL_STATE(2536)] = 63770,
  [SMALL_STATE(2537)] = 63777,
  [SMALL_STATE(2538)] = 63784,
  [SMALL_STATE(2539)] = 63791,
  [SMALL_STATE(2540)] = 63798,
  [SMALL_STATE(2541)] = 63805,
  [SMALL_STATE(2542)] = 63812,
  [SMALL_STATE(2543)] = 63819,
  [SMALL_STATE(2544)] = 63826,
  [SMALL_STATE(2545)] = 63833,
  [SMALL_STATE(2546)] = 63840,
  [SMALL_STATE(2547)] = 63847,
  [SMALL_STATE(2548)] = 63854,
  [SMALL_STATE(2549)] = 63861,
  [SMALL_STATE(2550)] = 63868,
  [SMALL_STATE(2551)] = 63875,
  [SMALL_STATE(2552)] = 63882,
  [SMALL_STATE(2553)] = 63889,
  [SMALL_STATE(2554)] = 63896,
  [SMALL_STATE(2555)] = 63903,
  [SMALL_STATE(2556)] = 63910,
  [SMALL_STATE(2557)] = 63917,
  [SMALL_STATE(2558)] = 63924,
  [SMALL_STATE(2559)] = 63931,
  [SMALL_STATE(2560)] = 63938,
  [SMALL_STATE(2561)] = 63945,
  [SMALL_STATE(2562)] = 63952,
  [SMALL_STATE(2563)] = 63959,
  [SMALL_STATE(2564)] = 63966,
  [SMALL_STATE(2565)] = 63973,
  [SMALL_STATE(2566)] = 63980,
  [SMALL_STATE(2567)] = 63987,
  [SMALL_STATE(2568)] = 63994,
  [SMALL_STATE(2569)] = 64001,
  [SMALL_STATE(2570)] = 64008,
  [SMALL_STATE(2571)] = 64015,
  [SMALL_STATE(2572)] = 64022,
  [SMALL_STATE(2573)] = 64029,
  [SMALL_STATE(2574)] = 64036,
  [SMALL_STATE(2575)] = 64043,
  [SMALL_STATE(2576)] = 64050,
  [SMALL_STATE(2577)] = 64057,
  [SMALL_STATE(2578)] = 64064,
  [SMALL_STATE(2579)] = 64071,
  [SMALL_STATE(2580)] = 64078,
  [SMALL_STATE(2581)] = 64085,
  [SMALL_STATE(2582)] = 64092,
  [SMALL_STATE(2583)] = 64099,
  [SMALL_STATE(2584)] = 64106,
  [SMALL_STATE(2585)] = 64113,
  [SMALL_STATE(2586)] = 64120,
  [SMALL_STATE(2587)] = 64127,
  [SMALL_STATE(2588)] = 64134,
  [SMALL_STATE(2589)] = 64141,
  [SMALL_STATE(2590)] = 64148,
  [SMALL_STATE(2591)] = 64155,
  [SMALL_STATE(2592)] = 64162,
  [SMALL_STATE(2593)] = 64169,
  [SMALL_STATE(2594)] = 64176,
  [SMALL_STATE(2595)] = 64183,
  [SMALL_STATE(2596)] = 64190,
  [SMALL_STATE(2597)] = 64197,
  [SMALL_STATE(2598)] = 64204,
  [SMALL_STATE(2599)] = 64211,
  [SMALL_STATE(2600)] = 64218,
  [SMALL_STATE(2601)] = 64225,
  [SMALL_STATE(2602)] = 64232,
  [SMALL_STATE(2603)] = 64239,
  [SMALL_STATE(2604)] = 64246,
  [SMALL_STATE(2605)] = 64253,
  [SMALL_STATE(2606)] = 64260,
  [SMALL_STATE(2607)] = 64267,
  [SMALL_STATE(2608)] = 64274,
  [SMALL_STATE(2609)] = 64281,
  [SMALL_STATE(2610)] = 64288,
  [SMALL_STATE(2611)] = 64295,
  [SMALL_STATE(2612)] = 64302,
  [SMALL_STATE(2613)] = 64309,
  [SMALL_STATE(2614)] = 64316,
  [SMALL_STATE(2615)] = 64323,
  [SMALL_STATE(2616)] = 64330,
  [SMALL_STATE(2617)] = 64337,
  [SMALL_STATE(2618)] = 64344,
  [SMALL_STATE(2619)] = 64351,
  [SMALL_STATE(2620)] = 64358,
  [SMALL_STATE(2621)] = 64365,
  [SMALL_STATE(2622)] = 64372,
  [SMALL_STATE(2623)] = 64379,
  [SMALL_STATE(2624)] = 64386,
  [SMALL_STATE(2625)] = 64393,
  [SMALL_STATE(2626)] = 64400,
  [SMALL_STATE(2627)] = 64407,
  [SMALL_STATE(2628)] = 64414,
  [SMALL_STATE(2629)] = 64421,
  [SMALL_STATE(2630)] = 64428,
  [SMALL_STATE(2631)] = 64435,
  [SMALL_STATE(2632)] = 64442,
  [SMALL_STATE(2633)] = 64449,
  [SMALL_STATE(2634)] = 64456,
  [SMALL_STATE(2635)] = 64463,
  [SMALL_STATE(2636)] = 64470,
  [SMALL_STATE(2637)] = 64477,
  [SMALL_STATE(2638)] = 64484,
  [SMALL_STATE(2639)] = 64491,
  [SMALL_STATE(2640)] = 64498,
  [SMALL_STATE(2641)] = 64505,
  [SMALL_STATE(2642)] = 64512,
  [SMALL_STATE(2643)] = 64519,
  [SMALL_STATE(2644)] = 64526,
  [SMALL_STATE(2645)] = 64533,
  [SMALL_STATE(2646)] = 64540,
  [SMALL_STATE(2647)] = 64547,
  [SMALL_STATE(2648)] = 64554,
  [SMALL_STATE(2649)] = 64561,
  [SMALL_STATE(2650)] = 64568,
  [SMALL_STATE(2651)] = 64575,
  [SMALL_STATE(2652)] = 64582,
  [SMALL_STATE(2653)] = 64589,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(453),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1738),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1452),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2491),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2425),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2420),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(121),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1839),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2490),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2451),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2621),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1110),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2228),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2605),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2274),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2504),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2538),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2384),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(327),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(327),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(580),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(318),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(686),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2453),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1520),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1099),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1582),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1915),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1373),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1593),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(330),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(333),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 135),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 135),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 135),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 135),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2395),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2650),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2652),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2267),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(889),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(800),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2279),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(112),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2279),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(112),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2279),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [1743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1520),
  [1746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2606),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2591),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(845),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [1766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1587),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2070),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1588),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2564),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2564),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 173),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 173),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [1893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 142),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 142),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 60),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 60),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 67),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 158),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 201),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 152),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 177),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 86),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 118),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 134),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 156),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 116),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [2571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [2577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(702),
  [2594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 160),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 63),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 103),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 120),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 184),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 86),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 126),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 133),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1474),
  [2748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2625),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1381),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(382),
  [2945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1350),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1350),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1626),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 130),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(378),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1365),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1365),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1616),
  [3022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(337),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1366),
  [3028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1366),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1618),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 163),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 90),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 127),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 161),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 91),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 82),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 202),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 185),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 89),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 161),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 185),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 186),
  [3120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1486),
  [3123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1528),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [3131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3200] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3207] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1301),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [3343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [3346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2231),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3427] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1320),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [3440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2324),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [3479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2275),
  [3482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(113),
  [3485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2275),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(113),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3585] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1317),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1636),
  [3602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [3605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96), SHIFT_REPEAT(2287),
  [3616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2275),
  [3629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1473),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 73),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 79),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [3752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 84),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 123),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [3817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1312),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2083),
  [3870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1318),
  [3905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1320),
  [3940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1454),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [3989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1813),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1389),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1726),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1846),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [4053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1320),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [4067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2134),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [4072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1832),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 56),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 56),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [4221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 64),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 70),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 73),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [4368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 73),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 75),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 88),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(846),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1317),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [4449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 81),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 139),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 83),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 111),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 55),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 56),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1395),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 139),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [4560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(697),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 177),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 121),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 84),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 124),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 76),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 77),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 80),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 138),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 82),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 118),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 123),
  [4686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 159),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 183),
  [4694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2564),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [4704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 152),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 201),
  [4719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2564),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 79),
  [4728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 158),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 104),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [4782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 144),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 148),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 147),
  [4796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 87),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 109),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 71),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 108),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 112),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 112),
  [4952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 71),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 65),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [5020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 175),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [5064] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 105),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
